if exists('g:wordpress_vim_phpcomplete_extensions_loaded')
  finish
end

" for testing - TODO: figure out how to debug in YCM headless
" runtime! misc/builtin.vim

" Function Extensions
let g:phpcomplete_builtin['functions']['wp_script_loader'] = {
\ 'wp_default_scripts(': 'object $scripts | void',
\ 'wp_default_styles(': 'object $styles | void',
\ 'wp_prototype_before_jquery(': 'array $js_array | array',
\ 'wp_just_in_time_script_localization(': 'void | void',
\ 'wp_style_loader_src(': 'string $src, string $handle | string',
\ 'print_head_scripts(': 'void | void',
\ 'print_footer_scripts(': 'void | void',
\ 'wp_print_head_scripts(': 'void | void',
\ 'wp_print_footer_scripts(': 'void | void',
\ 'wp_enqueue_scripts(': 'void | void',
\ 'print_admin_styles(': 'void | void',
\ 'print_late_styles(': 'void | void',
\ 'script_concat_settings(': 'void | void',
\}

let g:phpcomplete_builtin['functions']['wp_post_formats'] = {
\ 'get_post_format(': 'integer|object $post | mixed',
\ 'has_post_format(': 'string|array $format, object|integer $post | boolean',
\ 'set_post_format(': 'integer|object $post, string $format | mixed',
\ 'get_post_format_strings(': 'void | array',
\ 'get_post_format_slugs(': 'void | array',
\ 'get_post_format_string(': 'string $slug | string',
\ 'get_post_format_link(': 'string $format | string',
\}

let g:phpcomplete_builtin['functions']['wp_http'] = {
\ 'wp_safe_remote_request(': 'string $url, array $args | \WP_Error|array',
\ 'wp_safe_remote_get(': 'string $url, array $args | \WP_Error|array',
\ 'wp_safe_remote_post(': 'string $url, array $args | \WP_Error|array',
\ 'wp_safe_remote_head(': 'string $url, array $args | \WP_Error|array',
\ 'wp_remote_request(': 'string $url, array $args | \WP_Error|array',
\ 'wp_remote_get(': 'string $url, array $args | \WP_Error|array',
\ 'wp_remote_post(': 'string $url, array $args | \WP_Error|array',
\ 'wp_remote_head(': 'string $url, array $args | \WP_Error|array',
\ 'wp_remote_retrieve_headers(': 'array $response | array',
\ 'wp_remote_retrieve_header(': 'array $response, string $header | string',
\ 'wp_remote_retrieve_response_code(': 'array $response | string',
\ 'wp_remote_retrieve_response_message(': 'array $response | string',
\ 'wp_remote_retrieve_body(': 'array $response | string',
\ 'wp_http_supports(': 'array $capabilities, string $url | boolean',
\ 'get_http_origin(': 'void | string',
\ 'get_allowed_http_origins(': 'void | array',
\ 'is_allowed_http_origin(': ' $origin | boolean',
\ 'send_origin_headers(': 'void | boolean|string',
\ 'wp_http_validate_url(': ' $url | mixed',
\ 'allowed_http_request_hosts(': 'boolean $is_external, string $host | boolean',
\ 'ms_allowed_http_request_hosts(': 'boolean $is_external, string $host | boolean',
\}

let g:phpcomplete_builtin['functions']['wp_cron'] = {
\ 'wp_schedule_single_event(': 'integer $timestamp, string $hook, array $args | void',
\ 'wp_schedule_event(': 'integer $timestamp, string $recurrence, string $hook, array $args | boolean|null',
\ 'wp_reschedule_event(': 'integer $timestamp, string $recurrence, string $hook, array $args | boolean|null',
\ 'wp_unschedule_event(': 'integer $timestamp, string $hook, array $args | void',
\ 'wp_clear_scheduled_hook(': 'string $hook, array $args | void',
\ 'wp_next_scheduled(': 'string $hook, array $args | boolean|integer',
\ 'spawn_cron(': ' $gmt_time | null',
\ 'wp_cron(': 'void | null',
\ 'wp_get_schedules(': 'void | array',
\ 'wp_get_schedule(': 'string $hook, array $args | string|boolean',
\}

let g:phpcomplete_builtin['functions']['wp_rewrite'] = {
\ 'add_rewrite_rule(': 'string $regex, string $redirect, string $after | void',
\ 'add_rewrite_tag(': 'string $tag, string $regex, string $query | void',
\ 'add_permastruct(': 'string $name, string $struct, array $args | void',
\ 'add_feed(': 'string $feedname, callback $function | string',
\ 'flush_rewrite_rules(': 'boolean $hard | void',
\ 'add_rewrite_endpoint(': 'string $name, integer $places, string $query_var | void',
\ 'url_to_postid(': 'string $url | integer',
\}

let g:phpcomplete_builtin['functions']['wp_ms_blogs'] = {
\ 'wpmu_update_blogs_date(': 'void | void',
\ 'get_blogaddress_by_id(': 'integer $blog_id | string',
\ 'get_blogaddress_by_name(': 'string $blogname | string',
\ 'get_id_from_blogname(': 'string $slug | integer',
\ 'get_blog_details(': 'integer|string|array $fields, boolean $get_all | object',
\ 'refresh_blog_details(': 'integer $blog_id | void',
\ 'update_blog_details(': 'integer $blog_id, array $details | boolean',
\ 'clean_blog_cache(': '\stdClass $blog | void',
\ 'get_blog_option(': 'integer $id, string $option, mixed $default | mixed',
\ 'add_blog_option(': 'integer $id, string $option, mixed $value | boolean',
\ 'delete_blog_option(': 'integer $id, string $option | boolean',
\ 'update_blog_option(': 'integer $id, string $option, mixed $value,  $deprecated | boolean',
\ 'switch_to_blog(': 'integer $new_blog, boolean $deprecated | boolean',
\ 'restore_current_blog(': 'void | boolean',
\ 'ms_is_switched(': 'void | boolean',
\ 'is_archived(': 'integer $id | string',
\ 'update_archived(': 'integer $id, string $archived | string',
\ 'update_blog_status(': 'integer $blog_id, string $pref, string $value,  $deprecated | string',
\ 'get_blog_status(': 'integer $id, string $pref | boolean',
\ 'get_last_updated(': 'mixed $deprecated, integer $start, integer $quantity | array',
\}

let g:phpcomplete_builtin['functions']['wp_taxonomy'] = {
\ 'create_initial_taxonomies(': 'void | void',
\ 'get_taxonomies(': 'array $args, string $output, string $operator | array',
\ 'get_object_taxonomies(': 'array|string|object $object, string $output | array',
\ 'get_taxonomy(': 'string $taxonomy | object|boolean',
\ 'taxonomy_exists(': 'string $taxonomy | boolean',
\ 'is_taxonomy_hierarchical(': 'string $taxonomy | boolean',
\ 'register_taxonomy(': 'string $taxonomy, array|string $object_type, array|string $args | null|\WP_Error',
\ 'get_taxonomy_labels(': 'object $tax | object',
\ 'register_taxonomy_for_object_type(': 'string $taxonomy, string $object_type | boolean',
\ 'unregister_taxonomy_for_object_type(': 'string $taxonomy, string $object_type | boolean',
\ 'get_objects_in_term(': 'integer|array $term_ids, string|array $taxonomies, array|string $args | \WP_Error|array',
\ 'get_tax_sql(': 'array $tax_query, string $primary_table, string $primary_id_column | array',
\ 'get_term(': 'integer|object $term, string $taxonomy, string $output, string $filter | mixed|null|\WP_Error',
\ 'get_term_by(': 'string $field, string|integer $value, string $taxonomy, string $output, string $filter | mixed',
\ 'get_term_children(': 'string $term_id, string $taxonomy | array|\WP_Error',
\ 'get_term_field(': 'string $field, integer $term, string $taxonomy, string $context | mixed',
\ 'get_term_to_edit(': 'integer|object $id, string $taxonomy | mixed|null|\WP_Error',
\ 'get_terms(': 'string|array $taxonomies, array|string $args | array|\WP_Error',
\ 'term_exists(': 'integer|string $term, string $taxonomy, integer $parent | mixed',
\ 'term_is_ancestor_of(': 'integer|object $term1, integer|object $term2, string $taxonomy | boolean',
\ 'sanitize_term(': 'array|object $term, string $taxonomy, string $context | array|object',
\ 'sanitize_term_field(': 'string $field, string $value, integer $term_id, string $taxonomy, string $context | mixed',
\ 'wp_count_terms(': 'string $taxonomy, array|string $args | integer|\WP_Error',
\ 'wp_delete_object_term_relationships(': 'integer $object_id, string|array $taxonomies | void',
\ 'wp_delete_term(': 'integer $term, string $taxonomy, array|string $args | boolean|\WP_Error',
\ 'wp_delete_category(': 'integer $cat_ID | mixed',
\ 'wp_get_object_terms(': 'integer|array $object_ids, string|array $taxonomies, array|string $args | array|\WP_Error',
\ 'wp_insert_term(': 'string $term, string $taxonomy, array|string $args | array|\WP_Error',
\ 'wp_set_object_terms(': 'integer $object_id, array|integer|string $terms, array|string $taxonomy, boolean $append | array|\WP_Error',
\ 'wp_add_object_terms(': 'integer $object_id, array|integer|string $terms, array|string $taxonomy | array|\WP_Error',
\ 'wp_remove_object_terms(': 'integer $object_id, array|integer|string $terms, array|string $taxonomy | boolean|\WP_Error',
\ 'wp_unique_term_slug(': 'string $slug, object $term | string',
\ 'wp_update_term(': 'integer $term_id, string $taxonomy, array|string $args | array|\WP_Error',
\ 'wp_defer_term_counting(': 'boolean $defer | boolean',
\ 'wp_update_term_count(': 'integer|array $terms, string $taxonomy,  $do_deferred | boolean',
\ 'wp_update_term_count_now(': 'array $terms, string $taxonomy | boolean',
\ 'clean_object_term_cache(': 'integer|array $object_ids, array|string $object_type | void',
\ 'clean_term_cache(': 'integer|array $ids, string $taxonomy, boolean $clean_taxonomy | void',
\ 'get_object_term_cache(': 'integer|array $id, string $taxonomy | boolean|array',
\ 'update_object_term_cache(': 'string|array $object_ids, array|string $object_type | null|boolean',
\ 'update_term_cache(': 'array $terms, string $taxonomy | void',
\ 'get_term_link(': 'object|integer|string $term, string $taxonomy | string|\WP_Error',
\ 'the_taxonomies(': 'array $args | void',
\ 'get_the_taxonomies(': 'integer|\WP_Post $post, array $args | array',
\ 'get_post_taxonomies(': 'integer|\WP_Post $post | array',
\ 'is_object_in_term(': 'integer $object_id, string $taxonomy, integer|string|array $terms | boolean|\WP_Error.',
\ 'is_object_in_taxonomy(': 'string $object_type, string $taxonomy | boolean',
\ 'get_ancestors(': 'integer $object_id, string $object_type | array',
\ 'wp_get_term_taxonomy_parent_id(': 'integer $term_id, string $taxonomy | integer|boolean',
\ 'wp_check_term_hierarchy_for_loops(': 'integer $parent, integer $term_id, string $taxonomy | integer',
\}

let g:phpcomplete_builtin['functions']['wp_query'] = {
\ 'get_query_var(': 'string $var, mixed $default | mixed',
\ 'get_queried_object(': 'void | object',
\ 'get_queried_object_id(': 'void | integer',
\ 'set_query_var(': 'string $var, mixed $value | null',
\ 'query_posts(': 'string $query | array',
\ 'wp_reset_query(': 'void | void',
\ 'wp_reset_postdata(': 'void | void',
\ 'is_archive(': 'void | boolean',
\ 'is_post_type_archive(': 'mixed $post_types | boolean',
\ 'is_attachment(': 'mixed $attachment | boolean',
\ 'is_author(': 'mixed $author | boolean',
\ 'is_category(': 'mixed $category | boolean',
\ 'is_tag(': 'mixed $tag | boolean',
\ 'is_tax(': 'mixed $taxonomy, mixed $term | boolean',
\ 'is_comments_popup(': 'void | boolean',
\ 'is_date(': 'void | boolean',
\ 'is_day(': 'void | boolean',
\ 'is_feed(': 'string|array $feeds | boolean',
\ 'is_comment_feed(': 'void | boolean',
\ 'is_front_page(': 'void | boolean',
\ 'is_home(': 'void | boolean',
\ 'is_month(': 'void | boolean',
\ 'is_page(': 'mixed $page | boolean',
\ 'is_paged(': 'void | boolean',
\ 'is_preview(': 'void | boolean',
\ 'is_robots(': 'void | boolean',
\ 'is_search(': 'void | boolean',
\ 'is_single(': 'mixed $post | boolean',
\ 'is_singular(': 'mixed $post_types | boolean',
\ 'is_time(': 'void | boolean',
\ 'is_trackback(': 'void | boolean',
\ 'is_year(': 'void | boolean',
\ 'is_404(': 'void | boolean',
\ 'is_main_query(': 'void | boolean',
\ 'have_posts(': 'void | boolean',
\ 'in_the_loop(': 'void | boolean',
\ 'rewind_posts(': 'void | null',
\ 'the_post(': 'void | void',
\ 'have_comments(': 'void | boolean',
\ 'the_comment(': 'void | object',
\ 'wp_old_slug_redirect(': 'void | null',
\ 'setup_postdata(': 'object $post | boolean',
\}

let g:phpcomplete_builtin['functions']['wp_functions_wp_scripts'] = {
\ 'wp_print_scripts(': 'array|boolean $handles | array',
\ 'wp_register_script(': 'string $handle, string $src, array $deps, string|boolean $ver, boolean $in_footer | void',
\ 'wp_localize_script(': 'string $handle, string $object_name, array $l10n | boolean',
\ 'wp_deregister_script(': 'string $handle | void',
\ 'wp_enqueue_script(': 'string $handle, string|boolean $src, array $deps, string|boolean $ver, boolean $in_footer | void',
\ 'wp_dequeue_script(': 'string $handle | void',
\ 'wp_script_is(': 'string $handle, string $list | boolean',
\}

let g:phpcomplete_builtin['functions']['wp_media'] = {
\ 'image_constrain_size_for_editor(': 'integer $width, integer $height, string|array $size,  $context | array',
\ 'image_hwstring(': 'integer|string $width, integer|string $height | string',
\ 'image_downsize(': 'integer $id, array|string $size | boolean|array',
\ 'add_image_size(': 'string $name, integer $width, integer $height, boolean|array $crop | boolean|array',
\ 'has_image_size(': 'string $name | boolean',
\ 'remove_image_size(': 'string $name | boolean',
\ 'set_post_thumbnail_size(': 'integer $width, integer $height, boolean|array $crop | boolean|array',
\ 'get_image_tag(': 'integer $id, string $alt, string $title, string $align, string $size | string',
\ 'wp_constrain_dimensions(': 'integer $current_width, integer $current_height, integer $max_width, integer $max_height | array',
\ 'image_resize_dimensions(': 'integer $orig_w, integer $orig_h, integer $dest_w, integer $dest_h, boolean|array $crop | boolean|array',
\ 'image_make_intermediate_size(': 'string $file, integer $width, integer $height, boolean $crop | boolean|array',
\ 'image_get_intermediate_size(': 'integer $post_id, array|string $size | boolean|array',
\ 'get_intermediate_image_sizes(': 'void | array',
\ 'wp_get_attachment_image_src(': 'integer $attachment_id, string $size, boolean $icon | boolean|array',
\ 'wp_get_attachment_image(': 'integer $attachment_id, string $size, boolean $icon, mixed $attr | string',
\ 'img_caption_shortcode(': 'array $attr, string $content | string',
\ 'gallery_shortcode(': 'array $attr | string',
\ 'wp_underscore_playlist_templates(': 'void | void',
\ 'wp_playlist_scripts(': 'string $type | void',
\ 'wp_playlist_shortcode(': 'array $attr | string',
\ 'wp_mediaelement_fallback(': 'string $url | string',
\ 'wp_get_audio_extensions(': 'void | array',
\ 'wp_get_attachment_id3_keys(': '\WP_Post $attachment, string $context | array',
\ 'wp_audio_shortcode(': 'array $attr, string $content | string',
\ 'wp_get_video_extensions(': 'void | array',
\ 'wp_video_shortcode(': 'array $attr, string $content | string',
\ 'previous_image_link(': 'string $size, string $text | string',
\ 'next_image_link(': 'string $size, string $text | string',
\ 'adjacent_image_link(': 'boolean $prev,  $size,  $text | void',
\ 'get_attachment_taxonomies(': 'integer|array|object $attachment | array',
\ 'get_taxonomies_for_attachments(': 'string $output | array',
\ 'wp_imagecreatetruecolor(': 'integer $width, integer $height | \image',
\ 'wp_embed_register_handler(': ' $id,  $regex,  $callback,  $priority | void',
\ 'wp_embed_unregister_handler(': ' $id,  $priority | void',
\ 'wp_embed_defaults(': 'string $url | array',
\ 'wp_expand_dimensions(': 'integer $example_width, integer $example_height, integer $max_width, integer $max_height | array',
\ 'wp_oembed_get(': 'string $url, array $args | boolean|string',
\ 'wp_oembed_add_provider(': 'string $format, string $provider, boolean $regex | void',
\ 'wp_oembed_remove_provider(': 'string $format | void',
\ 'wp_maybe_load_embeds(': 'void | void',
\ 'wp_embed_handler_googlevideo(': 'array $matches, array $attr, string $url, array $rawattr | string',
\ 'wp_embed_handler_youtube(': 'array $matches, array $attr, string $url, array $rawattr | string',
\ 'wp_embed_handler_audio(': 'array $matches, array $attr, string $url, array $rawattr | string',
\ 'wp_embed_handler_video(': 'array $matches, array $attr, string $url, array $rawattr | string',
\ 'wp_convert_hr_to_bytes(': 'string $size | integer',
\ 'wp_max_upload_size(': 'void | integer',
\ 'wp_get_image_editor(': 'string $path, array $args | \WP_Image_Editor|\WP_Error',
\ 'wp_image_editor_supports(': 'string|array $args | boolean',
\ 'wp_plupload_default_settings(': 'void | void',
\ 'wp_prepare_attachment_for_js(': 'mixed $attachment | array',
\ 'wp_enqueue_media(': ' $args | void',
\ 'get_attached_media(': 'string $type, integer|\WP_Post $post | array',
\ 'get_media_embedded_in_content(': 'string $content, array $types | array',
\ 'get_post_galleries(': 'integer|\WP_Post $post, boolean $html | array',
\ 'get_post_gallery(': 'integer|\WP_Post $post, boolean $html | string|array',
\ 'get_post_galleries_images(': 'integer|\WP_Post $post | array',
\ 'get_post_gallery_images(': 'integer|\WP_Post $post | array',
\ 'wp_maybe_generate_attachment_metadata(': '\WP_Post $attachment | void',
\ 'attachment_url_to_postid(': 'string $url | integer',
\ 'wpview_media_sandbox_styles(': 'void | array',
\}

let g:phpcomplete_builtin['functions']['wp_formatting'] = {
\ 'wptexturize(': 'string $text, boolean $reset | string',
\ 'wpautop(': 'string $pee, boolean $br | string',
\ 'shortcode_unautop(': 'string $pee | string',
\ 'seems_utf8(': 'string $str | boolean',
\ 'wp_specialchars_decode(': 'string $string, mixed $quote_style | string',
\ 'wp_check_invalid_utf8(': 'string $string, boolean $strip | string',
\ 'utf8_uri_encode(': 'string $utf8_string, integer $length | string',
\ 'remove_accents(': 'string $string | string',
\ 'sanitize_file_name(': 'string $filename | string',
\ 'sanitize_user(': 'string $username, boolean $strict | string',
\ 'sanitize_key(': 'string $key | string',
\ 'sanitize_title(': 'string $title, string $fallback_title, string $context | string',
\ 'sanitize_title_for_query(': 'string $title | string',
\ 'sanitize_title_with_dashes(': 'string $title, string $raw_title, string $context | string',
\ 'sanitize_sql_orderby(': 'string $orderby | string|boolean',
\ 'sanitize_html_class(': 'string $class, string $fallback | string',
\ 'convert_chars(': 'string $content, string $deprecated | string',
\ 'balanceTags(': 'string $text, boolean $force | string',
\ 'format_to_edit(': 'string $content, boolean $richedit | string',
\ 'zeroise(': 'mixed $number, integer $threshold | string',
\ 'backslashit(': 'string $string | string',
\ 'trailingslashit(': 'string $string | string',
\ 'untrailingslashit(': 'string $string | string',
\ 'addslashes_gpc(': 'string $gpc | string',
\ 'stripslashes_deep(': 'mixed $value | mixed',
\ 'urlencode_deep(': 'array|string $value | array|string',
\ 'rawurlencode_deep(': 'array|string $value | array|string',
\ 'antispambot(': 'string $email_address, integer $hex_encoding | string',
\ 'make_clickable(': 'string $text | string',
\ 'wp_rel_nofollow(': 'string $text | string',
\ 'wp_rel_nofollow_callback(': 'array $matches | string',
\ 'translate_smiley(': 'array $matches | string',
\ 'convert_smilies(': 'string $text | string',
\ 'is_email(': 'string $email, boolean $deprecated | string|boolean',
\ 'wp_iso_descrambler(': 'string $string | string',
\ 'get_gmt_from_date(': 'string $string, string $format | string',
\ 'get_date_from_gmt(': 'string $string, string $format | string',
\ 'iso8601_timezone_to_offset(': 'string $timezone | integer|float',
\ 'iso8601_to_datetime(': 'string $date_string, string $timezone | string',
\ 'popuplinks(': 'string $text | string',
\ 'sanitize_email(': 'string $email | string',
\ 'human_time_diff(': 'integer $from, integer $to | string',
\ 'wp_trim_excerpt(': 'string $text | string',
\ 'wp_trim_words(': 'string $text, integer $num_words, string $more | string',
\ 'ent2ncr(': 'string $text | string',
\ 'wp_richedit_pre(': 'string $text | string',
\ 'wp_htmledit_pre(': 'string $output | string',
\ 'esc_sql(': 'string|array $data | string|array',
\ 'esc_url(': 'string $url, array $protocols, string $_context | string',
\ 'esc_url_raw(': 'string $url, array $protocols | string',
\ 'htmlentities2(': 'string $myHTML | string',
\ 'esc_js(': 'string $text | string',
\ 'esc_html(': 'string $text | string',
\ 'esc_attr(': 'string $text | string',
\ 'esc_textarea(': 'string $text | string',
\ 'tag_escape(': 'string $tag_name | string',
\ 'wp_make_link_relative(': 'string $link | string',
\ 'sanitize_option(': 'string $option, string $value | string',
\ 'wp_parse_str(': 'string $string, array $array | void',
\ 'wp_pre_kses_less_than(': 'string $text | string',
\ 'wp_pre_kses_less_than_callback(': 'array $matches | string',
\ 'wp_sprintf(': 'string $pattern | string',
\ 'wp_sprintf_l(': 'string $pattern, array $args | string',
\ 'wp_html_excerpt(': 'string $str, integer $count, string $more | string',
\ 'links_add_base_url(': 'string $content, string $base, array $attrs | string',
\ 'links_add_target(': 'string $content, string $target, array $tags | string',
\ 'normalize_whitespace(': 'string $str | string',
\ 'wp_strip_all_tags(': 'string $string, boolean $remove_breaks | string',
\ 'sanitize_text_field(': 'string $str | string',
\ 'wp_basename(': 'string $path, string $suffix | string',
\ 'capital_P_dangit(': ' $text | void',
\ 'sanitize_mime_type(': 'string $mime_type | string',
\ 'sanitize_trackback_urls(': 'string $to_ping | string',
\ 'wp_slash(': 'string|array $value | string|array',
\ 'wp_unslash(': 'string|array $value | string|array',
\ 'get_url_in_content(': 'string $content | string',
\ 'wp_spaces_regexp(': 'void | string',
\}

let g:phpcomplete_builtin['functions']['wp_admin_bar'] = {
\ 'wp_admin_bar_render(': 'void | void',
\ 'wp_admin_bar_wp_menu(': '\WP_Admin_Bar $wp_admin_bar | void',
\ 'wp_admin_bar_sidebar_toggle(': '\WP_Admin_Bar $wp_admin_bar | void',
\ 'wp_admin_bar_my_account_item(': '\WP_Admin_Bar $wp_admin_bar | void',
\ 'wp_admin_bar_my_account_menu(': '\WP_Admin_Bar $wp_admin_bar | void',
\ 'wp_admin_bar_site_menu(': '\WP_Admin_Bar $wp_admin_bar | void',
\ 'wp_admin_bar_my_sites_menu(': '\WP_Admin_Bar $wp_admin_bar | void',
\ 'wp_admin_bar_shortlink_menu(': '\WP_Admin_Bar $wp_admin_bar | void',
\ 'wp_admin_bar_edit_menu(': '\WP_Admin_Bar $wp_admin_bar | void',
\ 'wp_admin_bar_new_content_menu(': '\WP_Admin_Bar $wp_admin_bar | void',
\ 'wp_admin_bar_comments_menu(': '\WP_Admin_Bar $wp_admin_bar | void',
\ 'wp_admin_bar_appearance_menu(': '\WP_Admin_Bar $wp_admin_bar | void',
\ 'wp_admin_bar_updates_menu(': '\WP_Admin_Bar $wp_admin_bar | void',
\ 'wp_admin_bar_search_menu(': '\WP_Admin_Bar $wp_admin_bar | void',
\ 'wp_admin_bar_add_secondary_groups(': '\WP_Admin_Bar $wp_admin_bar | void',
\ 'wp_admin_bar_header(': 'void | void',
\ 'show_admin_bar(': 'boolean $show | void',
\ 'is_admin_bar_showing(': 'void | boolean',
\}

let g:phpcomplete_builtin['functions']['wp_post_template'] = {
\ 'the_ID(': 'void | void',
\ 'get_the_ID(': 'void | integer|boolean',
\ 'the_title(': 'string $before, string $after, boolean $echo | null|string',
\ 'the_title_attribute(': 'string|array $args | string|null',
\ 'get_the_title(': 'integer|\WP_Post $post | string',
\ 'the_guid(': 'integer|\WP_Post $id | void',
\ 'get_the_guid(': 'integer|\WP_Post $id | string',
\ 'the_content(': 'string $more_link_text, boolean $strip_teaser | void',
\ 'get_the_content(': 'string $more_link_text,  $strip_teaser | string',
\ 'the_excerpt(': 'void | void',
\ 'get_the_excerpt(': 'mixed $deprecated | string',
\ 'has_excerpt(': 'integer|\WP_Post $id | boolean',
\ 'post_class(': 'string|array $class, integer|\WP_Post $post_id | void',
\ 'get_post_class(': 'string|array $class, integer|\WP_Post $post_id | array',
\ 'body_class(': 'string|array $class | void',
\ 'get_body_class(': 'string|array $class | array',
\ 'post_password_required(': 'integer|\WP_Post $post | boolean',
\ 'wp_link_pages(': 'string|array $args | string',
\ 'post_custom(': 'string $key | boolean|string|array',
\ 'wp_dropdown_pages(': 'array|string $args | string',
\ 'wp_list_pages(': 'array|string $args | string',
\ 'wp_page_menu(': 'array|string $args | string',
\ 'walk_page_tree(': ' $pages,  $depth,  $current_page,  $r | void',
\ 'walk_page_dropdown_tree(': 'void | void',
\ 'the_attachment_link(': 'integer|\WP_Post $id, boolean $fullsize, boolean $deprecated, boolean $permalink | void',
\ 'wp_get_attachment_link(': 'integer|\WP_Post $id, string $size, boolean $permalink, boolean $icon, string|boolean $text | string',
\ 'prepend_attachment(': 'string $content | string',
\ 'get_the_password_form(': 'integer|\WP_Post $post | string',
\ 'is_page_template(': 'string $template | boolean',
\ 'get_page_template_slug(': 'integer $post_id | string|boolean',
\ 'wp_post_revision_title(': 'integer|object $revision, boolean $link | string',
\ 'wp_post_revision_title_expanded(': 'integer|object $revision, boolean $link | string',
\ 'wp_list_post_revisions(': 'integer|\WP_Post $post_id, string $type | null',
\}

let g:phpcomplete_builtin['functions']['wp_comment_template'] = {
\ 'get_comment_author(': 'integer $comment_ID | string',
\ 'comment_author(': 'integer $comment_ID | void',
\ 'get_comment_author_email(': 'integer $comment_ID | string',
\ 'comment_author_email(': 'integer $comment_ID | void',
\ 'comment_author_email_link(': 'string $linktext, string $before, string $after | void',
\ 'get_comment_author_email_link(': 'string $linktext, string $before, string $after | void',
\ 'get_comment_author_link(': 'integer $comment_ID | string',
\ 'comment_author_link(': 'integer $comment_ID | void',
\ 'get_comment_author_IP(': 'integer $comment_ID | string',
\ 'comment_author_IP(': 'integer $comment_ID | void',
\ 'get_comment_author_url(': 'integer $comment_ID | string',
\ 'comment_author_url(': 'integer $comment_ID | void',
\ 'get_comment_author_url_link(': 'string $linktext, string $before, string $after | string',
\ 'comment_author_url_link(': 'string $linktext, string $before, string $after | void',
\ 'comment_class(': 'string|array $class, integer $comment_id, integer|\WP_Post $post_id, boolean $echo | void',
\ 'get_comment_class(': 'string|array $class, integer $comment_id, integer|\WP_Post $post_id | array',
\ 'get_comment_date(': 'string $d, integer $comment_ID | string',
\ 'comment_date(': 'string $d, integer $comment_ID | void',
\ 'get_comment_excerpt(': 'integer $comment_ID | string',
\ 'comment_excerpt(': 'integer $comment_ID | void',
\ 'get_comment_ID(': 'void | integer',
\ 'comment_ID(': 'void | void',
\ 'get_comment_link(': 'mixed $comment, array $args | string',
\ 'get_comments_link(': 'integer|\WP_Post $post_id | string',
\ 'comments_link(': 'string $deprecated, boolean $deprecated_2 | void',
\ 'get_comments_number(': 'integer|\WP_Post $post_id | integer',
\ 'comments_number(': 'string $zero, string $one, string $more, string $deprecated | void',
\ 'get_comments_number_text(': 'string $zero, string $one, string $more | void',
\ 'get_comment_text(': 'integer $comment_ID, array $args | string',
\ 'comment_text(': 'integer $comment_ID, array $args | void',
\ 'get_comment_time(': 'string $d, boolean $gmt, boolean $translate | string',
\ 'comment_time(': 'string $d | void',
\ 'get_comment_type(': 'integer $comment_ID | string',
\ 'comment_type(': 'string $commenttxt, string $trackbacktxt, string $pingbacktxt | void',
\ 'get_trackback_url(': 'void | string',
\ 'trackback_url(': 'boolean $deprecated_echo | void|string',
\ 'trackback_rdf(': 'integer $deprecated | void',
\ 'comments_open(': 'integer|\WP_Post $post_id | boolean',
\ 'pings_open(': 'integer|\WP_Post $post_id | boolean',
\ 'wp_comment_form_unfiltered_html_nonce(': 'void | void',
\ 'comments_template(': 'string $file, boolean $separate_comments | null',
\ 'comments_popup_script(': 'integer $width, integer $height, string $file | void',
\ 'comments_popup_link(': 'string $zero, string $one, string $more, string $css_class, string $none | null',
\ 'get_comment_reply_link(': 'array $args, integer $comment, integer|\WP_Post $post | mixed',
\ 'comment_reply_link(': 'array $args, integer $comment, integer|\WP_Post $post | mixed',
\ 'get_post_reply_link(': 'array $args, integer|\WP_Post $post | string|boolean|null',
\ 'post_reply_link(': 'array $args, integer|\WP_Post $post | string|boolean|null',
\ 'get_cancel_comment_reply_link(': 'string $text | void',
\ 'cancel_comment_reply_link(': 'string $text | void',
\ 'get_comment_id_fields(': 'integer $id | string',
\ 'comment_id_fields(': 'integer $id | void',
\ 'comment_form_title(': 'string $noreplytext, string $replytext, string $linktoparent | void',
\ 'wp_list_comments(': 'string|array $args, array $comments | void',
\ 'comment_form(': 'array $args, integer|\WP_Post $post_id | void',
\}

let g:phpcomplete_builtin['functions']['wp_general_template'] = {
\ 'get_header(': 'string $name | void',
\ 'get_footer(': 'string $name | void',
\ 'get_sidebar(': 'string $name | void',
\ 'get_template_part(': 'string $slug, string $name | void',
\ 'get_search_form(': 'boolean $echo | string|null',
\ 'wp_loginout(': 'string $redirect, boolean $echo | string|null',
\ 'wp_logout_url(': 'string $redirect | string',
\ 'wp_login_url(': 'string $redirect, boolean $force_reauth | string',
\ 'wp_registration_url(': 'void | string',
\ 'wp_login_form(': 'array $args | string|null',
\ 'wp_lostpassword_url(': 'string $redirect | string',
\ 'wp_register(': 'string $before, string $after, boolean $echo | string|null',
\ 'wp_meta(': 'void | void',
\ 'bloginfo(': 'string $show | void',
\ 'get_bloginfo(': 'string $show, string $filter | string',
\ 'wp_title(': 'string $sep, boolean $display, string $seplocation | string|null',
\ 'single_post_title(': 'string $prefix, boolean $display | string|null',
\ 'post_type_archive_title(': 'string $prefix, boolean $display | string|null',
\ 'single_cat_title(': 'string $prefix, boolean $display | string|null',
\ 'single_tag_title(': 'string $prefix, boolean $display | string|null',
\ 'single_term_title(': 'string $prefix, boolean $display | string|null',
\ 'single_month_title(': 'string $prefix, boolean $display | string|null',
\ 'get_archives_link(': 'string $url, string $text, string $format, string $before, string $after | string',
\ 'wp_get_archives(': 'string|array $args | string|null',
\ 'calendar_week_mod(': 'integer $num | integer',
\ 'get_calendar(': 'boolean $initial, boolean $echo | string|null',
\ 'delete_get_calendar_cache(': 'void | void',
\ 'allowed_tags(': 'void | string',
\ 'the_date_xml(': 'void | void',
\ 'the_date(': 'string $d, string $before, string $after, boolean $echo | string|null',
\ 'get_the_date(': 'string $d, integer|\WP_Post $post | string|boolean',
\ 'the_modified_date(': 'string $d, string $before, string $after, boolean $echo | string|null',
\ 'get_the_modified_date(': 'string $d | string',
\ 'the_time(': 'string $d | void',
\ 'get_the_time(': 'string $d, integer|\WP_Post $post | string|integer|boolean',
\ 'get_post_time(': 'string $d, boolean $gmt, integer|\WP_Post $post, boolean $translate | string|integer|boolean',
\ 'the_modified_time(': 'string $d | void',
\ 'get_the_modified_time(': 'string $d | string',
\ 'get_post_modified_time(': 'string $d, boolean $gmt, integer|\WP_Post $post, boolean $translate | string|integer|boolean',
\ 'the_weekday(': 'void | void',
\ 'the_weekday_date(': 'string $before, string $after | void',
\ 'wp_head(': 'void | void',
\ 'wp_footer(': 'void | void',
\ 'feed_links(': 'array $args | void',
\ 'feed_links_extra(': 'array $args | void',
\ 'rsd_link(': 'void | void',
\ 'wlwmanifest_link(': 'void | void',
\ 'noindex(': 'void | void',
\ 'wp_no_robots(': 'void | void',
\ 'user_can_richedit(': 'void | boolean',
\ 'wp_default_editor(': 'void | string',
\ 'wp_editor(': 'string $content, string $editor_id, array $settings | void',
\ 'get_search_query(': 'boolean $escaped | string',
\ 'the_search_query(': 'void | void',
\ 'language_attributes(': 'string $doctype | void',
\ 'paginate_links(': 'string|array $args | array|string',
\ 'wp_admin_css_color(': 'string $key, string $name, string $url, array $colors, array $icons | void',
\ 'register_admin_color_schemes(': 'void | void',
\ 'wp_admin_css_uri(': 'string $file | void',
\ 'wp_admin_css(': 'string $file, boolean $force_echo | void',
\ 'add_thickbox(': 'void | void',
\ 'wp_generator(': 'void | void',
\ 'the_generator(': 'string $type | void',
\ 'get_the_generator(': 'string $type | string',
\ 'checked(': 'mixed $checked, mixed $current, boolean $echo | string',
\ 'selected(': 'mixed $selected, mixed $current, boolean $echo | string',
\ 'disabled(': 'mixed $disabled, mixed $current, boolean $echo | string',
\ 'wp_heartbeat_settings(': 'array $settings | array',
\}

let g:phpcomplete_builtin['functions']['wp_template'] = {
\ 'get_query_template(': 'string $type, array $templates | string',
\ 'get_index_template(': 'void | string',
\ 'get_404_template(': 'void | string',
\ 'get_archive_template(': 'void | string',
\ 'get_post_type_archive_template(': 'void | string',
\ 'get_author_template(': 'void | string',
\ 'get_category_template(': 'void | string',
\ 'get_tag_template(': 'void | string',
\ 'get_taxonomy_template(': 'void | string',
\ 'get_date_template(': 'void | string',
\ 'get_home_template(': 'void | string',
\ 'get_front_page_template(': 'void | string',
\ 'get_page_template(': 'void | string',
\ 'get_paged_template(': 'void | string',
\ 'get_search_template(': 'void | string',
\ 'get_single_template(': 'void | string',
\ 'get_attachment_template(': 'void | string',
\ 'get_comments_popup_template(': 'void | string',
\ 'locate_template(': 'string|array $template_names, boolean $load, boolean $require_once | string',
\ 'load_template(': 'string $_template_file, boolean $require_once | void',
\}

let g:phpcomplete_builtin['functions']['wp_comment'] = {
\ 'check_comment(': 'string $author, string $email, string $url, string $comment, string $user_ip, string $user_agent, string $comment_type | boolean',
\ 'get_approved_comments(': 'integer $post_id | array',
\ 'get_comment(': 'object|string|integer $comment, string $output | object|array|null',
\ 'get_comments(': 'mixed $args | array',
\ 'get_comment_statuses(': 'void | array',
\ 'get_lastcommentmodified(': 'string $timezone | string',
\ 'get_comment_count(': 'integer $post_id | array',
\ 'add_comment_meta(': 'integer $comment_id, string $meta_key, mixed $meta_value, boolean $unique | integer|boolean',
\ 'delete_comment_meta(': 'integer $comment_id, string $meta_key, mixed $meta_value | boolean',
\ 'get_comment_meta(': 'integer $comment_id, string $key, boolean $single | mixed',
\ 'update_comment_meta(': 'integer $comment_id, string $meta_key, mixed $meta_value, mixed $prev_value | integer|boolean',
\ 'wp_set_comment_cookies(': 'object $comment, object $user | void',
\ 'sanitize_comment_cookies(': 'void | void',
\ 'wp_allow_comment(': 'array $commentdata | mixed',
\ 'check_comment_flood_db(': 'string $ip, string $email, string $date | void',
\ 'separate_comments(': 'array $comments | array',
\ 'get_comment_pages_count(': 'array $comments, integer $per_page, boolean $threaded | integer',
\ 'get_page_of_comment(': 'integer $comment_ID, array $args | integer|null',
\ 'wp_blacklist_check(': 'string $author, string $email, string $url, string $comment, string $user_ip, string $user_agent | boolean',
\ 'wp_count_comments(': 'integer $post_id | object',
\ 'wp_delete_comment(': 'integer $comment_id, boolean $force_delete | boolean',
\ 'wp_trash_comment(': 'integer $comment_id | boolean',
\ 'wp_untrash_comment(': 'integer $comment_id | boolean',
\ 'wp_spam_comment(': 'integer $comment_id | boolean',
\ 'wp_unspam_comment(': 'integer $comment_id | boolean',
\ 'wp_get_comment_status(': 'integer $comment_id | string|boolean',
\ 'wp_transition_comment_status(': 'string $new_status, string $old_status, object $comment | void',
\ 'wp_get_current_commenter(': 'void | array',
\ 'wp_insert_comment(': 'array $commentdata | integer|boolean',
\ 'wp_filter_comment(': 'array $commentdata | array',
\ 'wp_throttle_comment_flood(': 'boolean $block, integer $time_lastcomment, integer $time_newcomment | boolean',
\ 'wp_new_comment(': 'array $commentdata | integer|boolean',
\ 'wp_set_comment_status(': 'integer $comment_id, string $comment_status, boolean $wp_error | boolean|\WP_Error',
\ 'wp_update_comment(': 'array $commentarr | integer',
\ 'wp_defer_comment_counting(': 'boolean $defer | \unknown',
\ 'wp_update_comment_count(': 'integer $post_id, boolean $do_deferred | boolean',
\ 'wp_update_comment_count_now(': 'integer $post_id | boolean',
\ 'discover_pingback_server_uri(': 'string $url, integer $deprecated | boolean|string',
\ 'do_all_pings(': 'void | void',
\ 'do_trackbacks(': 'integer $post_id | void',
\ 'generic_ping(': 'integer $post_id | integer',
\ 'pingback(': 'string $content, integer $post_ID | void',
\ 'privacy_ping_filter(': 'mixed $sites | mixed',
\ 'trackback(': 'string $trackback_url, string $title, string $excerpt, integer $ID | mixed',
\ 'weblog_ping(': 'string $server, string $path | void',
\ 'pingback_ping_source_uri(': 'string $source_uri | string',
\ 'xmlrpc_pingback_error(': '\IXR_Error $ixr_error | \IXR_Error',
\ 'clean_comment_cache(': 'integer|array $ids | void',
\ 'update_comment_cache(': 'array $comments | void',
\}

let g:phpcomplete_builtin['functions']['wp_media_template'] = {
\ 'wp_underscore_audio_template(': 'void | void',
\ 'wp_underscore_video_template(': 'void | void',
\ 'wp_print_media_templates(': 'void | void',
\}

let g:phpcomplete_builtin['functions']['wp_post'] = {
\ 'create_initial_post_types(': 'void | void',
\ 'get_attached_file(': 'integer $attachment_id, boolean $unfiltered | string|boolean',
\ 'update_attached_file(': 'integer $attachment_id, string $file | boolean',
\ 'get_extended(': 'string $post | array',
\ 'get_post(': 'integer|\WP_Post $post, string $output, string $filter | \WP_Post|null',
\ 'get_post_ancestors(': 'integer|\WP_Post $post | array',
\ 'get_post_field(': 'string $field, integer|\WP_Post $post, string $context | string',
\ 'get_post_mime_type(': 'integer|\WP_Post $ID | string|boolean',
\ 'get_post_status(': 'integer|\WP_Post $ID | string|boolean',
\ 'get_post_statuses(': 'void | array',
\ 'get_page_statuses(': 'void | array',
\ 'register_post_status(': 'string $post_status, array|string $args | void',
\ 'get_post_status_object(': 'string $post_status | object',
\ 'get_post_stati(': 'array|string $args, string $output, string $operator | array',
\ 'is_post_type_hierarchical(': 'string $post_type | boolean',
\ 'post_type_exists(': 'string $post_type | boolean',
\ 'get_post_type(': 'integer|\WP_Post $post | string|boolean',
\ 'get_post_type_object(': 'string $post_type | object',
\ 'get_post_types(': 'array|string $args, string $output, string $operator | array',
\ 'register_post_type(': 'string $post_type, array|string $args | object|\WP_Error',
\ 'get_post_type_capabilities(': 'object $args | object',
\ 'get_post_type_labels(': 'object $post_type_object | object',
\ 'add_post_type_support(': 'string $post_type, string|array $feature | void',
\ 'remove_post_type_support(': 'string $post_type, string $feature | void',
\ 'get_all_post_type_supports(': 'string $post_type | array',
\ 'post_type_supports(': 'string $post_type, string $feature | boolean',
\ 'set_post_type(': 'integer $post_id, string $post_type | integer',
\ 'get_posts(': 'array $args | array',
\ 'add_post_meta(': 'integer $post_id, string $meta_key, mixed $meta_value, boolean $unique | integer|boolean',
\ 'delete_post_meta(': 'integer $post_id, string $meta_key, mixed $meta_value | boolean',
\ 'get_post_meta(': 'integer $post_id, string $key, boolean $single | mixed',
\ 'update_post_meta(': 'integer $post_id, string $meta_key, mixed $meta_value, mixed $prev_value | integer|boolean',
\ 'delete_post_meta_by_key(': 'string $post_meta_key | boolean',
\ 'get_post_custom(': 'integer $post_id | array',
\ 'get_post_custom_keys(': 'integer $post_id | array|null',
\ 'get_post_custom_values(': 'string $key, integer $post_id | array',
\ 'is_sticky(': 'integer $post_id | boolean',
\ 'sanitize_post(': 'object|\WP_Post|array $post, string $context | object|\WP_Post|array',
\ 'sanitize_post_field(': 'string $field, mixed $value, integer $post_id, string $context | mixed',
\ 'stick_post(': 'integer $post_id | void',
\ 'unstick_post(': 'integer $post_id | void',
\ 'wp_count_posts(': 'string $type, string $perm | object',
\ 'wp_count_attachments(': 'string|array $mime_type | object',
\ 'get_post_mime_types(': 'void | array',
\ 'wp_match_mime_types(': 'string|array $wildcard_mime_types, string|array $real_mime_types | array',
\ 'wp_post_mime_type_where(': 'string|array $post_mime_types, string $table_alias | string',
\ 'wp_delete_post(': 'integer $postid, boolean $force_delete | array|boolean|\WP_Post',
\ 'wp_trash_post(': 'integer $post_id | boolean|array',
\ 'wp_untrash_post(': 'integer $post_id | \WP_Post|boolean',
\ 'wp_trash_post_comments(': 'integer|\WP_Post $post | mixed',
\ 'wp_untrash_post_comments(': 'integer|\WP_Post $post | mixed',
\ 'wp_get_post_categories(': 'integer $post_id, array $args | array',
\ 'wp_get_post_tags(': 'integer $post_id, array $args | array',
\ 'wp_get_post_terms(': 'integer $post_id, string $taxonomy, array $args | array',
\ 'wp_get_recent_posts(': 'array $args, string $output | array|boolean',
\ 'wp_insert_post(': 'array $postarr, boolean $wp_error | integer|\WP_Error',
\ 'wp_update_post(': 'array|object $postarr, boolean $wp_error | integer|\WP_Error',
\ 'wp_publish_post(': 'integer|\WP_Post $post | void',
\ 'check_and_publish_future_post(': 'integer|\WP_Post $post_id | null',
\ 'wp_unique_post_slug(': 'string $slug, integer $post_ID, string $post_status, string $post_type, integer $post_parent | string',
\ 'wp_add_post_tags(': 'integer $post_id, string $tags | boolean|null',
\ 'wp_set_post_tags(': 'integer $post_id, string $tags, boolean $append | mixed',
\ 'wp_set_post_terms(': 'integer $post_id, string $tags, string $taxonomy, boolean $append | mixed',
\ 'wp_set_post_categories(': 'integer $post_ID, array|integer $post_categories, boolean $append | boolean|mixed',
\ 'wp_transition_post_status(': 'string $new_status, string $old_status, object $post | void',
\ 'add_ping(': 'integer $post_id, string $uri | integer',
\ 'get_enclosed(': 'integer $post_id | array',
\ 'get_pung(': 'integer $post_id | array',
\ 'get_to_ping(': 'integer $post_id | array',
\ 'trackback_url_list(': 'string $tb_list, integer $post_id | void',
\ 'get_all_page_ids(': 'void | array',
\ 'get_page_by_path(': 'string $page_path, string $output, string|array $post_type | \WP_Post|null',
\ 'get_page_by_title(': 'string $page_title, string $output, string|array $post_type | \WP_Post|null',
\ 'get_page_children(': 'integer $page_id, array $pages | array',
\ 'get_page_hierarchy(': 'array $pages, integer $page_id | array',
\ 'get_page_uri(': '\WP_Post|object|integer $page | string|false',
\ 'get_pages(': 'mixed $args | array',
\ 'is_local_attachment(': 'string $url | boolean',
\ 'wp_insert_attachment(': 'string|array $args, string $file, integer $parent | integer',
\ 'wp_delete_attachment(': 'integer $post_id, boolean $force_delete | mixed',
\ 'wp_get_attachment_metadata(': 'integer $post_id, boolean $unfiltered | string|boolean',
\ 'wp_update_attachment_metadata(': 'integer $post_id, array $data | integer|boolean',
\ 'wp_get_attachment_url(': 'integer $post_id | string|boolean',
\ 'wp_get_attachment_thumb_file(': 'integer $post_id | mixed',
\ 'wp_get_attachment_thumb_url(': 'integer $post_id | string|boolean',
\ 'wp_attachment_is_image(': 'integer $post_id | boolean',
\ 'wp_mime_type_icon(': 'string|integer $mime | string|boolean',
\ 'wp_check_for_changed_slugs(': 'integer $post_id, \WP_Post $post, \WP_Post $post_before | integer',
\ 'get_private_posts_cap_sql(': 'string $post_type | string',
\ 'get_posts_by_author_sql(': 'string $post_type, boolean $full, integer $post_author, boolean $public_only | string',
\ 'get_lastpostdate(': 'string $timezone | string',
\ 'get_lastpostmodified(': 'string $timezone | string',
\ 'update_post_cache(': 'array $posts | void',
\ 'clean_post_cache(': 'integer|\WP_Post $post | void',
\ 'update_post_caches(': 'array $posts, string $post_type, boolean $update_term_cache, boolean $update_meta_cache | void',
\ 'update_postmeta_cache(': 'array $post_ids | boolean|array',
\ 'clean_attachment_cache(': 'integer $id, boolean $clean_terms | void',
\ 'wp_get_post_parent_id(': ' $post_ID | integer|boolean',
\ 'wp_check_post_hierarchy_for_loops(': 'integer $post_parent, integer $post_ID | integer',
\ 'set_post_thumbnail(': 'integer|\WP_Post $post, integer $thumbnail_id | boolean',
\ 'delete_post_thumbnail(': 'integer|\WP_Post $post | boolean',
\ 'wp_delete_auto_drafts(': 'void | void',
\}

let g:phpcomplete_builtin['functions']['wp_author_template'] = {
\ 'get_the_author(': 'string $deprecated | string',
\ 'the_author(': 'string $deprecated, string $deprecated_echo | string',
\ 'get_the_modified_author(': 'void | string',
\ 'the_modified_author(': 'void | string',
\ 'get_the_author_meta(': 'string $field, integer $user_id | string',
\ 'the_author_meta(': 'string $field, integer $user_id | void',
\ 'get_the_author_link(': 'void | void',
\ 'the_author_link(': 'void | void',
\ 'get_the_author_posts(': 'void | integer',
\ 'the_author_posts(': 'void | void',
\ 'the_author_posts_link(': 'string $deprecated | void',
\ 'get_author_posts_url(': ' $author_id,  $author_nicename | string',
\ 'wp_list_authors(': 'string|array $args | null|string',
\ 'is_multi_author(': 'void | boolean',
\}

let g:phpcomplete_builtin['functions']['wp_category'] = {
\ 'get_categories(': 'string|array $args | array',
\ 'get_category(': 'integer|object $category, string $output, string $filter | object|array|\WP_Error|null',
\ 'get_category_by_path(': 'string $category_path, boolean $full_match, string $output | null|object|array',
\ 'get_category_by_slug(': 'string $slug | object',
\ 'get_cat_ID(': 'string $cat_name | integer',
\ 'get_cat_name(': 'integer $cat_id | string',
\ 'cat_is_ancestor_of(': 'integer|object $cat1, integer|object $cat2 | boolean',
\ 'sanitize_category(': 'object|array $category, string $context | object|array',
\ 'sanitize_category_field(': 'string $field, mixed $value, integer $cat_id, string $context | mixed',
\ 'get_tags(': 'string|array $args | array',
\ 'get_tag(': 'integer|object $tag, string $output, string $filter | object|array|\WP_Error|null',
\ 'clean_category_cache(': 'integer $id | void',
\}

let g:phpcomplete_builtin['functions']['wp_l10n'] = {
\ 'get_locale(': 'void | string',
\ 'translate(': 'string $text, string $domain | string',
\ 'before_last_bar(': 'string $string | string',
\ 'translate_with_gettext_context(': 'string $text, string $context, string $domain | string',
\ 'esc_attr__(': 'string $text, string $domain | string',
\ 'esc_html__(': 'string $text, string $domain | string',
\ 'esc_attr_e(': 'string $text, string $domain | void',
\ 'esc_html_e(': 'string $text, string $domain | void',
\ 'esc_attr_x(': 'string $text, string $context, string $domain | string',
\ 'esc_html_x(': 'string $text, string $context, string $domain | string',
\ 'translate_nooped_plural(': 'array $nooped_plural, integer $count, string $domain | string',
\ 'load_textdomain(': 'string $domain, string $mofile | boolean',
\ 'unload_textdomain(': 'string $domain | boolean',
\ 'load_default_textdomain(': 'string $locale | void',
\ 'load_plugin_textdomain(': 'string $domain, string $deprecated, string $plugin_rel_path | boolean',
\ 'load_muplugin_textdomain(': 'string $domain, string $mu_plugin_rel_path | boolean',
\ 'load_theme_textdomain(': 'string $domain, string $path | boolean',
\ 'load_child_theme_textdomain(': 'string $domain, string $path | boolean',
\ 'get_translations_for_domain(': 'string $domain | \Translations',
\ 'is_textdomain_loaded(': 'string $domain | boolean',
\ 'translate_user_role(': 'string $name | string',
\ 'get_available_languages(': 'string $dir | array',
\ 'wp_get_installed_translations(': 'string $type | array',
\ 'wp_get_pomo_file_data(': 'string $po_file | array',
\ 'wp_dropdown_languages(': 'array $args | void',
\}

let g:phpcomplete_builtin['functions']['wp_link_template'] = {
\ 'the_permalink(': 'void | void',
\ 'user_trailingslashit(': 'string $string, string $type_of_url | string',
\ 'permalink_anchor(': 'string $mode | void',
\ 'get_the_permalink(': 'integer|\WP_Post $id, boolean $leavename | string|boolean',
\ 'get_permalink(': 'integer|\WP_Post $id, boolean $leavename | string|boolean',
\ 'get_post_permalink(': 'integer $id, boolean $leavename, boolean $sample | string',
\ 'post_permalink(': 'integer|\WP_Post $post_id, mixed $deprecated | string',
\ 'get_page_link(': 'integer|object $post, boolean $leavename, boolean $sample | string',
\ 'get_attachment_link(': 'integer|object $post, boolean $leavename | string',
\ 'get_year_link(': 'integer|boolean $year | string',
\ 'get_month_link(': 'boolean|integer $year, boolean|integer $month | string',
\ 'get_day_link(': 'boolean|integer $year, boolean|integer $month, boolean|integer $day | string',
\ 'the_feed_link(': 'string $anchor, string $feed | void',
\ 'get_feed_link(': 'string $feed | string',
\ 'get_post_comments_feed_link(': 'integer $post_id, string $feed | string',
\ 'post_comments_feed_link(': 'string $link_text, integer $post_id, string $feed | string',
\ 'get_author_feed_link(': 'integer $author_id, string $feed | string',
\ 'get_category_feed_link(': 'integer $cat_id, string $feed | string',
\ 'get_term_feed_link(': 'integer $term_id, string $taxonomy, string $feed | string',
\ 'get_tag_feed_link(': 'integer $tag_id, string $feed | string',
\ 'get_edit_tag_link(': 'integer $tag_id, string $taxonomy | string',
\ 'edit_tag_link(': 'string $link, string $before, string $after, object $tag | string',
\ 'get_edit_term_link(': 'integer $term_id, string $taxonomy, string $object_type | string',
\ 'edit_term_link(': 'string $link, string $before, string $after, object $term,  $echo | string',
\ 'get_search_link(': 'string $query | string',
\ 'get_search_feed_link(': 'string $search_query, string $feed | string',
\ 'get_search_comments_feed_link(': 'string $search_query, string $feed | string',
\ 'get_post_type_archive_link(': 'string $post_type | string',
\ 'get_post_type_archive_feed_link(': 'string $post_type, string $feed | string',
\ 'get_edit_post_link(': 'integer $id, string $context | string',
\ 'edit_post_link(': 'string $text, string $before, string $after, integer $id | void',
\ 'get_delete_post_link(': 'integer $id, string $deprecated, boolean $force_delete | string',
\ 'get_edit_comment_link(': 'integer $comment_id | string',
\ 'edit_comment_link(': 'string $text, string $before, string $after | void',
\ 'get_edit_bookmark_link(': 'integer $link | string',
\ 'edit_bookmark_link(': 'string $link, string $before, string $after, integer $bookmark | void',
\ 'get_edit_user_link(': 'integer $user_id | string',
\ 'get_previous_post(': 'boolean $in_same_term, array|string $excluded_terms, string $taxonomy | mixed',
\ 'get_next_post(': 'boolean $in_same_term, array|string $excluded_terms, string $taxonomy | mixed',
\ 'get_adjacent_post(': 'boolean $in_same_term, array|string $excluded_terms, boolean $previous, string $taxonomy | mixed',
\ 'get_adjacent_post_rel_link(': 'string $title, boolean $in_same_term, array|string $excluded_terms, boolean $previous, string $taxonomy | string',
\ 'adjacent_posts_rel_link(': 'string $title, boolean $in_same_term, array|string $excluded_terms, string $taxonomy | void',
\ 'adjacent_posts_rel_link_wp_head(': 'void | void',
\ 'next_post_rel_link(': 'string $title, boolean $in_same_term, array|string $excluded_terms, string $taxonomy | void',
\ 'prev_post_rel_link(': 'string $title, boolean $in_same_term, array|string $excluded_terms, string $taxonomy | void',
\ 'get_boundary_post(': 'boolean $in_same_term, array|string $excluded_terms, boolean $start, string $taxonomy | mixed',
\ 'get_previous_post_link(': ' $format,  $link,  $in_same_term,  $excluded_terms,  $taxonomy | void',
\ 'previous_post_link(': 'string $format, string $link, boolean $in_same_term, array|string $excluded_terms, string $taxonomy | void',
\ 'get_next_post_link(': 'string $format, string $link, boolean $in_same_term, array|string $excluded_terms, string $taxonomy | string',
\ 'next_post_link(': 'string $format, string $link, boolean $in_same_term, array|string $excluded_terms, string $taxonomy | void',
\ 'get_adjacent_post_link(': 'string $format, string $link, boolean $in_same_term, array|string $excluded_terms, boolean $previous, string $taxonomy | string',
\ 'adjacent_post_link(': 'string $format, string $link, boolean $in_same_term, array|string $excluded_terms, boolean $previous, string $taxonomy | string',
\ 'get_pagenum_link(': 'integer $pagenum, boolean $escape | string',
\ 'get_next_posts_page_link(': 'integer $max_page | string',
\ 'next_posts(': 'integer $max_page, boolean $echo | void',
\ 'get_next_posts_link(': 'string $label, integer $max_page | string|null',
\ 'next_posts_link(': 'string $label, integer $max_page | void',
\ 'get_previous_posts_page_link(': 'void | string|null',
\ 'previous_posts(': 'boolean $echo | void',
\ 'get_previous_posts_link(': 'string $label | string|null',
\ 'previous_posts_link(': 'string $label | void',
\ 'get_posts_nav_link(': 'string|array $args | string',
\ 'posts_nav_link(': 'string $sep, string $prelabel, string $nxtlabel | void',
\ 'get_comments_pagenum_link(': 'integer $pagenum,  $max_page | string',
\ 'get_next_comments_link(': 'string $label, integer $max_page | string|null',
\ 'next_comments_link(': 'string $label, integer $max_page | void',
\ 'get_previous_comments_link(': 'string $label | string|null',
\ 'previous_comments_link(': 'string $label | void',
\ 'paginate_comments_links(': 'string|array $args | string',
\ 'get_shortcut_link(': 'void | string',
\ 'home_url(': 'string $path, string $scheme | string',
\ 'get_home_url(': 'integer $blog_id, string $path, string $scheme | string',
\ 'site_url(': 'string $path, string $scheme | string',
\ 'get_site_url(': 'integer $blog_id, string $path, string $scheme | string',
\ 'admin_url(': 'string $path, string $scheme | string',
\ 'get_admin_url(': 'integer $blog_id, string $path, string $scheme | string',
\ 'includes_url(': 'string $path, string $scheme | string',
\ 'content_url(': 'string $path | string',
\ 'plugins_url(': 'string $path, string $plugin | string',
\ 'network_site_url(': 'string $path, string $scheme | string',
\ 'network_home_url(': 'string $path, string $scheme | string',
\ 'network_admin_url(': 'string $path, string $scheme | string',
\ 'user_admin_url(': 'string $path, string $scheme | string',
\ 'self_admin_url(': 'string $path, string $scheme | string',
\ 'set_url_scheme(': 'string $url, string $scheme | string',
\ 'get_dashboard_url(': 'integer $user_id, string $path, string $scheme | string',
\ 'get_edit_profile_url(': 'integer $user_id, string $scheme | string',
\ 'rel_canonical(': 'void | void',
\ 'wp_get_shortlink(': 'integer $id, string $context, boolean $allow_slugs | string',
\ 'wp_shortlink_wp_head(': 'void | void',
\ 'wp_shortlink_header(': 'void | void',
\ 'the_shortlink(': 'string $text, string $title, string $before, string $after | void',
\}

let g:phpcomplete_builtin['functions']['wp_pluggable'] = {
\ 'wp_set_current_user(': 'integer $id, string $name | \WP_User',
\ 'wp_get_current_user(': 'void | \WP_User',
\ 'get_currentuserinfo(': 'void | boolean|null',
\ 'get_userdata(': 'integer $user_id | \WP_User|boolean',
\ 'get_user_by(': 'string $field, integer|string $value | \WP_User|boolean',
\ 'cache_users(': 'array $user_ids | void',
\ 'wp_mail(': 'string|array $to, string $subject, string $message, string|array $headers, string|array $attachments | boolean',
\ 'wp_authenticate(': 'string $username, string $password | \WP_User|\WP_Error',
\ 'wp_logout(': 'void | void',
\ 'wp_validate_auth_cookie(': 'string $cookie, string $scheme | boolean|integer',
\ 'wp_generate_auth_cookie(': 'integer $user_id, integer $expiration, string $scheme, string $token | string',
\ 'wp_parse_auth_cookie(': 'string $cookie, string $scheme | array',
\ 'wp_set_auth_cookie(': 'integer $user_id, boolean $remember, mixed $secure | void',
\ 'wp_clear_auth_cookie(': 'void | void',
\ 'is_user_logged_in(': 'void | boolean',
\ 'auth_redirect(': 'void | void',
\ 'check_admin_referer(': 'string $action, string $query_arg | void',
\ 'check_ajax_referer(': 'string $action, string $query_arg,  $die | void',
\ 'wp_redirect(': 'string $location, integer $status | boolean',
\ 'wp_sanitize_redirect(': ' $location | string',
\ 'wp_safe_redirect(': ' $location,  $status | void',
\ 'wp_validate_redirect(': 'string $location, string $default | string',
\ 'wp_notify_postauthor(': 'integer $comment_id, string $deprecated | boolean',
\ 'wp_notify_moderator(': 'integer $comment_id | boolean',
\ 'wp_password_change_notification(': 'object $user | void',
\ 'wp_new_user_notification(': 'integer $user_id, string $plaintext_pass | void',
\ 'wp_nonce_tick(': 'void | integer',
\ 'wp_verify_nonce(': 'string $nonce, string|integer $action | boolean',
\ 'wp_create_nonce(': 'string $action | string',
\ 'wp_salt(': 'string $scheme | string',
\ 'wp_hash(': 'string $data,  $scheme | string',
\ 'wp_hash_password(': 'string $password | string',
\ 'wp_check_password(': 'string $password, string $hash,  $user_id | boolean',
\ 'wp_generate_password(': 'integer $length, boolean $special_chars, boolean $extra_special_chars | string',
\ 'wp_rand(': 'integer $min, integer $max | integer',
\ 'wp_set_password(': 'string $password, integer $user_id | void',
\ 'get_avatar(': 'integer|string|object $id_or_email, integer $size, string $default, string $alt | string',
\ 'wp_text_diff(': 'string $left_string, string $right_string, string|array $args | string',
\}

let g:phpcomplete_builtin['functions']['wp_capabilities'] = {
\ 'map_meta_cap(': 'string $cap, integer $user_id | array',
\ 'current_user_can(': 'string $capability | boolean',
\ 'current_user_can_for_blog(': 'integer $blog_id, string $capability | boolean',
\ 'author_can(': 'integer|object $post, string $capability | boolean',
\ 'user_can(': 'integer|object $user, string $capability | boolean',
\ 'get_role(': 'string $role | \WP_Role|null',
\ 'add_role(': 'string $role, string $display_name, array $capabilities | \WP_Role|null',
\ 'remove_role(': 'string $role | void',
\ 'get_super_admins(': 'void | array',
\ 'is_super_admin(': 'integer $user_id | boolean',
\}

let g:phpcomplete_builtin['functions']['wp_option'] = {
\ 'get_option(': 'string $option, mixed $default | mixed',
\ 'wp_protect_special_option(': 'string $option | void',
\ 'form_option(': 'string $option | void',
\ 'wp_load_alloptions(': 'void | array',
\ 'wp_load_core_site_options(': 'integer $site_id | void',
\ 'update_option(': 'string $option, mixed $value | boolean',
\ 'add_option(': 'string $option, mixed $value, mixed $deprecated, boolean $autoload | boolean',
\ 'delete_option(': 'string $option | boolean',
\ 'delete_transient(': 'string $transient | boolean',
\ 'get_transient(': 'string $transient | mixed',
\ 'set_transient(': 'string $transient, mixed $value, integer $expiration | boolean',
\ 'wp_user_settings(': 'void | void',
\ 'get_user_setting(': 'string $name, string $default | mixed',
\ 'set_user_setting(': 'string $name, string $value | boolean',
\ 'delete_user_setting(': 'mixed $names | boolean',
\ 'get_all_user_settings(': 'void | array',
\ 'wp_set_all_user_settings(': 'array $user_settings | boolean',
\ 'delete_all_user_settings(': 'void | void',
\ 'get_site_option(': 'string $option, mixed $default, boolean $use_cache | mixed',
\ 'add_site_option(': 'string $option, mixed $value | boolean',
\ 'delete_site_option(': 'string $option | boolean',
\ 'update_site_option(': 'string $option, mixed $value | boolean',
\ 'delete_site_transient(': 'string $transient | boolean',
\ 'get_site_transient(': 'string $transient | mixed',
\ 'set_site_transient(': 'string $transient, mixed $value, integer $expiration | boolean',
\}

let g:phpcomplete_builtin['functions']['wp_nav_menu_template'] = {
\ 'wp_nav_menu(': 'array $args | mixed',
\ 'walk_nav_menu_tree(': ' $items,  $depth,  $r | void',
\}

let g:phpcomplete_builtin['functions']['wp_ms_load'] = {
\ 'is_subdomain_install(': 'void | boolean',
\ 'wp_get_active_network_plugins(': 'void | array',
\ 'ms_site_check(': 'void | boolean|string',
\ 'get_network_by_path(': 'string $domain, string $path, integer|null $segments | object|boolean',
\ 'wp_get_network(': 'object|integer $network | object|boolean',
\ 'get_site_by_path(': 'string $domain, string $path, integer|null $segments | object|boolean',
\ 'ms_not_installed(': 'void | void',
\}

let g:phpcomplete_builtin['functions']['wp_class_pop3'] = {
\ 'stripos(': ' $haystack,  $needle | void',
\}

let g:phpcomplete_builtin['functions']['wp_category_template'] = {
\ 'get_category_link(': 'integer|object $category | string',
\ 'get_category_parents(': 'integer $id, boolean $link, string $separator, boolean $nicename, array $visited | string|\WP_Error',
\ 'get_the_category(': 'integer $id | array',
\ 'get_the_category_by_ID(': 'integer $cat_ID | string|\WP_Error',
\ 'get_the_category_list(': 'string $separator, string $parents, integer $post_id | string',
\ 'in_category(': 'integer|string|array $category, integer|object $post | boolean',
\ 'the_category(': 'string $separator, string $parents, integer $post_id | void',
\ 'category_description(': 'integer $category | string',
\ 'wp_dropdown_categories(': 'string|array $args | string',
\ 'wp_list_categories(': 'string|array $args | string',
\ 'wp_tag_cloud(': 'array|string $args | array',
\ 'default_topic_count_scale(': 'integer $count | integer',
\ 'wp_generate_tag_cloud(': 'array $tags, string|array $args | string|array',
\ 'walk_category_tree(': 'void | void',
\ 'walk_category_dropdown_tree(': 'void | void',
\ 'get_tag_link(': 'integer|object $tag | string',
\ 'get_the_tags(': 'integer $id | array|boolean',
\ 'get_the_tag_list(': 'string $before, string $sep, string $after, integer $id | string|boolean|\WP_Error',
\ 'the_tags(': 'string $before, string $sep, string $after | void',
\ 'tag_description(': 'integer $tag | string',
\ 'term_description(': 'integer $term, string $taxonomy | string',
\ 'get_the_terms(': 'integer|object $post, string $taxonomy | array|boolean|\WP_Error',
\ 'get_the_term_list(': 'integer $id, string $taxonomy, string $before, string $sep, string $after | string|boolean|\WP_Error',
\ 'the_terms(': 'integer $id, string $taxonomy, string $before, string $sep, string $after | null|boolean',
\ 'has_category(': 'string|integer|array $category, integer|object $post | boolean',
\ 'has_tag(': 'string|integer|array $tag, integer|object $post | boolean',
\ 'has_term(': 'string|integer|array $term, string $taxonomy, integer|object $post | boolean',
\}

let g:phpcomplete_builtin['functions']['wp_kses'] = {
\ 'wp_kses(': 'string $string, array $allowed_html, array $allowed_protocols | string',
\ 'wp_kses_allowed_html(': 'string $context | array',
\ 'wp_kses_hook(': 'string $string, array $allowed_html, array $allowed_protocols | string',
\ 'wp_kses_version(': 'void | string',
\ 'wp_kses_split(': 'string $string, array $allowed_html, array $allowed_protocols | string',
\ 'wp_kses_split2(': 'string $string, array $allowed_html, array $allowed_protocols | string',
\ 'wp_kses_attr(': 'string $element, string $attr, array $allowed_html, array $allowed_protocols | string',
\ 'wp_kses_hair(': 'string $attr, array $allowed_protocols | array',
\ 'wp_kses_check_attr_val(': 'string $value, string $vless, string $checkname, mixed $checkvalue | boolean',
\ 'wp_kses_bad_protocol(': 'string $string, array $allowed_protocols | string',
\ 'wp_kses_no_null(': 'string $string | string',
\ 'wp_kses_stripslashes(': 'string $string | string',
\ 'wp_kses_array_lc(': 'array $inarray | array',
\ 'wp_kses_js_entities(': 'string $string | string',
\ 'wp_kses_html_error(': 'string $string | string',
\ 'wp_kses_bad_protocol_once(': 'string $string, string $allowed_protocols,  $count | string',
\ 'wp_kses_bad_protocol_once2(': 'string $string, string $allowed_protocols | string',
\ 'wp_kses_normalize_entities(': 'string $string | string',
\ 'wp_kses_named_entities(': 'array $matches | string',
\ 'wp_kses_normalize_entities2(': 'array $matches | string',
\ 'wp_kses_normalize_entities3(': 'array $matches | string',
\ 'valid_unicode(': 'integer $i | boolean',
\ 'wp_kses_decode_entities(': 'string $string | string',
\ 'wp_filter_kses(': 'string $data | string',
\ 'wp_kses_data(': 'string $data | string',
\ 'wp_filter_post_kses(': 'string $data | string',
\ 'wp_kses_post(': 'string $data | string',
\ 'wp_filter_nohtml_kses(': 'string $data | string',
\ 'kses_init_filters(': 'void | void',
\ 'kses_remove_filters(': 'void | void',
\ 'kses_init(': 'void | void',
\ 'safecss_filter_attr(': ' $css,  $deprecated | void',
\}

let g:phpcomplete_builtin['functions']['wp_deprecated'] = {
\ 'remove_custom_background(': 'void | boolean',
\}

let g:phpcomplete_builtin['functions']['wp_class_wp_customize_manager'] = {
\ 'sanitize_hex_color(': 'string $color | string|null',
\ 'sanitize_hex_color_no_hash(': 'string $color | string|null',
\ 'maybe_hash_hex_color(': 'string $color | string',
\}

let g:phpcomplete_builtin['functions']['wp_default_widgets'] = {
\ 'wp_widget_rss_output(': 'string|array|object $rss, array $args | void',
\ 'wp_widget_rss_form(': 'array|string $args, array $inputs | void',
\ 'wp_widget_rss_process(': 'array $widget_rss, boolean $check_feed | array',
\ 'wp_widgets_init(': 'void | void',
\}

let g:phpcomplete_builtin['functions']['wp_user'] = {
\ 'wp_signon(': 'array $credentials, boolean $secure_cookie | \WP_User|\WP_Error',
\ 'wp_authenticate_username_password(': '\WP_User|\WP_Error|null $user, string $username, string $password | \WP_User|\WP_Error',
\ 'wp_authenticate_cookie(': '\WP_User|\WP_Error|null $user, string $username, string $password | \WP_User|\WP_Error',
\ 'wp_authenticate_spam_check(': '\WP_User|\WP_Error|null $user | \WP_User|\WP_Error',
\ 'wp_validate_logged_in_cookie(': ' $user_id | integer|boolean',
\ 'count_user_posts(': 'integer $userid | integer',
\ 'count_many_users_posts(': 'array $users, string $post_type, boolean $public_only | array',
\ 'get_current_user_id(': 'void | integer',
\ 'get_user_option(': 'string $option, integer $user, boolean $deprecated | mixed',
\ 'update_user_option(': 'integer $user_id, string $option_name, mixed $newvalue, boolean $global | integer|boolean',
\ 'delete_user_option(': 'integer $user_id, string $option_name, boolean $global | boolean',
\ 'get_users(': 'array $args | array',
\ 'get_blogs_of_user(': 'integer $user_id, boolean $all | array',
\ 'is_user_member_of_blog(': 'integer $user_id, integer $blog_id | boolean',
\ 'add_user_meta(': 'integer $user_id, string $meta_key, mixed $meta_value, boolean $unique | integer|boolean',
\ 'delete_user_meta(': 'integer $user_id, string $meta_key, mixed $meta_value | boolean',
\ 'get_user_meta(': 'integer $user_id, string $key, boolean $single | mixed',
\ 'update_user_meta(': 'integer $user_id, string $meta_key, mixed $meta_value, mixed $prev_value | integer|boolean',
\ 'count_users(': 'string $strategy | array',
\ 'setup_userdata(': 'integer $for_user_id | void',
\ 'wp_dropdown_users(': 'array|string $args | string|null',
\ 'sanitize_user_field(': 'string $field, mixed $value, integer $user_id, string $context | mixed',
\ 'update_user_caches(': 'object $user | void',
\ 'clean_user_cache(': '\WP_User|integer $user | void',
\ 'username_exists(': 'string $username | null|integer',
\ 'email_exists(': 'string $email | boolean|integer',
\ 'validate_username(': 'string $username | boolean',
\ 'wp_insert_user(': 'array $userdata | integer|\WP_Error',
\ 'wp_update_user(': 'mixed $userdata | integer|\WP_Error',
\ 'wp_create_user(': 'string $username, string $password, string $email | integer',
\ 'wp_get_user_contact_methods(': '\WP_User $user | array',
\ 'check_password_reset_key(': 'string $key, string $login | \WP_User|\WP_Error',
\ 'reset_password(': 'object $user, string $new_pass | void',
\ 'register_new_user(': 'string $user_login, string $user_email | integer|\WP_Error',
\ 'wp_get_session_token(': 'void | string',
\ 'wp_get_all_sessions(': 'void | array',
\ 'wp_destroy_current_session(': 'void | void',
\ 'wp_destroy_other_sessions(': 'void | void',
\ 'wp_destroy_all_sessions(': 'void | void',
\}

let g:phpcomplete_builtin['functions']['wp_canonical'] = {
\ 'lowercase_octets(': ' $matches | void',
\ 'redirect_canonical(': 'string $requested_url, boolean $do_redirect | null|false|string',
\ 'redirect_guess_404_permalink(': 'void | boolean|string',
\ 'wp_redirect_admin_locations(': 'void | void',
\}

let g:phpcomplete_builtin['functions']['wp_load'] = {
\ 'wp_unregister_GLOBALS(': 'void | null',
\ 'wp_fix_server_vars(': 'void | void',
\ 'wp_check_php_mysql_versions(': 'void | void',
\ 'wp_favicon_request(': 'void | void',
\ 'wp_maintenance(': 'void | void',
\ 'timer_start(': 'void | boolean',
\ 'timer_stop(': 'integer $display, integer $precision | string',
\ 'wp_debug_mode(': 'void | void',
\ 'wp_set_lang_dir(': 'void | void',
\ 'require_wp_db(': 'void | void',
\ 'wp_set_wpdb_vars(': 'void | void',
\ 'wp_using_ext_object_cache(': 'boolean $using | boolean',
\ 'wp_start_object_cache(': 'void | void',
\ 'wp_not_installed(': 'void | void',
\ 'wp_get_mu_plugins(': 'void | array',
\ 'wp_get_active_and_valid_plugins(': 'void | array',
\ 'wp_set_internal_encoding(': 'void | void',
\ 'wp_magic_quotes(': 'void | void',
\ 'shutdown_action_hook(': 'void | void',
\ 'is_admin(': 'void | boolean',
\ 'is_blog_admin(': 'void | boolean',
\ 'is_network_admin(': 'void | boolean',
\ 'is_user_admin(': 'void | boolean',
\ 'is_multisite(': 'void | boolean',
\ 'get_current_blog_id(': 'void | integer',
\ 'wp_load_translations_early(': 'void | void',
\}

let g:phpcomplete_builtin['functions']['wp_wp_tinymce'] = {
\ 'get_file(': ' $path | void',
\}

let g:phpcomplete_builtin['functions']['wp_update'] = {
\ 'wp_version_check(': 'array $extra_stats, boolean $force_check | mixed',
\ 'wp_update_plugins(': 'array $extra_stats | mixed',
\ 'wp_update_themes(': 'array $extra_stats | mixed',
\ 'wp_maybe_auto_update(': 'void | void',
\ 'wp_get_translation_updates(': 'void | void',
\ 'wp_get_update_data(': 'void | array',
\ 'wp_schedule_update_checks(': 'void | void',
\}

let g:phpcomplete_builtin['functions']['wp_plugin'] = {
\ 'add_filter(': 'string $tag, callback $function_to_add, integer $priority, integer $accepted_args | boolean',
\ 'has_filter(': 'string $tag, callback|boolean $function_to_check | boolean|integer',
\ 'apply_filters(': 'string $tag, mixed $value | mixed',
\ 'apply_filters_ref_array(': 'string $tag, array $args | mixed',
\ 'remove_filter(': 'string $tag, callback $function_to_remove, integer $priority | boolean',
\ 'remove_all_filters(': 'string $tag, integer|boolean $priority | boolean',
\ 'current_filter(': 'void | string',
\ 'current_action(': 'void | string',
\ 'doing_filter(': 'null|string $filter | boolean',
\ 'doing_action(': 'string|null $action | boolean',
\ 'add_action(': 'string $tag, callback $function_to_add, integer $priority, integer $accepted_args | boolean',
\ 'do_action(': 'string $tag, mixed $arg | null',
\ 'did_action(': 'string $tag | integer',
\ 'do_action_ref_array(': 'string $tag, array $args | null',
\ 'has_action(': 'string $tag, callback|boolean $function_to_check | boolean|integer',
\ 'remove_action(': 'string $tag, callback $function_to_remove, integer $priority | boolean',
\ 'remove_all_actions(': 'string $tag, integer|boolean $priority | boolean',
\ 'plugin_basename(': 'string $file | string',
\ 'wp_register_plugin_realpath(': 'string $file | boolean',
\ 'plugin_dir_path(': 'string $file | string',
\ 'plugin_dir_url(': 'string $file | string',
\ 'register_activation_hook(': 'string $file, callback $function | void',
\ 'register_deactivation_hook(': 'string $file, callback $function | void',
\ 'register_uninstall_hook(': 'string $file, callback $callback | void',
\}

let g:phpcomplete_builtin['functions']['wp_ms_functions'] = {
\ 'get_sitestats(': 'void | array',
\ 'get_admin_users_for_domain(': 'string $sitedomain, string $path | array',
\ 'get_active_blog_for_user(': 'integer $user_id | object',
\ 'get_user_count(': 'void | integer',
\ 'get_blog_count(': 'integer $network_id | integer',
\ 'get_blog_post(': 'integer $blog_id, integer $post_id | \WP_Post|null',
\ 'add_user_to_blog(': 'integer $blog_id, integer $user_id, string $role | boolean',
\ 'remove_user_from_blog(': 'integer $user_id, integer $blog_id, string $reassign | boolean',
\ 'create_empty_blog(': 'string $domain, string $path, string $weblog_title, integer $site_id | integer',
\ 'get_blog_permalink(': 'integer $blog_id, integer $post_id | string',
\ 'get_blog_id_from_url(': 'string $domain, string $path | integer',
\ 'is_email_address_unsafe(': 'string $user_email | boolean',
\ 'wpmu_validate_user_signup(': 'string $user_name, string $user_email | array',
\ 'wpmu_validate_blog_signup(': 'string $blogname, string $blog_title,  $user | array',
\ 'wpmu_signup_blog(': 'string $domain, string $path, string $title, string $user, string $user_email, array $meta | void',
\ 'wpmu_signup_user(': 'string $user, string $user_email, array $meta | void',
\ 'wpmu_signup_blog_notification(': 'string $domain, string $path, string $title, string $user, string $user_email, string $key, array $meta | boolean',
\ 'wpmu_signup_user_notification(': 'string $user, string $user_email, string $key, array $meta | boolean',
\ 'wpmu_activate_signup(': 'string $key | array',
\ 'wpmu_create_user(': 'string $user_name, string $password, string $email | mixed',
\ 'wpmu_create_blog(': 'string $domain, string $path, string $title, integer $user_id, array $meta, integer $site_id | mixed',
\ 'newblog_notify_siteadmin(': 'integer $blog_id,  $deprecated | boolean',
\ 'newuser_notify_siteadmin(': 'integer $user_id | boolean',
\ 'domain_exists(': 'string $domain, string $path, integer $site_id | integer',
\ 'insert_blog(': 'string $domain, string $path, integer $site_id | integer',
\ 'install_blog(': 'integer $blog_id, string $blog_title | void',
\ 'wpmu_welcome_notification(': 'integer $blog_id, integer $user_id, string $password, string $title, array $meta | boolean',
\ 'wpmu_welcome_user_notification(': 'integer $user_id, string $password, array $meta | boolean',
\ 'get_current_site(': 'void | object',
\ 'get_most_recent_post_of_user(': 'integer $user_id | array',
\ 'get_dirsize(': 'string $directory | integer',
\ 'recurse_dirsize(': 'string $directory | integer',
\ 'check_upload_mimes(': 'array $mimes | array',
\ 'update_posts_count(': ' $deprecated | void',
\ 'wpmu_log_new_registrations(': 'integer $blog_id, integer $user_id | void',
\ 'global_terms(': 'integer $term_id,  $deprecated | integer',
\ 'redirect_this_site(': ' $deprecated | array',
\ 'upload_is_file_too_big(': 'array $upload | mixed',
\ 'signup_nonce_fields(': 'void | void',
\ 'signup_nonce_check(': 'array $result | array',
\ 'maybe_redirect_404(': 'void | void',
\ 'maybe_add_existing_user_to_blog(': 'void | void',
\ 'add_existing_user_to_blog(': 'array $details | void',
\ 'add_new_user_to_blog(': 'integer $user_id, mixed $password, array $meta | void',
\ 'fix_phpmailer_messageid(': ' $phpmailer | void',
\ 'is_user_spammy(': 'string|\WP_User $user | boolean',
\ 'update_blog_public(': 'integer $old_value, integer $value | boolean',
\ 'is_user_option_local(': 'string $key, integer $user_id, integer $blog_id | boolean',
\ 'users_can_register_signup_filter(': 'void | boolean',
\ 'welcome_user_msg_filter(': 'string $text | string',
\ 'force_ssl_content(': 'string|boolean $force | boolean',
\ 'filter_SSL(': ' $url | string',
\ 'wp_schedule_update_network_counts(': 'void | void',
\ 'wp_update_network_counts(': 'void | void',
\ 'wp_maybe_update_network_site_counts(': 'void | void',
\ 'wp_maybe_update_network_user_counts(': 'void | void',
\ 'wp_update_network_site_counts(': 'void | void',
\ 'wp_update_network_user_counts(': 'void | void',
\ 'get_space_used(': 'void | integer',
\ 'get_space_allowed(': 'void | integer',
\ 'get_upload_space_available(': 'void | integer',
\ 'is_upload_space_available(': 'void | boolean',
\ 'upload_size_limit_filter(': ' $size | integer',
\ 'wp_is_large_network(': 'string $using | boolean',
\ 'wp_get_sites(': 'array $args | array',
\}

let g:phpcomplete_builtin['functions']['wp_default_constants'] = {
\ 'wp_initial_constants(': 'void | void',
\ 'wp_plugin_directory_constants(': 'void | void',
\ 'wp_cookie_constants(': 'void | void',
\ 'wp_ssl_constants(': 'void | void',
\ 'wp_functionality_constants(': 'void | void',
\ 'wp_templating_constants(': 'void | void',
\}

let g:phpcomplete_builtin['functions']['wp_ms_default_constants'] = {
\ 'ms_upload_constants(': 'void | void',
\ 'ms_cookie_constants(': 'void | void',
\ 'ms_file_constants(': 'void | void',
\ 'ms_subdomain_constants(': 'void | void',
\}

let g:phpcomplete_builtin['functions']['wp_functions'] = {
\ 'mysql2date(': 'string $format, string $date, boolean $translate | string|integer|boolean',
\ 'current_time(': 'string $type, integer|boolean $gmt | integer|string',
\ 'date_i18n(': 'string $dateformatstring, boolean|integer $unixtimestamp, boolean $gmt | string',
\ 'number_format_i18n(': 'integer $number, integer $decimals | string',
\ 'size_format(': 'integer|string $bytes, integer $decimals | boolean|string',
\ 'get_weekstartend(': 'string $mysqlstring, integer|string $start_of_week | array',
\ 'maybe_unserialize(': 'string $original | mixed',
\ 'is_serialized(': 'string $data, boolean $strict | boolean',
\ 'is_serialized_string(': 'string $data | boolean',
\ 'maybe_serialize(': 'string|array|object $data | mixed',
\ 'xmlrpc_getposttitle(': 'string $content | string',
\ 'xmlrpc_getpostcategory(': 'string $content | string|array',
\ 'xmlrpc_removepostdata(': 'string $content | string',
\ 'wp_extract_urls(': 'string $content | array',
\ 'do_enclose(': 'string $content, integer $post_ID | void',
\ 'wp_get_http(': 'string $url, string|boolean $file_path, integer $red | boolean|string',
\ 'wp_get_http_headers(': 'string $url, boolean $deprecated | boolean|string',
\ 'is_new_day(': 'void | integer|boolean',
\ 'build_query(': 'array $data | string',
\ 'add_query_arg(': 'void | string',
\ 'remove_query_arg(': 'string|array $key, boolean $query | string',
\ 'add_magic_quotes(': 'array $array | array',
\ 'wp_remote_fopen(': 'string $uri | boolean|string',
\ 'wp(': 'string $query_vars | void',
\ 'get_status_header_desc(': 'integer $code | string',
\ 'status_header(': 'integer $code | void',
\ 'wp_get_nocache_headers(': 'void | array',
\ 'nocache_headers(': 'void | void',
\ 'cache_javascript_headers(': 'void | void',
\ 'get_num_queries(': 'void | integer',
\ 'bool_from_yn(': 'string $yn | boolean',
\ 'do_feed(': 'void | void',
\ 'do_feed_rdf(': 'void | void',
\ 'do_feed_rss(': 'void | void',
\ 'do_feed_rss2(': 'boolean $for_comments | void',
\ 'do_feed_atom(': 'boolean $for_comments | void',
\ 'do_robots(': 'void | void',
\ 'is_blog_installed(': 'void | boolean',
\ 'wp_nonce_url(': 'string $actionurl, string $action, string $name | string',
\ 'wp_nonce_field(': 'string $action, string $name, boolean $referer, boolean $echo | string',
\ 'wp_referer_field(': 'boolean $echo | string',
\ 'wp_original_referer_field(': 'boolean $echo, string $jump_back_to | string',
\ 'wp_get_referer(': 'void | string|boolean',
\ 'wp_get_original_referer(': 'void | string|boolean',
\ 'wp_mkdir_p(': 'string $target | boolean',
\ 'path_is_absolute(': 'string $path | boolean',
\ 'path_join(': 'string $base, string $path | string',
\ 'wp_normalize_path(': 'string $path | string',
\ 'get_temp_dir(': 'void | string',
\ 'wp_is_writable(': 'string $path | boolean',
\ 'win_is_writable(': 'string $path | boolean',
\ 'wp_upload_dir(': 'string $time | array',
\ 'wp_unique_filename(': 'string $dir, string $filename, callback $unique_filename_callback | string',
\ 'wp_upload_bits(': 'string $name, null $deprecated, mixed $bits, string $time | array',
\ 'wp_ext2type(': 'string $ext | string|null',
\ 'wp_check_filetype(': 'string $filename, array $mimes | array',
\ 'wp_check_filetype_and_ext(': 'string $file, string $filename, array $mimes | array',
\ 'wp_get_mime_types(': 'void | array',
\ 'get_allowed_mime_types(': 'integer|\WP_User $user | array',
\ 'wp_nonce_ays(': 'string $action | void',
\ 'wp_die(': 'string $message, string $title, string|array $args | void',
\ 'wp_send_json(': 'mixed $response | void',
\ 'wp_send_json_success(': 'mixed $data | void',
\ 'wp_send_json_error(': 'mixed $data | void',
\ 'smilies_init(': 'void | void',
\ 'wp_parse_args(': 'string|array $args, array $defaults | array',
\ 'wp_parse_id_list(': 'array|string $list | array',
\ 'wp_array_slice_assoc(': 'array $array, array $keys | array',
\ 'wp_filter_object_list(': 'array $list, array $args, string $operator, boolean|string $field | array',
\ 'wp_list_filter(': 'array $list, array $args, string $operator | array',
\ 'wp_list_pluck(': 'array $list, integer|string $field, integer|string $index_key | array',
\ 'wp_maybe_load_widgets(': 'void | void',
\ 'wp_widgets_add_menu(': 'void | void',
\ 'wp_ob_end_flush_all(': 'void | void',
\ 'dead_db(': 'void | void',
\ 'absint(': 'mixed $maybeint | integer',
\ 'is_lighttpd_before_150(': 'void | boolean',
\ 'apache_mod_loaded(': 'string $mod, boolean $default | boolean',
\ 'iis7_supports_permalinks(': 'void | boolean',
\ 'validate_file(': 'string $file, array $allowed_files | integer',
\ 'is_ssl(': 'void | boolean',
\ 'force_ssl_login(': 'string|boolean $force | boolean',
\ 'force_ssl_admin(': 'string|boolean $force | boolean',
\ 'wp_guess_url(': 'void | string',
\ 'wp_suspend_cache_addition(': 'boolean $suspend | boolean',
\ 'wp_suspend_cache_invalidation(': 'boolean $suspend | boolean',
\ 'is_main_site(': 'integer $site_id | boolean',
\ 'is_main_network(': 'integer $network_id | boolean',
\ 'global_terms_enabled(': 'void | boolean',
\ 'wp_timezone_override_offset(': 'void | float|boolean',
\ 'wp_timezone_choice(': 'string $selected_zone | string',
\ 'wp_scheduled_delete(': 'void | void',
\ 'get_file_data(': 'string $file, array $default_headers, string $context | void',
\ 'send_nosniff_header(': 'void | void',
\ 'wp_find_hierarchy_loop(': 'callback $callback, integer $start, integer $start_parent, array $callback_args | array',
\ 'wp_find_hierarchy_loop_tortoise_hare(': 'callback $callback, integer $start, array $override, array $callback_args, boolean $_return_loop | mixed',
\ 'send_frame_options_header(': 'void | void',
\ 'wp_allowed_protocols(': 'void | array',
\ 'wp_debug_backtrace_summary(': 'string $ignore_class, integer $skip_frames, boolean $pretty | string|array',
\ 'wp_is_stream(': 'string $path | boolean',
\ 'wp_checkdate(': 'integer $month, integer $day, integer $year, string $source_date | boolean',
\ 'wp_auth_check_load(': 'void | void',
\ 'wp_auth_check_html(': 'void | void',
\ 'wp_auth_check(': 'array|object $response | array|object',
\ 'get_tag_regex(': 'string $tag | string',
\ 'mbstring_binary_safe_encoding(': 'boolean $reset | void',
\ 'reset_mbstring_encoding(': 'void | void',
\ 'wp_validate_boolean(': 'mixed $var | boolean',
\}

let g:phpcomplete_builtin['functions']['wp_theme'] = {
\ 'wp_get_themes(': 'array $args | Array',
\ 'wp_get_theme(': 'string $stylesheet, string $theme_root | \WP_Theme',
\ 'wp_clean_themes_cache(': 'boolean $clear_update_cache | void',
\ 'is_child_theme(': 'void | boolean',
\ 'get_stylesheet(': 'void | string',
\ 'get_stylesheet_directory(': 'void | string',
\ 'get_stylesheet_directory_uri(': 'void | string',
\ 'get_stylesheet_uri(': 'void | string',
\ 'get_locale_stylesheet_uri(': 'void | string',
\ 'get_template(': 'void | string',
\ 'get_template_directory(': 'void | string',
\ 'get_template_directory_uri(': 'void | string',
\ 'get_theme_roots(': 'void | array|string',
\ 'register_theme_directory(': 'string $directory | boolean',
\ 'search_theme_directories(': 'boolean $force | array',
\ 'get_theme_root(': 'string $stylesheet_or_template | string',
\ 'get_theme_root_uri(': 'string $stylesheet_or_template, string $theme_root | string',
\ 'get_raw_theme_root(': 'string $stylesheet_or_template, boolean $skip_cache | string',
\ 'locale_stylesheet(': 'void | void',
\ 'preview_theme(': 'void | void',
\ 'preview_theme_ob_filter(': 'string $content | string',
\ 'preview_theme_ob_filter_callback(': 'array $matches | string',
\ 'switch_theme(': 'string $stylesheet | void',
\ 'validate_current_theme(': 'void | boolean',
\ 'get_theme_mods(': 'void | array',
\ 'get_theme_mod(': 'string $name, boolean|string $default | string',
\ 'set_theme_mod(': 'string $name, string $value | void',
\ 'remove_theme_mod(': 'string $name | null',
\ 'remove_theme_mods(': 'void | void',
\ 'get_header_textcolor(': 'void | string',
\ 'header_textcolor(': 'void | void',
\ 'display_header_text(': 'void | boolean',
\ 'get_header_image(': 'void | string',
\ 'get_random_header_image(': 'void | string',
\ 'is_random_header_image(': 'string $type | boolean',
\ 'header_image(': 'void | void',
\ 'get_uploaded_header_images(': 'void | array',
\ 'get_custom_header(': 'void | object',
\ 'register_default_headers(': 'array $headers | void',
\ 'unregister_default_headers(': 'string|array $header | boolean|void',
\ 'get_background_image(': 'void | string',
\ 'background_image(': 'void | void',
\ 'get_background_color(': 'void | string',
\ 'background_color(': 'void | void',
\ 'add_editor_style(': 'mixed $stylesheet | void',
\ 'remove_editor_styles(': 'void | boolean',
\ 'get_editor_stylesheets(': 'void | array',
\ 'add_theme_support(': 'string $feature | void|boolean',
\ 'get_theme_support(': 'string $feature | array',
\ 'remove_theme_support(': 'string $feature | boolean',
\ 'current_theme_supports(': 'string $feature | boolean',
\ 'require_if_theme_supports(': 'string $feature, string $include | boolean',
\ 'check_theme_switched(': 'void | void',
\ 'wp_customize_url(': 'string $stylesheet | void',
\ 'wp_customize_support_script(': 'void | void',
\ 'is_customize_preview(': 'void | boolean',
\}

let g:phpcomplete_builtin['functions']['wp_vars'] = {
\ 'wp_is_mobile(': 'void | boolean',
\}

let g:phpcomplete_builtin['functions']['wp_compat'] = {
\ 'mb_substr(': ' $str,  $start,  $length,  $encoding | void',
\ 'hash_hmac(': ' $algo,  $data,  $key,  $raw_output | void',
\ 'json_encode(': ' $string | void',
\ 'json_decode(': ' $string,  $assoc_array | void',
\ 'hash_equals(': 'string $a, string $b | boolean',
\}

let g:phpcomplete_builtin['functions']['wp_bookmark'] = {
\ 'get_bookmark(': 'mixed $bookmark, string $output, string $filter | array|object',
\ 'get_bookmark_field(': 'string $field, integer $bookmark, string $context | string',
\ 'get_bookmarks(': 'string|array $args | array',
\ 'sanitize_bookmark(': 'object|array $bookmark, string $context | object|array',
\ 'sanitize_bookmark_field(': 'string $field, mixed $value, integer $bookmark_id, string $context | mixed',
\ 'clean_bookmark_cache(': ' $bookmark_id | void',
\}

let g:phpcomplete_builtin['functions']['wp_functions_wp_styles'] = {
\ 'wp_print_styles(': 'array|boolean $handles | array',
\ 'wp_add_inline_style(': 'string $handle, string $data | boolean',
\ 'wp_register_style(': 'string $handle, string|boolean $src, array $deps, string|boolean $ver, string $media | void',
\ 'wp_deregister_style(': 'string $handle | void',
\ 'wp_enqueue_style(': 'string $handle, string|boolean $src, array $deps, string|boolean $ver, string $media | void',
\ 'wp_dequeue_style(': 'string $handle | void',
\ 'wp_style_is(': 'string $handle, string $list | boolean',
\ 'wp_style_add_data(': 'string $handle, string $key,  $value | boolean',
\}

let g:phpcomplete_builtin['functions']['wp_feed'] = {
\ 'get_bloginfo_rss(': 'string $show | string',
\ 'bloginfo_rss(': 'string $show | void',
\ 'get_default_feed(': 'void | string',
\ 'get_wp_title_rss(': 'string $sep | string',
\ 'wp_title_rss(': 'string $sep | void',
\ 'get_the_title_rss(': 'void | string',
\ 'the_title_rss(': 'void | void',
\ 'get_the_content_feed(': 'string $feed_type | string',
\ 'the_content_feed(': 'string $feed_type | void',
\ 'the_excerpt_rss(': 'void | void',
\ 'the_permalink_rss(': 'void | void',
\ 'comments_link_feed(': 'void | \none',
\ 'comment_guid(': 'integer|object $comment_id | void',
\ 'get_comment_guid(': 'integer|object $comment_id | boolean|string',
\ 'comment_link(': 'void | void',
\ 'get_comment_author_rss(': 'void | string',
\ 'comment_author_rss(': 'void | void',
\ 'comment_text_rss(': 'void | void',
\ 'get_the_category_rss(': 'string $type | string',
\ 'the_category_rss(': 'string $type | void',
\ 'html_type_rss(': 'void | void',
\ 'rss_enclosure(': 'void | void',
\ 'atom_enclosure(': 'void | void',
\ 'prep_atom_text_construct(': 'string $data | array',
\ 'self_link(': 'void | void',
\ 'feed_content_type(': ' $type | void',
\ 'fetch_feed(': 'mixed $url | \WP_Error|\SimplePie',
\}

let g:phpcomplete_builtin['functions']['wp_meta'] = {
\ 'add_metadata(': 'string $meta_type, integer $object_id, string $meta_key, mixed $meta_value, boolean $unique | integer|boolean',
\ 'update_metadata(': 'string $meta_type, integer $object_id, string $meta_key, mixed $meta_value, mixed $prev_value | integer|boolean',
\ 'delete_metadata(': 'string $meta_type, integer $object_id, string $meta_key, mixed $meta_value, boolean $delete_all | boolean',
\ 'get_metadata(': 'string $meta_type, integer $object_id, string $meta_key, boolean $single | string|array',
\ 'metadata_exists(': 'string $meta_type, integer $object_id, string $meta_key | boolean',
\ 'get_metadata_by_mid(': 'string $meta_type, integer $meta_id | object',
\ 'update_metadata_by_mid(': 'string $meta_type, integer $meta_id, string $meta_value, string $meta_key | boolean',
\ 'delete_metadata_by_mid(': 'string $meta_type, integer $meta_id | boolean',
\ 'update_meta_cache(': 'string $meta_type, integer|array $object_ids | mixed',
\ 'get_meta_sql(': 'array $meta_query, string $type, string $primary_table, string $primary_id_column, object $context | \array(',
\ 'is_protected_meta(': 'string $meta_key,  $meta_type | boolean',
\ 'sanitize_meta(': 'string $meta_key, mixed $meta_value, string $meta_type | mixed',
\ 'register_meta(': 'string $meta_type, string $meta_key, string|array $sanitize_callback, string|array $auth_callback | void',
\}

let g:phpcomplete_builtin['functions']['wp_locale'] = {
\ 'is_rtl(': 'void | boolean',
\}

let g:phpcomplete_builtin['functions']['wp_class_simplepie'] = {
\ 'wp_simplepie_autoload(': ' $class | void',
\}

let g:phpcomplete_builtin['functions']['wp_nav_menu'] = {
\ 'wp_get_nav_menu_object(': 'string $menu | mixed',
\ 'is_nav_menu(': 'integer|string $menu | boolean',
\ 'register_nav_menus(': 'array $locations | void',
\ 'unregister_nav_menu(': 'array $location | boolean',
\ 'register_nav_menu(': 'string $location, string $description | void',
\ 'get_registered_nav_menus(': 'void | array',
\ 'get_nav_menu_locations(': 'void | array',
\ 'has_nav_menu(': 'string $location | boolean',
\ 'is_nav_menu_item(': 'integer $menu_item_id | boolean',
\ 'wp_create_nav_menu(': 'string $menu_name | integer|\WP_Error',
\ 'wp_delete_nav_menu(': 'string $menu | boolean|\WP_Error',
\ 'wp_update_nav_menu_object(': 'integer $menu_id, array $menu_data | integer|\WP_Error',
\ 'wp_update_nav_menu_item(': 'integer $menu_id, integer $menu_item_db_id, array $menu_item_data | integer|\WP_Error',
\ 'wp_get_nav_menus(': 'array $args | array',
\ 'wp_get_nav_menu_items(': 'string $menu, string $args | mixed',
\ 'wp_setup_nav_menu_item(': 'object $menu_item | object',
\ 'wp_get_associated_nav_menu_items(': 'integer $object_id, string $object_type, string $taxonomy | array',
\}

let g:phpcomplete_builtin['functions']['wp_widgets'] = {
\ 'register_widget(': 'string $widget_class | void',
\ 'unregister_widget(': 'string $widget_class | void',
\ 'register_sidebars(': 'integer $number, string|array $args | void',
\ 'register_sidebar(': 'string|array $args | string',
\ 'unregister_sidebar(': 'string $name | void',
\ 'wp_register_sidebar_widget(': 'integer|string $id, string $name, callback $output_callback, array|string $options | null',
\ 'wp_widget_description(': 'integer|string $id | string',
\ 'wp_sidebar_description(': 'integer|string $id | string',
\ 'wp_unregister_sidebar_widget(': 'integer|string $id | void',
\ 'wp_register_widget_control(': 'integer|string $id, string $name, callback $control_callback, array|string $options | void',
\ 'wp_unregister_widget_control(': 'integer|string $id | void',
\ 'dynamic_sidebar(': 'integer|string $index | boolean',
\ 'is_active_widget(': 'string $callback, integer $widget_id, string $id_base, boolean $skip_inactive | mixed',
\ 'is_dynamic_sidebar(': 'void | boolean',
\ 'is_active_sidebar(': 'mixed $index | boolean',
\ 'wp_get_sidebars_widgets(': 'boolean $deprecated | array',
\ 'wp_set_sidebars_widgets(': 'array $sidebars_widgets | void',
\ 'wp_get_widget_defaults(': 'void | array',
\ 'wp_convert_widget_settings(': ' $base_name,  $option_name,  $settings | array',
\ 'the_widget(': 'string $widget, array $instance, array $args | void',
\ 'retrieve_widgets(': 'mixed $theme_changed | array',
\}

let g:phpcomplete_builtin['functions']['wp_rss'] = {
\ 'fetch_rss(': 'string $url | boolean|\MagpieRSS',
\ 'init(': 'void | void',
\ 'is_info(': ' $sc | void',
\ 'is_success(': ' $sc | void',
\ 'is_redirect(': ' $sc | void',
\ 'is_error(': ' $sc | void',
\ 'is_client_error(': ' $sc | void',
\ 'is_server_error(': ' $sc | void',
\ 'parse_w3cdtf(': ' $date_str | void',
\ 'wp_rss(': 'string $url, integer $num_items | void',
\ 'get_rss(': 'string $url, integer $num_items | boolean',
\}

let g:phpcomplete_builtin['functions']['wp_revision'] = {
\ 'wp_save_post_revision(': 'integer $post_id | mixed',
\ 'wp_get_post_autosave(': 'integer $post_id, integer $user_id | object|boolean',
\ 'wp_is_post_revision(': 'integer|object $post | boolean|integer',
\ 'wp_is_post_autosave(': 'integer|object $post | boolean|integer',
\ 'wp_get_post_revision(': 'integer|object $post, string $output, string $filter | mixed',
\ 'wp_restore_post_revision(': 'integer|object $revision_id, array $fields | mixed',
\ 'wp_delete_post_revision(': 'integer|object $revision_id | mixed',
\ 'wp_get_post_revisions(': 'integer|\WP_Post $post_id,  $args | array',
\ 'wp_revisions_enabled(': 'object $post | boolean',
\ 'wp_revisions_to_keep(': 'object $post | integer',
\}

let g:phpcomplete_builtin['functions']['wp_cache'] = {
\ 'wp_cache_add(': 'integer|string $key, mixed $data, string $group, integer $expire | boolean',
\ 'wp_cache_close(': 'void | boolean',
\ 'wp_cache_decr(': 'integer|string $key, integer $offset, string $group | false|integer',
\ 'wp_cache_delete(': 'integer|string $key, string $group | boolean',
\ 'wp_cache_flush(': 'void | boolean',
\ 'wp_cache_get(': 'integer|string $key, string $group, boolean $force,  $found | boolean|mixed',
\ 'wp_cache_incr(': 'integer|string $key, integer $offset, string $group | false|integer',
\ 'wp_cache_init(': 'void | void',
\ 'wp_cache_replace(': 'integer|string $key, mixed $data, string $group, integer $expire | boolean',
\ 'wp_cache_set(': 'integer|string $key, mixed $data, string $group, integer $expire | boolean',
\ 'wp_cache_switch_to_blog(': 'integer $blog_id | void',
\ 'wp_cache_add_global_groups(': 'string|array $groups | void',
\ 'wp_cache_add_non_persistent_groups(': 'string|array $groups | void',
\}

let g:phpcomplete_builtin['functions']['wp_post_thumbnail_template'] = {
\ 'has_post_thumbnail(': 'integer $post_id | boolean',
\ 'get_post_thumbnail_id(': 'integer $post_id | integer',
\ 'the_post_thumbnail(': 'string|array $size, string|array $attr | void',
\ 'update_post_thumbnail_cache(': 'object $wp_query | void',
\ 'get_the_post_thumbnail(': 'integer $post_id, string $size, string|array $attr | void',
\}

let g:phpcomplete_builtin['functions']['wp_shortcodes'] = {
\ 'add_shortcode(': 'string $tag, callable $func | void',
\ 'remove_shortcode(': 'string $tag | void',
\ 'remove_all_shortcodes(': 'void | void',
\ 'shortcode_exists(': 'string $tag | boolean',
\ 'has_shortcode(': ' $content, string $tag | boolean',
\ 'do_shortcode(': 'string $content | string',
\ 'get_shortcode_regex(': 'void | string',
\ 'do_shortcode_tag(': 'array $m | mixed',
\ 'shortcode_parse_atts(': 'string $text | array',
\ 'shortcode_atts(': 'array $pairs, array $atts, string $shortcode | array',
\ 'strip_shortcodes(': 'string $content | string',
\ 'strip_shortcode_tag(': ' $m | void',
\}

let g:phpcomplete_builtin['functions']['wp_class_wp_error'] = {
\ 'is_wp_error(': 'mixed $thing | boolean',
\}

let g:phpcomplete_builtin['functions']['wp_bookmark_template'] = {
\ 'wp_list_bookmarks(': 'string|array $args | string|null',
\}

" Class Extensions
let g:phpcomplete_builtin['classes']['wp_xdiff'] = {
\'text_diff_engine_xdiff': {
\  'name': 'Text_Diff_Engine_xdiff',
\  'methods': {
\    'diff': { 'signature': ' $from_lines,  $to_lines', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_parser'] = {
\'simplepie_http_parser': {
\  'name': 'SimplePie_HTTP_Parser',
\  'properties': {
\    '$http_version': {'initializer': '0.0', 'type': 'float'},
\    '$status_code': {'initializer': '0', 'type': 'integer'},
\    '$reason': {'initializer': '', 'type': 'string'},
\    '$headers': {'initializer': 'array', 'type': 'array'},
\    '$body': {'initializer': '', 'type': 'string'},
\  },
\  'methods': {
\    '__construct': { 'signature': 'string $data', 'return_type': 'void'},
\    'parse': { 'signature': 'void', 'return_type': 'boolean'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_ixr'] = {
\'ixr_value': {
\  'name': 'IXR_Value',
\  'properties': {
\    '$data': {'initializer': '', 'type': ''},
\    '$type': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    'IXR_Value': { 'signature': ' $data,  $type', 'return_type': 'void'},
\    'calculateType': { 'signature': 'void', 'return_type': 'void'},
\    'getXml': { 'signature': 'void', 'return_type': 'void'},
\    'isStruct': { 'signature': '\unknown_type $array', 'return_type': 'boolean'},
\  },
\},
\'ixr_message': {
\  'name': 'IXR_Message',
\  'properties': {
\    '$message': {'initializer': '', 'type': ''},
\    '$messageType': {'initializer': '', 'type': ''},
\    '$faultCode': {'initializer': '', 'type': ''},
\    '$faultString': {'initializer': '', 'type': ''},
\    '$methodName': {'initializer': '', 'type': ''},
\    '$params': {'initializer': '', 'type': ''},
\    '$_arraystructs': {'initializer': 'array', 'type': ''},
\    '$_arraystructstypes': {'initializer': 'array', 'type': ''},
\    '$_currentStructName': {'initializer': 'array', 'type': ''},
\    '$_param': {'initializer': '', 'type': ''},
\    '$_value': {'initializer': '', 'type': ''},
\    '$_currentTag': {'initializer': '', 'type': ''},
\    '$_currentTagContents': {'initializer': '', 'type': ''},
\    '$_parser': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    'IXR_Message': { 'signature': ' $message', 'return_type': 'void'},
\    'parse': { 'signature': 'void', 'return_type': 'void'},
\    'tag_open': { 'signature': ' $parser,  $tag,  $attr', 'return_type': 'void'},
\    'cdata': { 'signature': ' $parser,  $cdata', 'return_type': 'void'},
\    'tag_close': { 'signature': ' $parser,  $tag', 'return_type': 'void'},
\  },
\},
\'ixr_server': {
\  'name': 'IXR_Server',
\  'properties': {
\    '$data': {'initializer': '', 'type': ''},
\    '$callbacks': {'initializer': 'array', 'type': ''},
\    '$message': {'initializer': '', 'type': ''},
\    '$capabilities': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    'IXR_Server': { 'signature': ' $callbacks,  $data,  $wait', 'return_type': 'void'},
\    'serve': { 'signature': ' $data', 'return_type': 'void'},
\    'call': { 'signature': ' $methodname,  $args', 'return_type': 'void'},
\    'error': { 'signature': ' $error,  $message', 'return_type': 'void'},
\    'output': { 'signature': ' $xml', 'return_type': 'void'},
\    'hasMethod': { 'signature': ' $method', 'return_type': 'void'},
\    'setCapabilities': { 'signature': 'void', 'return_type': 'void'},
\    'getCapabilities': { 'signature': ' $args', 'return_type': 'void'},
\    'setCallbacks': { 'signature': 'void', 'return_type': 'void'},
\    'listMethods': { 'signature': ' $args', 'return_type': 'void'},
\    'multiCall': { 'signature': ' $methodcalls', 'return_type': 'void'},
\  },
\},
\'ixr_request': {
\  'name': 'IXR_Request',
\  'properties': {
\    '$method': {'initializer': '', 'type': ''},
\    '$args': {'initializer': '', 'type': ''},
\    '$xml': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    'IXR_Request': { 'signature': ' $method,  $args', 'return_type': 'void'},
\    'getLength': { 'signature': 'void', 'return_type': 'void'},
\    'getXml': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'ixr_client': {
\  'name': 'IXR_Client',
\  'properties': {
\    '$server': {'initializer': '', 'type': ''},
\    '$port': {'initializer': '', 'type': ''},
\    '$path': {'initializer': '', 'type': ''},
\    '$useragent': {'initializer': '', 'type': ''},
\    '$response': {'initializer': '', 'type': ''},
\    '$message': {'initializer': 'false', 'type': ''},
\    '$debug': {'initializer': 'false', 'type': ''},
\    '$timeout': {'initializer': '', 'type': ''},
\    '$headers': {'initializer': 'array', 'type': ''},
\    '$error': {'initializer': 'false', 'type': ''},
\  },
\  'methods': {
\    'IXR_Client': { 'signature': ' $server,  $path,  $port,  $timeout', 'return_type': 'void'},
\    'query': { 'signature': 'void', 'return_type': 'void'},
\    'getResponse': { 'signature': 'void', 'return_type': 'void'},
\    'isError': { 'signature': 'void', 'return_type': 'void'},
\    'getErrorCode': { 'signature': 'void', 'return_type': 'void'},
\    'getErrorMessage': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'ixr_error': {
\  'name': 'IXR_Error',
\  'properties': {
\    '$code': {'initializer': '', 'type': ''},
\    '$message': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    'IXR_Error': { 'signature': ' $code,  $message', 'return_type': 'void'},
\    'getXml': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'ixr_date': {
\  'name': 'IXR_Date',
\  'properties': {
\    '$year': {'initializer': '', 'type': ''},
\    '$month': {'initializer': '', 'type': ''},
\    '$day': {'initializer': '', 'type': ''},
\    '$hour': {'initializer': '', 'type': ''},
\    '$minute': {'initializer': '', 'type': ''},
\    '$second': {'initializer': '', 'type': ''},
\    '$timezone': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    'IXR_Date': { 'signature': ' $time', 'return_type': 'void'},
\    'parseTimestamp': { 'signature': ' $timestamp', 'return_type': 'void'},
\    'parseIso': { 'signature': ' $iso', 'return_type': 'void'},
\    'getIso': { 'signature': 'void', 'return_type': 'void'},
\    'getXml': { 'signature': 'void', 'return_type': 'void'},
\    'getTimestamp': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'ixr_base64': {
\  'name': 'IXR_Base64',
\  'properties': {
\    '$data': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    'IXR_Base64': { 'signature': ' $data', 'return_type': 'void'},
\    'getXml': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'ixr_introspectionserver': {
\  'name': 'IXR_IntrospectionServer',
\  'properties': {
\    '$signatures': {'initializer': '', 'type': ''},
\    '$help': {'initializer': '', 'type': ''},
\    '$data': {'initializer': '', 'type': ''},
\    '$callbacks': {'initializer': 'array', 'type': ''},
\    '$message': {'initializer': '', 'type': ''},
\    '$capabilities': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    'IXR_IntrospectionServer': { 'signature': 'void', 'return_type': 'void'},
\    'addCallback': { 'signature': ' $method,  $callback,  $args,  $help', 'return_type': 'void'},
\    'call': { 'signature': ' $methodname,  $args', 'return_type': 'void'},
\    'methodSignature': { 'signature': ' $method', 'return_type': 'void'},
\    'methodHelp': { 'signature': ' $method', 'return_type': 'void'},
\    'IXR_Server': { 'signature': ' $callbacks,  $data,  $wait', 'return_type': 'void'},
\    'serve': { 'signature': ' $data', 'return_type': 'void'},
\    'error': { 'signature': ' $error,  $message', 'return_type': 'void'},
\    'output': { 'signature': ' $xml', 'return_type': 'void'},
\    'hasMethod': { 'signature': ' $method', 'return_type': 'void'},
\    'setCapabilities': { 'signature': 'void', 'return_type': 'void'},
\    'getCapabilities': { 'signature': ' $args', 'return_type': 'void'},
\    'setCallbacks': { 'signature': 'void', 'return_type': 'void'},
\    'listMethods': { 'signature': ' $args', 'return_type': 'void'},
\    'multiCall': { 'signature': ' $methodcalls', 'return_type': 'void'},
\  },
\},
\'ixr_clientmulticall': {
\  'name': 'IXR_ClientMulticall',
\  'properties': {
\    '$calls': {'initializer': 'array', 'type': ''},
\    '$server': {'initializer': '', 'type': ''},
\    '$port': {'initializer': '', 'type': ''},
\    '$path': {'initializer': '', 'type': ''},
\    '$useragent': {'initializer': '', 'type': ''},
\    '$response': {'initializer': '', 'type': ''},
\    '$message': {'initializer': 'false', 'type': ''},
\    '$debug': {'initializer': 'false', 'type': ''},
\    '$timeout': {'initializer': '', 'type': ''},
\    '$headers': {'initializer': 'array', 'type': ''},
\    '$error': {'initializer': 'false', 'type': ''},
\  },
\  'methods': {
\    'IXR_ClientMulticall': { 'signature': ' $server,  $path,  $port', 'return_type': 'void'},
\    'addCall': { 'signature': 'void', 'return_type': 'void'},
\    'query': { 'signature': 'void', 'return_type': 'void'},
\    'IXR_Client': { 'signature': ' $server,  $path,  $port,  $timeout', 'return_type': 'void'},
\    'getResponse': { 'signature': 'void', 'return_type': 'void'},
\    'isError': { 'signature': 'void', 'return_type': 'void'},
\    'getErrorCode': { 'signature': 'void', 'return_type': 'void'},
\    'getErrorMessage': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_registry'] = {
\'simplepie_registry': {
\  'name': 'SimplePie_Registry',
\  'properties': {
\  },
\  'methods': {
\    '__construct': { 'signature': 'void', 'return_type': 'void'},
\    'register': { 'signature': 'string $type, string $class, boolean $legacy', 'return_type': 'boolean'},
\    'get_class': { 'signature': 'string $type', 'return_type': 'string|null'},
\    'create': { 'signature': 'string $type, array $parameters', 'return_type': 'object'},
\    'call': { 'signature': 'string $type, string $method, array $parameters', 'return_type': 'mixed'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_cache'] = {
\'simplepie_cache': {
\  'name': 'SimplePie_Cache',
\  'static_properties': {
\  },
\  'static_methods': {
\    'get_handler': { 'signature': 'string $location, string $filename, string $extension', 'return_type': '\SimplePie_Cache_Base'},
\    'register': { 'signature': 'string $type, string $class', 'return_type': 'void'},
\    'parse_URL': { 'signature': 'string $url', 'return_type': 'array'},
\  },
\  'methods': {
\    'create': { 'signature': ' $location,  $filename,  $extension', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_snoopy'] = {
\'snoopy': {
\  'name': 'Snoopy',
\  'properties': {
\    '$host': {'initializer': '"www.php.net"', 'type': ''},
\    '$port': {'initializer': '80', 'type': ''},
\    '$proxy_host': {'initializer': '""', 'type': ''},
\    '$proxy_port': {'initializer': '""', 'type': ''},
\    '$proxy_user': {'initializer': '""', 'type': ''},
\    '$proxy_pass': {'initializer': '""', 'type': ''},
\    '$agent': {'initializer': '"Snoopy v1.2.4"', 'type': ''},
\    '$referer': {'initializer': '""', 'type': ''},
\    '$cookies': {'initializer': 'array', 'type': ''},
\    '$rawheaders': {'initializer': 'array', 'type': ''},
\    '$maxredirs': {'initializer': '5', 'type': ''},
\    '$lastredirectaddr': {'initializer': '""', 'type': ''},
\    '$offsiteok': {'initializer': 'true', 'type': ''},
\    '$maxframes': {'initializer': '0', 'type': ''},
\    '$expandlinks': {'initializer': 'true', 'type': ''},
\    '$passcookies': {'initializer': 'true', 'type': ''},
\    '$user': {'initializer': '""', 'type': ''},
\    '$pass': {'initializer': '""', 'type': ''},
\    '$accept': {'initializer': '"image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, */*"', 'type': ''},
\    '$results': {'initializer': '""', 'type': ''},
\    '$error': {'initializer': '""', 'type': ''},
\    '$response_code': {'initializer': '""', 'type': ''},
\    '$headers': {'initializer': 'array', 'type': ''},
\    '$maxlength': {'initializer': '500000', 'type': ''},
\    '$read_timeout': {'initializer': '0', 'type': ''},
\    '$timed_out': {'initializer': 'false', 'type': ''},
\    '$status': {'initializer': '0', 'type': ''},
\    '$temp_dir': {'initializer': '"/tmp"', 'type': ''},
\    '$curl_path': {'initializer': '"/usr/local/bin/curl"', 'type': ''},
\    '$_maxlinelen': {'initializer': '4096', 'type': ''},
\    '$_httpmethod': {'initializer': '"GET"', 'type': ''},
\    '$_httpversion': {'initializer': '"HTTP/1.0"', 'type': ''},
\    '$_submit_method': {'initializer': '"POST"', 'type': ''},
\    '$_submit_type': {'initializer': '"application/x-www-form-urlencoded"', 'type': ''},
\    '$_mime_boundary': {'initializer': '""', 'type': ''},
\    '$_redirectaddr': {'initializer': 'false', 'type': ''},
\    '$_redirectdepth': {'initializer': '0', 'type': ''},
\    '$_frameurls': {'initializer': 'array', 'type': ''},
\    '$_framedepth': {'initializer': '0', 'type': ''},
\    '$_isproxy': {'initializer': 'false', 'type': ''},
\    '$_fp_timeout': {'initializer': '30', 'type': ''},
\  },
\  'methods': {
\    'fetch': { 'signature': ' $URI', 'return_type': 'void'},
\    'submit': { 'signature': ' $URI,  $formvars,  $formfiles', 'return_type': 'void'},
\    'fetchlinks': { 'signature': ' $URI', 'return_type': 'void'},
\    'fetchform': { 'signature': ' $URI', 'return_type': 'void'},
\    'fetchtext': { 'signature': ' $URI', 'return_type': 'void'},
\    'submitlinks': { 'signature': ' $URI,  $formvars,  $formfiles', 'return_type': 'void'},
\    'submittext': { 'signature': ' $URI,  $formvars,  $formfiles', 'return_type': 'void'},
\    'set_submit_multipart': { 'signature': 'void', 'return_type': 'void'},
\    'set_submit_normal': { 'signature': 'void', 'return_type': 'void'},
\    '_striplinks': { 'signature': ' $document', 'return_type': 'void'},
\    '_stripform': { 'signature': ' $document', 'return_type': 'void'},
\    '_striptext': { 'signature': ' $document', 'return_type': 'void'},
\    '_expandlinks': { 'signature': ' $links,  $URI', 'return_type': 'void'},
\    '_httprequest': { 'signature': ' $url,  $fp,  $URI,  $http_method,  $content_type,  $body', 'return_type': 'void'},
\    '_httpsrequest': { 'signature': ' $url,  $URI,  $http_method,  $content_type,  $body', 'return_type': 'void'},
\    'setcookies': { 'signature': 'void', 'return_type': 'void'},
\    '_check_timeout': { 'signature': ' $fp', 'return_type': 'void'},
\    '_connect': { 'signature': ' $fp', 'return_type': 'void'},
\    '_disconnect': { 'signature': ' $fp', 'return_type': 'void'},
\    '_prepare_post_body': { 'signature': ' $formvars,  $formfiles', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_wp_customize_widgets'] = {
\'wp_customize_widgets': {
\  'name': 'WP_Customize_Widgets',
\  'properties': {
\    '$manager': {'initializer': '', 'type': '\WP_Customize_Manager'},
\  },
\  'methods': {
\    '__construct': { 'signature': '\WP_Customize_Manager $manager', 'return_type': 'void'},
\    'setup_widget_addition_previews': { 'signature': 'void', 'return_type': 'void'},
\    'prepreview_added_sidebars_widgets': { 'signature': 'array $sidebars_widgets', 'return_type': 'array'},
\    'prepreview_added_widget_instance': { 'signature': 'array|boolean|mixed $value', 'return_type': 'array|mixed'},
\    'remove_prepreview_filters': { 'signature': 'void', 'return_type': 'void'},
\    'override_sidebars_widgets_for_theme_switch': { 'signature': 'void', 'return_type': 'void'},
\    'filter_customize_value_old_sidebars_widgets_data': { 'signature': ' $old_sidebars_widgets', 'return_type': 'void'},
\    'filter_option_sidebars_widgets_for_theme_switch': { 'signature': 'array $sidebars_widgets', 'return_type': 'void'},
\    'customize_controls_init': { 'signature': 'void', 'return_type': 'void'},
\    'schedule_customize_register': { 'signature': 'void', 'return_type': 'void'},
\    'customize_register': { 'signature': 'void', 'return_type': 'void'},
\    'get_setting_id': { 'signature': 'string $widget_id', 'return_type': 'string'},
\    'is_wide_widget': { 'signature': 'string $widget_id', 'return_type': 'boolean'},
\    'parse_widget_id': { 'signature': 'string $widget_id', 'return_type': 'array'},
\    'parse_widget_setting_id': { 'signature': 'string $setting_id', 'return_type': '\WP_Error|array'},
\    'print_styles': { 'signature': 'void', 'return_type': 'void'},
\    'print_scripts': { 'signature': 'void', 'return_type': 'void'},
\    'enqueue_scripts': { 'signature': 'void', 'return_type': 'void'},
\    'output_widget_control_templates': { 'signature': 'void', 'return_type': 'void'},
\    'print_footer_scripts': { 'signature': 'void', 'return_type': 'void'},
\    'get_setting_args': { 'signature': 'string $id, array $overrides', 'return_type': 'array'},
\    'sanitize_sidebar_widgets': { 'signature': 'array $widget_ids', 'return_type': 'array'},
\    'get_available_widgets': { 'signature': 'void', 'return_type': 'array'},
\    'get_widget_control': { 'signature': 'array $args', 'return_type': 'string'},
\    'customize_preview_init': { 'signature': 'void', 'return_type': 'void'},
\    'preview_sidebars_widgets': { 'signature': 'array $sidebars_widgets', 'return_type': 'void'},
\    'customize_preview_enqueue': { 'signature': 'void', 'return_type': 'void'},
\    'print_preview_css': { 'signature': 'void', 'return_type': 'void'},
\    'export_preview_data': { 'signature': 'void', 'return_type': 'void'},
\    'tally_rendered_widgets': { 'signature': 'array $widget', 'return_type': 'void'},
\    'is_widget_rendered': { 'signature': 'string $widget_id', 'return_type': 'boolean'},
\    'is_sidebar_rendered': { 'signature': 'string $sidebar_id', 'return_type': 'boolean'},
\    'tally_sidebars_via_is_active_sidebar_calls': { 'signature': 'boolean $is_active, string $sidebar_id', 'return_type': 'void'},
\    'tally_sidebars_via_dynamic_sidebar_calls': { 'signature': 'boolean $has_widgets, string $sidebar_id', 'return_type': 'void'},
\    'sanitize_widget_instance': { 'signature': 'array $value', 'return_type': 'array'},
\    'sanitize_widget_js_instance': { 'signature': 'array $value', 'return_type': 'array'},
\    'sanitize_sidebar_widgets_js_instance': { 'signature': 'array $widget_ids', 'return_type': 'array'},
\    'call_widget_update': { 'signature': 'string $widget_id', 'return_type': '\WP_Error|array'},
\    'wp_ajax_update_widget': { 'signature': 'void', 'return_type': 'void'},
\    'capture_filter_pre_update_option': { 'signature': 'mixed $new_value, string $option_name, mixed $old_value', 'return_type': 'mixed'},
\    'capture_filter_pre_get_option': { 'signature': 'mixed $value', 'return_type': 'mixed'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_wp_customize_panel'] = {
\'wp_customize_panel': {
\  'name': 'WP_Customize_Panel',
\  'properties': {
\    '$manager': {'initializer': '', 'type': '\WP_Customize_Manager'},
\    '$id': {'initializer': '', 'type': 'string'},
\    '$priority': {'initializer': '160', 'type': 'integer'},
\    '$capability': {'initializer': 'edit_theme_options', 'type': 'string'},
\    '$theme_supports': {'initializer': '', 'type': 'string|array'},
\    '$title': {'initializer': '', 'type': 'string'},
\    '$description': {'initializer': '', 'type': 'string'},
\    '$sections': {'initializer': '', 'type': 'array'},
\  },
\  'methods': {
\    '__construct': { 'signature': '\WP_Customize_Manager $manager, string $id, array $args', 'return_type': 'void'},
\    'check_capabilities': { 'signature': 'void', 'return_type': 'boolean'},
\    'maybe_render': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_rewrite'] = {
\'wp_rewrite': {
\  'name': 'WP_Rewrite',
\  'properties': {
\    '$permalink_structure': {'initializer': '', 'type': 'string'},
\    '$use_trailing_slashes': {'initializer': '', 'type': 'boolean'},
\    '$author_base': {'initializer': 'author', 'type': 'string'},
\    '$author_structure': {'initializer': '', 'type': 'string'},
\    '$date_structure': {'initializer': '', 'type': 'string'},
\    '$page_structure': {'initializer': '', 'type': 'string'},
\    '$search_base': {'initializer': 'search', 'type': 'string'},
\    '$search_structure': {'initializer': '', 'type': 'string'},
\    '$comments_base': {'initializer': 'comments', 'type': 'string'},
\    '$pagination_base': {'initializer': 'page', 'type': 'string'},
\    '$feed_base': {'initializer': 'feed', 'type': 'string'},
\    '$comments_feed_structure': {'initializer': '', 'type': 'string'},
\    '$feed_structure': {'initializer': '', 'type': 'string'},
\    '$front': {'initializer': '', 'type': 'string'},
\    '$root': {'initializer': '', 'type': 'string'},
\    '$index': {'initializer': 'index.php', 'type': 'string'},
\    '$matches': {'initializer': '', 'type': 'string'},
\    '$rules': {'initializer': '', 'type': 'array'},
\    '$extra_rules': {'initializer': 'array', 'type': 'array'},
\    '$extra_rules_top': {'initializer': 'array', 'type': 'array'},
\    '$non_wp_rules': {'initializer': 'array', 'type': 'array'},
\    '$extra_permastructs': {'initializer': 'array', 'type': 'array'},
\    '$endpoints': {'initializer': '', 'type': 'array'},
\    '$use_verbose_rules': {'initializer': 'false', 'type': 'boolean'},
\    '$use_verbose_page_rules': {'initializer': 'true', 'type': 'boolean'},
\    '$rewritecode': {'initializer': 'array', 'type': 'array'},
\    '$rewritereplace': {'initializer': 'array', 'type': 'array'},
\    '$queryreplace': {'initializer': 'array', 'type': 'array'},
\    '$feeds': {'initializer': 'array', 'type': 'array'},
\  },
\  'methods': {
\    'using_permalinks': { 'signature': 'void', 'return_type': 'boolean'},
\    'using_index_permalinks': { 'signature': 'void', 'return_type': 'boolean'},
\    'using_mod_rewrite_permalinks': { 'signature': 'void', 'return_type': 'boolean'},
\    'preg_index': { 'signature': 'integer $number', 'return_type': 'string'},
\    'page_uri_index': { 'signature': 'void', 'return_type': 'array'},
\    'page_rewrite_rules': { 'signature': 'void', 'return_type': 'array'},
\    'get_date_permastruct': { 'signature': 'void', 'return_type': 'boolean|string'},
\    'get_year_permastruct': { 'signature': 'void', 'return_type': 'boolean|string'},
\    'get_month_permastruct': { 'signature': 'void', 'return_type': 'boolean|string'},
\    'get_day_permastruct': { 'signature': 'void', 'return_type': 'boolean|string'},
\    'get_category_permastruct': { 'signature': 'void', 'return_type': 'boolean|string'},
\    'get_tag_permastruct': { 'signature': 'void', 'return_type': 'boolean|string'},
\    'get_extra_permastruct': { 'signature': 'string $name', 'return_type': 'string|boolean'},
\    'get_author_permastruct': { 'signature': 'void', 'return_type': 'string|boolean'},
\    'get_search_permastruct': { 'signature': 'void', 'return_type': 'string|boolean'},
\    'get_page_permastruct': { 'signature': 'void', 'return_type': 'string|boolean'},
\    'get_feed_permastruct': { 'signature': 'void', 'return_type': 'string|boolean'},
\    'get_comment_feed_permastruct': { 'signature': 'void', 'return_type': 'string|boolean'},
\    'add_rewrite_tag': { 'signature': 'string $tag, string $regex, string $query', 'return_type': 'void'},
\    'generate_rewrite_rules': { 'signature': 'string $permalink_structure, integer $ep_mask, boolean $paged, boolean $feed, boolean $forcomments, boolean $walk_dirs, boolean $endpoints', 'return_type': 'array'},
\    'generate_rewrite_rule': { 'signature': 'string $permalink_structure, boolean $walk_dirs', 'return_type': 'array'},
\    'rewrite_rules': { 'signature': 'void', 'return_type': 'array'},
\    'wp_rewrite_rules': { 'signature': 'void', 'return_type': 'array'},
\    'mod_rewrite_rules': { 'signature': 'void', 'return_type': 'string'},
\    'iis7_url_rewrite_rules': { 'signature': ' $add_parent_tags', 'return_type': 'string'},
\    'add_rule': { 'signature': 'string $regex, string $redirect, string $after', 'return_type': 'void'},
\    'add_external_rule': { 'signature': 'string $regex, string $redirect', 'return_type': 'void'},
\    'add_endpoint': { 'signature': 'string $name, integer $places, string $query_var', 'return_type': 'void'},
\    'add_permastruct': { 'signature': 'string $name, string $struct, array $args', 'return_type': 'void'},
\    'flush_rules': { 'signature': 'boolean $hard', 'return_type': 'void'},
\    'init': { 'signature': 'void', 'return_type': 'void'},
\    'set_permalink_structure': { 'signature': 'string $permalink_structure', 'return_type': 'void'},
\    'set_category_base': { 'signature': 'string $category_base', 'return_type': 'void'},
\    'set_tag_base': { 'signature': 'string $tag_base', 'return_type': 'void'},
\    '__construct': { 'signature': 'void', 'return_type': '\WP_Rewrite'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_phpmailer'] = {
\'phpmailer': {
\  'name': 'PHPMailer',
\  'static_methods': {
\    'validateAddress': { 'signature': 'string $address, string $patternselect', 'return_type': 'boolean'},
\    'rfcDate': { 'signature': 'void', 'return_type': 'string'},
\    '_mime_types': { 'signature': 'string $ext', 'return_type': 'string'},
\    'filenameToType': { 'signature': 'string $filename', 'return_type': 'string'},
\    'mb_pathinfo': { 'signature': 'string $path, integer|string $options', 'return_type': 'string|array'},
\    'normalizeBreaks': { 'signature': 'string $text, string $breaktype', 'return_type': 'string'},
\  },
\  'properties': {
\    '$Version': {'initializer': '5.2.7', 'type': ''},
\    '$Priority': {'initializer': '3', 'type': ''},
\    '$CharSet': {'initializer': 'iso-8859-1', 'type': ''},
\    '$ContentType': {'initializer': 'text/plain', 'type': ''},
\    '$Encoding': {'initializer': '8bit', 'type': ''},
\    '$ErrorInfo': {'initializer': '', 'type': ''},
\    '$From': {'initializer': 'root@localhost', 'type': ''},
\    '$FromName': {'initializer': 'Root User', 'type': ''},
\    '$Sender': {'initializer': '', 'type': ''},
\    '$ReturnPath': {'initializer': '', 'type': ''},
\    '$Subject': {'initializer': '', 'type': ''},
\    '$Body': {'initializer': '', 'type': ''},
\    '$AltBody': {'initializer': '', 'type': ''},
\    '$Ical': {'initializer': '', 'type': ''},
\    '$WordWrap': {'initializer': '0', 'type': ''},
\    '$Mailer': {'initializer': 'mail', 'type': ''},
\    '$Sendmail': {'initializer': '/usr/sbin/sendmail', 'type': ''},
\    '$UseSendmailOptions': {'initializer': 'true', 'type': ''},
\    '$PluginDir': {'initializer': '', 'type': ''},
\    '$ConfirmReadingTo': {'initializer': '', 'type': ''},
\    '$Hostname': {'initializer': '', 'type': ''},
\    '$MessageID': {'initializer': '', 'type': ''},
\    '$MessageDate': {'initializer': '', 'type': ''},
\    '$Host': {'initializer': 'localhost', 'type': ''},
\    '$Port': {'initializer': '25', 'type': ''},
\    '$Helo': {'initializer': '', 'type': ''},
\    '$SMTPSecure': {'initializer': '', 'type': ''},
\    '$SMTPAuth': {'initializer': 'false', 'type': ''},
\    '$Username': {'initializer': '', 'type': ''},
\    '$Password': {'initializer': '', 'type': ''},
\    '$AuthType': {'initializer': '', 'type': ''},
\    '$Realm': {'initializer': '', 'type': ''},
\    '$Workstation': {'initializer': '', 'type': ''},
\    '$Timeout': {'initializer': '10', 'type': ''},
\    '$SMTPDebug': {'initializer': '0', 'type': ''},
\    '$Debugoutput': {'initializer': '"echo"', 'type': ''},
\    '$SMTPKeepAlive': {'initializer': 'false', 'type': ''},
\    '$SingleTo': {'initializer': 'false', 'type': ''},
\    '$SingleToArray': {'initializer': 'array', 'type': ''},
\    '$do_verp': {'initializer': 'false', 'type': ''},
\    '$AllowEmpty': {'initializer': 'false', 'type': ''},
\    '$LE': {'initializer': '"\n"', 'type': ''},
\    '$DKIM_selector': {'initializer': '', 'type': ''},
\    '$DKIM_identity': {'initializer': '', 'type': ''},
\    '$DKIM_passphrase': {'initializer': '', 'type': ''},
\    '$DKIM_domain': {'initializer': '', 'type': ''},
\    '$DKIM_private': {'initializer': '', 'type': ''},
\    '$action_function': {'initializer': '', 'type': ''},
\    '$XMailer': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    '__construct': { 'signature': 'boolean $exceptions', 'return_type': 'void'},
\    '__destruct': { 'signature': 'void', 'return_type': 'void'},
\    'isHTML': { 'signature': 'boolean $ishtml', 'return_type': 'void'},
\    'isSMTP': { 'signature': 'void', 'return_type': 'void'},
\    'isMail': { 'signature': 'void', 'return_type': 'void'},
\    'isSendmail': { 'signature': 'void', 'return_type': 'void'},
\    'isQmail': { 'signature': 'void', 'return_type': 'void'},
\    'addAddress': { 'signature': 'string $address, string $name', 'return_type': 'boolean'},
\    'addCC': { 'signature': 'string $address, string $name', 'return_type': 'boolean'},
\    'addBCC': { 'signature': 'string $address, string $name', 'return_type': 'boolean'},
\    'addReplyTo': { 'signature': 'string $address, string $name', 'return_type': 'boolean'},
\    'setFrom': { 'signature': 'string $address, string $name, boolean $auto', 'return_type': 'boolean'},
\    'getLastMessageID': { 'signature': 'void', 'return_type': 'string'},
\    'send': { 'signature': 'void', 'return_type': 'boolean'},
\    'preSend': { 'signature': 'void', 'return_type': 'boolean'},
\    'postSend': { 'signature': 'void', 'return_type': 'boolean'},
\    'getSMTPInstance': { 'signature': 'void', 'return_type': '\SMTP'},
\    'smtpConnect': { 'signature': 'array $options', 'return_type': 'boolean'},
\    'smtpClose': { 'signature': 'void', 'return_type': 'void'},
\    'setLanguage': { 'signature': 'string $langcode, string $lang_path', 'return_type': 'boolean'},
\    'getTranslations': { 'signature': 'void', 'return_type': 'array'},
\    'addrAppend': { 'signature': 'string $type, array $addr', 'return_type': 'string'},
\    'addrFormat': { 'signature': 'array $addr', 'return_type': 'string'},
\    'wrapText': { 'signature': 'string $message, integer $length, boolean $qp_mode', 'return_type': 'string'},
\    'utf8CharBoundary': { 'signature': 'string $encodedText, integer $maxLength', 'return_type': 'integer'},
\    'setWordWrap': { 'signature': 'void', 'return_type': 'void'},
\    'createHeader': { 'signature': 'void', 'return_type': 'string'},
\    'getMailMIME': { 'signature': 'void', 'return_type': 'string'},
\    'getSentMIMEMessage': { 'signature': 'void', 'return_type': 'string'},
\    'createBody': { 'signature': 'void', 'return_type': 'string'},
\    'headerLine': { 'signature': 'string $name, string $value', 'return_type': 'string'},
\    'textLine': { 'signature': 'string $value', 'return_type': 'string'},
\    'addAttachment': { 'signature': 'string $path, string $name, string $encoding, string $type, string $disposition', 'return_type': 'boolean'},
\    'getAttachments': { 'signature': 'void', 'return_type': 'array'},
\    'encodeString': { 'signature': 'string $str, string $encoding', 'return_type': 'string'},
\    'encodeHeader': { 'signature': 'string $str, string $position', 'return_type': 'string'},
\    'hasMultiBytes': { 'signature': 'string $str', 'return_type': 'boolean'},
\    'base64EncodeWrapMB': { 'signature': 'string $str, string $lf', 'return_type': 'string'},
\    'encodeQP': { 'signature': 'string $string, integer $line_max', 'return_type': 'string'},
\    'encodeQPphp': { 'signature': 'string $string, integer $line_max, boolean $space_conv', 'return_type': 'string'},
\    'encodeQ': { 'signature': 'string $str, string $position', 'return_type': 'string'},
\    'addStringAttachment': { 'signature': 'string $string, string $filename, string $encoding, string $type, string $disposition', 'return_type': 'void'},
\    'addEmbeddedImage': { 'signature': 'string $path, string $cid, string $name, string $encoding, string $type, string $disposition', 'return_type': 'boolean'},
\    'addStringEmbeddedImage': { 'signature': 'string $string, string $cid, string $name, string $encoding, string $type, string $disposition', 'return_type': 'boolean'},
\    'inlineImageExists': { 'signature': 'void', 'return_type': 'boolean'},
\    'attachmentExists': { 'signature': 'void', 'return_type': 'boolean'},
\    'alternativeExists': { 'signature': 'void', 'return_type': 'boolean'},
\    'clearAddresses': { 'signature': 'void', 'return_type': 'void'},
\    'clearCCs': { 'signature': 'void', 'return_type': 'void'},
\    'clearBCCs': { 'signature': 'void', 'return_type': 'void'},
\    'clearReplyTos': { 'signature': 'void', 'return_type': 'void'},
\    'clearAllRecipients': { 'signature': 'void', 'return_type': 'void'},
\    'clearAttachments': { 'signature': 'void', 'return_type': 'void'},
\    'clearCustomHeaders': { 'signature': 'void', 'return_type': 'void'},
\    'isError': { 'signature': 'void', 'return_type': 'boolean'},
\    'fixEOL': { 'signature': 'string $str', 'return_type': 'string'},
\    'addCustomHeader': { 'signature': 'string $name, string $value', 'return_type': 'void'},
\    'msgHTML': { 'signature': 'string $message, string $basedir, boolean $advanced', 'return_type': 'string'},
\    'html2text': { 'signature': 'string $html, boolean $advanced', 'return_type': 'string'},
\    'set': { 'signature': 'string $name, mixed $value', 'return_type': 'boolean'},
\    'secureHeader': { 'signature': 'string $str', 'return_type': 'string'},
\    'sign': { 'signature': 'string $cert_filename, string $key_filename, string $key_pass', 'return_type': 'void'},
\    'DKIM_QP': { 'signature': 'string $txt', 'return_type': 'string'},
\    'DKIM_Sign': { 'signature': 'string $s', 'return_type': 'string'},
\    'DKIM_HeaderC': { 'signature': 'string $s', 'return_type': 'string'},
\    'DKIM_BodyC': { 'signature': 'string $body', 'return_type': 'string'},
\    'DKIM_Add': { 'signature': 'string $headers_line, string $subject, string $body', 'return_type': 'string'},
\  },
\},
\'phpmailerexception': {
\  'name': 'phpmailerException',
\  'methods': {
\    'errorMessage': { 'signature': 'void', 'return_type': 'string'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_source'] = {
\'simplepie_source': {
\  'name': 'SimplePie_Source',
\  'properties': {
\    '$item': {'initializer': '', 'type': ''},
\    '$data': {'initializer': 'array', 'type': ''},
\  },
\  'methods': {
\    '__construct': { 'signature': ' $item,  $data', 'return_type': 'void'},
\    'set_registry': { 'signature': '\SimplePie_Registry $registry', 'return_type': 'void'},
\    '__toString': { 'signature': 'void', 'return_type': 'void'},
\    'get_source_tags': { 'signature': ' $namespace,  $tag', 'return_type': 'void'},
\    'get_base': { 'signature': ' $element', 'return_type': 'void'},
\    'sanitize': { 'signature': ' $data,  $type,  $base', 'return_type': 'void'},
\    'get_item': { 'signature': 'void', 'return_type': 'void'},
\    'get_title': { 'signature': 'void', 'return_type': 'void'},
\    'get_category': { 'signature': ' $key', 'return_type': 'void'},
\    'get_categories': { 'signature': 'void', 'return_type': 'void'},
\    'get_author': { 'signature': ' $key', 'return_type': 'void'},
\    'get_authors': { 'signature': 'void', 'return_type': 'void'},
\    'get_contributor': { 'signature': ' $key', 'return_type': 'void'},
\    'get_contributors': { 'signature': 'void', 'return_type': 'void'},
\    'get_link': { 'signature': ' $key,  $rel', 'return_type': 'void'},
\    'get_permalink': { 'signature': 'void', 'return_type': 'void'},
\    'get_links': { 'signature': ' $rel', 'return_type': 'void'},
\    'get_description': { 'signature': 'void', 'return_type': 'void'},
\    'get_copyright': { 'signature': 'void', 'return_type': 'void'},
\    'get_language': { 'signature': 'void', 'return_type': 'void'},
\    'get_latitude': { 'signature': 'void', 'return_type': 'void'},
\    'get_longitude': { 'signature': 'void', 'return_type': 'void'},
\    'get_image_url': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_db'] = {
\'simplepie_cache_db': {
\  'name': 'SimplePie_Cache_DB',
\  'static_methods': {
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_taxonomy'] = {
\'wp_tax_query': {
\  'name': 'WP_Tax_Query',
\  'static_properties': {
\  },
\  'properties': {
\    '$queries': {'initializer': 'array', 'type': 'array'},
\    '$relation': {'initializer': '', 'type': 'string'},
\  },
\  'methods': {
\    '__construct': { 'signature': 'array $tax_query', 'return_type': 'void'},
\    'get_sql': { 'signature': 'string $primary_table, string $primary_id_column', 'return_type': 'array'},
\    'transform_query': { 'signature': ' $query, string $resulting_field', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_query'] = {
\'wp_query': {
\  'name': 'WP_Query',
\  'properties': {
\    '$query': {'initializer': '', 'type': 'array'},
\    '$query_vars': {'initializer': 'array', 'type': 'array'},
\    '$tax_query': {'initializer': '', 'type': 'object'},
\    '$meta_query': {'initializer': 'false', 'type': 'object'},
\    '$date_query': {'initializer': 'false', 'type': 'object'},
\    '$queried_object': {'initializer': '', 'type': 'object|array'},
\    '$queried_object_id': {'initializer': '', 'type': 'integer'},
\    '$request': {'initializer': '', 'type': 'string'},
\    '$posts': {'initializer': '', 'type': 'array'},
\    '$post_count': {'initializer': '0', 'type': 'integer'},
\    '$current_post': {'initializer': '-1', 'type': 'integer'},
\    '$in_the_loop': {'initializer': 'false', 'type': 'boolean'},
\    '$post': {'initializer': '', 'type': '\WP_Post'},
\    '$comments': {'initializer': '', 'type': 'array'},
\    '$comment_count': {'initializer': '0', 'type': 'integer'},
\    '$current_comment': {'initializer': '-1', 'type': 'integer'},
\    '$comment': {'initializer': '', 'type': 'integer'},
\    '$found_posts': {'initializer': '0', 'type': 'integer'},
\    '$max_num_pages': {'initializer': '0', 'type': 'integer'},
\    '$max_num_comment_pages': {'initializer': '0', 'type': 'integer'},
\    '$is_single': {'initializer': 'false', 'type': 'boolean'},
\    '$is_preview': {'initializer': 'false', 'type': 'boolean'},
\    '$is_page': {'initializer': 'false', 'type': 'boolean'},
\    '$is_archive': {'initializer': 'false', 'type': 'boolean'},
\    '$is_date': {'initializer': 'false', 'type': 'boolean'},
\    '$is_year': {'initializer': 'false', 'type': 'boolean'},
\    '$is_month': {'initializer': 'false', 'type': 'boolean'},
\    '$is_day': {'initializer': 'false', 'type': 'boolean'},
\    '$is_time': {'initializer': 'false', 'type': 'boolean'},
\    '$is_author': {'initializer': 'false', 'type': 'boolean'},
\    '$is_category': {'initializer': 'false', 'type': 'boolean'},
\    '$is_tag': {'initializer': 'false', 'type': 'boolean'},
\    '$is_tax': {'initializer': 'false', 'type': 'boolean'},
\    '$is_search': {'initializer': 'false', 'type': 'boolean'},
\    '$is_feed': {'initializer': 'false', 'type': 'boolean'},
\    '$is_comment_feed': {'initializer': 'false', 'type': 'boolean'},
\    '$is_trackback': {'initializer': 'false', 'type': 'boolean'},
\    '$is_home': {'initializer': 'false', 'type': 'boolean'},
\    '$is_404': {'initializer': 'false', 'type': 'boolean'},
\    '$is_comments_popup': {'initializer': 'false', 'type': 'boolean'},
\    '$is_paged': {'initializer': 'false', 'type': 'boolean'},
\    '$is_admin': {'initializer': 'false', 'type': 'boolean'},
\    '$is_attachment': {'initializer': 'false', 'type': 'boolean'},
\    '$is_singular': {'initializer': 'false', 'type': 'boolean'},
\    '$is_robots': {'initializer': 'false', 'type': 'boolean'},
\    '$is_posts_page': {'initializer': 'false', 'type': 'boolean'},
\    '$is_post_type_archive': {'initializer': 'false', 'type': 'boolean'},
\    '$thumbnails_cached': {'initializer': 'false', 'type': 'boolean'},
\  },
\  'methods': {
\    'init': { 'signature': 'void', 'return_type': 'void'},
\    'parse_query_vars': { 'signature': 'void', 'return_type': 'void'},
\    'fill_query_vars': { 'signature': 'array $array', 'return_type': 'array'},
\    'parse_query': { 'signature': 'string|array $query', 'return_type': 'void'},
\    'parse_tax_query': { 'signature': ' $q', 'return_type': 'void'},
\    'set_404': { 'signature': 'void', 'return_type': 'void'},
\    'get': { 'signature': 'string $query_var, mixed $default', 'return_type': 'mixed'},
\    'set': { 'signature': 'string $query_var, mixed $value', 'return_type': 'void'},
\    'get_posts': { 'signature': 'void', 'return_type': 'array'},
\    'next_post': { 'signature': 'void', 'return_type': '\WP_Post'},
\    'the_post': { 'signature': 'void', 'return_type': 'void'},
\    'have_posts': { 'signature': 'void', 'return_type': 'boolean'},
\    'rewind_posts': { 'signature': 'void', 'return_type': 'void'},
\    'next_comment': { 'signature': 'void', 'return_type': 'object'},
\    'the_comment': { 'signature': 'void', 'return_type': 'void'},
\    'have_comments': { 'signature': 'void', 'return_type': 'boolean'},
\    'rewind_comments': { 'signature': 'void', 'return_type': 'void'},
\    'query': { 'signature': 'string $query', 'return_type': 'array'},
\    'get_queried_object': { 'signature': 'void', 'return_type': 'object'},
\    'get_queried_object_id': { 'signature': 'void', 'return_type': 'integer'},
\    '__construct': { 'signature': 'string $query', 'return_type': '\WP_Query'},
\    '__get': { 'signature': 'string $name', 'return_type': 'mixed'},
\    '__isset': { 'signature': 'string $name', 'return_type': 'boolean'},
\    '__unset': { 'signature': 'string $name', 'return_type': 'void'},
\    '__call': { 'signature': 'callable $name, array $arguments', 'return_type': 'mixed|boolean'},
\    'is_archive': { 'signature': 'void', 'return_type': 'boolean'},
\    'is_post_type_archive': { 'signature': 'mixed $post_types', 'return_type': 'boolean'},
\    'is_attachment': { 'signature': 'mixed $attachment', 'return_type': 'boolean'},
\    'is_author': { 'signature': 'mixed $author', 'return_type': 'boolean'},
\    'is_category': { 'signature': 'mixed $category', 'return_type': 'boolean'},
\    'is_tag': { 'signature': 'mixed $tag', 'return_type': 'boolean'},
\    'is_tax': { 'signature': 'mixed $taxonomy,  $term', 'return_type': 'boolean'},
\    'is_comments_popup': { 'signature': 'void', 'return_type': 'boolean'},
\    'is_date': { 'signature': 'void', 'return_type': 'boolean'},
\    'is_day': { 'signature': 'void', 'return_type': 'boolean'},
\    'is_feed': { 'signature': 'string|array $feeds', 'return_type': 'boolean'},
\    'is_comment_feed': { 'signature': 'void', 'return_type': 'boolean'},
\    'is_front_page': { 'signature': 'void', 'return_type': 'boolean'},
\    'is_home': { 'signature': 'void', 'return_type': 'boolean'},
\    'is_month': { 'signature': 'void', 'return_type': 'boolean'},
\    'is_page': { 'signature': 'mixed $page', 'return_type': 'boolean'},
\    'is_paged': { 'signature': 'void', 'return_type': 'boolean'},
\    'is_preview': { 'signature': 'void', 'return_type': 'boolean'},
\    'is_robots': { 'signature': 'void', 'return_type': 'boolean'},
\    'is_search': { 'signature': 'void', 'return_type': 'boolean'},
\    'is_single': { 'signature': 'mixed $post', 'return_type': 'boolean'},
\    'is_singular': { 'signature': 'mixed $post_types', 'return_type': 'boolean'},
\    'is_time': { 'signature': 'void', 'return_type': 'boolean'},
\    'is_trackback': { 'signature': 'void', 'return_type': 'boolean'},
\    'is_year': { 'signature': 'void', 'return_type': 'boolean'},
\    'is_404': { 'signature': 'void', 'return_type': 'boolean'},
\    'is_main_query': { 'signature': 'void', 'return_type': 'boolean'},
\    'reset_postdata': { 'signature': 'void', 'return_type': 'boolean'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_module_audio_dts'] = {
\'getid3_dts': {
\  'name': 'getid3_dts',
\  'static_properties': {
\    '$syncwords': {'initializer': 'array', 'type': ''},
\  },
\  'static_methods': {
\    'bitrateLookup': { 'signature': ' $index', 'return_type': 'void'},
\    'sampleRateLookup': { 'signature': ' $index', 'return_type': 'void'},
\    'bitPerSampleLookup': { 'signature': ' $index', 'return_type': 'void'},
\    'numChannelsLookup': { 'signature': ' $index', 'return_type': 'void'},
\    'channelArrangementLookup': { 'signature': ' $index', 'return_type': 'void'},
\    'dialogNormalization': { 'signature': ' $index,  $version', 'return_type': 'void'},
\  },
\  'properties': {
\  },
\  'methods': {
\    'Analyze': { 'signature': 'void', 'return_type': 'void'},
\    '__construct': { 'signature': '\getID3 $getid3,  $call_module', 'return_type': 'void'},
\    'AnalyzeString': { 'signature': ' $string', 'return_type': 'void'},
\    'setStringMode': { 'signature': ' $string', 'return_type': 'void'},
\    'saveAttachment': { 'signature': ' $name,  $offset,  $length,  $image_mime', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_wp_db'] = {
\'wpdb': {
\  'name': 'wpdb',
\  'properties': {
\    '$show_errors': {'initializer': 'false', 'type': 'boolean'},
\    '$suppress_errors': {'initializer': 'false', 'type': 'boolean'},
\    '$last_error': {'initializer': '', 'type': 'string'},
\    '$num_queries': {'initializer': '0', 'type': 'integer'},
\    '$num_rows': {'initializer': '0', 'type': 'integer'},
\    '$rows_affected': {'initializer': '0', 'type': 'integer'},
\    '$insert_id': {'initializer': '0', 'type': 'integer'},
\    '$last_query': {'initializer': '', 'type': 'array'},
\    '$last_result': {'initializer': '', 'type': 'array|null'},
\    '$queries': {'initializer': '', 'type': 'array'},
\    '$prefix': {'initializer': '', 'type': 'string'},
\    '$base_prefix': {'initializer': '', 'type': 'string'},
\    '$ready': {'initializer': 'false', 'type': 'boolean'},
\    '$blogid': {'initializer': '0', 'type': 'integer'},
\    '$siteid': {'initializer': '0', 'type': 'integer'},
\    '$tables': {'initializer': 'array', 'type': 'array'},
\    '$old_tables': {'initializer': 'array', 'type': 'array'},
\    '$global_tables': {'initializer': 'array', 'type': 'array'},
\    '$ms_global_tables': {'initializer': 'array', 'type': 'array'},
\    '$comments': {'initializer': '', 'type': 'string'},
\    '$commentmeta': {'initializer': '', 'type': 'string'},
\    '$links': {'initializer': '', 'type': 'string'},
\    '$options': {'initializer': '', 'type': 'string'},
\    '$postmeta': {'initializer': '', 'type': 'string'},
\    '$posts': {'initializer': '', 'type': 'string'},
\    '$terms': {'initializer': '', 'type': 'string'},
\    '$term_relationships': {'initializer': '', 'type': 'string'},
\    '$term_taxonomy': {'initializer': '', 'type': 'string'},
\    '$usermeta': {'initializer': '', 'type': 'string'},
\    '$users': {'initializer': '', 'type': 'string'},
\    '$blogs': {'initializer': '', 'type': 'string'},
\    '$blog_versions': {'initializer': '', 'type': 'string'},
\    '$registration_log': {'initializer': '', 'type': 'string'},
\    '$signups': {'initializer': '', 'type': 'string'},
\    '$site': {'initializer': '', 'type': 'string'},
\    '$sitecategories': {'initializer': '', 'type': 'string'},
\    '$sitemeta': {'initializer': '', 'type': 'string'},
\    '$field_types': {'initializer': 'array', 'type': 'array'},
\    '$charset': {'initializer': '', 'type': 'string'},
\    '$collate': {'initializer': '', 'type': 'string'},
\    '$func_call': {'initializer': '', 'type': 'string'},
\    '$is_mysql': {'initializer': 'null', 'type': 'boolean'},
\  },
\  'methods': {
\    '__construct': { 'signature': 'string $dbuser, string $dbpassword, string $dbname, string $dbhost', 'return_type': 'void'},
\    '__destruct': { 'signature': 'void', 'return_type': 'boolean'},
\    '__get': { 'signature': 'string $name', 'return_type': 'mixed'},
\    '__set': { 'signature': 'string $name, mixed $value', 'return_type': 'void'},
\    '__isset': { 'signature': 'string $name', 'return_type': 'boolean'},
\    '__unset': { 'signature': 'string $name', 'return_type': 'void'},
\    'init_charset': { 'signature': 'void', 'return_type': 'void'},
\    'set_charset': { 'signature': 'resource $dbh, string $charset, string $collate', 'return_type': 'void'},
\    'set_sql_mode': { 'signature': 'array $modes', 'return_type': 'void'},
\    'set_prefix': { 'signature': 'string $prefix, boolean $set_table_names', 'return_type': 'string|\WP_Error'},
\    'set_blog_id': { 'signature': 'integer $blog_id, integer $site_id', 'return_type': 'string'},
\    'get_blog_prefix': { 'signature': 'integer $blog_id', 'return_type': 'string'},
\    'tables': { 'signature': 'string $scope, boolean $prefix, integer $blog_id', 'return_type': 'array'},
\    'select': { 'signature': 'string $db, resource $dbh', 'return_type': 'null'},
\    '_weak_escape': { 'signature': 'string $string', 'return_type': 'string'},
\    '_real_escape': { 'signature': 'string $string', 'return_type': 'string'},
\    '_escape': { 'signature': 'string|array $data', 'return_type': 'string|array'},
\    'escape': { 'signature': 'mixed $data', 'return_type': 'mixed'},
\    'escape_by_ref': { 'signature': 'string $string', 'return_type': 'void'},
\    'prepare': { 'signature': 'string $query, array|mixed $args', 'return_type': 'null|false|string'},
\    'esc_like': { 'signature': 'string $text', 'return_type': 'string'},
\    'print_error': { 'signature': 'string $str', 'return_type': 'boolean'},
\    'show_errors': { 'signature': 'boolean $show', 'return_type': 'boolean'},
\    'hide_errors': { 'signature': 'void', 'return_type': 'boolean'},
\    'suppress_errors': { 'signature': 'boolean $suppress', 'return_type': 'boolean'},
\    'flush': { 'signature': 'void', 'return_type': 'void'},
\    'db_connect': { 'signature': 'boolean $allow_bail', 'return_type': 'boolean'},
\    'check_connection': { 'signature': 'boolean $allow_bail', 'return_type': 'boolean'},
\    'query': { 'signature': 'string $query', 'return_type': 'integer|false'},
\    'insert': { 'signature': 'string $table, array $data, array|string $format', 'return_type': 'integer|false'},
\    'replace': { 'signature': 'string $table, array $data, array|string $format', 'return_type': 'integer|false'},
\    '_insert_replace_helper': { 'signature': 'string $table, array $data, array|string $format, string $type', 'return_type': 'integer|false'},
\    'update': { 'signature': 'string $table, array $data, array $where, array|string $format, array|string $where_format', 'return_type': 'integer|false'},
\    'delete': { 'signature': 'string $table, array $where, array|string $where_format', 'return_type': 'integer|false'},
\    'get_var': { 'signature': 'string|null $query, integer $x, integer $y', 'return_type': 'string|null'},
\    'get_row': { 'signature': 'string|null $query, string $output, integer $y', 'return_type': 'mixed'},
\    'get_col': { 'signature': 'string|null $query, integer $x', 'return_type': 'array'},
\    'get_results': { 'signature': 'string $query, string $output', 'return_type': 'mixed'},
\    'get_col_info': { 'signature': 'string $info_type, integer $col_offset', 'return_type': 'mixed'},
\    'timer_start': { 'signature': 'void', 'return_type': 'true'},
\    'timer_stop': { 'signature': 'void', 'return_type': 'float'},
\    'bail': { 'signature': 'string $message, string $error_code', 'return_type': 'false|void'},
\    'check_database_version': { 'signature': 'void', 'return_type': '\WP_Error'},
\    'supports_collation': { 'signature': 'void', 'return_type': 'boolean'},
\    'get_charset_collate': { 'signature': 'void', 'return_type': 'string'},
\    'has_cap': { 'signature': 'string $db_cap', 'return_type': 'boolean'},
\    'get_caller': { 'signature': 'void', 'return_type': 'string'},
\    'db_version': { 'signature': 'void', 'return_type': 'false|string'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_module_audio_video_flv'] = {
\'getid3_flv': {
\  'name': 'getid3_flv',
\  'properties': {
\    '$max_frames': {'initializer': '100000', 'type': ''},
\  },
\  'methods': {
\    'Analyze': { 'signature': 'void', 'return_type': 'void'},
\    'FLVaudioFormat': { 'signature': ' $id', 'return_type': 'void'},
\    'FLVaudioRate': { 'signature': ' $id', 'return_type': 'void'},
\    'FLVaudioBitDepth': { 'signature': ' $id', 'return_type': 'void'},
\    'FLVvideoCodec': { 'signature': ' $id', 'return_type': 'void'},
\    '__construct': { 'signature': '\getID3 $getid3,  $call_module', 'return_type': 'void'},
\    'AnalyzeString': { 'signature': ' $string', 'return_type': 'void'},
\    'setStringMode': { 'signature': ' $string', 'return_type': 'void'},
\    'saveAttachment': { 'signature': ' $name,  $offset,  $length,  $image_mime', 'return_type': 'void'},
\  },
\},
\'amfstream': {
\  'name': 'AMFStream',
\  'properties': {
\    '$bytes': {'initializer': '', 'type': ''},
\    '$pos': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    'AMFStream': { 'signature': ' $bytes', 'return_type': 'void'},
\    'readByte': { 'signature': 'void', 'return_type': 'void'},
\    'readInt': { 'signature': 'void', 'return_type': 'void'},
\    'readLong': { 'signature': 'void', 'return_type': 'void'},
\    'readDouble': { 'signature': 'void', 'return_type': 'void'},
\    'readUTF': { 'signature': 'void', 'return_type': 'void'},
\    'readLongUTF': { 'signature': 'void', 'return_type': 'void'},
\    'read': { 'signature': ' $length', 'return_type': 'void'},
\    'peekByte': { 'signature': 'void', 'return_type': 'void'},
\    'peekInt': { 'signature': 'void', 'return_type': 'void'},
\    'peekLong': { 'signature': 'void', 'return_type': 'void'},
\    'peekDouble': { 'signature': 'void', 'return_type': 'void'},
\    'peekUTF': { 'signature': 'void', 'return_type': 'void'},
\    'peekLongUTF': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'amfreader': {
\  'name': 'AMFReader',
\  'properties': {
\    '$stream': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    'AMFReader': { 'signature': ' $stream', 'return_type': 'void'},
\    'readData': { 'signature': 'void', 'return_type': 'void'},
\    'readDouble': { 'signature': 'void', 'return_type': 'void'},
\    'readBoolean': { 'signature': 'void', 'return_type': 'void'},
\    'readString': { 'signature': 'void', 'return_type': 'void'},
\    'readObject': { 'signature': 'void', 'return_type': 'void'},
\    'readMixedArray': { 'signature': 'void', 'return_type': 'void'},
\    'readArray': { 'signature': 'void', 'return_type': 'void'},
\    'readDate': { 'signature': 'void', 'return_type': 'void'},
\    'readLongString': { 'signature': 'void', 'return_type': 'void'},
\    'readXML': { 'signature': 'void', 'return_type': 'void'},
\    'readTypedObject': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'avcsequenceparametersetreader': {
\  'name': 'AVCSequenceParameterSetReader',
\  'properties': {
\    '$sps': {'initializer': '', 'type': ''},
\    '$start': {'initializer': '0', 'type': ''},
\    '$currentBytes': {'initializer': '0', 'type': ''},
\    '$currentBits': {'initializer': '0', 'type': ''},
\    '$width': {'initializer': '', 'type': ''},
\    '$height': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    'AVCSequenceParameterSetReader': { 'signature': ' $sps', 'return_type': 'void'},
\    'readData': { 'signature': 'void', 'return_type': 'void'},
\    'skipBits': { 'signature': ' $bits', 'return_type': 'void'},
\    'getBit': { 'signature': 'void', 'return_type': 'void'},
\    'getBits': { 'signature': ' $bits', 'return_type': 'void'},
\    'expGolombUe': { 'signature': 'void', 'return_type': 'void'},
\    'expGolombSe': { 'signature': 'void', 'return_type': 'void'},
\    'getWidth': { 'signature': 'void', 'return_type': 'void'},
\    'getHeight': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_diff'] = {
\'text_diff': {
\  'name': 'Text_Diff',
\  'static_methods': {
\    'trimNewlines': { 'signature': 'string $line, integer $key', 'return_type': 'void'},
\  },
\  'properties': {
\    '$_edits': {'initializer': '', 'type': 'array'},
\  },
\  'methods': {
\    'Text_Diff': { 'signature': 'string $engine, array $params', 'return_type': 'void'},
\    'getDiff': { 'signature': 'void', 'return_type': 'void'},
\    'countAddedLines': { 'signature': 'void', 'return_type': 'integer'},
\    'countDeletedLines': { 'signature': 'void', 'return_type': 'integer'},
\    'reverse': { 'signature': 'void', 'return_type': '\Text_Diff'},
\    'isEmpty': { 'signature': 'void', 'return_type': 'boolean'},
\    'lcs': { 'signature': 'void', 'return_type': 'integer'},
\    'getOriginal': { 'signature': 'void', 'return_type': 'array'},
\    'getFinal': { 'signature': 'void', 'return_type': 'array'},
\    '_getTempDir': { 'signature': 'void', 'return_type': 'string'},
\    '_check': { 'signature': ' $from_lines,  $to_lines', 'return_type': 'void'},
\  },
\},
\'text_mappeddiff': {
\  'name': 'Text_MappedDiff',
\  'static_methods': {
\    'trimNewlines': { 'signature': 'string $line, integer $key', 'return_type': 'void'},
\  },
\  'properties': {
\    '$_edits': {'initializer': '', 'type': 'array'},
\  },
\  'methods': {
\    'Text_MappedDiff': { 'signature': 'array $from_lines, array $to_lines, array $mapped_from_lines, array $mapped_to_lines', 'return_type': 'void'},
\    'Text_Diff': { 'signature': 'string $engine, array $params', 'return_type': 'void'},
\    'getDiff': { 'signature': 'void', 'return_type': 'void'},
\    'countAddedLines': { 'signature': 'void', 'return_type': 'integer'},
\    'countDeletedLines': { 'signature': 'void', 'return_type': 'integer'},
\    'reverse': { 'signature': 'void', 'return_type': '\Text_Diff'},
\    'isEmpty': { 'signature': 'void', 'return_type': 'boolean'},
\    'lcs': { 'signature': 'void', 'return_type': 'integer'},
\    'getOriginal': { 'signature': 'void', 'return_type': 'array'},
\    'getFinal': { 'signature': 'void', 'return_type': 'array'},
\    '_getTempDir': { 'signature': 'void', 'return_type': 'string'},
\    '_check': { 'signature': ' $from_lines,  $to_lines', 'return_type': 'void'},
\  },
\},
\'text_diff_op': {
\  'name': 'Text_Diff_Op',
\  'properties': {
\    '$orig': {'initializer': '', 'type': ''},
\    '$final': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    'reverse': { 'signature': 'void', 'return_type': 'void'},
\    'norig': { 'signature': 'void', 'return_type': 'void'},
\    'nfinal': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'text_diff_op_copy': {
\  'name': 'Text_Diff_Op_copy',
\  'properties': {
\    '$orig': {'initializer': '', 'type': ''},
\    '$final': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    'Text_Diff_Op_copy': { 'signature': ' $orig,  $final', 'return_type': 'void'},
\    'reverse': { 'signature': 'void', 'return_type': 'void'},
\    'norig': { 'signature': 'void', 'return_type': 'void'},
\    'nfinal': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'text_diff_op_delete': {
\  'name': 'Text_Diff_Op_delete',
\  'properties': {
\    '$orig': {'initializer': '', 'type': ''},
\    '$final': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    'Text_Diff_Op_delete': { 'signature': ' $lines', 'return_type': 'void'},
\    'reverse': { 'signature': 'void', 'return_type': 'void'},
\    'norig': { 'signature': 'void', 'return_type': 'void'},
\    'nfinal': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'text_diff_op_add': {
\  'name': 'Text_Diff_Op_add',
\  'properties': {
\    '$orig': {'initializer': '', 'type': ''},
\    '$final': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    'Text_Diff_Op_add': { 'signature': ' $lines', 'return_type': 'void'},
\    'reverse': { 'signature': 'void', 'return_type': 'void'},
\    'norig': { 'signature': 'void', 'return_type': 'void'},
\    'nfinal': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'text_diff_op_change': {
\  'name': 'Text_Diff_Op_change',
\  'properties': {
\    '$orig': {'initializer': '', 'type': ''},
\    '$final': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    'Text_Diff_Op_change': { 'signature': ' $orig,  $final', 'return_type': 'void'},
\    'reverse': { 'signature': 'void', 'return_type': 'void'},
\    'norig': { 'signature': 'void', 'return_type': 'void'},
\    'nfinal': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_mysql'] = {
\'simplepie_cache_mysql': {
\  'name': 'SimplePie_Cache_MySQL',
\  'static_methods': {
\  },
\  'properties': {
\  },
\  'methods': {
\    '__construct': { 'signature': 'string $location, string $name, string $type', 'return_type': 'void'},
\    'save': { 'signature': 'array|\SimplePie $data', 'return_type': 'boolean'},
\    'load': { 'signature': 'void', 'return_type': 'array'},
\    'mtime': { 'signature': 'void', 'return_type': 'integer'},
\    'touch': { 'signature': 'void', 'return_type': 'boolean'},
\    'unlink': { 'signature': 'void', 'return_type': 'boolean'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_restriction'] = {
\'simplepie_restriction': {
\  'name': 'SimplePie_Restriction',
\  'properties': {
\    '$relationship': {'initializer': '', 'type': 'string'},
\    '$type': {'initializer': '', 'type': 'string'},
\    '$value': {'initializer': '', 'type': 'string'},
\  },
\  'methods': {
\    '__construct': { 'signature': ' $relationship,  $type,  $value', 'return_type': 'void'},
\    '__toString': { 'signature': 'void', 'return_type': 'string'},
\    'get_relationship': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_type': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_value': { 'signature': 'void', 'return_type': 'string|null'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_module_audio_video_riff'] = {
\'getid3_riff': {
\  'name': 'getid3_riff',
\  'static_methods': {
\    'parseComments': { 'signature': ' $RIFFinfoArray,  $CommentsTargetArray', 'return_type': 'void'},
\    'parseWAVEFORMATex': { 'signature': ' $WaveFormatExData', 'return_type': 'void'},
\    'ParseBITMAPINFOHEADER': { 'signature': ' $BITMAPINFOHEADER,  $littleEndian', 'return_type': 'void'},
\    'ParseDIVXTAG': { 'signature': ' $DIVXTAG,  $raw', 'return_type': 'void'},
\    'waveSNDMtagLookup': { 'signature': ' $tagshortname', 'return_type': 'void'},
\    'wFormatTagLookup': { 'signature': ' $wFormatTag', 'return_type': 'void'},
\    'fourccLookup': { 'signature': ' $fourcc', 'return_type': 'void'},
\  },
\  'properties': {
\  },
\  'methods': {
\    'Analyze': { 'signature': 'void', 'return_type': 'void'},
\    'ParseRIFF': { 'signature': ' $startoffset,  $maxoffset', 'return_type': 'void'},
\    'ParseRIFFdata': { 'signature': ' $RIFFdata', 'return_type': 'void'},
\    'parseWavPackHeader': { 'signature': ' $WavPackChunkData', 'return_type': 'void'},
\    '__construct': { 'signature': '\getID3 $getid3,  $call_module', 'return_type': 'void'},
\    'AnalyzeString': { 'signature': ' $string', 'return_type': 'void'},
\    'setStringMode': { 'signature': ' $string', 'return_type': 'void'},
\    'saveAttachment': { 'signature': ' $name,  $offset,  $length,  $image_mime', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_native'] = {
\'text_diff_engine_native': {
\  'name': 'Text_Diff_Engine_native',
\  'methods': {
\    'diff': { 'signature': ' $from_lines,  $to_lines', 'return_type': 'void'},
\    '_diag': { 'signature': ' $xoff,  $xlim,  $yoff,  $ylim,  $nchunks', 'return_type': 'void'},
\    '_lcsPos': { 'signature': ' $ypos', 'return_type': 'void'},
\    '_compareseq': { 'signature': ' $xoff,  $xlim,  $yoff,  $ylim', 'return_type': 'void'},
\    '_shiftBoundaries': { 'signature': ' $lines,  $changed,  $other_changed', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_gzdecode'] = {
\'simplepie_gzdecode': {
\  'name': 'SimplePie_gzdecode',
\  'properties': {
\    '$compressed_data': {'initializer': '', 'type': 'string'},
\    '$compressed_size': {'initializer': '', 'type': 'integer'},
\    '$min_compressed_size': {'initializer': '18', 'type': 'integer'},
\    '$position': {'initializer': '0', 'type': 'integer'},
\    '$flags': {'initializer': '', 'type': 'integer'},
\    '$data': {'initializer': '', 'type': 'string'},
\    '$MTIME': {'initializer': '', 'type': 'integer'},
\    '$XFL': {'initializer': '', 'type': 'integer'},
\    '$OS': {'initializer': '', 'type': 'integer'},
\    '$SI1': {'initializer': '', 'type': 'string'},
\    '$SI2': {'initializer': '', 'type': 'string'},
\    '$extra_field': {'initializer': '', 'type': 'string'},
\    '$filename': {'initializer': '', 'type': 'string'},
\    '$comment': {'initializer': '', 'type': 'string'},
\  },
\  'methods': {
\    '__set': { 'signature': 'string $name, mixed $value', 'return_type': 'void'},
\    '__construct': { 'signature': 'string $data', 'return_type': 'void'},
\    'parse': { 'signature': 'void', 'return_type': 'boolean'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_rating'] = {
\'simplepie_rating': {
\  'name': 'SimplePie_Rating',
\  'properties': {
\    '$scheme': {'initializer': '', 'type': 'string'},
\    '$value': {'initializer': '', 'type': 'string'},
\  },
\  'methods': {
\    '__construct': { 'signature': ' $scheme,  $value', 'return_type': 'void'},
\    '__toString': { 'signature': 'void', 'return_type': 'string'},
\    'get_scheme': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_value': { 'signature': 'void', 'return_type': 'string|null'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_translations'] = {
\'translations': {
\  'name': 'Translations',
\  'properties': {
\    '$entries': {'initializer': 'array', 'type': ''},
\    '$headers': {'initializer': 'array', 'type': ''},
\  },
\  'methods': {
\    'add_entry': { 'signature': ' $entry', 'return_type': 'boolean'},
\    'add_entry_or_merge': { 'signature': ' $entry', 'return_type': 'void'},
\    'set_header': { 'signature': 'string $header, string $value', 'return_type': 'void'},
\    'set_headers': { 'signature': ' $headers', 'return_type': 'void'},
\    'get_header': { 'signature': ' $header', 'return_type': 'void'},
\    'translate_entry': { 'signature': ' $entry', 'return_type': 'void'},
\    'translate': { 'signature': ' $singular,  $context', 'return_type': 'void'},
\    'select_plural_form': { 'signature': 'integer $count', 'return_type': 'void'},
\    'get_plural_forms_count': { 'signature': 'void', 'return_type': 'void'},
\    'translate_plural': { 'signature': ' $singular,  $plural,  $count,  $context', 'return_type': 'void'},
\    'merge_with': { 'signature': ' $other', 'return_type': 'void'},
\    'merge_originals_with': { 'signature': ' $other', 'return_type': 'void'},
\  },
\},
\'gettext_translations': {
\  'name': 'Gettext_Translations',
\  'properties': {
\    '$entries': {'initializer': 'array', 'type': ''},
\    '$headers': {'initializer': 'array', 'type': ''},
\  },
\  'methods': {
\    'gettext_select_plural_form': { 'signature': ' $count', 'return_type': 'void'},
\    'nplurals_and_expression_from_header': { 'signature': ' $header', 'return_type': 'void'},
\    'make_plural_form_function': { 'signature': ' $nplurals,  $expression', 'return_type': 'void'},
\    'parenthesize_plural_exression': { 'signature': 'string $expression', 'return_type': 'string'},
\    'make_headers': { 'signature': ' $translation', 'return_type': 'void'},
\    'set_header': { 'signature': ' $header,  $value', 'return_type': 'void'},
\    'add_entry': { 'signature': ' $entry', 'return_type': 'boolean'},
\    'add_entry_or_merge': { 'signature': ' $entry', 'return_type': 'void'},
\    'set_headers': { 'signature': ' $headers', 'return_type': 'void'},
\    'get_header': { 'signature': ' $header', 'return_type': 'void'},
\    'translate_entry': { 'signature': ' $entry', 'return_type': 'void'},
\    'translate': { 'signature': ' $singular,  $context', 'return_type': 'void'},
\    'select_plural_form': { 'signature': 'integer $count', 'return_type': 'void'},
\    'get_plural_forms_count': { 'signature': 'void', 'return_type': 'void'},
\    'translate_plural': { 'signature': ' $singular,  $plural,  $count,  $context', 'return_type': 'void'},
\    'merge_with': { 'signature': ' $other', 'return_type': 'void'},
\    'merge_originals_with': { 'signature': ' $other', 'return_type': 'void'},
\  },
\},
\'noop_translations': {
\  'name': 'NOOP_Translations',
\  'properties': {
\    '$entries': {'initializer': 'array', 'type': ''},
\    '$headers': {'initializer': 'array', 'type': ''},
\  },
\  'methods': {
\    'add_entry': { 'signature': ' $entry', 'return_type': 'void'},
\    'set_header': { 'signature': ' $header,  $value', 'return_type': 'void'},
\    'set_headers': { 'signature': ' $headers', 'return_type': 'void'},
\    'get_header': { 'signature': ' $header', 'return_type': 'void'},
\    'translate_entry': { 'signature': ' $entry', 'return_type': 'void'},
\    'translate': { 'signature': ' $singular,  $context', 'return_type': 'void'},
\    'select_plural_form': { 'signature': ' $count', 'return_type': 'void'},
\    'get_plural_forms_count': { 'signature': 'void', 'return_type': 'void'},
\    'translate_plural': { 'signature': ' $singular,  $plural,  $count,  $context', 'return_type': 'void'},
\    'merge_with': { 'signature': ' $other', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_wp_xmlrpc_server'] = {
\'wp_xmlrpc_server': {
\  'name': 'wp_xmlrpc_server',
\  'properties': {
\    '$data': {'initializer': '', 'type': ''},
\    '$callbacks': {'initializer': 'array', 'type': ''},
\    '$message': {'initializer': '', 'type': ''},
\    '$capabilities': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    '__construct': { 'signature': 'void', 'return_type': '\wp_xmlrpc_server'},
\    '__call': { 'signature': 'callable $name, array $arguments', 'return_type': 'mixed|boolean'},
\    'serve_request': { 'signature': 'void', 'return_type': 'void'},
\    'sayHello': { 'signature': 'array $args', 'return_type': 'string'},
\    'addTwoNumbers': { 'signature': 'array $args', 'return_type': 'integer'},
\    'login': { 'signature': 'string $username, string $password', 'return_type': 'mixed'},
\    'login_pass_ok': { 'signature': 'string $username, string $password', 'return_type': 'boolean'},
\    'escape': { 'signature': 'string|array $data', 'return_type': 'string|array'},
\    'get_custom_fields': { 'signature': 'integer $post_id', 'return_type': 'array'},
\    'set_custom_fields': { 'signature': 'integer $post_id, array $fields', 'return_type': 'void'},
\    'initialise_blog_option_info': { 'signature': 'void', 'return_type': 'void'},
\    'wp_getUsersBlogs': { 'signature': 'array $args', 'return_type': '\array.'},
\    'wp_newPost': { 'signature': 'array $args', 'return_type': 'string'},
\    'wp_editPost': { 'signature': 'array $args', 'return_type': 'true'},
\    'wp_deletePost': { 'signature': 'array $args', 'return_type': 'true'},
\    'wp_getPost': { 'signature': 'array $args', 'return_type': 'array'},
\    'wp_getPosts': { 'signature': 'array $args', 'return_type': 'array'},
\    'wp_newTerm': { 'signature': 'array $args', 'return_type': 'string'},
\    'wp_editTerm': { 'signature': 'array $args', 'return_type': 'boolean'},
\    'wp_deleteTerm': { 'signature': 'array $args', 'return_type': 'boolean|\IXR_Error'},
\    'wp_getTerm': { 'signature': 'array $args', 'return_type': 'array'},
\    'wp_getTerms': { 'signature': 'array $args', 'return_type': 'array'},
\    'wp_getTaxonomy': { 'signature': 'array $args', 'return_type': 'array'},
\    'wp_getTaxonomies': { 'signature': 'array $args', 'return_type': 'array'},
\    'wp_getUser': { 'signature': 'array $args', 'return_type': 'array'},
\    'wp_getUsers': { 'signature': 'array $args', 'return_type': 'array'},
\    'wp_getProfile': { 'signature': 'array $args', 'return_type': 'array'},
\    'wp_editProfile': { 'signature': 'array $args', 'return_type': 'boolean'},
\    'wp_getPage': { 'signature': 'array $args', 'return_type': 'array'},
\    'wp_getPages': { 'signature': 'array $args', 'return_type': 'array'},
\    'wp_newPage': { 'signature': 'array $args', 'return_type': '\unknown'},
\    'wp_deletePage': { 'signature': 'array $args', 'return_type': 'boolean'},
\    'wp_editPage': { 'signature': 'array $args', 'return_type': '\unknown'},
\    'wp_getPageList': { 'signature': 'array $args', 'return_type': '\unknown'},
\    'wp_getAuthors': { 'signature': 'array $args', 'return_type': 'array'},
\    'wp_getTags': { 'signature': 'array $args', 'return_type': 'array'},
\    'wp_newCategory': { 'signature': 'array $args', 'return_type': 'integer'},
\    'wp_deleteCategory': { 'signature': 'array $args', 'return_type': 'mixed'},
\    'wp_suggestCategories': { 'signature': 'array $args', 'return_type': 'array'},
\    'wp_getComment': { 'signature': 'array $args', 'return_type': 'array'},
\    'wp_getComments': { 'signature': 'array $args', 'return_type': '\array.'},
\    'wp_deleteComment': { 'signature': 'array $args', 'return_type': 'mixed'},
\    'wp_editComment': { 'signature': ' $args', 'return_type': 'boolean'},
\    'wp_newComment': { 'signature': 'array $args', 'return_type': 'mixed'},
\    'wp_getCommentStatusList': { 'signature': 'array $args', 'return_type': 'array'},
\    'wp_getCommentCount': { 'signature': 'array $args', 'return_type': 'array'},
\    'wp_getPostStatusList': { 'signature': 'array $args', 'return_type': 'array'},
\    'wp_getPageStatusList': { 'signature': 'array $args', 'return_type': 'array'},
\    'wp_getPageTemplates': { 'signature': 'array $args', 'return_type': 'array'},
\    'wp_getOptions': { 'signature': 'array $args', 'return_type': 'array'},
\    '_getOptions': { 'signature': 'array $options', 'return_type': 'array'},
\    'wp_setOptions': { 'signature': 'array $args', 'return_type': '\unknown'},
\    'wp_getMediaItem': { 'signature': 'array $args', 'return_type': '\array.'},
\    'wp_getMediaLibrary': { 'signature': 'array $args', 'return_type': '\array.'},
\    'wp_getPostFormats': { 'signature': 'array $args', 'return_type': 'array'},
\    'wp_getPostType': { 'signature': 'array $args', 'return_type': 'array'},
\    'wp_getPostTypes': { 'signature': 'array $args', 'return_type': 'array'},
\    'wp_getRevisions': { 'signature': 'array $args', 'return_type': 'array'},
\    'wp_restoreRevision': { 'signature': 'array $args', 'return_type': 'boolean'},
\    'blogger_getUsersBlogs': { 'signature': 'array $args', 'return_type': 'array'},
\    'blogger_getUserInfo': { 'signature': 'array $args', 'return_type': 'array'},
\    'blogger_getPost': { 'signature': 'array $args', 'return_type': 'array'},
\    'blogger_getRecentPosts': { 'signature': 'array $args', 'return_type': 'array'},
\    'blogger_getTemplate': { 'signature': ' $args', 'return_type': 'void'},
\    'blogger_setTemplate': { 'signature': ' $args', 'return_type': 'void'},
\    'blogger_newPost': { 'signature': 'array $args', 'return_type': 'integer'},
\    'blogger_editPost': { 'signature': 'array $args', 'return_type': 'boolean'},
\    'blogger_deletePost': { 'signature': 'array $args', 'return_type': 'boolean'},
\    'mw_newPost': { 'signature': 'array $args', 'return_type': 'integer'},
\    'add_enclosure_if_new': { 'signature': ' $post_ID,  $enclosure', 'return_type': 'void'},
\    'attach_uploads': { 'signature': 'integer $post_ID, string $post_content', 'return_type': 'void'},
\    'mw_editPost': { 'signature': 'array $args', 'return_type': 'boolean'},
\    'mw_getPost': { 'signature': 'array $args', 'return_type': 'array'},
\    'mw_getRecentPosts': { 'signature': 'array $args', 'return_type': 'array'},
\    'mw_getCategories': { 'signature': 'array $args', 'return_type': 'array'},
\    'mw_newMediaObject': { 'signature': 'array $args', 'return_type': 'array'},
\    'mt_getRecentPostTitles': { 'signature': 'array $args', 'return_type': 'array'},
\    'mt_getCategoryList': { 'signature': 'array $args', 'return_type': 'array'},
\    'mt_getPostCategories': { 'signature': 'array $args', 'return_type': 'array'},
\    'mt_setPostCategories': { 'signature': 'array $args', 'return_type': 'boolean'},
\    'mt_supportedMethods': { 'signature': 'array $args', 'return_type': 'array'},
\    'mt_supportedTextFilters': { 'signature': 'array $args', 'return_type': 'void'},
\    'mt_getTrackbackPings': { 'signature': 'array $args', 'return_type': 'mixed'},
\    'mt_publishPost': { 'signature': 'array $args', 'return_type': 'integer'},
\    'pingback_ping': { 'signature': 'array $args', 'return_type': 'array'},
\    'pingback_extensions_getPingbacks': { 'signature': 'array $args', 'return_type': 'array'},
\    'IXR_Server': { 'signature': ' $callbacks,  $data,  $wait', 'return_type': 'void'},
\    'serve': { 'signature': ' $data', 'return_type': 'void'},
\    'call': { 'signature': ' $methodname,  $args', 'return_type': 'void'},
\    'error': { 'signature': ' $error,  $message', 'return_type': 'void'},
\    'output': { 'signature': ' $xml', 'return_type': 'void'},
\    'hasMethod': { 'signature': ' $method', 'return_type': 'void'},
\    'setCapabilities': { 'signature': 'void', 'return_type': 'void'},
\    'getCapabilities': { 'signature': ' $args', 'return_type': 'void'},
\    'setCallbacks': { 'signature': 'void', 'return_type': 'void'},
\    'listMethods': { 'signature': ' $args', 'return_type': 'void'},
\    'multiCall': { 'signature': ' $methodcalls', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_post_template'] = {
\'walker_page': {
\  'name': 'Walker_Page',
\  'properties': {
\    '$tree_type': {'initializer': 'page', 'type': 'string'},
\    '$db_fields': {'initializer': 'array', 'type': 'array'},
\  },
\  'methods': {
\    'start_lvl': { 'signature': 'string $output, integer $depth, array $args', 'return_type': 'void'},
\    'end_lvl': { 'signature': 'string $output, integer $depth, array $args', 'return_type': 'void'},
\    'start_el': { 'signature': 'string $output, object $page, integer $depth, array $args, integer $current_page', 'return_type': 'void'},
\    'end_el': { 'signature': 'string $output, object $page, integer $depth, array $args', 'return_type': 'void'},
\    '__get': { 'signature': 'string $name', 'return_type': 'mixed'},
\    '__set': { 'signature': 'string $name, mixed $value', 'return_type': 'mixed'},
\    '__isset': { 'signature': 'string $name', 'return_type': 'boolean'},
\    '__unset': { 'signature': 'string $name', 'return_type': 'void'},
\    'display_element': { 'signature': 'object $element, array $children_elements, integer $max_depth, integer $depth, array $args, string $output', 'return_type': 'null'},
\    'walk': { 'signature': 'array $elements, integer $max_depth', 'return_type': 'string'},
\    'paged_walk': { 'signature': ' $elements, integer $max_depth, integer $page_num,  $per_page', 'return_type': 'string'},
\    'get_number_of_root_elements': { 'signature': ' $elements', 'return_type': 'void'},
\    'unset_children': { 'signature': ' $e,  $children_elements', 'return_type': 'void'},
\  },
\},
\'walker_pagedropdown': {
\  'name': 'Walker_PageDropdown',
\  'properties': {
\    '$tree_type': {'initializer': 'page', 'type': 'string'},
\    '$db_fields': {'initializer': 'array', 'type': 'array'},
\  },
\  'methods': {
\    'start_el': { 'signature': 'string $output, object $page, integer $depth, array $args, integer $id', 'return_type': 'void'},
\    '__get': { 'signature': 'string $name', 'return_type': 'mixed'},
\    '__set': { 'signature': 'string $name, mixed $value', 'return_type': 'mixed'},
\    '__isset': { 'signature': 'string $name', 'return_type': 'boolean'},
\    '__unset': { 'signature': 'string $name', 'return_type': 'void'},
\    'start_lvl': { 'signature': 'string $output, integer $depth, array $args', 'return_type': 'void'},
\    'end_lvl': { 'signature': 'string $output, integer $depth, array $args', 'return_type': 'void'},
\    'end_el': { 'signature': 'string $output, object $object, integer $depth, array $args', 'return_type': 'void'},
\    'display_element': { 'signature': 'object $element, array $children_elements, integer $max_depth, integer $depth, array $args, string $output', 'return_type': 'null'},
\    'walk': { 'signature': 'array $elements, integer $max_depth', 'return_type': 'string'},
\    'paged_walk': { 'signature': ' $elements, integer $max_depth, integer $page_num,  $per_page', 'return_type': 'string'},
\    'get_number_of_root_elements': { 'signature': ' $elements', 'return_type': 'void'},
\    'unset_children': { 'signature': ' $e,  $children_elements', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_comment_template'] = {
\'walker_comment': {
\  'name': 'Walker_Comment',
\  'properties': {
\    '$tree_type': {'initializer': 'comment', 'type': 'string'},
\    '$db_fields': {'initializer': 'array', 'type': 'array'},
\  },
\  'methods': {
\    'start_lvl': { 'signature': 'string $output, integer $depth, array $args', 'return_type': 'void'},
\    'end_lvl': { 'signature': 'string $output, integer $depth, array $args', 'return_type': 'void'},
\    'display_element': { 'signature': 'object $element, array $children_elements, integer $max_depth, integer $depth, array $args, string $output', 'return_type': 'null'},
\    'start_el': { 'signature': 'string $output, object $comment, integer $depth, array $args,  $id', 'return_type': 'void'},
\    'end_el': { 'signature': 'string $output, object $comment, integer $depth, array $args', 'return_type': 'void'},
\    '__get': { 'signature': 'string $name', 'return_type': 'mixed'},
\    '__set': { 'signature': 'string $name, mixed $value', 'return_type': 'mixed'},
\    '__isset': { 'signature': 'string $name', 'return_type': 'boolean'},
\    '__unset': { 'signature': 'string $name', 'return_type': 'void'},
\    'walk': { 'signature': 'array $elements, integer $max_depth', 'return_type': 'string'},
\    'paged_walk': { 'signature': ' $elements, integer $max_depth, integer $page_num,  $per_page', 'return_type': 'string'},
\    'get_number_of_root_elements': { 'signature': ' $elements', 'return_type': 'void'},
\    'unset_children': { 'signature': ' $e,  $children_elements', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_module_audio_video_matroska'] = {
\'getid3_matroska': {
\  'name': 'getid3_matroska',
\  'static_properties': {
\    '$hide_clusters': {'initializer': 'true', 'type': ''},
\    '$parse_whole_file': {'initializer': 'false', 'type': ''},
\  },
\  'static_methods': {
\    'TargetTypeValue': { 'signature': ' $target_type', 'return_type': 'void'},
\    'BlockLacingType': { 'signature': ' $lacingtype', 'return_type': 'void'},
\    'CodecIDtoCommonName': { 'signature': ' $codecid', 'return_type': 'void'},
\    'displayUnit': { 'signature': ' $value', 'return_type': 'void'},
\  },
\  'properties': {
\  },
\  'methods': {
\    'Analyze': { 'signature': 'void', 'return_type': 'void'},
\    '__construct': { 'signature': '\getID3 $getid3,  $call_module', 'return_type': 'void'},
\    'AnalyzeString': { 'signature': ' $string', 'return_type': 'void'},
\    'setStringMode': { 'signature': ' $string', 'return_type': 'void'},
\    'saveAttachment': { 'signature': ' $name,  $offset,  $length,  $image_mime', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_renderer'] = {
\'text_diff_renderer': {
\  'name': 'Text_Diff_Renderer',
\  'properties': {
\    '$_leading_context_lines': {'initializer': '0', 'type': ''},
\    '$_trailing_context_lines': {'initializer': '0', 'type': ''},
\  },
\  'methods': {
\    'Text_Diff_Renderer': { 'signature': ' $params', 'return_type': 'void'},
\    'getParams': { 'signature': 'void', 'return_type': 'array'},
\    'render': { 'signature': '\Text_Diff $diff', 'return_type': 'string'},
\    '_block': { 'signature': ' $xbeg,  $xlen,  $ybeg,  $ylen,  $edits', 'return_type': 'void'},
\    '_startDiff': { 'signature': 'void', 'return_type': 'void'},
\    '_endDiff': { 'signature': 'void', 'return_type': 'void'},
\    '_blockHeader': { 'signature': ' $xbeg,  $xlen,  $ybeg,  $ylen', 'return_type': 'void'},
\    '_startBlock': { 'signature': ' $header', 'return_type': 'void'},
\    '_endBlock': { 'signature': 'void', 'return_type': 'void'},
\    '_lines': { 'signature': ' $lines,  $prefix', 'return_type': 'void'},
\    '_context': { 'signature': ' $lines', 'return_type': 'void'},
\    '_added': { 'signature': ' $lines', 'return_type': 'void'},
\    '_deleted': { 'signature': ' $lines', 'return_type': 'void'},
\    '_changed': { 'signature': ' $orig,  $final', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_comment'] = {
\'wp_comment_query': {
\  'name': 'WP_Comment_Query',
\  'properties': {
\    '$meta_query': {'initializer': 'false', 'type': 'object'},
\    '$date_query': {'initializer': 'false', 'type': 'object'},
\  },
\  'methods': {
\    '__call': { 'signature': 'callable $name, array $arguments', 'return_type': 'mixed|boolean'},
\    'query': { 'signature': 'string|array $query_vars', 'return_type': 'integer|array'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_wp_customize_setting'] = {
\'wp_customize_setting': {
\  'name': 'WP_Customize_Setting',
\  'properties': {
\    '$manager': {'initializer': '', 'type': '\WP_Customize_Manager'},
\    '$id': {'initializer': '', 'type': 'string'},
\    '$type': {'initializer': 'theme_mod', 'type': 'string'},
\    '$capability': {'initializer': 'edit_theme_options', 'type': 'string'},
\    '$theme_supports': {'initializer': '', 'type': 'string'},
\    '$default': {'initializer': '', 'type': ''},
\    '$transport': {'initializer': 'refresh', 'type': ''},
\    '$sanitize_callback': {'initializer': '', 'type': 'callback'},
\    '$sanitize_js_callback': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    '__construct': { 'signature': '\WP_Customize_Manager $manager, string $id, array $args', 'return_type': '\WP_Customize_Setting'},
\    'preview': { 'signature': 'void', 'return_type': 'void'},
\    '_preview_filter': { 'signature': 'mixed $original', 'return_type': 'mixed'},
\    'save': { 'signature': 'void', 'return_type': 'boolean'},
\    'post_value': { 'signature': 'mixed $default', 'return_type': 'mixed'},
\    'sanitize': { 'signature': 'mixed $value', 'return_type': 'mixed'},
\    'value': { 'signature': 'void', 'return_type': 'mixed'},
\    'js_value': { 'signature': 'void', 'return_type': 'mixed'},
\    'check_capabilities': { 'signature': 'void', 'return_type': 'boolean'},
\  },
\},
\'wp_customize_filter_setting': {
\  'name': 'WP_Customize_Filter_Setting',
\  'properties': {
\    '$manager': {'initializer': '', 'type': '\WP_Customize_Manager'},
\    '$id': {'initializer': '', 'type': 'string'},
\    '$type': {'initializer': 'theme_mod', 'type': 'string'},
\    '$capability': {'initializer': 'edit_theme_options', 'type': 'string'},
\    '$theme_supports': {'initializer': '', 'type': 'string'},
\    '$default': {'initializer': '', 'type': ''},
\    '$transport': {'initializer': 'refresh', 'type': ''},
\    '$sanitize_callback': {'initializer': '', 'type': 'callback'},
\    '$sanitize_js_callback': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    'update': { 'signature': ' $value', 'return_type': 'void'},
\    '__construct': { 'signature': '\WP_Customize_Manager $manager, string $id, array $args', 'return_type': '\WP_Customize_Setting'},
\    'preview': { 'signature': 'void', 'return_type': 'void'},
\    '_preview_filter': { 'signature': 'mixed $original', 'return_type': 'mixed'},
\    'save': { 'signature': 'void', 'return_type': 'boolean'},
\    'post_value': { 'signature': 'mixed $default', 'return_type': 'mixed'},
\    'sanitize': { 'signature': 'mixed $value', 'return_type': 'mixed'},
\    'value': { 'signature': 'void', 'return_type': 'mixed'},
\    'js_value': { 'signature': 'void', 'return_type': 'mixed'},
\    'check_capabilities': { 'signature': 'void', 'return_type': 'boolean'},
\  },
\},
\'wp_customize_header_image_setting': {
\  'name': 'WP_Customize_Header_Image_Setting',
\  'properties': {
\    '$id': {'initializer': 'header_image_data', 'type': ''},
\    '$manager': {'initializer': '', 'type': '\WP_Customize_Manager'},
\    '$type': {'initializer': 'theme_mod', 'type': 'string'},
\    '$capability': {'initializer': 'edit_theme_options', 'type': 'string'},
\    '$theme_supports': {'initializer': '', 'type': 'string'},
\    '$default': {'initializer': '', 'type': ''},
\    '$transport': {'initializer': 'refresh', 'type': ''},
\    '$sanitize_callback': {'initializer': '', 'type': 'callback'},
\    '$sanitize_js_callback': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    'update': { 'signature': ' $value', 'return_type': 'void'},
\    '__construct': { 'signature': '\WP_Customize_Manager $manager, string $id, array $args', 'return_type': '\WP_Customize_Setting'},
\    'preview': { 'signature': 'void', 'return_type': 'void'},
\    '_preview_filter': { 'signature': 'mixed $original', 'return_type': 'mixed'},
\    'save': { 'signature': 'void', 'return_type': 'boolean'},
\    'post_value': { 'signature': 'mixed $default', 'return_type': 'mixed'},
\    'sanitize': { 'signature': 'mixed $value', 'return_type': 'mixed'},
\    'value': { 'signature': 'void', 'return_type': 'mixed'},
\    'js_value': { 'signature': 'void', 'return_type': 'mixed'},
\    'check_capabilities': { 'signature': 'void', 'return_type': 'boolean'},
\  },
\},
\'wp_customize_background_image_setting': {
\  'name': 'WP_Customize_Background_Image_Setting',
\  'properties': {
\    '$id': {'initializer': 'background_image_thumb', 'type': ''},
\    '$manager': {'initializer': '', 'type': '\WP_Customize_Manager'},
\    '$type': {'initializer': 'theme_mod', 'type': 'string'},
\    '$capability': {'initializer': 'edit_theme_options', 'type': 'string'},
\    '$theme_supports': {'initializer': '', 'type': 'string'},
\    '$default': {'initializer': '', 'type': ''},
\    '$transport': {'initializer': 'refresh', 'type': ''},
\    '$sanitize_callback': {'initializer': '', 'type': 'callback'},
\    '$sanitize_js_callback': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    'update': { 'signature': ' $value', 'return_type': 'void'},
\    '__construct': { 'signature': '\WP_Customize_Manager $manager, string $id, array $args', 'return_type': '\WP_Customize_Setting'},
\    'preview': { 'signature': 'void', 'return_type': 'void'},
\    '_preview_filter': { 'signature': 'mixed $original', 'return_type': 'mixed'},
\    'save': { 'signature': 'void', 'return_type': 'boolean'},
\    'post_value': { 'signature': 'mixed $default', 'return_type': 'mixed'},
\    'sanitize': { 'signature': 'mixed $value', 'return_type': 'mixed'},
\    'value': { 'signature': 'void', 'return_type': 'mixed'},
\    'js_value': { 'signature': 'void', 'return_type': 'mixed'},
\    'check_capabilities': { 'signature': 'void', 'return_type': 'boolean'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_wp_editor'] = {
\'_wp_editors': {
\  'name': '_WP_Editors',
\  'static_properties': {
\    '$mce_locale': {'initializer': '', 'type': ''},
\  },
\  'static_methods': {
\    'parse_settings': { 'signature': 'string $editor_id, array $settings', 'return_type': 'array'},
\    'editor': { 'signature': 'string $content, string $editor_id, array $settings', 'return_type': 'void'},
\    'editor_settings': { 'signature': ' $editor_id,  $set', 'return_type': 'void'},
\    'enqueue_scripts': { 'signature': 'void', 'return_type': 'void'},
\    'wp_mce_translation': { 'signature': 'void', 'return_type': 'void'},
\    'editor_js': { 'signature': 'void', 'return_type': 'void'},
\    'wp_fullscreen_html': { 'signature': 'void', 'return_type': 'void'},
\    'wp_link_query': { 'signature': 'array $args', 'return_type': 'array'},
\    'wp_link_dialog': { 'signature': 'void', 'return_type': 'void'},
\  },
\  'methods': {
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_wp_dependencies'] = {
\'wp_dependencies': {
\  'name': 'WP_Dependencies',
\  'properties': {
\    '$registered': {'initializer': 'array', 'type': 'array'},
\    '$queue': {'initializer': 'array', 'type': 'array'},
\    '$to_do': {'initializer': 'array', 'type': 'array'},
\    '$done': {'initializer': 'array', 'type': 'array'},
\    '$args': {'initializer': 'array', 'type': 'array'},
\    '$groups': {'initializer': 'array', 'type': 'array'},
\    '$group': {'initializer': '0', 'type': 'integer'},
\  },
\  'methods': {
\    'do_items': { 'signature': 'mixed $handles, mixed $group', 'return_type': 'array'},
\    'do_item': { 'signature': 'string $handle', 'return_type': 'boolean'},
\    'all_deps': { 'signature': 'mixed $handles, boolean $recursion, mixed $group', 'return_type': 'boolean'},
\    'add': { 'signature': 'string $handle, string $src, array $deps, string $ver, mixed $args', 'return_type': 'boolean'},
\    'add_data': { 'signature': 'string $handle, string $key, mixed $value', 'return_type': 'boolean'},
\    'get_data': { 'signature': 'string $handle, string $key', 'return_type': 'mixed'},
\    'remove': { 'signature': 'mixed $handles', 'return_type': 'void'},
\    'enqueue': { 'signature': 'mixed $handles', 'return_type': 'void'},
\    'dequeue': { 'signature': 'mixed $handles', 'return_type': 'void'},
\    'query': { 'signature': 'string $handle, string $list', 'return_type': 'boolean'},
\    'set_group': { 'signature': 'string $handle, boolean $recursion, mixed $group', 'return_type': 'boolean'},
\  },
\},
\'_wp_dependency': {
\  'name': '_WP_Dependency',
\  'properties': {
\    '$handle': {'initializer': '', 'type': 'null'},
\    '$src': {'initializer': '', 'type': 'null'},
\    '$deps': {'initializer': 'array', 'type': 'array'},
\    '$ver': {'initializer': 'false', 'type': 'boolean|string'},
\    '$args': {'initializer': 'null', 'type': 'null'},
\    '$extra': {'initializer': 'array', 'type': 'array'},
\  },
\  'methods': {
\    '__construct': { 'signature': 'void', 'return_type': 'void'},
\    'add_data': { 'signature': 'string $name, mixed $data', 'return_type': 'boolean'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_sanitize'] = {
\'simplepie_sanitize': {
\  'name': 'SimplePie_Sanitize',
\  'properties': {
\    '$base': {'initializer': '', 'type': ''},
\    '$remove_div': {'initializer': 'true', 'type': ''},
\    '$image_handler': {'initializer': '', 'type': ''},
\    '$strip_htmltags': {'initializer': 'array', 'type': ''},
\    '$encode_instead_of_strip': {'initializer': 'false', 'type': ''},
\    '$strip_attributes': {'initializer': 'array', 'type': ''},
\    '$strip_comments': {'initializer': 'false', 'type': ''},
\    '$output_encoding': {'initializer': 'UTF-8', 'type': ''},
\    '$enable_cache': {'initializer': 'true', 'type': ''},
\    '$cache_location': {'initializer': './cache', 'type': ''},
\    '$cache_name_function': {'initializer': 'md5', 'type': ''},
\    '$timeout': {'initializer': '10', 'type': ''},
\    '$useragent': {'initializer': '', 'type': ''},
\    '$force_fsockopen': {'initializer': 'false', 'type': ''},
\    '$replace_url_attributes': {'initializer': 'null', 'type': ''},
\  },
\  'methods': {
\    '__construct': { 'signature': 'void', 'return_type': 'void'},
\    'remove_div': { 'signature': ' $enable', 'return_type': 'void'},
\    'set_image_handler': { 'signature': ' $page', 'return_type': 'void'},
\    'set_registry': { 'signature': '\SimplePie_Registry $registry', 'return_type': 'void'},
\    'pass_cache_data': { 'signature': ' $enable_cache,  $cache_location,  $cache_name_function,  $cache_class', 'return_type': 'void'},
\    'pass_file_data': { 'signature': ' $file_class,  $timeout,  $useragent,  $force_fsockopen', 'return_type': 'void'},
\    'strip_htmltags': { 'signature': ' $tags', 'return_type': 'void'},
\    'encode_instead_of_strip': { 'signature': ' $encode', 'return_type': 'void'},
\    'strip_attributes': { 'signature': ' $attribs', 'return_type': 'void'},
\    'strip_comments': { 'signature': ' $strip', 'return_type': 'void'},
\    'set_output_encoding': { 'signature': ' $encoding', 'return_type': 'void'},
\    'set_url_replacements': { 'signature': 'array|null $element_attribute', 'return_type': 'void'},
\    'sanitize': { 'signature': ' $data,  $type,  $base', 'return_type': 'void'},
\    'replace_urls': { 'signature': ' $document,  $tag,  $attributes', 'return_type': 'void'},
\    'do_strip_htmltags': { 'signature': ' $match', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_post'] = {
\'wp_post': {
\  'name': 'WP_Post',
\  'static_methods': {
\    'get_instance': { 'signature': 'integer $post_id', 'return_type': '\WP_Post|boolean'},
\  },
\  'properties': {
\    '$ID': {'initializer': '', 'type': 'integer'},
\    '$post_author': {'initializer': '0', 'type': 'string'},
\    '$post_date': {'initializer': '0000-00-00 00:00:00', 'type': 'string'},
\    '$post_date_gmt': {'initializer': '0000-00-00 00:00:00', 'type': 'string'},
\    '$post_content': {'initializer': '', 'type': 'string'},
\    '$post_title': {'initializer': '', 'type': 'string'},
\    '$post_excerpt': {'initializer': '', 'type': 'string'},
\    '$post_status': {'initializer': 'publish', 'type': 'string'},
\    '$comment_status': {'initializer': 'open', 'type': 'string'},
\    '$ping_status': {'initializer': 'open', 'type': 'string'},
\    '$post_password': {'initializer': '', 'type': 'string'},
\    '$post_name': {'initializer': '', 'type': 'string'},
\    '$to_ping': {'initializer': '', 'type': 'string'},
\    '$pinged': {'initializer': '', 'type': 'string'},
\    '$post_modified': {'initializer': '0000-00-00 00:00:00', 'type': 'string'},
\    '$post_modified_gmt': {'initializer': '0000-00-00 00:00:00', 'type': 'string'},
\    '$post_content_filtered': {'initializer': '', 'type': 'string'},
\    '$post_parent': {'initializer': '0', 'type': 'integer'},
\    '$guid': {'initializer': '', 'type': 'string'},
\    '$menu_order': {'initializer': '0', 'type': 'integer'},
\    '$post_type': {'initializer': 'post', 'type': 'string'},
\    '$post_mime_type': {'initializer': '', 'type': 'string'},
\    '$comment_count': {'initializer': '0', 'type': 'string'},
\    '$filter': {'initializer': '', 'type': 'string'},
\  },
\  'methods': {
\    '__construct': { 'signature': '\WP_Post $post', 'return_type': 'void'},
\    '__isset': { 'signature': 'string $key', 'return_type': 'boolean'},
\    '__get': { 'signature': 'string $key', 'return_type': 'array|mixed'},
\    'filter': { 'signature': 'string $filter', 'return_type': '$this|array|boolean|object|\WP_Post'},
\    'to_array': { 'signature': 'void', 'return_type': 'array'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_file'] = {
\'simplepie_cache_file': {
\  'name': 'SimplePie_Cache_File',
\  'properties': {
\  },
\  'methods': {
\    '__construct': { 'signature': 'string $location, string $name, string $type', 'return_type': 'void'},
\    'save': { 'signature': 'array|\SimplePie $data', 'return_type': 'boolean'},
\    'load': { 'signature': 'void', 'return_type': 'array'},
\    'mtime': { 'signature': 'void', 'return_type': 'integer'},
\    'touch': { 'signature': 'void', 'return_type': 'boolean'},
\    'unlink': { 'signature': 'void', 'return_type': 'boolean'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_wp'] = {
\'wp': {
\  'name': 'WP',
\  'properties': {
\    '$public_query_vars': {'initializer': 'array', 'type': 'array'},
\    '$private_query_vars': {'initializer': 'array', 'type': 'array'},
\    '$extra_query_vars': {'initializer': 'array', 'type': 'array'},
\    '$query_vars': {'initializer': '', 'type': 'array'},
\    '$query_string': {'initializer': '', 'type': 'string'},
\    '$request': {'initializer': '', 'type': 'string'},
\    '$matched_rule': {'initializer': '', 'type': 'string'},
\    '$matched_query': {'initializer': '', 'type': 'string'},
\    '$did_permalink': {'initializer': 'false', 'type': 'boolean'},
\  },
\  'methods': {
\    'add_query_var': { 'signature': 'string $qv', 'return_type': 'void'},
\    'set_query_var': { 'signature': 'string $key, mixed $value', 'return_type': 'void'},
\    'parse_request': { 'signature': 'array|string $extra_query_vars', 'return_type': 'void'},
\    'send_headers': { 'signature': 'void', 'return_type': 'void'},
\    'build_query_string': { 'signature': 'void', 'return_type': 'void'},
\    'register_globals': { 'signature': 'void', 'return_type': 'void'},
\    'init': { 'signature': 'void', 'return_type': 'void'},
\    'query_posts': { 'signature': 'void', 'return_type': 'void'},
\    'handle_404': { 'signature': 'void', 'return_type': 'void'},
\    'main': { 'signature': 'string|array $query_args', 'return_type': 'void'},
\  },
\},
\'wp_matchesmapregex': {
\  'name': 'WP_MatchesMapRegex',
\  'static_methods': {
\    'apply': { 'signature': 'string $subject, array $matches', 'return_type': 'string'},
\  },
\  'properties': {
\    '$output': {'initializer': '', 'type': 'string'},
\    '$_pattern': {'initializer': '(\$matches\[[1-9]+[0-9]*\])', 'type': 'string'},
\  },
\  'methods': {
\    '__get': { 'signature': 'string $name', 'return_type': 'mixed'},
\    '__set': { 'signature': 'string $name, mixed $value', 'return_type': 'mixed'},
\    '__isset': { 'signature': 'string $name', 'return_type': 'boolean'},
\    '__unset': { 'signature': 'string $name', 'return_type': 'void'},
\    '__call': { 'signature': 'callable $name, array $arguments', 'return_type': 'mixed|boolean'},
\    'WP_MatchesMapRegex': { 'signature': 'string $subject, array $matches', 'return_type': '\WP_MatchesMapRegex'},
\    'callback': { 'signature': 'array $matches', 'return_type': 'string'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_wp_ajax_response'] = {
\'wp_ajax_response': {
\  'name': 'WP_Ajax_Response',
\  'properties': {
\  },
\  'methods': {
\    '__construct': { 'signature': 'string|array $args', 'return_type': '\WP_Ajax_Response'},
\    '__get': { 'signature': 'string $name', 'return_type': 'mixed'},
\    '__set': { 'signature': 'string $name, mixed $value', 'return_type': 'mixed'},
\    '__isset': { 'signature': 'string $name', 'return_type': 'boolean'},
\    '__unset': { 'signature': 'string $name', 'return_type': 'void'},
\    'add': { 'signature': 'string|array $args', 'return_type': 'string'},
\    'send': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_oembed'] = {
\'wp_oembed': {
\  'name': 'WP_oEmbed',
\  'static_properties': {
\    '$early_providers': {'initializer': 'array', 'type': ''},
\  },
\  'static_methods': {
\    '_add_provider_early': { 'signature': 'string $format, string $provider, boolean $regex', 'return_type': 'void'},
\    '_remove_provider_early': { 'signature': 'string $format', 'return_type': 'void'},
\  },
\  'properties': {
\    '$providers': {'initializer': 'array', 'type': ''},
\  },
\  'methods': {
\    '__construct': { 'signature': 'void', 'return_type': 'void'},
\    '__call': { 'signature': 'callable $name, array $arguments', 'return_type': 'mixed|boolean'},
\    'get_provider': { 'signature': 'string $url, string|array $args', 'return_type': 'boolean|string'},
\    'get_html': { 'signature': 'string $url, array $args', 'return_type': 'boolean|string'},
\    'discover': { 'signature': 'string $url', 'return_type': 'boolean|string'},
\    'fetch': { 'signature': 'string $provider, string $url, array $args', 'return_type': 'boolean|object'},
\    'data2html': { 'signature': 'object $data, string $url', 'return_type': 'boolean|string'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_wp_customize_section'] = {
\'wp_customize_section': {
\  'name': 'WP_Customize_Section',
\  'properties': {
\    '$manager': {'initializer': '', 'type': '\WP_Customize_Manager'},
\    '$id': {'initializer': '', 'type': 'string'},
\    '$priority': {'initializer': '160', 'type': 'integer'},
\    '$panel': {'initializer': '', 'type': 'string'},
\    '$capability': {'initializer': 'edit_theme_options', 'type': 'string'},
\    '$theme_supports': {'initializer': '', 'type': 'string|array'},
\    '$title': {'initializer': '', 'type': 'string'},
\    '$description': {'initializer': '', 'type': 'string'},
\    '$controls': {'initializer': '', 'type': 'array'},
\  },
\  'methods': {
\    '__construct': { 'signature': '\WP_Customize_Manager $manager, string $id, array $args', 'return_type': 'void'},
\    'check_capabilities': { 'signature': 'void', 'return_type': 'boolean'},
\    'maybe_render': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_enclosure'] = {
\'simplepie_enclosure': {
\  'name': 'SimplePie_Enclosure',
\  'properties': {
\    '$bitrate': {'initializer': '', 'type': 'string'},
\    '$captions': {'initializer': '', 'type': 'array'},
\    '$categories': {'initializer': '', 'type': 'array'},
\    '$channels': {'initializer': '', 'type': 'integer'},
\    '$copyright': {'initializer': '', 'type': '\SimplePie_Copyright'},
\    '$credits': {'initializer': '', 'type': 'array'},
\    '$description': {'initializer': '', 'type': 'string'},
\    '$duration': {'initializer': '', 'type': 'integer'},
\    '$expression': {'initializer': '', 'type': 'string'},
\    '$framerate': {'initializer': '', 'type': 'string'},
\    '$handler': {'initializer': '', 'type': 'string'},
\    '$hashes': {'initializer': '', 'type': 'array'},
\    '$height': {'initializer': '', 'type': 'string'},
\    '$javascript': {'initializer': '', 'type': 'null'},
\    '$keywords': {'initializer': '', 'type': 'array'},
\    '$lang': {'initializer': '', 'type': 'string'},
\    '$length': {'initializer': '', 'type': 'string'},
\    '$link': {'initializer': '', 'type': 'string'},
\    '$medium': {'initializer': '', 'type': 'string'},
\    '$player': {'initializer': '', 'type': 'string'},
\    '$ratings': {'initializer': '', 'type': 'array'},
\    '$restrictions': {'initializer': '', 'type': 'array'},
\    '$samplingrate': {'initializer': '', 'type': 'string'},
\    '$thumbnails': {'initializer': '', 'type': 'array'},
\    '$title': {'initializer': '', 'type': 'string'},
\    '$type': {'initializer': '', 'type': 'string'},
\    '$width': {'initializer': '', 'type': 'string'},
\  },
\  'methods': {
\    '__construct': { 'signature': ' $link,  $type,  $length,  $javascript,  $bitrate,  $captions,  $categories,  $channels,  $copyright,  $credits,  $description,  $duration,  $expression,  $framerate,  $hashes,  $height,  $keywords,  $lang,  $medium,  $player,  $ratings,  $restrictions,  $samplingrate,  $thumbnails,  $title,  $width', 'return_type': 'void'},
\    '__toString': { 'signature': 'void', 'return_type': 'string'},
\    'get_bitrate': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_caption': { 'signature': 'integer $key', 'return_type': '\SimplePie_Caption|null'},
\    'get_captions': { 'signature': 'void', 'return_type': 'array|null'},
\    'get_category': { 'signature': 'integer $key', 'return_type': '\SimplePie_Category|null'},
\    'get_categories': { 'signature': 'void', 'return_type': 'array|null'},
\    'get_channels': { 'signature': 'void', 'return_type': 'integer|null'},
\    'get_copyright': { 'signature': 'void', 'return_type': '\SimplePie_Copyright|null'},
\    'get_credit': { 'signature': 'integer $key', 'return_type': '\SimplePie_Credit|null'},
\    'get_credits': { 'signature': 'void', 'return_type': 'array|null'},
\    'get_description': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_duration': { 'signature': 'string $convert', 'return_type': 'string|integer|null'},
\    'get_expression': { 'signature': 'void', 'return_type': 'string'},
\    'get_extension': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_framerate': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_handler': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_hash': { 'signature': 'integer $key', 'return_type': 'string|null'},
\    'get_hashes': { 'signature': 'void', 'return_type': 'array|null'},
\    'get_height': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_language': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_keyword': { 'signature': 'integer $key', 'return_type': 'string|null'},
\    'get_keywords': { 'signature': 'void', 'return_type': 'array|null'},
\    'get_length': { 'signature': 'void', 'return_type': 'float'},
\    'get_link': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_medium': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_player': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_rating': { 'signature': 'integer $key', 'return_type': '\SimplePie_Rating|null'},
\    'get_ratings': { 'signature': 'void', 'return_type': 'array|null'},
\    'get_restriction': { 'signature': 'integer $key', 'return_type': '\SimplePie_Restriction|null'},
\    'get_restrictions': { 'signature': 'void', 'return_type': 'array|null'},
\    'get_sampling_rate': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_size': { 'signature': 'void', 'return_type': 'float|null'},
\    'get_thumbnail': { 'signature': 'integer $key', 'return_type': 'string|null'},
\    'get_thumbnails': { 'signature': 'void', 'return_type': 'array|null'},
\    'get_title': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_type': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_width': { 'signature': 'void', 'return_type': 'string|null'},
\    'native_embed': { 'signature': 'array|string $options', 'return_type': 'string'},
\    'embed': { 'signature': 'array|string $options, boolean $native', 'return_type': 'string'},
\    'get_real_type': { 'signature': 'boolean $find_handler', 'return_type': 'string'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_capabilities'] = {
\'wp_roles': {
\  'name': 'WP_Roles',
\  'properties': {
\    '$roles': {'initializer': '', 'type': 'array'},
\    '$role_objects': {'initializer': 'array', 'type': 'array'},
\    '$role_names': {'initializer': 'array', 'type': 'array'},
\    '$role_key': {'initializer': '', 'type': 'string'},
\    '$use_db': {'initializer': 'true', 'type': 'boolean'},
\  },
\  'methods': {
\    '__construct': { 'signature': 'void', 'return_type': 'void'},
\    '__call': { 'signature': 'callable $name, array $arguments', 'return_type': 'mixed|boolean'},
\    'reinit': { 'signature': 'void', 'return_type': 'void'},
\    'add_role': { 'signature': 'string $role, string $display_name, array $capabilities', 'return_type': '\WP_Role|null'},
\    'remove_role': { 'signature': 'string $role', 'return_type': 'void'},
\    'add_cap': { 'signature': 'string $role, string $cap, boolean $grant', 'return_type': 'void'},
\    'remove_cap': { 'signature': 'string $role, string $cap', 'return_type': 'void'},
\    'get_role': { 'signature': 'string $role', 'return_type': '\WP_Role|null'},
\    'get_names': { 'signature': 'void', 'return_type': 'array'},
\    'is_role': { 'signature': 'string $role', 'return_type': 'boolean'},
\  },
\},
\'wp_role': {
\  'name': 'WP_Role',
\  'properties': {
\    '$name': {'initializer': '', 'type': 'string'},
\    '$capabilities': {'initializer': '', 'type': 'array'},
\  },
\  'methods': {
\    '__construct': { 'signature': 'string $role, array $capabilities', 'return_type': 'void'},
\    'add_cap': { 'signature': 'string $cap, boolean $grant', 'return_type': 'void'},
\    'remove_cap': { 'signature': 'string $cap', 'return_type': 'void'},
\    'has_cap': { 'signature': 'string $cap', 'return_type': 'boolean'},
\  },
\},
\'wp_user': {
\  'name': 'WP_User',
\  'static_properties': {
\  },
\  'static_methods': {
\    'get_data_by': { 'signature': 'string $field, string|integer $value', 'return_type': 'object'},
\  },
\  'properties': {
\    '$data': {'initializer': '', 'type': 'array'},
\    '$ID': {'initializer': '0', 'type': 'integer'},
\    '$caps': {'initializer': 'array', 'type': 'array'},
\    '$cap_key': {'initializer': '', 'type': 'string'},
\    '$roles': {'initializer': 'array', 'type': 'array'},
\    '$allcaps': {'initializer': 'array', 'type': 'array'},
\    '$filter': {'initializer': 'null', 'type': 'string'},
\  },
\  'methods': {
\    '__construct': { 'signature': 'integer|string|\stdClass|\WP_User $id, string $name, integer $blog_id', 'return_type': '\WP_User'},
\    'init': { 'signature': 'object $data, integer $blog_id', 'return_type': 'void'},
\    '__isset': { 'signature': ' $key', 'return_type': 'void'},
\    '__get': { 'signature': ' $key', 'return_type': 'void'},
\    '__set': { 'signature': ' $key,  $value', 'return_type': 'void'},
\    'exists': { 'signature': 'void', 'return_type': 'boolean'},
\    'get': { 'signature': 'string $key', 'return_type': 'void'},
\    'has_prop': { 'signature': 'string $key', 'return_type': 'void'},
\    'to_array': { 'signature': 'void', 'return_type': 'array'},
\    '_init_caps': { 'signature': 'string $cap_key', 'return_type': 'void'},
\    'get_role_caps': { 'signature': 'void', 'return_type': 'array'},
\    'add_role': { 'signature': 'string $role', 'return_type': 'void'},
\    'remove_role': { 'signature': 'string $role', 'return_type': 'void'},
\    'set_role': { 'signature': 'string $role', 'return_type': 'void'},
\    'level_reduction': { 'signature': 'integer $max, string $item', 'return_type': 'integer'},
\    'update_user_level_from_caps': { 'signature': 'void', 'return_type': 'void'},
\    'add_cap': { 'signature': 'string $cap, boolean $grant', 'return_type': 'void'},
\    'remove_cap': { 'signature': 'string $cap', 'return_type': 'void'},
\    'remove_all_caps': { 'signature': 'void', 'return_type': 'void'},
\    'has_cap': { 'signature': 'string|integer $cap', 'return_type': 'boolean'},
\    'translate_level_to_cap': { 'signature': 'integer $level', 'return_type': 'string'},
\    'for_blog': { 'signature': 'integer $blog_id', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_copyright'] = {
\'simplepie_copyright': {
\  'name': 'SimplePie_Copyright',
\  'properties': {
\    '$url': {'initializer': '', 'type': 'string'},
\    '$label': {'initializer': '', 'type': 'string'},
\  },
\  'methods': {
\    '__construct': { 'signature': ' $url,  $label', 'return_type': 'void'},
\    '__toString': { 'signature': 'void', 'return_type': 'string'},
\    'get_url': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_attribution': { 'signature': 'void', 'return_type': 'string|null'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_pluggable_deprecated'] = {
\'wp_atom_server': {
\  'name': 'wp_atom_server',
\  'static_methods': {
\    '__callStatic': { 'signature': ' $name,  $arguments', 'return_type': 'void'},
\  },
\  'methods': {
\    '__call': { 'signature': ' $name,  $arguments', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_module_tag_apetag'] = {
\'getid3_apetag': {
\  'name': 'getid3_apetag',
\  'properties': {
\    '$inline_attachments': {'initializer': 'true', 'type': ''},
\    '$overrideendoffset': {'initializer': '0', 'type': ''},
\  },
\  'methods': {
\    'Analyze': { 'signature': 'void', 'return_type': 'void'},
\    'parseAPEheaderFooter': { 'signature': ' $APEheaderFooterData', 'return_type': 'void'},
\    'parseAPEtagFlags': { 'signature': ' $rawflagint', 'return_type': 'void'},
\    'APEcontentTypeFlagLookup': { 'signature': ' $contenttypeid', 'return_type': 'void'},
\    'APEtagItemIsUTF8Lookup': { 'signature': ' $itemkey', 'return_type': 'void'},
\    '__construct': { 'signature': '\getID3 $getid3,  $call_module', 'return_type': 'void'},
\    'AnalyzeString': { 'signature': ' $string', 'return_type': 'void'},
\    'setStringMode': { 'signature': ' $string', 'return_type': 'void'},
\    'saveAttachment': { 'signature': ' $name,  $offset,  $length,  $image_mime', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_wp_embed'] = {
\'wp_embed': {
\  'name': 'WP_Embed',
\  'properties': {
\    '$handlers': {'initializer': 'array', 'type': ''},
\    '$post_ID': {'initializer': '', 'type': ''},
\    '$usecache': {'initializer': 'true', 'type': ''},
\    '$linkifunknown': {'initializer': 'true', 'type': ''},
\    '$return_false_on_fail': {'initializer': 'false', 'type': ''},
\  },
\  'methods': {
\    '__construct': { 'signature': 'void', 'return_type': 'void'},
\    'run_shortcode': { 'signature': 'string $content', 'return_type': 'string'},
\    'maybe_run_ajax_cache': { 'signature': 'void', 'return_type': 'void'},
\    'register_handler': { 'signature': 'string $id, string $regex, callback $callback, integer $priority', 'return_type': 'void'},
\    'unregister_handler': { 'signature': 'string $id, integer $priority', 'return_type': 'void'},
\    'shortcode': { 'signature': 'array $attr, string $url', 'return_type': 'string'},
\    'delete_oembed_caches': { 'signature': 'integer $post_ID', 'return_type': 'void'},
\    'cache_oembed': { 'signature': 'integer $post_ID', 'return_type': 'void'},
\    'autoembed': { 'signature': 'string $content', 'return_type': 'string'},
\    'autoembed_callback': { 'signature': 'array $match', 'return_type': 'string'},
\    'maybe_make_link': { 'signature': 'string $url', 'return_type': 'string'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_module_audio_flac'] = {
\'getid3_flac': {
\  'name': 'getid3_flac',
\  'static_methods': {
\    'metaBlockTypeLookup': { 'signature': ' $blocktype', 'return_type': 'void'},
\    'applicationIDLookup': { 'signature': ' $applicationid', 'return_type': 'void'},
\    'pictureTypeLookup': { 'signature': ' $type_id', 'return_type': 'void'},
\  },
\  'properties': {
\  },
\  'methods': {
\    'Analyze': { 'signature': 'void', 'return_type': 'void'},
\    'parseMETAdata': { 'signature': 'void', 'return_type': 'void'},
\    'parsePICTURE': { 'signature': 'void', 'return_type': 'void'},
\    '__construct': { 'signature': '\getID3 $getid3,  $call_module', 'return_type': 'void'},
\    'AnalyzeString': { 'signature': ' $string', 'return_type': 'void'},
\    'setStringMode': { 'signature': ' $string', 'return_type': 'void'},
\    'saveAttachment': { 'signature': ' $name,  $offset,  $length,  $image_mime', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_wp_diff'] = {
\'wp_text_diff_renderer_table': {
\  'name': 'WP_Text_Diff_Renderer_Table',
\  'properties': {
\    '$_leading_context_lines': {'initializer': '10000', 'type': 'integer'},
\    '$_trailing_context_lines': {'initializer': '10000', 'type': 'integer'},
\  },
\  'methods': {
\    '__construct': { 'signature': 'array $params', 'return_type': 'void'},
\    '_changed': { 'signature': 'array $orig, array $final', 'return_type': 'string'},
\    'interleave_changed_lines': { 'signature': '\unknown_type $orig, \unknown_type $final', 'return_type': '\unknown'},
\    'compute_string_distance': { 'signature': 'string $string1, string $string2', 'return_type': 'integer'},
\    '__get': { 'signature': 'string $name', 'return_type': 'mixed'},
\    '__set': { 'signature': 'string $name, mixed $value', 'return_type': 'mixed'},
\    '__isset': { 'signature': 'string $name', 'return_type': 'boolean'},
\    '__unset': { 'signature': 'string $name', 'return_type': 'void'},
\    '__call': { 'signature': 'callable $name, array $arguments', 'return_type': 'mixed|boolean'},
\    'Text_Diff_Renderer': { 'signature': ' $params', 'return_type': 'void'},
\    'getParams': { 'signature': 'void', 'return_type': 'array'},
\    'render': { 'signature': '\Text_Diff $diff', 'return_type': 'string'},
\    '_block': { 'signature': ' $xbeg,  $xlen,  $ybeg,  $ylen,  $edits', 'return_type': 'void'},
\    '_startDiff': { 'signature': 'void', 'return_type': 'void'},
\    '_endDiff': { 'signature': 'void', 'return_type': 'void'},
\    '_blockHeader': { 'signature': ' $xbeg,  $xlen,  $ybeg,  $ylen', 'return_type': 'void'},
\    '_startBlock': { 'signature': ' $header', 'return_type': 'void'},
\    '_endBlock': { 'signature': 'void', 'return_type': 'void'},
\    '_lines': { 'signature': ' $lines,  $prefix', 'return_type': 'void'},
\    '_context': { 'signature': ' $lines', 'return_type': 'void'},
\    '_added': { 'signature': ' $lines', 'return_type': 'void'},
\    '_deleted': { 'signature': ' $lines', 'return_type': 'void'},
\  },
\},
\'wp_text_diff_renderer_inline': {
\  'name': 'WP_Text_Diff_Renderer_inline',
\  'properties': {
\    '$_leading_context_lines': {'initializer': '0', 'type': ''},
\    '$_trailing_context_lines': {'initializer': '0', 'type': ''},
\    '$_ins_prefix': {'initializer': '<ins>', 'type': 'string'},
\    '$_ins_suffix': {'initializer': '</ins>', 'type': 'string'},
\    '$_del_prefix': {'initializer': '<del>', 'type': 'string'},
\    '$_del_suffix': {'initializer': '</del>', 'type': 'string'},
\    '$_block_header': {'initializer': '', 'type': 'string'},
\    '$_split_characters': {'initializer': 'false', 'type': 'boolean'},
\    '$_split_level': {'initializer': 'lines', 'type': 'string'},
\  },
\  'methods': {
\    '_blockHeader': { 'signature': ' $xbeg,  $xlen,  $ybeg,  $ylen', 'return_type': 'void'},
\    '_startBlock': { 'signature': ' $header', 'return_type': 'void'},
\    '_lines': { 'signature': ' $lines,  $prefix', 'return_type': 'void'},
\    '_added': { 'signature': ' $lines', 'return_type': 'void'},
\    '_deleted': { 'signature': ' $lines', 'return_type': 'void'},
\    '_changed': { 'signature': ' $orig,  $final', 'return_type': 'void'},
\    '_splitOnWords': { 'signature': ' $string,  $newlineEscape', 'return_type': 'void'},
\    '_encode': { 'signature': ' $string', 'return_type': 'void'},
\    'Text_Diff_Renderer': { 'signature': ' $params', 'return_type': 'void'},
\    'getParams': { 'signature': 'void', 'return_type': 'array'},
\    'render': { 'signature': '\Text_Diff $diff', 'return_type': 'string'},
\    '_block': { 'signature': ' $xbeg,  $xlen,  $ybeg,  $ylen,  $edits', 'return_type': 'void'},
\    '_startDiff': { 'signature': 'void', 'return_type': 'void'},
\    '_endDiff': { 'signature': 'void', 'return_type': 'void'},
\    '_endBlock': { 'signature': 'void', 'return_type': 'void'},
\    '_context': { 'signature': ' $lines', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_nav_menu_template'] = {
\'walker_nav_menu': {
\  'name': 'Walker_Nav_Menu',
\  'properties': {
\    '$tree_type': {'initializer': 'array', 'type': 'string'},
\    '$db_fields': {'initializer': 'array', 'type': 'array'},
\  },
\  'methods': {
\    'start_lvl': { 'signature': 'string $output, integer $depth, array $args', 'return_type': 'void'},
\    'end_lvl': { 'signature': 'string $output, integer $depth, array $args', 'return_type': 'void'},
\    'start_el': { 'signature': 'string $output, object $item, integer $depth, array $args, integer $id', 'return_type': 'void'},
\    'end_el': { 'signature': 'string $output, object $item, integer $depth, array $args', 'return_type': 'void'},
\    '__get': { 'signature': 'string $name', 'return_type': 'mixed'},
\    '__set': { 'signature': 'string $name, mixed $value', 'return_type': 'mixed'},
\    '__isset': { 'signature': 'string $name', 'return_type': 'boolean'},
\    '__unset': { 'signature': 'string $name', 'return_type': 'void'},
\    'display_element': { 'signature': 'object $element, array $children_elements, integer $max_depth, integer $depth, array $args, string $output', 'return_type': 'null'},
\    'walk': { 'signature': 'array $elements, integer $max_depth', 'return_type': 'string'},
\    'paged_walk': { 'signature': ' $elements, integer $max_depth, integer $page_num,  $per_page', 'return_type': 'string'},
\    'get_number_of_root_elements': { 'signature': ' $elements', 'return_type': 'void'},
\    'unset_children': { 'signature': ' $e,  $children_elements', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_wp_image_editor_gd'] = {
\'wp_image_editor_gd': {
\  'name': 'WP_Image_Editor_GD',
\  'static_methods': {
\    'test': { 'signature': ' $args', 'return_type': 'boolean'},
\    'supports_mime_type': { 'signature': 'string $mime_type', 'return_type': 'boolean'},
\  },
\  'properties': {
\  },
\  'methods': {
\    '__destruct': { 'signature': 'void', 'return_type': 'void'},
\    'load': { 'signature': 'void', 'return_type': 'boolean|\WP_Error'},
\    'resize': { 'signature': 'integer|null $max_w, integer|null $max_h, boolean $crop', 'return_type': 'boolean|\WP_Error'},
\    'multi_resize': { 'signature': 'array $sizes', 'return_type': 'array'},
\    'crop': { 'signature': 'integer $src_x, integer $src_y, integer $src_w, integer $src_h, integer $dst_w, integer $dst_h, boolean $src_abs', 'return_type': 'boolean|\WP_Error'},
\    'rotate': { 'signature': 'float $angle', 'return_type': 'boolean|\WP_Error'},
\    'flip': { 'signature': 'boolean $horz, boolean $vert', 'return_type': 'void'},
\    'save': { 'signature': ' $filename, string $mime_type', 'return_type': 'array|\WP_Error'},
\    'stream': { 'signature': 'string $mime_type', 'return_type': 'void'},
\    '__construct': { 'signature': ' $file', 'return_type': 'void'},
\    'get_size': { 'signature': 'void', 'return_type': 'array'},
\    'get_quality': { 'signature': 'void', 'return_type': 'integer'},
\    'set_quality': { 'signature': 'integer $quality', 'return_type': 'boolean|\WP_Error'},
\    'generate_filename': { 'signature': 'string $suffix, string $dest_path, string $extension', 'return_type': 'string'},
\    'get_suffix': { 'signature': 'void', 'return_type': 'string'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_pop3'] = {
\'pop3': {
\  'name': 'POP3',
\  'properties': {
\    '$ERROR': {'initializer': '', 'type': ''},
\    '$TIMEOUT': {'initializer': '60', 'type': ''},
\    '$COUNT': {'initializer': '-1', 'type': ''},
\    '$BUFFER': {'initializer': '512', 'type': ''},
\    '$FP': {'initializer': '', 'type': ''},
\    '$MAILSERVER': {'initializer': '', 'type': ''},
\    '$DEBUG': {'initializer': 'FALSE', 'type': ''},
\    '$BANNER': {'initializer': '', 'type': ''},
\    '$ALLOWAPOP': {'initializer': 'FALSE', 'type': ''},
\  },
\  'methods': {
\    'POP3': { 'signature': ' $server,  $timeout', 'return_type': 'void'},
\    'update_timer': { 'signature': 'void', 'return_type': 'void'},
\    'connect': { 'signature': ' $server,  $port', 'return_type': 'void'},
\    'user': { 'signature': ' $user', 'return_type': 'void'},
\    'pass': { 'signature': ' $pass', 'return_type': 'void'},
\    'apop': { 'signature': ' $login,  $pass', 'return_type': 'void'},
\    'login': { 'signature': ' $login,  $pass', 'return_type': 'void'},
\    'top': { 'signature': ' $msgNum,  $numLines', 'return_type': 'void'},
\    'pop_list': { 'signature': ' $msgNum', 'return_type': 'void'},
\    'get': { 'signature': ' $msgNum', 'return_type': 'void'},
\    'last': { 'signature': ' $type', 'return_type': 'void'},
\    'reset': { 'signature': 'void', 'return_type': 'void'},
\    'send_cmd': { 'signature': ' $cmd', 'return_type': 'void'},
\    'quit': { 'signature': 'void', 'return_type': 'void'},
\    'popstat': { 'signature': 'void', 'return_type': 'void'},
\    'uidl': { 'signature': ' $msgNum', 'return_type': 'void'},
\    'delete': { 'signature': ' $msgNum', 'return_type': 'void'},
\    'is_ok': { 'signature': ' $cmd', 'return_type': 'void'},
\    'strip_clf': { 'signature': ' $text', 'return_type': 'void'},
\    'parse_banner': { 'signature': ' $server_text', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_feed'] = {
\'wp_feed_cache': {
\  'name': 'WP_Feed_Cache',
\  'static_properties': {
\  },
\  'static_methods': {
\    'get_handler': { 'signature': 'string $location, string $filename, string $extension', 'return_type': '\SimplePie_Cache_Base'},
\    'register': { 'signature': 'string $type, string $class', 'return_type': 'void'},
\    'parse_URL': { 'signature': 'string $url', 'return_type': 'array'},
\  },
\  'methods': {
\    'create': { 'signature': ' $location,  $filename,  $extension', 'return_type': 'void'},
\  },
\},
\'wp_feed_cache_transient': {
\  'name': 'WP_Feed_Cache_Transient',
\  'properties': {
\    '$name': {'initializer': '', 'type': ''},
\    '$mod_name': {'initializer': '', 'type': ''},
\    '$lifetime': {'initializer': '43200', 'type': ''},
\  },
\  'methods': {
\    '__construct': { 'signature': ' $location,  $filename,  $extension', 'return_type': 'void'},
\    'save': { 'signature': ' $data', 'return_type': 'void'},
\    'load': { 'signature': 'void', 'return_type': 'void'},
\    'mtime': { 'signature': 'void', 'return_type': 'void'},
\    'touch': { 'signature': 'void', 'return_type': 'void'},
\    'unlink': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'wp_simplepie_file': {
\  'name': 'WP_SimplePie_File',
\  'properties': {
\    '$url': {'initializer': '', 'type': ''},
\    '$useragent': {'initializer': '', 'type': ''},
\    '$success': {'initializer': 'true', 'type': ''},
\    '$headers': {'initializer': 'array', 'type': ''},
\    '$body': {'initializer': '', 'type': ''},
\    '$status_code': {'initializer': '', 'type': ''},
\    '$redirects': {'initializer': '0', 'type': ''},
\    '$error': {'initializer': '', 'type': ''},
\    '$method': {'initializer': 'SIMPLEPIE_FILE_SOURCE_NONE', 'type': ''},
\  },
\  'methods': {
\    '__construct': { 'signature': ' $url,  $timeout,  $redirects,  $headers,  $useragent,  $force_fsockopen', 'return_type': 'void'},
\  },
\},
\'wp_simplepie_sanitize_kses': {
\  'name': 'WP_SimplePie_Sanitize_KSES',
\  'properties': {
\    '$base': {'initializer': '', 'type': ''},
\    '$remove_div': {'initializer': 'true', 'type': ''},
\    '$image_handler': {'initializer': '', 'type': ''},
\    '$strip_htmltags': {'initializer': 'array', 'type': ''},
\    '$encode_instead_of_strip': {'initializer': 'false', 'type': ''},
\    '$strip_attributes': {'initializer': 'array', 'type': ''},
\    '$strip_comments': {'initializer': 'false', 'type': ''},
\    '$output_encoding': {'initializer': 'UTF-8', 'type': ''},
\    '$enable_cache': {'initializer': 'true', 'type': ''},
\    '$cache_location': {'initializer': './cache', 'type': ''},
\    '$cache_name_function': {'initializer': 'md5', 'type': ''},
\    '$timeout': {'initializer': '10', 'type': ''},
\    '$useragent': {'initializer': '', 'type': ''},
\    '$force_fsockopen': {'initializer': 'false', 'type': ''},
\    '$replace_url_attributes': {'initializer': 'null', 'type': ''},
\  },
\  'methods': {
\    'sanitize': { 'signature': ' $data,  $type,  $base', 'return_type': 'void'},
\    '__construct': { 'signature': 'void', 'return_type': 'void'},
\    'remove_div': { 'signature': ' $enable', 'return_type': 'void'},
\    'set_image_handler': { 'signature': ' $page', 'return_type': 'void'},
\    'set_registry': { 'signature': '\SimplePie_Registry $registry', 'return_type': 'void'},
\    'pass_cache_data': { 'signature': ' $enable_cache,  $cache_location,  $cache_name_function,  $cache_class', 'return_type': 'void'},
\    'pass_file_data': { 'signature': ' $file_class,  $timeout,  $useragent,  $force_fsockopen', 'return_type': 'void'},
\    'strip_htmltags': { 'signature': ' $tags', 'return_type': 'void'},
\    'encode_instead_of_strip': { 'signature': ' $encode', 'return_type': 'void'},
\    'strip_attributes': { 'signature': ' $attribs', 'return_type': 'void'},
\    'strip_comments': { 'signature': ' $strip', 'return_type': 'void'},
\    'set_output_encoding': { 'signature': ' $encoding', 'return_type': 'void'},
\    'set_url_replacements': { 'signature': 'array|null $element_attribute', 'return_type': 'void'},
\    'replace_urls': { 'signature': ' $document,  $tag,  $attributes', 'return_type': 'void'},
\    'do_strip_htmltags': { 'signature': ' $match', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_category_template'] = {
\'walker_category': {
\  'name': 'Walker_Category',
\  'properties': {
\    '$tree_type': {'initializer': 'category', 'type': 'string'},
\    '$db_fields': {'initializer': 'array', 'type': 'array'},
\  },
\  'methods': {
\    'start_lvl': { 'signature': 'string $output, integer $depth, array $args', 'return_type': 'void'},
\    'end_lvl': { 'signature': 'string $output, integer $depth, array $args', 'return_type': 'void'},
\    'start_el': { 'signature': 'string $output, object $category, integer $depth, array $args, integer $id', 'return_type': 'void'},
\    'end_el': { 'signature': 'string $output, object $page, integer $depth, array $args', 'return_type': 'void'},
\    '__get': { 'signature': 'string $name', 'return_type': 'mixed'},
\    '__set': { 'signature': 'string $name, mixed $value', 'return_type': 'mixed'},
\    '__isset': { 'signature': 'string $name', 'return_type': 'boolean'},
\    '__unset': { 'signature': 'string $name', 'return_type': 'void'},
\    'display_element': { 'signature': 'object $element, array $children_elements, integer $max_depth, integer $depth, array $args, string $output', 'return_type': 'null'},
\    'walk': { 'signature': 'array $elements, integer $max_depth', 'return_type': 'string'},
\    'paged_walk': { 'signature': ' $elements, integer $max_depth, integer $page_num,  $per_page', 'return_type': 'string'},
\    'get_number_of_root_elements': { 'signature': ' $elements', 'return_type': 'void'},
\    'unset_children': { 'signature': ' $e,  $children_elements', 'return_type': 'void'},
\  },
\},
\'walker_categorydropdown': {
\  'name': 'Walker_CategoryDropdown',
\  'properties': {
\    '$tree_type': {'initializer': 'category', 'type': 'string'},
\    '$db_fields': {'initializer': 'array', 'type': 'array'},
\  },
\  'methods': {
\    'start_el': { 'signature': 'string $output, object $category, integer $depth, array $args,  $id', 'return_type': 'void'},
\    '__get': { 'signature': 'string $name', 'return_type': 'mixed'},
\    '__set': { 'signature': 'string $name, mixed $value', 'return_type': 'mixed'},
\    '__isset': { 'signature': 'string $name', 'return_type': 'boolean'},
\    '__unset': { 'signature': 'string $name', 'return_type': 'void'},
\    'start_lvl': { 'signature': 'string $output, integer $depth, array $args', 'return_type': 'void'},
\    'end_lvl': { 'signature': 'string $output, integer $depth, array $args', 'return_type': 'void'},
\    'end_el': { 'signature': 'string $output, object $object, integer $depth, array $args', 'return_type': 'void'},
\    'display_element': { 'signature': 'object $element, array $children_elements, integer $max_depth, integer $depth, array $args, string $output', 'return_type': 'null'},
\    'walk': { 'signature': 'array $elements, integer $max_depth', 'return_type': 'string'},
\    'paged_walk': { 'signature': ' $elements, integer $max_depth, integer $page_num,  $per_page', 'return_type': 'string'},
\    'get_number_of_root_elements': { 'signature': ' $elements', 'return_type': 'void'},
\    'unset_children': { 'signature': ' $e,  $children_elements', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_wp_admin_bar'] = {
\'wp_admin_bar': {
\  'name': 'WP_Admin_Bar',
\  'properties': {
\    '$user': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    '__get': { 'signature': ' $name', 'return_type': 'void'},
\    'initialize': { 'signature': 'void', 'return_type': 'void'},
\    'add_menu': { 'signature': ' $node', 'return_type': 'void'},
\    'remove_menu': { 'signature': ' $id', 'return_type': 'void'},
\    'add_node': { 'signature': 'array $args', 'return_type': 'void'},
\    'get_node': { 'signature': ' $id', 'return_type': 'object'},
\    'get_nodes': { 'signature': 'void', 'return_type': 'void'},
\    'add_group': { 'signature': 'array $args', 'return_type': 'void'},
\    'remove_node': { 'signature': ' $id', 'return_type': 'void'},
\    'render': { 'signature': 'void', 'return_type': 'void'},
\    'recursive_render': { 'signature': ' $id,  $node', 'return_type': 'void'},
\    'add_menus': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_module_audio_ac3'] = {
\'getid3_ac3': {
\  'name': 'getid3_ac3',
\  'static_methods': {
\    'sampleRateCodeLookup': { 'signature': ' $fscod', 'return_type': 'void'},
\    'serviceTypeLookup': { 'signature': ' $bsmod,  $acmod', 'return_type': 'void'},
\    'audioCodingModeLookup': { 'signature': ' $acmod', 'return_type': 'void'},
\    'centerMixLevelLookup': { 'signature': ' $cmixlev', 'return_type': 'void'},
\    'surroundMixLevelLookup': { 'signature': ' $surmixlev', 'return_type': 'void'},
\    'dolbySurroundModeLookup': { 'signature': ' $dsurmod', 'return_type': 'void'},
\    'channelsEnabledLookup': { 'signature': ' $acmod,  $lfeon', 'return_type': 'void'},
\    'heavyCompression': { 'signature': ' $compre', 'return_type': 'void'},
\    'roomTypeLookup': { 'signature': ' $roomtyp', 'return_type': 'void'},
\    'frameSizeLookup': { 'signature': ' $frmsizecod,  $fscod', 'return_type': 'void'},
\    'bitrateLookup': { 'signature': ' $frmsizecod', 'return_type': 'void'},
\  },
\  'properties': {
\  },
\  'methods': {
\    'Analyze': { 'signature': 'void', 'return_type': 'void'},
\    '__construct': { 'signature': '\getID3 $getid3,  $call_module', 'return_type': 'void'},
\    'AnalyzeString': { 'signature': ' $string', 'return_type': 'void'},
\    'setStringMode': { 'signature': ' $string', 'return_type': 'void'},
\    'saveAttachment': { 'signature': ' $name,  $offset,  $length,  $image_mime', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_exception'] = {
\'simplepie_exception': {
\  'name': 'SimplePie_Exception',
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_wp_image_editor'] = {
\'wp_image_editor': {
\  'name': 'WP_Image_Editor',
\  'static_methods': {
\    'test': { 'signature': 'array $args', 'return_type': 'boolean'},
\    'supports_mime_type': { 'signature': 'string $mime_type', 'return_type': 'boolean'},
\  },
\  'properties': {
\  },
\  'methods': {
\    '__construct': { 'signature': ' $file', 'return_type': 'void'},
\    'load': { 'signature': 'void', 'return_type': 'boolean|\WP_Error'},
\    'save': { 'signature': 'string $destfilename, string $mime_type', 'return_type': 'array|\WP_Error'},
\    'resize': { 'signature': 'integer|null $max_w, integer|null $max_h, boolean $crop', 'return_type': 'boolean|\WP_Error'},
\    'multi_resize': { 'signature': 'array $sizes', 'return_type': 'array'},
\    'crop': { 'signature': 'integer $src_x, integer $src_y, integer $src_w, integer $src_h, integer $dst_w, integer $dst_h, boolean $src_abs', 'return_type': 'boolean|\WP_Error'},
\    'rotate': { 'signature': 'float $angle', 'return_type': 'boolean|\WP_Error'},
\    'flip': { 'signature': 'boolean $horz, boolean $vert', 'return_type': 'boolean|\WP_Error'},
\    'stream': { 'signature': 'string $mime_type', 'return_type': 'boolean|\WP_Error'},
\    'get_size': { 'signature': 'void', 'return_type': 'array'},
\    'get_quality': { 'signature': 'void', 'return_type': 'integer'},
\    'set_quality': { 'signature': 'integer $quality', 'return_type': 'boolean|\WP_Error'},
\    'generate_filename': { 'signature': 'string $suffix, string $dest_path, string $extension', 'return_type': 'string'},
\    'get_suffix': { 'signature': 'void', 'return_type': 'string'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_module_audio_ogg'] = {
\'getid3_ogg': {
\  'name': 'getid3_ogg',
\  'static_methods': {
\    'SpeexBandModeLookup': { 'signature': ' $mode', 'return_type': 'void'},
\    'OggPageSegmentLength': { 'signature': ' $OggInfoArray,  $SegmentNumber', 'return_type': 'void'},
\    'get_quality_from_nominal_bitrate': { 'signature': ' $nominal_bitrate', 'return_type': 'void'},
\  },
\  'properties': {
\  },
\  'methods': {
\    'Analyze': { 'signature': 'void', 'return_type': 'void'},
\    'ParseVorbisPageHeader': { 'signature': ' $filedata,  $filedataoffset,  $oggpageinfo', 'return_type': 'void'},
\    'ParseOggPageHeader': { 'signature': 'void', 'return_type': 'void'},
\    'ParseVorbisComments': { 'signature': 'void', 'return_type': 'void'},
\    '__construct': { 'signature': '\getID3 $getid3,  $call_module', 'return_type': 'void'},
\    'AnalyzeString': { 'signature': ' $string', 'return_type': 'void'},
\    'setStringMode': { 'signature': ' $string', 'return_type': 'void'},
\    'saveAttachment': { 'signature': ' $name,  $offset,  $length,  $image_mime', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_wp_customize_control'] = {
\'wp_customize_control': {
\  'name': 'WP_Customize_Control',
\  'properties': {
\    '$manager': {'initializer': '', 'type': '\WP_Customize_Manager'},
\    '$id': {'initializer': '', 'type': 'string'},
\    '$settings': {'initializer': '', 'type': 'array'},
\    '$setting': {'initializer': 'default', 'type': 'string'},
\    '$priority': {'initializer': '10', 'type': 'integer'},
\    '$section': {'initializer': '', 'type': 'string'},
\    '$label': {'initializer': '', 'type': 'string'},
\    '$description': {'initializer': '', 'type': 'string'},
\    '$choices': {'initializer': 'array', 'type': 'array'},
\    '$input_attrs': {'initializer': 'array', 'type': 'array'},
\    '$json': {'initializer': 'array', 'type': 'array'},
\    '$type': {'initializer': 'text', 'type': 'string'},
\    '$active_callback': {'initializer': '', 'type': 'callable'},
\  },
\  'methods': {
\    '__construct': { 'signature': '\WP_Customize_Manager $manager, string $id, array $args', 'return_type': 'void'},
\    'enqueue': { 'signature': 'void', 'return_type': 'void'},
\    'active': { 'signature': 'void', 'return_type': 'boolean'},
\    'active_callback': { 'signature': 'void', 'return_type': 'boolean'},
\    'value': { 'signature': 'string $setting_key', 'return_type': 'mixed'},
\    'to_json': { 'signature': 'void', 'return_type': 'void'},
\    'check_capabilities': { 'signature': 'void', 'return_type': 'boolean'},
\    'maybe_render': { 'signature': 'void', 'return_type': 'void'},
\    'get_link': { 'signature': 'string $setting_key', 'return_type': 'string'},
\    'link': { 'signature': 'string $setting_key', 'return_type': 'void'},
\    'input_attrs': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'wp_customize_color_control': {
\  'name': 'WP_Customize_Color_Control',
\  'properties': {
\    '$type': {'initializer': 'color', 'type': 'string'},
\    '$statuses': {'initializer': '', 'type': 'array'},
\    '$manager': {'initializer': '', 'type': '\WP_Customize_Manager'},
\    '$id': {'initializer': '', 'type': 'string'},
\    '$settings': {'initializer': '', 'type': 'array'},
\    '$setting': {'initializer': 'default', 'type': 'string'},
\    '$priority': {'initializer': '10', 'type': 'integer'},
\    '$section': {'initializer': '', 'type': 'string'},
\    '$label': {'initializer': '', 'type': 'string'},
\    '$description': {'initializer': '', 'type': 'string'},
\    '$choices': {'initializer': 'array', 'type': 'array'},
\    '$input_attrs': {'initializer': 'array', 'type': 'array'},
\    '$json': {'initializer': 'array', 'type': 'array'},
\    '$active_callback': {'initializer': '', 'type': 'callable'},
\  },
\  'methods': {
\    '__construct': { 'signature': '\WP_Customize_Manager $manager, string $id, array $args', 'return_type': 'void'},
\    'enqueue': { 'signature': 'void', 'return_type': 'void'},
\    'to_json': { 'signature': 'void', 'return_type': 'void'},
\    'render_content': { 'signature': 'void', 'return_type': 'void'},
\    'active': { 'signature': 'void', 'return_type': 'boolean'},
\    'active_callback': { 'signature': 'void', 'return_type': 'boolean'},
\    'value': { 'signature': 'string $setting_key', 'return_type': 'mixed'},
\    'check_capabilities': { 'signature': 'void', 'return_type': 'boolean'},
\    'maybe_render': { 'signature': 'void', 'return_type': 'void'},
\    'get_link': { 'signature': 'string $setting_key', 'return_type': 'string'},
\    'link': { 'signature': 'string $setting_key', 'return_type': 'void'},
\    'input_attrs': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'wp_customize_upload_control': {
\  'name': 'WP_Customize_Upload_Control',
\  'properties': {
\    '$type': {'initializer': 'upload', 'type': ''},
\    '$removed': {'initializer': '', 'type': ''},
\    '$context': {'initializer': '', 'type': ''},
\    '$extensions': {'initializer': 'array', 'type': ''},
\    '$manager': {'initializer': '', 'type': '\WP_Customize_Manager'},
\    '$id': {'initializer': '', 'type': 'string'},
\    '$settings': {'initializer': '', 'type': 'array'},
\    '$setting': {'initializer': 'default', 'type': 'string'},
\    '$priority': {'initializer': '10', 'type': 'integer'},
\    '$section': {'initializer': '', 'type': 'string'},
\    '$label': {'initializer': '', 'type': 'string'},
\    '$description': {'initializer': '', 'type': 'string'},
\    '$choices': {'initializer': 'array', 'type': 'array'},
\    '$input_attrs': {'initializer': 'array', 'type': 'array'},
\    '$json': {'initializer': 'array', 'type': 'array'},
\    '$active_callback': {'initializer': '', 'type': 'callable'},
\  },
\  'methods': {
\    'enqueue': { 'signature': 'void', 'return_type': 'void'},
\    'to_json': { 'signature': 'void', 'return_type': 'void'},
\    'render_content': { 'signature': 'void', 'return_type': 'void'},
\    '__construct': { 'signature': '\WP_Customize_Manager $manager, string $id, array $args', 'return_type': 'void'},
\    'active': { 'signature': 'void', 'return_type': 'boolean'},
\    'active_callback': { 'signature': 'void', 'return_type': 'boolean'},
\    'value': { 'signature': 'string $setting_key', 'return_type': 'mixed'},
\    'check_capabilities': { 'signature': 'void', 'return_type': 'boolean'},
\    'maybe_render': { 'signature': 'void', 'return_type': 'void'},
\    'get_link': { 'signature': 'string $setting_key', 'return_type': 'string'},
\    'link': { 'signature': 'string $setting_key', 'return_type': 'void'},
\    'input_attrs': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'wp_customize_image_control': {
\  'name': 'WP_Customize_Image_Control',
\  'properties': {
\    '$type': {'initializer': 'image', 'type': ''},
\    '$get_url': {'initializer': '', 'type': ''},
\    '$statuses': {'initializer': '', 'type': ''},
\    '$extensions': {'initializer': 'array', 'type': ''},
\    '$removed': {'initializer': '', 'type': ''},
\    '$context': {'initializer': '', 'type': ''},
\    '$manager': {'initializer': '', 'type': '\WP_Customize_Manager'},
\    '$id': {'initializer': '', 'type': 'string'},
\    '$settings': {'initializer': '', 'type': 'array'},
\    '$setting': {'initializer': 'default', 'type': 'string'},
\    '$priority': {'initializer': '10', 'type': 'integer'},
\    '$section': {'initializer': '', 'type': 'string'},
\    '$label': {'initializer': '', 'type': 'string'},
\    '$description': {'initializer': '', 'type': 'string'},
\    '$choices': {'initializer': 'array', 'type': 'array'},
\    '$input_attrs': {'initializer': 'array', 'type': 'array'},
\    '$json': {'initializer': 'array', 'type': 'array'},
\    '$active_callback': {'initializer': '', 'type': 'callable'},
\  },
\  'methods': {
\    '__construct': { 'signature': '\WP_Customize_Manager $manager, string $id, array $args', 'return_type': 'void'},
\    'prepare_control': { 'signature': 'void', 'return_type': 'void'},
\    'to_json': { 'signature': 'void', 'return_type': 'void'},
\    'render_content': { 'signature': 'void', 'return_type': 'void'},
\    'add_tab': { 'signature': 'string $id, string $label, mixed $callback', 'return_type': 'void'},
\    'remove_tab': { 'signature': 'string $id', 'return_type': 'void'},
\    'tab_upload_new': { 'signature': 'void', 'return_type': 'void'},
\    'tab_uploaded': { 'signature': 'void', 'return_type': 'void'},
\    'print_tab_image': { 'signature': 'string $url, string $thumbnail_url', 'return_type': 'void'},
\    'enqueue': { 'signature': 'void', 'return_type': 'void'},
\    'active': { 'signature': 'void', 'return_type': 'boolean'},
\    'active_callback': { 'signature': 'void', 'return_type': 'boolean'},
\    'value': { 'signature': 'string $setting_key', 'return_type': 'mixed'},
\    'check_capabilities': { 'signature': 'void', 'return_type': 'boolean'},
\    'maybe_render': { 'signature': 'void', 'return_type': 'void'},
\    'get_link': { 'signature': 'string $setting_key', 'return_type': 'string'},
\    'link': { 'signature': 'string $setting_key', 'return_type': 'void'},
\    'input_attrs': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'wp_customize_background_image_control': {
\  'name': 'WP_Customize_Background_Image_Control',
\  'properties': {
\    '$type': {'initializer': 'text', 'type': 'string'},
\    '$get_url': {'initializer': '', 'type': ''},
\    '$statuses': {'initializer': '', 'type': ''},
\    '$extensions': {'initializer': 'array', 'type': ''},
\    '$removed': {'initializer': '', 'type': ''},
\    '$context': {'initializer': '', 'type': ''},
\    '$manager': {'initializer': '', 'type': '\WP_Customize_Manager'},
\    '$id': {'initializer': '', 'type': 'string'},
\    '$settings': {'initializer': '', 'type': 'array'},
\    '$setting': {'initializer': 'default', 'type': 'string'},
\    '$priority': {'initializer': '10', 'type': 'integer'},
\    '$section': {'initializer': '', 'type': 'string'},
\    '$label': {'initializer': '', 'type': 'string'},
\    '$description': {'initializer': '', 'type': 'string'},
\    '$choices': {'initializer': 'array', 'type': 'array'},
\    '$input_attrs': {'initializer': 'array', 'type': 'array'},
\    '$json': {'initializer': 'array', 'type': 'array'},
\    '$active_callback': {'initializer': '', 'type': 'callable'},
\  },
\  'methods': {
\    '__construct': { 'signature': '\WP_Customize_Manager $manager', 'return_type': 'void'},
\    'tab_uploaded': { 'signature': 'void', 'return_type': 'void'},
\    'tab_default_background': { 'signature': 'void', 'return_type': 'void'},
\    'prepare_control': { 'signature': 'void', 'return_type': 'void'},
\    'to_json': { 'signature': 'void', 'return_type': 'void'},
\    'add_tab': { 'signature': 'string $id, string $label, mixed $callback', 'return_type': 'void'},
\    'remove_tab': { 'signature': 'string $id', 'return_type': 'void'},
\    'tab_upload_new': { 'signature': 'void', 'return_type': 'void'},
\    'print_tab_image': { 'signature': 'string $url, string $thumbnail_url', 'return_type': 'void'},
\    'enqueue': { 'signature': 'void', 'return_type': 'void'},
\    'active': { 'signature': 'void', 'return_type': 'boolean'},
\    'active_callback': { 'signature': 'void', 'return_type': 'boolean'},
\    'value': { 'signature': 'string $setting_key', 'return_type': 'mixed'},
\    'check_capabilities': { 'signature': 'void', 'return_type': 'boolean'},
\    'maybe_render': { 'signature': 'void', 'return_type': 'void'},
\    'get_link': { 'signature': 'string $setting_key', 'return_type': 'string'},
\    'link': { 'signature': 'string $setting_key', 'return_type': 'void'},
\    'input_attrs': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'wp_customize_header_image_control': {
\  'name': 'WP_Customize_Header_Image_Control',
\  'properties': {
\    '$type': {'initializer': 'header', 'type': ''},
\    '$get_url': {'initializer': '', 'type': ''},
\    '$statuses': {'initializer': '', 'type': ''},
\    '$extensions': {'initializer': 'array', 'type': ''},
\    '$removed': {'initializer': '', 'type': ''},
\    '$context': {'initializer': '', 'type': ''},
\    '$manager': {'initializer': '', 'type': '\WP_Customize_Manager'},
\    '$id': {'initializer': '', 'type': 'string'},
\    '$settings': {'initializer': '', 'type': 'array'},
\    '$setting': {'initializer': 'default', 'type': 'string'},
\    '$priority': {'initializer': '10', 'type': 'integer'},
\    '$section': {'initializer': '', 'type': 'string'},
\    '$label': {'initializer': '', 'type': 'string'},
\    '$description': {'initializer': '', 'type': 'string'},
\    '$choices': {'initializer': 'array', 'type': 'array'},
\    '$input_attrs': {'initializer': 'array', 'type': 'array'},
\    '$json': {'initializer': 'array', 'type': 'array'},
\    '$active_callback': {'initializer': '', 'type': 'callable'},
\  },
\  'methods': {
\    '__construct': { 'signature': ' $manager', 'return_type': 'void'},
\    'to_json': { 'signature': 'void', 'return_type': 'void'},
\    'enqueue': { 'signature': 'void', 'return_type': 'void'},
\    'prepare_control': { 'signature': 'void', 'return_type': 'void'},
\    'print_header_image_template': { 'signature': 'void', 'return_type': 'void'},
\    'get_current_image_src': { 'signature': 'void', 'return_type': 'void'},
\    'render_content': { 'signature': 'void', 'return_type': 'void'},
\    'add_tab': { 'signature': 'string $id, string $label, mixed $callback', 'return_type': 'void'},
\    'remove_tab': { 'signature': 'string $id', 'return_type': 'void'},
\    'tab_upload_new': { 'signature': 'void', 'return_type': 'void'},
\    'tab_uploaded': { 'signature': 'void', 'return_type': 'void'},
\    'print_tab_image': { 'signature': 'string $url, string $thumbnail_url', 'return_type': 'void'},
\    'active': { 'signature': 'void', 'return_type': 'boolean'},
\    'active_callback': { 'signature': 'void', 'return_type': 'boolean'},
\    'value': { 'signature': 'string $setting_key', 'return_type': 'mixed'},
\    'check_capabilities': { 'signature': 'void', 'return_type': 'boolean'},
\    'maybe_render': { 'signature': 'void', 'return_type': 'void'},
\    'get_link': { 'signature': 'string $setting_key', 'return_type': 'string'},
\    'link': { 'signature': 'string $setting_key', 'return_type': 'void'},
\    'input_attrs': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'wp_widget_area_customize_control': {
\  'name': 'WP_Widget_Area_Customize_Control',
\  'properties': {
\    '$type': {'initializer': 'sidebar_widgets', 'type': ''},
\    '$sidebar_id': {'initializer': '', 'type': ''},
\    '$manager': {'initializer': '', 'type': '\WP_Customize_Manager'},
\    '$id': {'initializer': '', 'type': 'string'},
\    '$settings': {'initializer': '', 'type': 'array'},
\    '$setting': {'initializer': 'default', 'type': 'string'},
\    '$priority': {'initializer': '10', 'type': 'integer'},
\    '$section': {'initializer': '', 'type': 'string'},
\    '$label': {'initializer': '', 'type': 'string'},
\    '$description': {'initializer': '', 'type': 'string'},
\    '$choices': {'initializer': 'array', 'type': 'array'},
\    '$input_attrs': {'initializer': 'array', 'type': 'array'},
\    '$json': {'initializer': 'array', 'type': 'array'},
\    '$active_callback': {'initializer': '', 'type': 'callable'},
\  },
\  'methods': {
\    'to_json': { 'signature': 'void', 'return_type': 'void'},
\    'render_content': { 'signature': 'void', 'return_type': 'void'},
\    'active_callback': { 'signature': 'void', 'return_type': 'boolean'},
\    '__construct': { 'signature': '\WP_Customize_Manager $manager, string $id, array $args', 'return_type': 'void'},
\    'enqueue': { 'signature': 'void', 'return_type': 'void'},
\    'active': { 'signature': 'void', 'return_type': 'boolean'},
\    'value': { 'signature': 'string $setting_key', 'return_type': 'mixed'},
\    'check_capabilities': { 'signature': 'void', 'return_type': 'boolean'},
\    'maybe_render': { 'signature': 'void', 'return_type': 'void'},
\    'get_link': { 'signature': 'string $setting_key', 'return_type': 'string'},
\    'link': { 'signature': 'string $setting_key', 'return_type': 'void'},
\    'input_attrs': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'wp_widget_form_customize_control': {
\  'name': 'WP_Widget_Form_Customize_Control',
\  'properties': {
\    '$type': {'initializer': 'widget_form', 'type': ''},
\    '$widget_id': {'initializer': '', 'type': ''},
\    '$widget_id_base': {'initializer': '', 'type': ''},
\    '$sidebar_id': {'initializer': '', 'type': ''},
\    '$is_new': {'initializer': 'false', 'type': ''},
\    '$width': {'initializer': '', 'type': ''},
\    '$height': {'initializer': '', 'type': ''},
\    '$is_wide': {'initializer': 'false', 'type': ''},
\    '$manager': {'initializer': '', 'type': '\WP_Customize_Manager'},
\    '$id': {'initializer': '', 'type': 'string'},
\    '$settings': {'initializer': '', 'type': 'array'},
\    '$setting': {'initializer': 'default', 'type': 'string'},
\    '$priority': {'initializer': '10', 'type': 'integer'},
\    '$section': {'initializer': '', 'type': 'string'},
\    '$label': {'initializer': '', 'type': 'string'},
\    '$description': {'initializer': '', 'type': 'string'},
\    '$choices': {'initializer': 'array', 'type': 'array'},
\    '$input_attrs': {'initializer': 'array', 'type': 'array'},
\    '$json': {'initializer': 'array', 'type': 'array'},
\    '$active_callback': {'initializer': '', 'type': 'callable'},
\  },
\  'methods': {
\    'to_json': { 'signature': 'void', 'return_type': 'void'},
\    'render_content': { 'signature': 'void', 'return_type': 'void'},
\    'active_callback': { 'signature': 'void', 'return_type': 'boolean'},
\    '__construct': { 'signature': '\WP_Customize_Manager $manager, string $id, array $args', 'return_type': 'void'},
\    'enqueue': { 'signature': 'void', 'return_type': 'void'},
\    'active': { 'signature': 'void', 'return_type': 'boolean'},
\    'value': { 'signature': 'string $setting_key', 'return_type': 'mixed'},
\    'check_capabilities': { 'signature': 'void', 'return_type': 'boolean'},
\    'maybe_render': { 'signature': 'void', 'return_type': 'void'},
\    'get_link': { 'signature': 'string $setting_key', 'return_type': 'string'},
\    'link': { 'signature': 'string $setting_key', 'return_type': 'void'},
\    'input_attrs': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_wp_image_editor_imagick'] = {
\'wp_image_editor_imagick': {
\  'name': 'WP_Image_Editor_Imagick',
\  'static_methods': {
\    'test': { 'signature': ' $args', 'return_type': 'boolean'},
\    'supports_mime_type': { 'signature': 'string $mime_type', 'return_type': 'boolean'},
\  },
\  'properties': {
\  },
\  'methods': {
\    '__destruct': { 'signature': 'void', 'return_type': 'void'},
\    'load': { 'signature': 'void', 'return_type': 'boolean|\WP_Error'},
\    'set_quality': { 'signature': 'integer $quality', 'return_type': 'boolean|\WP_Error'},
\    'resize': { 'signature': 'integer|null $max_w, integer|null $max_h, boolean $crop', 'return_type': 'boolean|\WP_Error'},
\    'multi_resize': { 'signature': 'array $sizes', 'return_type': 'array'},
\    'crop': { 'signature': 'integer $src_x, integer $src_y, integer $src_w, integer $src_h, integer $dst_w, integer $dst_h, boolean $src_abs', 'return_type': 'boolean|\WP_Error'},
\    'rotate': { 'signature': 'float $angle', 'return_type': 'boolean|\WP_Error'},
\    'flip': { 'signature': 'boolean $horz, boolean $vert', 'return_type': 'void'},
\    'save': { 'signature': 'string $destfilename, string $mime_type', 'return_type': 'array|\WP_Error'},
\    'stream': { 'signature': 'string $mime_type', 'return_type': 'boolean|\WP_Error'},
\    '__construct': { 'signature': ' $file', 'return_type': 'void'},
\    'get_size': { 'signature': 'void', 'return_type': 'array'},
\    'get_quality': { 'signature': 'void', 'return_type': 'integer'},
\    'generate_filename': { 'signature': 'string $suffix, string $dest_path, string $extension', 'return_type': 'string'},
\    'get_suffix': { 'signature': 'void', 'return_type': 'string'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_atomlib'] = {
\'atomfeed': {
\  'name': 'AtomFeed',
\  'properties': {
\    '$links': {'initializer': 'array', 'type': 'array'},
\    '$categories': {'initializer': 'array', 'type': 'array'},
\    '$entries': {'initializer': 'array', 'type': 'array'},
\  },
\},
\'atomentry': {
\  'name': 'AtomEntry',
\  'properties': {
\    '$links': {'initializer': 'array', 'type': 'array'},
\    '$categories': {'initializer': 'array', 'type': 'array'},
\  },
\},
\'atomparser': {
\  'name': 'AtomParser',
\  'properties': {
\    '$NS': {'initializer': 'http://www.w3.org/2005/Atom', 'type': ''},
\    '$ATOM_CONTENT_ELEMENTS': {'initializer': 'array', 'type': ''},
\    '$ATOM_SIMPLE_ELEMENTS': {'initializer': 'array', 'type': ''},
\    '$debug': {'initializer': 'false', 'type': ''},
\    '$depth': {'initializer': '0', 'type': ''},
\    '$indent': {'initializer': '2', 'type': ''},
\    '$in_content': {'initializer': '', 'type': ''},
\    '$ns_contexts': {'initializer': 'array', 'type': ''},
\    '$ns_decls': {'initializer': 'array', 'type': ''},
\    '$content_ns_decls': {'initializer': 'array', 'type': ''},
\    '$content_ns_contexts': {'initializer': 'array', 'type': ''},
\    '$is_xhtml': {'initializer': 'false', 'type': ''},
\    '$is_html': {'initializer': 'false', 'type': ''},
\    '$is_text': {'initializer': 'true', 'type': ''},
\    '$skipped_div': {'initializer': 'false', 'type': ''},
\    '$FILE': {'initializer': '"php://input"', 'type': ''},
\    '$feed': {'initializer': '', 'type': ''},
\    '$current': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    'AtomParser': { 'signature': 'void', 'return_type': 'void'},
\    '_p': { 'signature': ' $msg', 'return_type': 'void'},
\    'error_handler': { 'signature': ' $log_level,  $log_text,  $error_file,  $error_line', 'return_type': 'void'},
\    'parse': { 'signature': 'void', 'return_type': 'void'},
\    'start_element': { 'signature': ' $parser,  $name,  $attrs', 'return_type': 'void'},
\    'end_element': { 'signature': ' $parser,  $name', 'return_type': 'void'},
\    'start_ns': { 'signature': ' $parser,  $prefix,  $uri', 'return_type': 'void'},
\    'end_ns': { 'signature': ' $parser,  $prefix', 'return_type': 'void'},
\    'cdata': { 'signature': ' $parser,  $data', 'return_type': 'void'},
\    '_default': { 'signature': ' $parser,  $data', 'return_type': 'void'},
\    'ns_to_prefix': { 'signature': ' $qname,  $attr', 'return_type': 'void'},
\    'is_declared_content_ns': { 'signature': ' $new_mapping', 'return_type': 'void'},
\    'xml_escape': { 'signature': ' $string', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_wp_customize_manager'] = {
\'wp_customize_manager': {
\  'name': 'WP_Customize_Manager',
\  'properties': {
\    '$widgets': {'initializer': '', 'type': '\WP_Customize_Widgets'},
\  },
\  'methods': {
\    '__construct': { 'signature': 'void', 'return_type': 'void'},
\    'doing_ajax': { 'signature': 'void', 'return_type': 'boolean'},
\    'wp_die_handler': { 'signature': 'void', 'return_type': 'string'},
\    'setup_theme': { 'signature': 'void', 'return_type': 'void'},
\    'after_setup_theme': { 'signature': 'void', 'return_type': 'void'},
\    'start_previewing_theme': { 'signature': 'void', 'return_type': 'void'},
\    'stop_previewing_theme': { 'signature': 'void', 'return_type': 'void'},
\    'theme': { 'signature': 'void', 'return_type': '\WP_Theme'},
\    'settings': { 'signature': 'void', 'return_type': 'array'},
\    'controls': { 'signature': 'void', 'return_type': 'array'},
\    'containers': { 'signature': 'void', 'return_type': 'array'},
\    'sections': { 'signature': 'void', 'return_type': 'array'},
\    'panels': { 'signature': 'void', 'return_type': 'array'},
\    'is_theme_active': { 'signature': 'void', 'return_type': 'boolean'},
\    'wp_loaded': { 'signature': 'void', 'return_type': 'void'},
\    'wp_redirect_status': { 'signature': ' $status', 'return_type': 'integer'},
\    'post_value': { 'signature': 'mixed $setting', 'return_type': 'string'},
\    'customize_preview_init': { 'signature': 'void', 'return_type': 'void'},
\    'customize_preview_override_404_status': { 'signature': 'void', 'return_type': 'void'},
\    'customize_preview_base': { 'signature': 'void', 'return_type': 'void'},
\    'customize_preview_html5': { 'signature': 'void', 'return_type': 'void'},
\    'customize_preview_settings': { 'signature': 'void', 'return_type': 'void'},
\    'customize_preview_signature': { 'signature': 'void', 'return_type': 'void'},
\    'remove_preview_signature': { 'signature': ' $return', 'return_type': 'void'},
\    'is_preview': { 'signature': 'void', 'return_type': 'boolean'},
\    'get_template': { 'signature': 'void', 'return_type': 'string'},
\    'get_stylesheet': { 'signature': 'void', 'return_type': 'string'},
\    'get_template_root': { 'signature': 'void', 'return_type': 'string'},
\    'get_stylesheet_root': { 'signature': 'void', 'return_type': 'string'},
\    'current_theme': { 'signature': ' $current_theme', 'return_type': 'string'},
\    'save': { 'signature': 'void', 'return_type': 'void'},
\    'add_setting': { 'signature': '\WP_Customize_Setting|string $id, array $args', 'return_type': 'void'},
\    'get_setting': { 'signature': 'string $id', 'return_type': '\WP_Customize_Setting'},
\    'remove_setting': { 'signature': 'string $id', 'return_type': 'void'},
\    'add_panel': { 'signature': '\WP_Customize_Panel|string $id, array $args', 'return_type': 'void'},
\    'get_panel': { 'signature': 'string $id', 'return_type': '\WP_Customize_Panel'},
\    'remove_panel': { 'signature': 'string $id', 'return_type': 'void'},
\    'add_section': { 'signature': '\WP_Customize_Section|string $id, array $args', 'return_type': 'void'},
\    'get_section': { 'signature': 'string $id', 'return_type': '\WP_Customize_Section'},
\    'remove_section': { 'signature': 'string $id', 'return_type': 'void'},
\    'add_control': { 'signature': '\WP_Customize_Control|string $id, array $args', 'return_type': 'void'},
\    'get_control': { 'signature': 'string $id', 'return_type': '\WP_Customize_Control'},
\    'remove_control': { 'signature': 'string $id', 'return_type': 'void'},
\    'prepare_controls': { 'signature': 'void', 'return_type': 'void'},
\    'enqueue_control_scripts': { 'signature': 'void', 'return_type': 'void'},
\    'register_controls': { 'signature': 'void', 'return_type': 'void'},
\    '_sanitize_header_textcolor': { 'signature': 'string $color', 'return_type': 'string'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_default_widgets'] = {
\'wp_widget_pages': {
\  'name': 'WP_Widget_Pages',
\  'properties': {
\    '$id_base': {'initializer': '', 'type': ''},
\    '$name': {'initializer': '', 'type': ''},
\    '$widget_options': {'initializer': '', 'type': ''},
\    '$control_options': {'initializer': '', 'type': ''},
\    '$number': {'initializer': 'false', 'type': ''},
\    '$id': {'initializer': 'false', 'type': ''},
\    '$updated': {'initializer': 'false', 'type': ''},
\  },
\  'methods': {
\    '__construct': { 'signature': 'void', 'return_type': 'void'},
\    'widget': { 'signature': ' $args,  $instance', 'return_type': 'void'},
\    'update': { 'signature': ' $new_instance,  $old_instance', 'return_type': 'void'},
\    'form': { 'signature': ' $instance', 'return_type': 'void'},
\    'WP_Widget': { 'signature': ' $id_base,  $name,  $widget_options,  $control_options', 'return_type': 'void'},
\    'get_field_name': { 'signature': 'string $field_name', 'return_type': 'string'},
\    'get_field_id': { 'signature': 'string $field_name', 'return_type': 'string'},
\    '_register': { 'signature': 'void', 'return_type': 'void'},
\    '_set': { 'signature': ' $number', 'return_type': 'void'},
\    '_get_display_callback': { 'signature': 'void', 'return_type': 'void'},
\    '_get_update_callback': { 'signature': 'void', 'return_type': 'void'},
\    '_get_form_callback': { 'signature': 'void', 'return_type': 'void'},
\    'is_preview': { 'signature': 'void', 'return_type': 'boolean'},
\    'display_callback': { 'signature': ' $args,  $widget_args', 'return_type': 'void'},
\    'update_callback': { 'signature': 'mixed $deprecated', 'return_type': 'void'},
\    'form_callback': { 'signature': ' $widget_args', 'return_type': 'void'},
\    '_register_one': { 'signature': ' $number', 'return_type': 'void'},
\    'save_settings': { 'signature': ' $settings', 'return_type': 'void'},
\    'get_settings': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'wp_widget_links': {
\  'name': 'WP_Widget_Links',
\  'properties': {
\    '$id_base': {'initializer': '', 'type': ''},
\    '$name': {'initializer': '', 'type': ''},
\    '$widget_options': {'initializer': '', 'type': ''},
\    '$control_options': {'initializer': '', 'type': ''},
\    '$number': {'initializer': 'false', 'type': ''},
\    '$id': {'initializer': 'false', 'type': ''},
\    '$updated': {'initializer': 'false', 'type': ''},
\  },
\  'methods': {
\    '__construct': { 'signature': 'void', 'return_type': 'void'},
\    'widget': { 'signature': ' $args,  $instance', 'return_type': 'void'},
\    'update': { 'signature': ' $new_instance,  $old_instance', 'return_type': 'void'},
\    'form': { 'signature': ' $instance', 'return_type': 'void'},
\    'WP_Widget': { 'signature': ' $id_base,  $name,  $widget_options,  $control_options', 'return_type': 'void'},
\    'get_field_name': { 'signature': 'string $field_name', 'return_type': 'string'},
\    'get_field_id': { 'signature': 'string $field_name', 'return_type': 'string'},
\    '_register': { 'signature': 'void', 'return_type': 'void'},
\    '_set': { 'signature': ' $number', 'return_type': 'void'},
\    '_get_display_callback': { 'signature': 'void', 'return_type': 'void'},
\    '_get_update_callback': { 'signature': 'void', 'return_type': 'void'},
\    '_get_form_callback': { 'signature': 'void', 'return_type': 'void'},
\    'is_preview': { 'signature': 'void', 'return_type': 'boolean'},
\    'display_callback': { 'signature': ' $args,  $widget_args', 'return_type': 'void'},
\    'update_callback': { 'signature': 'mixed $deprecated', 'return_type': 'void'},
\    'form_callback': { 'signature': ' $widget_args', 'return_type': 'void'},
\    '_register_one': { 'signature': ' $number', 'return_type': 'void'},
\    'save_settings': { 'signature': ' $settings', 'return_type': 'void'},
\    'get_settings': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'wp_widget_search': {
\  'name': 'WP_Widget_Search',
\  'properties': {
\    '$id_base': {'initializer': '', 'type': ''},
\    '$name': {'initializer': '', 'type': ''},
\    '$widget_options': {'initializer': '', 'type': ''},
\    '$control_options': {'initializer': '', 'type': ''},
\    '$number': {'initializer': 'false', 'type': ''},
\    '$id': {'initializer': 'false', 'type': ''},
\    '$updated': {'initializer': 'false', 'type': ''},
\  },
\  'methods': {
\    '__construct': { 'signature': 'void', 'return_type': 'void'},
\    'widget': { 'signature': ' $args,  $instance', 'return_type': 'void'},
\    'form': { 'signature': ' $instance', 'return_type': 'void'},
\    'update': { 'signature': ' $new_instance,  $old_instance', 'return_type': 'void'},
\    'WP_Widget': { 'signature': ' $id_base,  $name,  $widget_options,  $control_options', 'return_type': 'void'},
\    'get_field_name': { 'signature': 'string $field_name', 'return_type': 'string'},
\    'get_field_id': { 'signature': 'string $field_name', 'return_type': 'string'},
\    '_register': { 'signature': 'void', 'return_type': 'void'},
\    '_set': { 'signature': ' $number', 'return_type': 'void'},
\    '_get_display_callback': { 'signature': 'void', 'return_type': 'void'},
\    '_get_update_callback': { 'signature': 'void', 'return_type': 'void'},
\    '_get_form_callback': { 'signature': 'void', 'return_type': 'void'},
\    'is_preview': { 'signature': 'void', 'return_type': 'boolean'},
\    'display_callback': { 'signature': ' $args,  $widget_args', 'return_type': 'void'},
\    'update_callback': { 'signature': 'mixed $deprecated', 'return_type': 'void'},
\    'form_callback': { 'signature': ' $widget_args', 'return_type': 'void'},
\    '_register_one': { 'signature': ' $number', 'return_type': 'void'},
\    'save_settings': { 'signature': ' $settings', 'return_type': 'void'},
\    'get_settings': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'wp_widget_archives': {
\  'name': 'WP_Widget_Archives',
\  'properties': {
\    '$id_base': {'initializer': '', 'type': ''},
\    '$name': {'initializer': '', 'type': ''},
\    '$widget_options': {'initializer': '', 'type': ''},
\    '$control_options': {'initializer': '', 'type': ''},
\    '$number': {'initializer': 'false', 'type': ''},
\    '$id': {'initializer': 'false', 'type': ''},
\    '$updated': {'initializer': 'false', 'type': ''},
\  },
\  'methods': {
\    '__construct': { 'signature': 'void', 'return_type': 'void'},
\    'widget': { 'signature': ' $args,  $instance', 'return_type': 'void'},
\    'update': { 'signature': ' $new_instance,  $old_instance', 'return_type': 'void'},
\    'form': { 'signature': ' $instance', 'return_type': 'void'},
\    'WP_Widget': { 'signature': ' $id_base,  $name,  $widget_options,  $control_options', 'return_type': 'void'},
\    'get_field_name': { 'signature': 'string $field_name', 'return_type': 'string'},
\    'get_field_id': { 'signature': 'string $field_name', 'return_type': 'string'},
\    '_register': { 'signature': 'void', 'return_type': 'void'},
\    '_set': { 'signature': ' $number', 'return_type': 'void'},
\    '_get_display_callback': { 'signature': 'void', 'return_type': 'void'},
\    '_get_update_callback': { 'signature': 'void', 'return_type': 'void'},
\    '_get_form_callback': { 'signature': 'void', 'return_type': 'void'},
\    'is_preview': { 'signature': 'void', 'return_type': 'boolean'},
\    'display_callback': { 'signature': ' $args,  $widget_args', 'return_type': 'void'},
\    'update_callback': { 'signature': 'mixed $deprecated', 'return_type': 'void'},
\    'form_callback': { 'signature': ' $widget_args', 'return_type': 'void'},
\    '_register_one': { 'signature': ' $number', 'return_type': 'void'},
\    'save_settings': { 'signature': ' $settings', 'return_type': 'void'},
\    'get_settings': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'wp_widget_meta': {
\  'name': 'WP_Widget_Meta',
\  'properties': {
\    '$id_base': {'initializer': '', 'type': ''},
\    '$name': {'initializer': '', 'type': ''},
\    '$widget_options': {'initializer': '', 'type': ''},
\    '$control_options': {'initializer': '', 'type': ''},
\    '$number': {'initializer': 'false', 'type': ''},
\    '$id': {'initializer': 'false', 'type': ''},
\    '$updated': {'initializer': 'false', 'type': ''},
\  },
\  'methods': {
\    '__construct': { 'signature': 'void', 'return_type': 'void'},
\    'widget': { 'signature': ' $args,  $instance', 'return_type': 'void'},
\    'update': { 'signature': ' $new_instance,  $old_instance', 'return_type': 'void'},
\    'form': { 'signature': ' $instance', 'return_type': 'void'},
\    'WP_Widget': { 'signature': ' $id_base,  $name,  $widget_options,  $control_options', 'return_type': 'void'},
\    'get_field_name': { 'signature': 'string $field_name', 'return_type': 'string'},
\    'get_field_id': { 'signature': 'string $field_name', 'return_type': 'string'},
\    '_register': { 'signature': 'void', 'return_type': 'void'},
\    '_set': { 'signature': ' $number', 'return_type': 'void'},
\    '_get_display_callback': { 'signature': 'void', 'return_type': 'void'},
\    '_get_update_callback': { 'signature': 'void', 'return_type': 'void'},
\    '_get_form_callback': { 'signature': 'void', 'return_type': 'void'},
\    'is_preview': { 'signature': 'void', 'return_type': 'boolean'},
\    'display_callback': { 'signature': ' $args,  $widget_args', 'return_type': 'void'},
\    'update_callback': { 'signature': 'mixed $deprecated', 'return_type': 'void'},
\    'form_callback': { 'signature': ' $widget_args', 'return_type': 'void'},
\    '_register_one': { 'signature': ' $number', 'return_type': 'void'},
\    'save_settings': { 'signature': ' $settings', 'return_type': 'void'},
\    'get_settings': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'wp_widget_calendar': {
\  'name': 'WP_Widget_Calendar',
\  'properties': {
\    '$id_base': {'initializer': '', 'type': ''},
\    '$name': {'initializer': '', 'type': ''},
\    '$widget_options': {'initializer': '', 'type': ''},
\    '$control_options': {'initializer': '', 'type': ''},
\    '$number': {'initializer': 'false', 'type': ''},
\    '$id': {'initializer': 'false', 'type': ''},
\    '$updated': {'initializer': 'false', 'type': ''},
\  },
\  'methods': {
\    '__construct': { 'signature': 'void', 'return_type': 'void'},
\    'widget': { 'signature': ' $args,  $instance', 'return_type': 'void'},
\    'update': { 'signature': ' $new_instance,  $old_instance', 'return_type': 'void'},
\    'form': { 'signature': ' $instance', 'return_type': 'void'},
\    'WP_Widget': { 'signature': ' $id_base,  $name,  $widget_options,  $control_options', 'return_type': 'void'},
\    'get_field_name': { 'signature': 'string $field_name', 'return_type': 'string'},
\    'get_field_id': { 'signature': 'string $field_name', 'return_type': 'string'},
\    '_register': { 'signature': 'void', 'return_type': 'void'},
\    '_set': { 'signature': ' $number', 'return_type': 'void'},
\    '_get_display_callback': { 'signature': 'void', 'return_type': 'void'},
\    '_get_update_callback': { 'signature': 'void', 'return_type': 'void'},
\    '_get_form_callback': { 'signature': 'void', 'return_type': 'void'},
\    'is_preview': { 'signature': 'void', 'return_type': 'boolean'},
\    'display_callback': { 'signature': ' $args,  $widget_args', 'return_type': 'void'},
\    'update_callback': { 'signature': 'mixed $deprecated', 'return_type': 'void'},
\    'form_callback': { 'signature': ' $widget_args', 'return_type': 'void'},
\    '_register_one': { 'signature': ' $number', 'return_type': 'void'},
\    'save_settings': { 'signature': ' $settings', 'return_type': 'void'},
\    'get_settings': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'wp_widget_text': {
\  'name': 'WP_Widget_Text',
\  'properties': {
\    '$id_base': {'initializer': '', 'type': ''},
\    '$name': {'initializer': '', 'type': ''},
\    '$widget_options': {'initializer': '', 'type': ''},
\    '$control_options': {'initializer': '', 'type': ''},
\    '$number': {'initializer': 'false', 'type': ''},
\    '$id': {'initializer': 'false', 'type': ''},
\    '$updated': {'initializer': 'false', 'type': ''},
\  },
\  'methods': {
\    '__construct': { 'signature': 'void', 'return_type': 'void'},
\    'widget': { 'signature': ' $args,  $instance', 'return_type': 'void'},
\    'update': { 'signature': ' $new_instance,  $old_instance', 'return_type': 'void'},
\    'form': { 'signature': ' $instance', 'return_type': 'void'},
\    'WP_Widget': { 'signature': ' $id_base,  $name,  $widget_options,  $control_options', 'return_type': 'void'},
\    'get_field_name': { 'signature': 'string $field_name', 'return_type': 'string'},
\    'get_field_id': { 'signature': 'string $field_name', 'return_type': 'string'},
\    '_register': { 'signature': 'void', 'return_type': 'void'},
\    '_set': { 'signature': ' $number', 'return_type': 'void'},
\    '_get_display_callback': { 'signature': 'void', 'return_type': 'void'},
\    '_get_update_callback': { 'signature': 'void', 'return_type': 'void'},
\    '_get_form_callback': { 'signature': 'void', 'return_type': 'void'},
\    'is_preview': { 'signature': 'void', 'return_type': 'boolean'},
\    'display_callback': { 'signature': ' $args,  $widget_args', 'return_type': 'void'},
\    'update_callback': { 'signature': 'mixed $deprecated', 'return_type': 'void'},
\    'form_callback': { 'signature': ' $widget_args', 'return_type': 'void'},
\    '_register_one': { 'signature': ' $number', 'return_type': 'void'},
\    'save_settings': { 'signature': ' $settings', 'return_type': 'void'},
\    'get_settings': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'wp_widget_categories': {
\  'name': 'WP_Widget_Categories',
\  'properties': {
\    '$id_base': {'initializer': '', 'type': ''},
\    '$name': {'initializer': '', 'type': ''},
\    '$widget_options': {'initializer': '', 'type': ''},
\    '$control_options': {'initializer': '', 'type': ''},
\    '$number': {'initializer': 'false', 'type': ''},
\    '$id': {'initializer': 'false', 'type': ''},
\    '$updated': {'initializer': 'false', 'type': ''},
\  },
\  'methods': {
\    '__construct': { 'signature': 'void', 'return_type': 'void'},
\    'widget': { 'signature': ' $args,  $instance', 'return_type': 'void'},
\    'update': { 'signature': ' $new_instance,  $old_instance', 'return_type': 'void'},
\    'form': { 'signature': ' $instance', 'return_type': 'void'},
\    'WP_Widget': { 'signature': ' $id_base,  $name,  $widget_options,  $control_options', 'return_type': 'void'},
\    'get_field_name': { 'signature': 'string $field_name', 'return_type': 'string'},
\    'get_field_id': { 'signature': 'string $field_name', 'return_type': 'string'},
\    '_register': { 'signature': 'void', 'return_type': 'void'},
\    '_set': { 'signature': ' $number', 'return_type': 'void'},
\    '_get_display_callback': { 'signature': 'void', 'return_type': 'void'},
\    '_get_update_callback': { 'signature': 'void', 'return_type': 'void'},
\    '_get_form_callback': { 'signature': 'void', 'return_type': 'void'},
\    'is_preview': { 'signature': 'void', 'return_type': 'boolean'},
\    'display_callback': { 'signature': ' $args,  $widget_args', 'return_type': 'void'},
\    'update_callback': { 'signature': 'mixed $deprecated', 'return_type': 'void'},
\    'form_callback': { 'signature': ' $widget_args', 'return_type': 'void'},
\    '_register_one': { 'signature': ' $number', 'return_type': 'void'},
\    'save_settings': { 'signature': ' $settings', 'return_type': 'void'},
\    'get_settings': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'wp_widget_recent_posts': {
\  'name': 'WP_Widget_Recent_Posts',
\  'properties': {
\    '$id_base': {'initializer': '', 'type': ''},
\    '$name': {'initializer': '', 'type': ''},
\    '$widget_options': {'initializer': '', 'type': ''},
\    '$control_options': {'initializer': '', 'type': ''},
\    '$number': {'initializer': 'false', 'type': ''},
\    '$id': {'initializer': 'false', 'type': ''},
\    '$updated': {'initializer': 'false', 'type': ''},
\  },
\  'methods': {
\    '__construct': { 'signature': 'void', 'return_type': 'void'},
\    'widget': { 'signature': ' $args,  $instance', 'return_type': 'void'},
\    'update': { 'signature': ' $new_instance,  $old_instance', 'return_type': 'void'},
\    'flush_widget_cache': { 'signature': 'void', 'return_type': 'void'},
\    'form': { 'signature': ' $instance', 'return_type': 'void'},
\    'WP_Widget': { 'signature': ' $id_base,  $name,  $widget_options,  $control_options', 'return_type': 'void'},
\    'get_field_name': { 'signature': 'string $field_name', 'return_type': 'string'},
\    'get_field_id': { 'signature': 'string $field_name', 'return_type': 'string'},
\    '_register': { 'signature': 'void', 'return_type': 'void'},
\    '_set': { 'signature': ' $number', 'return_type': 'void'},
\    '_get_display_callback': { 'signature': 'void', 'return_type': 'void'},
\    '_get_update_callback': { 'signature': 'void', 'return_type': 'void'},
\    '_get_form_callback': { 'signature': 'void', 'return_type': 'void'},
\    'is_preview': { 'signature': 'void', 'return_type': 'boolean'},
\    'display_callback': { 'signature': ' $args,  $widget_args', 'return_type': 'void'},
\    'update_callback': { 'signature': 'mixed $deprecated', 'return_type': 'void'},
\    'form_callback': { 'signature': ' $widget_args', 'return_type': 'void'},
\    '_register_one': { 'signature': ' $number', 'return_type': 'void'},
\    'save_settings': { 'signature': ' $settings', 'return_type': 'void'},
\    'get_settings': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'wp_widget_recent_comments': {
\  'name': 'WP_Widget_Recent_Comments',
\  'properties': {
\    '$id_base': {'initializer': '', 'type': ''},
\    '$name': {'initializer': '', 'type': ''},
\    '$widget_options': {'initializer': '', 'type': ''},
\    '$control_options': {'initializer': '', 'type': ''},
\    '$number': {'initializer': 'false', 'type': ''},
\    '$id': {'initializer': 'false', 'type': ''},
\    '$updated': {'initializer': 'false', 'type': ''},
\  },
\  'methods': {
\    '__construct': { 'signature': 'void', 'return_type': 'void'},
\    'recent_comments_style': { 'signature': 'void', 'return_type': 'void'},
\    'flush_widget_cache': { 'signature': 'void', 'return_type': 'void'},
\    'widget': { 'signature': ' $args,  $instance', 'return_type': 'void'},
\    'update': { 'signature': ' $new_instance,  $old_instance', 'return_type': 'void'},
\    'form': { 'signature': ' $instance', 'return_type': 'void'},
\    'WP_Widget': { 'signature': ' $id_base,  $name,  $widget_options,  $control_options', 'return_type': 'void'},
\    'get_field_name': { 'signature': 'string $field_name', 'return_type': 'string'},
\    'get_field_id': { 'signature': 'string $field_name', 'return_type': 'string'},
\    '_register': { 'signature': 'void', 'return_type': 'void'},
\    '_set': { 'signature': ' $number', 'return_type': 'void'},
\    '_get_display_callback': { 'signature': 'void', 'return_type': 'void'},
\    '_get_update_callback': { 'signature': 'void', 'return_type': 'void'},
\    '_get_form_callback': { 'signature': 'void', 'return_type': 'void'},
\    'is_preview': { 'signature': 'void', 'return_type': 'boolean'},
\    'display_callback': { 'signature': ' $args,  $widget_args', 'return_type': 'void'},
\    'update_callback': { 'signature': 'mixed $deprecated', 'return_type': 'void'},
\    'form_callback': { 'signature': ' $widget_args', 'return_type': 'void'},
\    '_register_one': { 'signature': ' $number', 'return_type': 'void'},
\    'save_settings': { 'signature': ' $settings', 'return_type': 'void'},
\    'get_settings': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'wp_widget_rss': {
\  'name': 'WP_Widget_RSS',
\  'properties': {
\    '$id_base': {'initializer': '', 'type': ''},
\    '$name': {'initializer': '', 'type': ''},
\    '$widget_options': {'initializer': '', 'type': ''},
\    '$control_options': {'initializer': '', 'type': ''},
\    '$number': {'initializer': 'false', 'type': ''},
\    '$id': {'initializer': 'false', 'type': ''},
\    '$updated': {'initializer': 'false', 'type': ''},
\  },
\  'methods': {
\    '__construct': { 'signature': 'void', 'return_type': 'void'},
\    'widget': { 'signature': ' $args,  $instance', 'return_type': 'void'},
\    'update': { 'signature': ' $new_instance,  $old_instance', 'return_type': 'void'},
\    'form': { 'signature': ' $instance', 'return_type': 'void'},
\    'WP_Widget': { 'signature': ' $id_base,  $name,  $widget_options,  $control_options', 'return_type': 'void'},
\    'get_field_name': { 'signature': 'string $field_name', 'return_type': 'string'},
\    'get_field_id': { 'signature': 'string $field_name', 'return_type': 'string'},
\    '_register': { 'signature': 'void', 'return_type': 'void'},
\    '_set': { 'signature': ' $number', 'return_type': 'void'},
\    '_get_display_callback': { 'signature': 'void', 'return_type': 'void'},
\    '_get_update_callback': { 'signature': 'void', 'return_type': 'void'},
\    '_get_form_callback': { 'signature': 'void', 'return_type': 'void'},
\    'is_preview': { 'signature': 'void', 'return_type': 'boolean'},
\    'display_callback': { 'signature': ' $args,  $widget_args', 'return_type': 'void'},
\    'update_callback': { 'signature': 'mixed $deprecated', 'return_type': 'void'},
\    'form_callback': { 'signature': ' $widget_args', 'return_type': 'void'},
\    '_register_one': { 'signature': ' $number', 'return_type': 'void'},
\    'save_settings': { 'signature': ' $settings', 'return_type': 'void'},
\    'get_settings': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'wp_widget_tag_cloud': {
\  'name': 'WP_Widget_Tag_Cloud',
\  'properties': {
\    '$id_base': {'initializer': '', 'type': ''},
\    '$name': {'initializer': '', 'type': ''},
\    '$widget_options': {'initializer': '', 'type': ''},
\    '$control_options': {'initializer': '', 'type': ''},
\    '$number': {'initializer': 'false', 'type': ''},
\    '$id': {'initializer': 'false', 'type': ''},
\    '$updated': {'initializer': 'false', 'type': ''},
\  },
\  'methods': {
\    '__construct': { 'signature': 'void', 'return_type': 'void'},
\    'widget': { 'signature': ' $args,  $instance', 'return_type': 'void'},
\    'update': { 'signature': ' $new_instance,  $old_instance', 'return_type': 'void'},
\    'form': { 'signature': ' $instance', 'return_type': 'void'},
\    '_get_current_taxonomy': { 'signature': ' $instance', 'return_type': 'void'},
\    'WP_Widget': { 'signature': ' $id_base,  $name,  $widget_options,  $control_options', 'return_type': 'void'},
\    'get_field_name': { 'signature': 'string $field_name', 'return_type': 'string'},
\    'get_field_id': { 'signature': 'string $field_name', 'return_type': 'string'},
\    '_register': { 'signature': 'void', 'return_type': 'void'},
\    '_set': { 'signature': ' $number', 'return_type': 'void'},
\    '_get_display_callback': { 'signature': 'void', 'return_type': 'void'},
\    '_get_update_callback': { 'signature': 'void', 'return_type': 'void'},
\    '_get_form_callback': { 'signature': 'void', 'return_type': 'void'},
\    'is_preview': { 'signature': 'void', 'return_type': 'boolean'},
\    'display_callback': { 'signature': ' $args,  $widget_args', 'return_type': 'void'},
\    'update_callback': { 'signature': 'mixed $deprecated', 'return_type': 'void'},
\    'form_callback': { 'signature': ' $widget_args', 'return_type': 'void'},
\    '_register_one': { 'signature': ' $number', 'return_type': 'void'},
\    'save_settings': { 'signature': ' $settings', 'return_type': 'void'},
\    'get_settings': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'wp_nav_menu_widget': {
\  'name': 'WP_Nav_Menu_Widget',
\  'properties': {
\    '$id_base': {'initializer': '', 'type': ''},
\    '$name': {'initializer': '', 'type': ''},
\    '$widget_options': {'initializer': '', 'type': ''},
\    '$control_options': {'initializer': '', 'type': ''},
\    '$number': {'initializer': 'false', 'type': ''},
\    '$id': {'initializer': 'false', 'type': ''},
\    '$updated': {'initializer': 'false', 'type': ''},
\  },
\  'methods': {
\    '__construct': { 'signature': 'void', 'return_type': 'void'},
\    'widget': { 'signature': ' $args,  $instance', 'return_type': 'void'},
\    'update': { 'signature': ' $new_instance,  $old_instance', 'return_type': 'void'},
\    'form': { 'signature': ' $instance', 'return_type': 'void'},
\    'WP_Widget': { 'signature': ' $id_base,  $name,  $widget_options,  $control_options', 'return_type': 'void'},
\    'get_field_name': { 'signature': 'string $field_name', 'return_type': 'string'},
\    'get_field_id': { 'signature': 'string $field_name', 'return_type': 'string'},
\    '_register': { 'signature': 'void', 'return_type': 'void'},
\    '_set': { 'signature': ' $number', 'return_type': 'void'},
\    '_get_display_callback': { 'signature': 'void', 'return_type': 'void'},
\    '_get_update_callback': { 'signature': 'void', 'return_type': 'void'},
\    '_get_form_callback': { 'signature': 'void', 'return_type': 'void'},
\    'is_preview': { 'signature': 'void', 'return_type': 'boolean'},
\    'display_callback': { 'signature': ' $args,  $widget_args', 'return_type': 'void'},
\    'update_callback': { 'signature': 'mixed $deprecated', 'return_type': 'void'},
\    'form_callback': { 'signature': ' $widget_args', 'return_type': 'void'},
\    '_register_one': { 'signature': ' $number', 'return_type': 'void'},
\    'save_settings': { 'signature': ' $settings', 'return_type': 'void'},
\    'get_settings': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_wp_theme'] = {
\'wp_theme': {
\  'name': 'WP_Theme',
\  'static_properties': {
\  },
\  'static_methods': {
\    'get_allowed': { 'signature': 'integer $blog_id', 'return_type': 'array'},
\    'get_allowed_on_network': { 'signature': 'void', 'return_type': 'array'},
\    'get_allowed_on_site': { 'signature': 'integer $blog_id', 'return_type': 'array'},
\    'sort_by_name': { 'signature': ' $themes', 'return_type': 'void'},
\  },
\  'properties': {
\  },
\  'methods': {
\    '__construct': { 'signature': 'string $theme_dir, string $theme_root, \WP_Error|null $_child', 'return_type': 'void'},
\    '__toString': { 'signature': 'void', 'return_type': 'string'},
\    '__isset': { 'signature': ' $offset', 'return_type': 'void'},
\    '__get': { 'signature': ' $offset', 'return_type': 'void'},
\    'offsetSet': { 'signature': ' $offset,  $value', 'return_type': 'void'},
\    'offsetUnset': { 'signature': ' $offset', 'return_type': 'void'},
\    'offsetExists': { 'signature': ' $offset', 'return_type': 'void'},
\    'offsetGet': { 'signature': ' $offset', 'return_type': 'void'},
\    'errors': { 'signature': 'void', 'return_type': '\WP_Error|boolean'},
\    'exists': { 'signature': 'void', 'return_type': 'boolean'},
\    'parent': { 'signature': 'void', 'return_type': '\WP_Theme|boolean'},
\    'cache_delete': { 'signature': 'void', 'return_type': 'void'},
\    'get': { 'signature': 'string $header', 'return_type': 'string|boolean'},
\    'display': { 'signature': 'string $header, boolean $markup, boolean $translate', 'return_type': 'string|boolean'},
\    'get_stylesheet': { 'signature': 'void', 'return_type': 'string'},
\    'get_template': { 'signature': 'void', 'return_type': 'string'},
\    'get_stylesheet_directory': { 'signature': 'void', 'return_type': 'string'},
\    'get_template_directory': { 'signature': 'void', 'return_type': 'string'},
\    'get_stylesheet_directory_uri': { 'signature': 'void', 'return_type': 'string'},
\    'get_template_directory_uri': { 'signature': 'void', 'return_type': 'string'},
\    'get_theme_root': { 'signature': 'void', 'return_type': 'string'},
\    'get_theme_root_uri': { 'signature': 'void', 'return_type': 'string'},
\    'get_screenshot': { 'signature': 'string $uri', 'return_type': 'mixed'},
\    'get_files': { 'signature': 'mixed $type, integer $depth, boolean $search_parent', 'return_type': 'array'},
\    'get_page_templates': { 'signature': '\WP_Post|null $post', 'return_type': 'array'},
\    'load_textdomain': { 'signature': 'void', 'return_type': 'True'},
\    'is_allowed': { 'signature': 'string $check, integer $blog_id', 'return_type': 'boolean'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_user'] = {
\'wp_user_query': {
\  'name': 'WP_User_Query',
\  'properties': {
\    '$query_vars': {'initializer': 'array', 'type': 'array'},
\    '$query_fields': {'initializer': '', 'type': ''},
\    '$query_from': {'initializer': '', 'type': ''},
\    '$query_where': {'initializer': '', 'type': ''},
\    '$query_orderby': {'initializer': '', 'type': ''},
\    '$query_limit': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    '__construct': { 'signature': ' $query', 'return_type': '\WP_User_Query'},
\    'prepare_query': { 'signature': ' $query', 'return_type': 'void'},
\    'query': { 'signature': 'void', 'return_type': 'void'},
\    'get': { 'signature': 'string $query_var', 'return_type': 'mixed'},
\    'set': { 'signature': 'string $query_var, mixed $value', 'return_type': 'void'},
\    'get_results': { 'signature': 'void', 'return_type': 'array'},
\    'get_total': { 'signature': 'void', 'return_type': 'array'},
\    '__get': { 'signature': 'string $name', 'return_type': 'mixed'},
\    '__set': { 'signature': 'string $name, mixed $value', 'return_type': 'mixed'},
\    '__isset': { 'signature': 'string $name', 'return_type': 'boolean'},
\    '__unset': { 'signature': 'string $name', 'return_type': 'void'},
\    '__call': { 'signature': 'callable $name, array $arguments', 'return_type': 'mixed|boolean'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_ipv6'] = {
\'simplepie_net_ipv6': {
\  'name': 'SimplePie_Net_IPv6',
\  'static_methods': {
\    'uncompress': { 'signature': 'string $ip', 'return_type': 'string'},
\    'compress': { 'signature': 'string $ip', 'return_type': 'string'},
\    'check_ipv6': { 'signature': 'string $ip', 'return_type': 'boolean'},
\    'checkIPv6': { 'signature': 'string $ip', 'return_type': 'boolean'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_module_tag_id3v1'] = {
\'getid3_id3v1': {
\  'name': 'getid3_id3v1',
\  'static_methods': {
\    'cutfield': { 'signature': ' $str', 'return_type': 'void'},
\    'ArrayOfGenres': { 'signature': ' $allowSCMPXextended', 'return_type': 'void'},
\    'LookupGenreName': { 'signature': ' $genreid,  $allowSCMPXextended', 'return_type': 'void'},
\    'LookupGenreID': { 'signature': ' $genre,  $allowSCMPXextended', 'return_type': 'void'},
\    'StandardiseID3v1GenreName': { 'signature': ' $OriginalGenre', 'return_type': 'void'},
\    'GenerateID3v1Tag': { 'signature': ' $title,  $artist,  $album,  $year,  $genreid,  $comment,  $track', 'return_type': 'void'},
\  },
\  'properties': {
\  },
\  'methods': {
\    'Analyze': { 'signature': 'void', 'return_type': 'void'},
\    '__construct': { 'signature': '\getID3 $getid3,  $call_module', 'return_type': 'void'},
\    'AnalyzeString': { 'signature': ' $string', 'return_type': 'void'},
\    'setStringMode': { 'signature': ' $string', 'return_type': 'void'},
\    'saveAttachment': { 'signature': ' $name,  $offset,  $length,  $image_mime', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_module_audio_video_quicktime'] = {
\'getid3_quicktime': {
\  'name': 'getid3_quicktime',
\  'properties': {
\    '$ReturnAtomData': {'initializer': 'true', 'type': ''},
\    '$ParseAllPossibleAtoms': {'initializer': 'false', 'type': ''},
\  },
\  'methods': {
\    'Analyze': { 'signature': 'void', 'return_type': 'void'},
\    'QuicktimeParseAtom': { 'signature': ' $atomname,  $atomsize,  $atom_data,  $baseoffset,  $atomHierarchy,  $ParseAllPossibleAtoms', 'return_type': 'void'},
\    'QuicktimeParseContainerAtom': { 'signature': ' $atom_data,  $baseoffset,  $atomHierarchy,  $ParseAllPossibleAtoms', 'return_type': 'void'},
\    'quicktime_read_mp4_descr_length': { 'signature': ' $data,  $offset', 'return_type': 'void'},
\    'QuicktimeLanguageLookup': { 'signature': ' $languageid', 'return_type': 'void'},
\    'QuicktimeVideoCodecLookup': { 'signature': ' $codecid', 'return_type': 'void'},
\    'QuicktimeAudioCodecLookup': { 'signature': ' $codecid', 'return_type': 'void'},
\    'QuicktimeDCOMLookup': { 'signature': ' $compressionid', 'return_type': 'void'},
\    'QuicktimeColorNameLookup': { 'signature': ' $colordepthid', 'return_type': 'void'},
\    'QuicktimeSTIKLookup': { 'signature': ' $stik', 'return_type': 'void'},
\    'QuicktimeIODSaudioProfileName': { 'signature': ' $audio_profile_id', 'return_type': 'void'},
\    'QuicktimeIODSvideoProfileName': { 'signature': ' $video_profile_id', 'return_type': 'void'},
\    'QuicktimeContentRatingLookup': { 'signature': ' $rtng', 'return_type': 'void'},
\    'QuicktimeStoreAccountTypeLookup': { 'signature': ' $akid', 'return_type': 'void'},
\    'QuicktimeStoreFrontCodeLookup': { 'signature': ' $sfid', 'return_type': 'void'},
\    'QuicktimeParseNikonNCTG': { 'signature': ' $atom_data', 'return_type': 'void'},
\    'CopyToAppropriateCommentsSection': { 'signature': ' $keyname,  $data,  $boxname', 'return_type': 'void'},
\    'NoNullString': { 'signature': ' $nullterminatedstring', 'return_type': 'void'},
\    'Pascal2String': { 'signature': ' $pascalstring', 'return_type': 'void'},
\    '__construct': { 'signature': '\getID3 $getid3,  $call_module', 'return_type': 'void'},
\    'AnalyzeString': { 'signature': ' $string', 'return_type': 'void'},
\    'setStringMode': { 'signature': ' $string', 'return_type': 'void'},
\    'saveAttachment': { 'signature': ' $name,  $offset,  $length,  $image_mime', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_shell'] = {
\'text_diff_engine_shell': {
\  'name': 'Text_Diff_Engine_shell',
\  'properties': {
\    '$_diffCommand': {'initializer': 'diff', 'type': 'string'},
\  },
\  'methods': {
\    'diff': { 'signature': 'array $from_lines, array $to_lines', 'return_type': 'array'},
\    '_getLines': { 'signature': ' $text_lines,  $line_no, integer $end', 'return_type': 'array'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_wp_scripts'] = {
\'wp_scripts': {
\  'name': 'WP_Scripts',
\  'properties': {
\    '$base_url': {'initializer': '', 'type': ''},
\    '$content_url': {'initializer': '', 'type': ''},
\    '$default_version': {'initializer': '', 'type': ''},
\    '$in_footer': {'initializer': 'array', 'type': ''},
\    '$concat': {'initializer': '', 'type': ''},
\    '$concat_version': {'initializer': '', 'type': ''},
\    '$do_concat': {'initializer': 'false', 'type': ''},
\    '$print_html': {'initializer': '', 'type': ''},
\    '$print_code': {'initializer': '', 'type': ''},
\    '$ext_handles': {'initializer': '', 'type': ''},
\    '$ext_version': {'initializer': '', 'type': ''},
\    '$default_dirs': {'initializer': '', 'type': ''},
\    '$registered': {'initializer': 'array', 'type': 'array'},
\    '$queue': {'initializer': 'array', 'type': 'array'},
\    '$to_do': {'initializer': 'array', 'type': 'array'},
\    '$done': {'initializer': 'array', 'type': 'array'},
\    '$args': {'initializer': 'array', 'type': 'array'},
\    '$groups': {'initializer': 'array', 'type': 'array'},
\    '$group': {'initializer': '0', 'type': 'integer'},
\  },
\  'methods': {
\    '__construct': { 'signature': 'void', 'return_type': 'void'},
\    'init': { 'signature': 'void', 'return_type': 'void'},
\    'print_scripts': { 'signature': 'mixed $handles, integer $group', 'return_type': 'array'},
\    'print_scripts_l10n': { 'signature': ' $handle,  $echo', 'return_type': 'void'},
\    'print_extra_script': { 'signature': ' $handle,  $echo', 'return_type': 'void'},
\    'do_item': { 'signature': ' $handle,  $group', 'return_type': 'void'},
\    'localize': { 'signature': ' $handle,  $object_name,  $l10n', 'return_type': 'void'},
\    'set_group': { 'signature': ' $handle,  $recursion,  $group', 'return_type': 'void'},
\    'all_deps': { 'signature': ' $handles,  $recursion,  $group', 'return_type': 'void'},
\    'do_head_items': { 'signature': 'void', 'return_type': 'void'},
\    'do_footer_items': { 'signature': 'void', 'return_type': 'void'},
\    'in_default_dir': { 'signature': ' $src', 'return_type': 'void'},
\    'reset': { 'signature': 'void', 'return_type': 'void'},
\    'do_items': { 'signature': 'mixed $handles, mixed $group', 'return_type': 'array'},
\    'add': { 'signature': 'string $handle, string $src, array $deps, string $ver, mixed $args', 'return_type': 'boolean'},
\    'add_data': { 'signature': 'string $handle, string $key, mixed $value', 'return_type': 'boolean'},
\    'get_data': { 'signature': 'string $handle, string $key', 'return_type': 'mixed'},
\    'remove': { 'signature': 'mixed $handles', 'return_type': 'void'},
\    'enqueue': { 'signature': 'mixed $handles', 'return_type': 'void'},
\    'dequeue': { 'signature': 'mixed $handles', 'return_type': 'void'},
\    'query': { 'signature': 'string $handle, string $list', 'return_type': 'boolean'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_misc'] = {
\'simplepie_misc': {
\  'name': 'SimplePie_Misc',
\  'static_methods': {
\    'time_hms': { 'signature': ' $seconds', 'return_type': 'void'},
\    'absolutize_url': { 'signature': ' $relative,  $base', 'return_type': 'void'},
\    'get_element': { 'signature': 'string $realname, string $string', 'return_type': 'array'},
\    'element_implode': { 'signature': ' $element', 'return_type': 'void'},
\    'error': { 'signature': ' $message,  $level,  $file,  $line', 'return_type': 'void'},
\    'fix_protocol': { 'signature': ' $url,  $http', 'return_type': 'void'},
\    'parse_url': { 'signature': ' $url', 'return_type': 'void'},
\    'compress_parse_url': { 'signature': ' $scheme,  $authority,  $path,  $query,  $fragment', 'return_type': 'void'},
\    'normalize_url': { 'signature': ' $url', 'return_type': 'void'},
\    'percent_encoding_normalization': { 'signature': ' $match', 'return_type': 'void'},
\    'windows_1252_to_utf8': { 'signature': 'string $string', 'return_type': 'string'},
\    'change_encoding': { 'signature': 'string $data, string $input, string $output', 'return_type': 'string|boolean'},
\    'encoding': { 'signature': 'string $charset', 'return_type': 'string'},
\    'get_curl_version': { 'signature': 'void', 'return_type': 'void'},
\    'strip_comments': { 'signature': 'string $data', 'return_type': 'string'},
\    'parse_date': { 'signature': ' $dt', 'return_type': 'void'},
\    'entities_decode': { 'signature': 'string $data', 'return_type': 'string'},
\    'uncomment_rfc822': { 'signature': ' $string', 'return_type': 'string'},
\    'parse_mime': { 'signature': ' $mime', 'return_type': 'void'},
\    'atom_03_construct_type': { 'signature': ' $attribs', 'return_type': 'void'},
\    'atom_10_construct_type': { 'signature': ' $attribs', 'return_type': 'void'},
\    'atom_10_content_construct_type': { 'signature': ' $attribs', 'return_type': 'void'},
\    'is_isegment_nz_nc': { 'signature': ' $string', 'return_type': 'void'},
\    'space_seperated_tokens': { 'signature': ' $string', 'return_type': 'void'},
\    'codepoint_to_utf8': { 'signature': 'integer $codepoint', 'return_type': 'string'},
\    'parse_str': { 'signature': 'string $str', 'return_type': 'array'},
\    'xml_encoding': { 'signature': 'string $data, \SimplePie_Registry $registry', 'return_type': 'array'},
\    'output_javascript': { 'signature': 'void', 'return_type': 'void'},
\    'get_build': { 'signature': 'void', 'return_type': 'void'},
\    'debug': { 'signature': ' $sp', 'return_type': 'void'},
\    'silence_errors': { 'signature': ' $num,  $str', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_wp_http_ixr_client'] = {
\'wp_http_ixr_client': {
\  'name': 'WP_HTTP_IXR_Client',
\  'properties': {
\    '$server': {'initializer': '', 'type': ''},
\    '$port': {'initializer': '', 'type': ''},
\    '$path': {'initializer': '', 'type': ''},
\    '$useragent': {'initializer': '', 'type': ''},
\    '$response': {'initializer': '', 'type': ''},
\    '$message': {'initializer': 'false', 'type': ''},
\    '$debug': {'initializer': 'false', 'type': ''},
\    '$timeout': {'initializer': '', 'type': ''},
\    '$headers': {'initializer': 'array', 'type': ''},
\    '$error': {'initializer': 'false', 'type': ''},
\  },
\  'methods': {
\    '__construct': { 'signature': ' $server,  $path,  $port,  $timeout', 'return_type': 'void'},
\    'query': { 'signature': 'void', 'return_type': 'void'},
\    'IXR_Client': { 'signature': ' $server,  $path,  $port,  $timeout', 'return_type': 'void'},
\    'getResponse': { 'signature': 'void', 'return_type': 'void'},
\    'isError': { 'signature': 'void', 'return_type': 'void'},
\    'getErrorCode': { 'signature': 'void', 'return_type': 'void'},
\    'getErrorMessage': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_module_audio_video_asf'] = {
\'getid3_asf': {
\  'name': 'getid3_asf',
\  'static_methods': {
\    'ASFCodecListObjectTypeLookup': { 'signature': ' $CodecListType', 'return_type': 'void'},
\    'KnownGUIDs': { 'signature': 'void', 'return_type': 'void'},
\    'GUIDname': { 'signature': ' $GUIDstring', 'return_type': 'void'},
\    'ASFIndexObjectIndexTypeLookup': { 'signature': ' $id', 'return_type': 'void'},
\    'GUIDtoBytestring': { 'signature': ' $GUIDstring', 'return_type': 'void'},
\    'BytestringToGUID': { 'signature': ' $Bytestring', 'return_type': 'void'},
\    'FILETIMEtoUNIXtime': { 'signature': ' $FILETIME,  $round', 'return_type': 'void'},
\    'WMpictureTypeLookup': { 'signature': ' $WMpictureType', 'return_type': 'void'},
\    'ASFmetadataLibraryObjectDataTypeLookup': { 'signature': ' $id', 'return_type': 'void'},
\    'TrimConvert': { 'signature': ' $string', 'return_type': 'void'},
\    'TrimTerm': { 'signature': ' $string', 'return_type': 'void'},
\  },
\  'properties': {
\  },
\  'methods': {
\    '__construct': { 'signature': '\getID3 $getid3', 'return_type': 'void'},
\    'Analyze': { 'signature': 'void', 'return_type': 'void'},
\    'ASF_HeaderExtensionObjectDataParse': { 'signature': ' $asf_header_extension_object_data,  $unhandled_sections', 'return_type': 'void'},
\    'ASF_WMpicture': { 'signature': ' $data', 'return_type': 'void'},
\    'AnalyzeString': { 'signature': ' $string', 'return_type': 'void'},
\    'setStringMode': { 'signature': ' $string', 'return_type': 'void'},
\    'saveAttachment': { 'signature': ' $name,  $offset,  $length,  $image_mime', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_sniffer'] = {
\'simplepie_content_type_sniffer': {
\  'name': 'SimplePie_Content_Type_Sniffer',
\  'properties': {
\    '$file': {'initializer': '', 'type': '\SimplePie_File'},
\  },
\  'methods': {
\    '__construct': { 'signature': '\SimplePie_Content_Type_Sniffer $file', 'return_type': 'void'},
\    'get_type': { 'signature': 'void', 'return_type': 'string'},
\    'text_or_binary': { 'signature': 'void', 'return_type': 'string'},
\    'unknown': { 'signature': 'void', 'return_type': 'string'},
\    'image': { 'signature': 'void', 'return_type': 'string'},
\    'feed_or_html': { 'signature': 'void', 'return_type': 'string'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_getid3_lib'] = {
\'getid3_lib': {
\  'name': 'getid3_lib',
\  'static_methods': {
\    'PrintHexBytes': { 'signature': ' $string,  $hex,  $spaces,  $htmlencoding', 'return_type': 'void'},
\    'trunc': { 'signature': ' $floatnumber', 'return_type': 'void'},
\    'safe_inc': { 'signature': ' $variable,  $increment', 'return_type': 'void'},
\    'CastAsInt': { 'signature': ' $floatnum', 'return_type': 'void'},
\    'intValueSupported': { 'signature': ' $num', 'return_type': 'void'},
\    'DecimalizeFraction': { 'signature': ' $fraction', 'return_type': 'void'},
\    'DecimalBinary2Float': { 'signature': ' $binarynumerator', 'return_type': 'void'},
\    'NormalizeBinaryPoint': { 'signature': ' $binarypointnumber,  $maxbits', 'return_type': 'void'},
\    'Float2BinaryDecimal': { 'signature': ' $floatvalue', 'return_type': 'void'},
\    'Float2String': { 'signature': ' $floatvalue,  $bits', 'return_type': 'void'},
\    'LittleEndian2Float': { 'signature': ' $byteword', 'return_type': 'void'},
\    'BigEndian2Float': { 'signature': ' $byteword', 'return_type': 'void'},
\    'BigEndian2Int': { 'signature': ' $byteword,  $synchsafe,  $signed', 'return_type': 'void'},
\    'LittleEndian2Int': { 'signature': ' $byteword,  $signed', 'return_type': 'void'},
\    'BigEndian2Bin': { 'signature': ' $byteword', 'return_type': 'void'},
\    'BigEndian2String': { 'signature': ' $number,  $minbytes,  $synchsafe,  $signed', 'return_type': 'void'},
\    'Dec2Bin': { 'signature': ' $number', 'return_type': 'void'},
\    'Bin2Dec': { 'signature': ' $binstring,  $signed', 'return_type': 'void'},
\    'Bin2String': { 'signature': ' $binstring', 'return_type': 'void'},
\    'LittleEndian2String': { 'signature': ' $number,  $minbytes,  $synchsafe', 'return_type': 'void'},
\    'array_merge_clobber': { 'signature': ' $array1,  $array2', 'return_type': 'void'},
\    'array_merge_noclobber': { 'signature': ' $array1,  $array2', 'return_type': 'void'},
\    'ksort_recursive': { 'signature': ' $theArray', 'return_type': 'void'},
\    'fileextension': { 'signature': ' $filename,  $numextensions', 'return_type': 'void'},
\    'PlaytimeString': { 'signature': ' $seconds', 'return_type': 'void'},
\    'DateMac2Unix': { 'signature': ' $macdate', 'return_type': 'void'},
\    'FixedPoint8_8': { 'signature': ' $rawdata', 'return_type': 'void'},
\    'FixedPoint16_16': { 'signature': ' $rawdata', 'return_type': 'void'},
\    'FixedPoint2_30': { 'signature': ' $rawdata', 'return_type': 'void'},
\    'CreateDeepArray': { 'signature': ' $ArrayPath,  $Separator,  $Value', 'return_type': 'void'},
\    'array_max': { 'signature': ' $arraydata,  $returnkey', 'return_type': 'void'},
\    'array_min': { 'signature': ' $arraydata,  $returnkey', 'return_type': 'void'},
\    'XML2array': { 'signature': ' $XMLstring', 'return_type': 'void'},
\    'SimpleXMLelement2array': { 'signature': ' $XMLobject', 'return_type': 'void'},
\    'hash_data': { 'signature': ' $file,  $offset,  $end,  $algorithm', 'return_type': 'void'},
\    'CopyFileParts': { 'signature': ' $filename_source,  $filename_dest,  $offset,  $length', 'return_type': 'void'},
\    'iconv_fallback_int_utf8': { 'signature': ' $charval', 'return_type': 'void'},
\    'iconv_fallback_iso88591_utf8': { 'signature': ' $string,  $bom', 'return_type': 'void'},
\    'iconv_fallback_iso88591_utf16be': { 'signature': ' $string,  $bom', 'return_type': 'void'},
\    'iconv_fallback_iso88591_utf16le': { 'signature': ' $string,  $bom', 'return_type': 'void'},
\    'iconv_fallback_iso88591_utf16': { 'signature': ' $string', 'return_type': 'void'},
\    'iconv_fallback_utf8_iso88591': { 'signature': ' $string', 'return_type': 'void'},
\    'iconv_fallback_utf8_utf16be': { 'signature': ' $string,  $bom', 'return_type': 'void'},
\    'iconv_fallback_utf8_utf16le': { 'signature': ' $string,  $bom', 'return_type': 'void'},
\    'iconv_fallback_utf8_utf16': { 'signature': ' $string', 'return_type': 'void'},
\    'iconv_fallback_utf16be_utf8': { 'signature': ' $string', 'return_type': 'void'},
\    'iconv_fallback_utf16le_utf8': { 'signature': ' $string', 'return_type': 'void'},
\    'iconv_fallback_utf16be_iso88591': { 'signature': ' $string', 'return_type': 'void'},
\    'iconv_fallback_utf16le_iso88591': { 'signature': ' $string', 'return_type': 'void'},
\    'iconv_fallback_utf16_iso88591': { 'signature': ' $string', 'return_type': 'void'},
\    'iconv_fallback_utf16_utf8': { 'signature': ' $string', 'return_type': 'void'},
\    'iconv_fallback': { 'signature': ' $in_charset,  $out_charset,  $string', 'return_type': 'void'},
\    'MultiByteCharString2HTML': { 'signature': ' $string,  $charset', 'return_type': 'void'},
\    'RGADnameLookup': { 'signature': ' $namecode', 'return_type': 'void'},
\    'RGADoriginatorLookup': { 'signature': ' $originatorcode', 'return_type': 'void'},
\    'RGADadjustmentLookup': { 'signature': ' $rawadjustment,  $signbit', 'return_type': 'void'},
\    'RGADgainString': { 'signature': ' $namecode,  $originatorcode,  $replaygain', 'return_type': 'void'},
\    'RGADamplitude2dB': { 'signature': ' $amplitude', 'return_type': 'void'},
\    'GetDataImageSize': { 'signature': ' $imgData,  $imageinfo', 'return_type': 'void'},
\    'ImageExtFromMime': { 'signature': ' $mime_type', 'return_type': 'void'},
\    'ImageTypesLookup': { 'signature': ' $imagetypeid', 'return_type': 'void'},
\    'CopyTagsToComments': { 'signature': ' $ThisFileInfo', 'return_type': 'void'},
\    'EmbeddedLookup': { 'signature': ' $key,  $begin,  $end,  $file,  $name', 'return_type': 'void'},
\    'IncludeDependency': { 'signature': ' $filename,  $sourcefile,  $DieOnFailure', 'return_type': 'void'},
\    'trimNullByte': { 'signature': ' $string', 'return_type': 'void'},
\    'getFileSizeSyscall': { 'signature': ' $path', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_wp_styles'] = {
\'wp_styles': {
\  'name': 'WP_Styles',
\  'properties': {
\    '$base_url': {'initializer': '', 'type': ''},
\    '$content_url': {'initializer': '', 'type': ''},
\    '$default_version': {'initializer': '', 'type': ''},
\    '$text_direction': {'initializer': 'ltr', 'type': ''},
\    '$concat': {'initializer': '', 'type': ''},
\    '$concat_version': {'initializer': '', 'type': ''},
\    '$do_concat': {'initializer': 'false', 'type': ''},
\    '$print_html': {'initializer': '', 'type': ''},
\    '$print_code': {'initializer': '', 'type': ''},
\    '$default_dirs': {'initializer': '', 'type': ''},
\    '$registered': {'initializer': 'array', 'type': 'array'},
\    '$queue': {'initializer': 'array', 'type': 'array'},
\    '$to_do': {'initializer': 'array', 'type': 'array'},
\    '$done': {'initializer': 'array', 'type': 'array'},
\    '$args': {'initializer': 'array', 'type': 'array'},
\    '$groups': {'initializer': 'array', 'type': 'array'},
\    '$group': {'initializer': '0', 'type': 'integer'},
\  },
\  'methods': {
\    '__construct': { 'signature': 'void', 'return_type': 'void'},
\    'do_item': { 'signature': ' $handle', 'return_type': 'void'},
\    'add_inline_style': { 'signature': ' $handle,  $code', 'return_type': 'void'},
\    'print_inline_style': { 'signature': ' $handle,  $echo', 'return_type': 'void'},
\    'all_deps': { 'signature': ' $handles,  $recursion,  $group', 'return_type': 'void'},
\    '_css_href': { 'signature': ' $src,  $ver,  $handle', 'return_type': 'void'},
\    'in_default_dir': { 'signature': ' $src', 'return_type': 'void'},
\    'do_footer_items': { 'signature': 'void', 'return_type': 'void'},
\    'reset': { 'signature': 'void', 'return_type': 'void'},
\    'do_items': { 'signature': 'mixed $handles, mixed $group', 'return_type': 'array'},
\    'add': { 'signature': 'string $handle, string $src, array $deps, string $ver, mixed $args', 'return_type': 'boolean'},
\    'add_data': { 'signature': 'string $handle, string $key, mixed $value', 'return_type': 'boolean'},
\    'get_data': { 'signature': 'string $handle, string $key', 'return_type': 'mixed'},
\    'remove': { 'signature': 'mixed $handles', 'return_type': 'void'},
\    'enqueue': { 'signature': 'mixed $handles', 'return_type': 'void'},
\    'dequeue': { 'signature': 'mixed $handles', 'return_type': 'void'},
\    'query': { 'signature': 'string $handle, string $list', 'return_type': 'boolean'},
\    'set_group': { 'signature': 'string $handle, boolean $recursion, mixed $group', 'return_type': 'boolean'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_module_tag_lyrics3'] = {
\'getid3_lyrics3': {
\  'name': 'getid3_lyrics3',
\  'properties': {
\  },
\  'methods': {
\    'Analyze': { 'signature': 'void', 'return_type': 'void'},
\    'getLyrics3Data': { 'signature': ' $endoffset,  $version,  $length', 'return_type': 'void'},
\    'Lyrics3Timestamp2Seconds': { 'signature': ' $rawtimestamp', 'return_type': 'void'},
\    'Lyrics3LyricsTimestampParse': { 'signature': ' $Lyrics3data', 'return_type': 'void'},
\    'IntString2Bool': { 'signature': ' $char', 'return_type': 'void'},
\    '__construct': { 'signature': '\getID3 $getid3,  $call_module', 'return_type': 'void'},
\    'AnalyzeString': { 'signature': ' $string', 'return_type': 'void'},
\    'setStringMode': { 'signature': ' $string', 'return_type': 'void'},
\    'saveAttachment': { 'signature': ' $name,  $offset,  $length,  $image_mime', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_locator'] = {
\'simplepie_locator': {
\  'name': 'SimplePie_Locator',
\  'properties': {
\    '$useragent': {'initializer': '', 'type': ''},
\    '$timeout': {'initializer': '', 'type': ''},
\    '$file': {'initializer': '', 'type': ''},
\    '$local': {'initializer': 'array', 'type': ''},
\    '$elsewhere': {'initializer': 'array', 'type': ''},
\    '$cached_entities': {'initializer': 'array', 'type': ''},
\    '$http_base': {'initializer': '', 'type': ''},
\    '$base': {'initializer': '', 'type': ''},
\    '$base_location': {'initializer': '0', 'type': ''},
\    '$checked_feeds': {'initializer': '0', 'type': ''},
\    '$max_checked_feeds': {'initializer': '10', 'type': ''},
\  },
\  'methods': {
\    '__construct': { 'signature': '\SimplePie_File $file,  $timeout,  $useragent,  $max_checked_feeds', 'return_type': 'void'},
\    'set_registry': { 'signature': '\SimplePie_Registry $registry', 'return_type': 'void'},
\    'find': { 'signature': ' $type,  $working', 'return_type': 'void'},
\    'is_feed': { 'signature': ' $file', 'return_type': 'void'},
\    'get_base': { 'signature': 'void', 'return_type': 'void'},
\    'autodiscovery': { 'signature': 'void', 'return_type': 'void'},
\    'get_links': { 'signature': 'void', 'return_type': 'void'},
\    'extension': { 'signature': ' $array', 'return_type': 'void'},
\    'body': { 'signature': ' $array', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_caption'] = {
\'simplepie_caption': {
\  'name': 'SimplePie_Caption',
\  'properties': {
\    '$type': {'initializer': '', 'type': 'string'},
\    '$lang': {'initializer': '', 'type': 'string'},
\    '$startTime': {'initializer': '', 'type': 'string'},
\    '$endTime': {'initializer': '', 'type': 'string'},
\    '$text': {'initializer': '', 'type': 'string'},
\  },
\  'methods': {
\    '__construct': { 'signature': ' $type,  $lang,  $startTime,  $endTime,  $text', 'return_type': 'void'},
\    '__toString': { 'signature': 'void', 'return_type': 'string'},
\    'get_endtime': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_language': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_starttime': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_text': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_type': { 'signature': 'void', 'return_type': 'string|null'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_phpass'] = {
\'passwordhash': {
\  'name': 'PasswordHash',
\  'properties': {
\    '$itoa64': {'initializer': '', 'type': ''},
\    '$iteration_count_log2': {'initializer': '', 'type': ''},
\    '$portable_hashes': {'initializer': '', 'type': ''},
\    '$random_state': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    'PasswordHash': { 'signature': ' $iteration_count_log2,  $portable_hashes', 'return_type': 'void'},
\    'get_random_bytes': { 'signature': ' $count', 'return_type': 'void'},
\    'encode64': { 'signature': ' $input,  $count', 'return_type': 'void'},
\    'gensalt_private': { 'signature': ' $input', 'return_type': 'void'},
\    'crypt_private': { 'signature': ' $password,  $setting', 'return_type': 'void'},
\    'gensalt_extended': { 'signature': ' $input', 'return_type': 'void'},
\    'gensalt_blowfish': { 'signature': ' $input', 'return_type': 'void'},
\    'HashPassword': { 'signature': ' $password', 'return_type': 'void'},
\    'CheckPassword': { 'signature': ' $password,  $stored_hash', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_mo'] = {
\'mo': {
\  'name': 'MO',
\  'properties': {
\    '$_nplurals': {'initializer': '2', 'type': ''},
\    '$entries': {'initializer': 'array', 'type': ''},
\    '$headers': {'initializer': 'array', 'type': ''},
\  },
\  'methods': {
\    'import_from_file': { 'signature': 'string $filename', 'return_type': 'void'},
\    'export_to_file': { 'signature': ' $filename', 'return_type': 'void'},
\    'export': { 'signature': 'void', 'return_type': 'void'},
\    'is_entry_good_for_export': { 'signature': ' $entry', 'return_type': 'void'},
\    'export_to_file_handle': { 'signature': ' $fh', 'return_type': 'void'},
\    'export_original': { 'signature': ' $entry', 'return_type': 'void'},
\    'export_translations': { 'signature': ' $entry', 'return_type': 'void'},
\    'export_headers': { 'signature': 'void', 'return_type': 'void'},
\    'get_byteorder': { 'signature': ' $magic', 'return_type': 'void'},
\    'import_from_reader': { 'signature': ' $reader', 'return_type': 'void'},
\    'make_entry': { 'signature': 'string $original, string $translation', 'return_type': 'void'},
\    'select_plural_form': { 'signature': ' $count', 'return_type': 'void'},
\    'get_plural_forms_count': { 'signature': 'void', 'return_type': 'void'},
\    'gettext_select_plural_form': { 'signature': ' $count', 'return_type': 'void'},
\    'nplurals_and_expression_from_header': { 'signature': ' $header', 'return_type': 'void'},
\    'make_plural_form_function': { 'signature': ' $nplurals,  $expression', 'return_type': 'void'},
\    'parenthesize_plural_exression': { 'signature': 'string $expression', 'return_type': 'string'},
\    'make_headers': { 'signature': ' $translation', 'return_type': 'void'},
\    'set_header': { 'signature': 'string $header, string $value', 'return_type': 'void'},
\    'add_entry': { 'signature': ' $entry', 'return_type': 'boolean'},
\    'add_entry_or_merge': { 'signature': ' $entry', 'return_type': 'void'},
\    'set_headers': { 'signature': ' $headers', 'return_type': 'void'},
\    'get_header': { 'signature': ' $header', 'return_type': 'void'},
\    'translate_entry': { 'signature': ' $entry', 'return_type': 'void'},
\    'translate': { 'signature': ' $singular,  $context', 'return_type': 'void'},
\    'translate_plural': { 'signature': ' $singular,  $plural,  $count,  $context', 'return_type': 'void'},
\    'merge_with': { 'signature': ' $other', 'return_type': 'void'},
\    'merge_originals_with': { 'signature': ' $other', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_core'] = {
\'simplepie_core': {
\  'name': 'SimplePie_Core',
\  'static_methods': {
\    'sort_items': { 'signature': '\SimplePie $a, \SimplePie $b', 'return_type': 'boolean'},
\    'merge_items': { 'signature': 'array $urls, integer $start, integer $end, integer $limit', 'return_type': 'array'},
\  },
\  'properties': {
\    '$data': {'initializer': 'array', 'type': 'array'},
\    '$error': {'initializer': '', 'type': 'mixed'},
\    '$sanitize': {'initializer': '', 'type': 'object'},
\    '$useragent': {'initializer': 'SIMPLEPIE_USERAGENT', 'type': 'string'},
\    '$feed_url': {'initializer': '', 'type': 'string'},
\    '$file': {'initializer': '', 'type': 'object'},
\    '$raw_data': {'initializer': '', 'type': 'string'},
\    '$timeout': {'initializer': '10', 'type': 'integer'},
\    '$force_fsockopen': {'initializer': 'false', 'type': 'boolean'},
\    '$force_feed': {'initializer': 'false', 'type': 'boolean'},
\    '$cache': {'initializer': 'true', 'type': 'boolean'},
\    '$cache_duration': {'initializer': '3600', 'type': 'integer'},
\    '$autodiscovery_cache_duration': {'initializer': '604800', 'type': 'integer'},
\    '$cache_location': {'initializer': './cache', 'type': 'string'},
\    '$cache_name_function': {'initializer': 'md5', 'type': 'string'},
\    '$order_by_date': {'initializer': 'true', 'type': 'boolean'},
\    '$input_encoding': {'initializer': 'false', 'type': 'mixed'},
\    '$autodiscovery': {'initializer': 'SIMPLEPIE_LOCATOR_ALL', 'type': 'integer'},
\    '$registry': {'initializer': '', 'type': '\SimplePie_Registry'},
\    '$max_checked_feeds': {'initializer': '10', 'type': 'integer'},
\    '$all_discovered_feeds': {'initializer': 'array', 'type': 'array'},
\    '$image_handler': {'initializer': '', 'type': 'string'},
\    '$multifeed_url': {'initializer': 'array', 'type': 'array'},
\    '$multifeed_objects': {'initializer': 'array', 'type': 'array'},
\    '$config_settings': {'initializer': 'null', 'type': 'array'},
\    '$item_limit': {'initializer': '0', 'type': 'integer'},
\    '$strip_attributes': {'initializer': 'array', 'type': 'array'},
\    '$strip_htmltags': {'initializer': 'array', 'type': 'array'},
\  },
\  'methods': {
\    '__construct': { 'signature': 'void', 'return_type': 'void'},
\    '__toString': { 'signature': 'void', 'return_type': 'void'},
\    '__destruct': { 'signature': 'void', 'return_type': 'void'},
\    'force_feed': { 'signature': 'boolean $enable', 'return_type': 'void'},
\    'set_feed_url': { 'signature': 'string|array $url', 'return_type': 'void'},
\    'set_file': { 'signature': ' $file', 'return_type': 'boolean'},
\    'set_raw_data': { 'signature': 'string $data', 'return_type': 'void'},
\    'set_timeout': { 'signature': 'integer $timeout', 'return_type': 'void'},
\    'force_fsockopen': { 'signature': 'boolean $enable', 'return_type': 'void'},
\    'enable_cache': { 'signature': 'boolean $enable', 'return_type': 'void'},
\    'set_cache_duration': { 'signature': 'integer $seconds', 'return_type': 'void'},
\    'set_autodiscovery_cache_duration': { 'signature': 'integer $seconds', 'return_type': 'void'},
\    'set_cache_location': { 'signature': 'string $location', 'return_type': 'void'},
\    'enable_order_by_date': { 'signature': 'boolean $enable', 'return_type': 'void'},
\    'set_input_encoding': { 'signature': 'string $encoding', 'return_type': 'void'},
\    'set_autodiscovery_level': { 'signature': 'integer $level', 'return_type': 'void'},
\    'get_registry': { 'signature': 'void', 'return_type': '\SimplePie_Registry'},
\    'set_cache_class': { 'signature': ' $class', 'return_type': 'void'},
\    'set_locator_class': { 'signature': ' $class', 'return_type': 'void'},
\    'set_parser_class': { 'signature': ' $class', 'return_type': 'void'},
\    'set_file_class': { 'signature': ' $class', 'return_type': 'void'},
\    'set_sanitize_class': { 'signature': ' $class', 'return_type': 'void'},
\    'set_item_class': { 'signature': ' $class', 'return_type': 'void'},
\    'set_author_class': { 'signature': ' $class', 'return_type': 'void'},
\    'set_category_class': { 'signature': ' $class', 'return_type': 'void'},
\    'set_enclosure_class': { 'signature': ' $class', 'return_type': 'void'},
\    'set_caption_class': { 'signature': ' $class', 'return_type': 'void'},
\    'set_copyright_class': { 'signature': ' $class', 'return_type': 'void'},
\    'set_credit_class': { 'signature': ' $class', 'return_type': 'void'},
\    'set_rating_class': { 'signature': ' $class', 'return_type': 'void'},
\    'set_restriction_class': { 'signature': ' $class', 'return_type': 'void'},
\    'set_content_type_sniffer_class': { 'signature': ' $class', 'return_type': 'void'},
\    'set_source_class': { 'signature': ' $class', 'return_type': 'void'},
\    'set_useragent': { 'signature': 'string $ua', 'return_type': 'void'},
\    'set_cache_name_function': { 'signature': 'mixed $function', 'return_type': 'void'},
\    'set_stupidly_fast': { 'signature': 'boolean $set', 'return_type': 'void'},
\    'set_max_checked_feeds': { 'signature': 'integer $max', 'return_type': 'void'},
\    'remove_div': { 'signature': ' $enable', 'return_type': 'void'},
\    'strip_htmltags': { 'signature': ' $tags,  $encode', 'return_type': 'void'},
\    'encode_instead_of_strip': { 'signature': ' $enable', 'return_type': 'void'},
\    'strip_attributes': { 'signature': ' $attribs', 'return_type': 'void'},
\    'set_output_encoding': { 'signature': 'string $encoding', 'return_type': 'void'},
\    'strip_comments': { 'signature': ' $strip', 'return_type': 'void'},
\    'set_url_replacements': { 'signature': 'array|null $element_attribute', 'return_type': 'void'},
\    'set_image_handler': { 'signature': '\str $page, \str $qs', 'return_type': 'void'},
\    'set_item_limit': { 'signature': 'integer $limit', 'return_type': 'void'},
\    'init': { 'signature': 'void', 'return_type': 'boolean'},
\    'error': { 'signature': 'void', 'return_type': 'string|array'},
\    'get_raw_data': { 'signature': 'void', 'return_type': 'string|boolean'},
\    'get_encoding': { 'signature': 'void', 'return_type': 'string'},
\    'handle_content_type': { 'signature': 'string $mime', 'return_type': 'void'},
\    'get_type': { 'signature': 'void', 'return_type': 'integer'},
\    'subscribe_url': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_feed_tags': { 'signature': 'string $namespace, string $tag', 'return_type': 'array'},
\    'get_channel_tags': { 'signature': 'string $namespace, string $tag', 'return_type': 'array'},
\    'get_image_tags': { 'signature': 'string $namespace, string $tag', 'return_type': 'array'},
\    'get_base': { 'signature': 'array $element', 'return_type': 'string'},
\    'sanitize': { 'signature': 'string $data, integer $type, string $base', 'return_type': 'string'},
\    'get_title': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_category': { 'signature': 'integer $key', 'return_type': '\SimplePie_Category|null'},
\    'get_categories': { 'signature': 'void', 'return_type': 'array|null'},
\    'get_author': { 'signature': 'integer $key', 'return_type': '\SimplePie_Author|null'},
\    'get_authors': { 'signature': 'void', 'return_type': 'array|null'},
\    'get_contributor': { 'signature': 'integer $key', 'return_type': '\SimplePie_Author|null'},
\    'get_contributors': { 'signature': 'void', 'return_type': 'array|null'},
\    'get_link': { 'signature': 'integer $key, string $rel', 'return_type': 'string|null'},
\    'get_links': { 'signature': 'string $rel', 'return_type': 'array|null'},
\    'get_all_discovered_feeds': { 'signature': 'void', 'return_type': 'void'},
\    'get_description': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_copyright': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_language': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_latitude': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_longitude': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_image_title': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_image_url': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_image_link': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_image_width': { 'signature': 'void', 'return_type': 'integer|float|null'},
\    'get_image_height': { 'signature': 'void', 'return_type': 'integer|float|null'},
\    'get_item_quantity': { 'signature': 'integer $max', 'return_type': 'integer'},
\    'get_item': { 'signature': 'integer $key', 'return_type': '\SimplePie_Item|null'},
\    'get_items': { 'signature': 'integer $start, integer $end', 'return_type': 'array|null'},
\    'set_favicon_handler': { 'signature': ' $page,  $qs', 'return_type': 'void'},
\    'get_favicon': { 'signature': 'void', 'return_type': 'void'},
\    '__call': { 'signature': 'string $method, array $args', 'return_type': 'mixed'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_entry'] = {
\'translation_entry': {
\  'name': 'Translation_Entry',
\  'properties': {
\    '$is_plural': {'initializer': 'false', 'type': 'boolean'},
\    '$context': {'initializer': 'null', 'type': ''},
\    '$singular': {'initializer': 'null', 'type': ''},
\    '$plural': {'initializer': 'null', 'type': ''},
\    '$translations': {'initializer': 'array', 'type': ''},
\    '$translator_comments': {'initializer': '', 'type': ''},
\    '$extracted_comments': {'initializer': '', 'type': ''},
\    '$references': {'initializer': 'array', 'type': ''},
\    '$flags': {'initializer': 'array', 'type': ''},
\  },
\  'methods': {
\    'Translation_Entry': { 'signature': 'array $args', 'return_type': 'void'},
\    'key': { 'signature': 'void', 'return_type': 'string|boolean'},
\    'merge_with': { 'signature': ' $other', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_inline'] = {
\'text_diff_renderer_inline': {
\  'name': 'Text_Diff_Renderer_inline',
\  'properties': {
\    '$_leading_context_lines': {'initializer': '10000', 'type': 'integer'},
\    '$_trailing_context_lines': {'initializer': '10000', 'type': 'integer'},
\    '$_ins_prefix': {'initializer': '<ins>', 'type': 'string'},
\    '$_ins_suffix': {'initializer': '</ins>', 'type': 'string'},
\    '$_del_prefix': {'initializer': '<del>', 'type': 'string'},
\    '$_del_suffix': {'initializer': '</del>', 'type': 'string'},
\    '$_block_header': {'initializer': '', 'type': 'string'},
\    '$_split_characters': {'initializer': 'false', 'type': 'boolean'},
\    '$_split_level': {'initializer': 'lines', 'type': 'string'},
\  },
\  'methods': {
\    '_blockHeader': { 'signature': ' $xbeg,  $xlen,  $ybeg,  $ylen', 'return_type': 'void'},
\    '_startBlock': { 'signature': ' $header', 'return_type': 'void'},
\    '_lines': { 'signature': ' $lines,  $prefix,  $encode', 'return_type': 'void'},
\    '_added': { 'signature': ' $lines', 'return_type': 'void'},
\    '_deleted': { 'signature': ' $lines,  $words', 'return_type': 'void'},
\    '_changed': { 'signature': ' $orig,  $final', 'return_type': 'void'},
\    '_splitOnWords': { 'signature': ' $string,  $newlineEscape', 'return_type': 'void'},
\    '_encode': { 'signature': ' $string', 'return_type': 'void'},
\    'Text_Diff_Renderer': { 'signature': ' $params', 'return_type': 'void'},
\    'getParams': { 'signature': 'void', 'return_type': 'array'},
\    'render': { 'signature': '\Text_Diff $diff', 'return_type': 'string'},
\    '_block': { 'signature': ' $xbeg,  $xlen,  $ybeg,  $ylen,  $edits', 'return_type': 'void'},
\    '_startDiff': { 'signature': 'void', 'return_type': 'void'},
\    '_endDiff': { 'signature': 'void', 'return_type': 'void'},
\    '_endBlock': { 'signature': 'void', 'return_type': 'void'},
\    '_context': { 'signature': ' $lines', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_item'] = {
\'simplepie_item': {
\  'name': 'SimplePie_Item',
\  'properties': {
\    '$feed': {'initializer': '', 'type': '\SimplePie'},
\    '$data': {'initializer': 'array', 'type': 'array'},
\  },
\  'methods': {
\    '__construct': { 'signature': '\SimplePie $feed, array $data', 'return_type': 'void'},
\    'set_registry': { 'signature': '\SimplePie_Registry $registry', 'return_type': 'void'},
\    '__toString': { 'signature': 'void', 'return_type': 'string'},
\    '__destruct': { 'signature': 'void', 'return_type': 'void'},
\    'get_item_tags': { 'signature': 'string $namespace, string $tag', 'return_type': 'array'},
\    'get_base': { 'signature': 'array $element', 'return_type': 'string'},
\    'sanitize': { 'signature': 'string $data, integer $type, string $base', 'return_type': 'string'},
\    'get_feed': { 'signature': 'void', 'return_type': '\SimplePie'},
\    'get_id': { 'signature': 'boolean $hash', 'return_type': 'string'},
\    'get_title': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_description': { 'signature': 'boolean $description_only', 'return_type': 'string|null'},
\    'get_content': { 'signature': 'boolean $content_only', 'return_type': 'string|null'},
\    'get_category': { 'signature': 'integer $key', 'return_type': '\SimplePie_Category|null'},
\    'get_categories': { 'signature': 'void', 'return_type': 'array|null'},
\    'get_author': { 'signature': 'integer $key', 'return_type': '\SimplePie_Author|null'},
\    'get_contributor': { 'signature': 'integer $key', 'return_type': '\SimplePie_Author|null'},
\    'get_contributors': { 'signature': 'void', 'return_type': 'array|null'},
\    'get_authors': { 'signature': 'void', 'return_type': 'array|null'},
\    'get_copyright': { 'signature': 'void', 'return_type': 'string'},
\    'get_date': { 'signature': 'string $date_format', 'return_type': 'integer|string|null'},
\    'get_updated_date': { 'signature': 'string $date_format', 'return_type': 'integer|string|null'},
\    'get_local_date': { 'signature': 'string $date_format', 'return_type': 'integer|string|null'},
\    'get_gmdate': { 'signature': 'string $date_format', 'return_type': 'integer|string|null'},
\    'get_updated_gmdate': { 'signature': 'string $date_format', 'return_type': 'integer|string|null'},
\    'get_permalink': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_link': { 'signature': 'integer $key, string $rel', 'return_type': 'string|null'},
\    'get_links': { 'signature': 'string $rel', 'return_type': 'array|null'},
\    'get_enclosure': { 'signature': 'integer $key,  $prefer', 'return_type': '\SimplePie_Enclosure|null'},
\    'get_enclosures': { 'signature': 'void', 'return_type': 'array|null'},
\    'get_latitude': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_longitude': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_source': { 'signature': 'void', 'return_type': '\SimplePie_Source|null'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_date'] = {
\'wp_date_query': {
\  'name': 'WP_Date_Query',
\  'properties': {
\    '$queries': {'initializer': 'array', 'type': 'array'},
\    '$relation': {'initializer': 'AND', 'type': 'string'},
\    '$column': {'initializer': 'post_date', 'type': 'string'},
\    '$compare': {'initializer': '=', 'type': 'array'},
\  },
\  'methods': {
\    '__construct': { 'signature': 'array $date_query, array $default_column', 'return_type': 'void'},
\    'get_compare': { 'signature': 'array $query', 'return_type': 'string'},
\    'validate_column': { 'signature': 'string $column', 'return_type': 'string'},
\    'get_sql': { 'signature': 'void', 'return_type': 'string'},
\    'build_value': { 'signature': 'string $compare, string|array $value', 'return_type': 'string|integer|false'},
\    'build_mysql_datetime': { 'signature': 'string|array $datetime,  $default_to_max', 'return_type': 'string|false'},
\    'build_time_query': { 'signature': 'string $column, string $compare, integer|null $hour, integer|null $minute, integer|null $second', 'return_type': 'string|false'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_getid3'] = {
\'getid3': {
\  'name': 'getID3',
\  'properties': {
\    '$encoding': {'initializer': 'UTF-8', 'type': ''},
\    '$encoding_id3v1': {'initializer': 'ISO-8859-1', 'type': ''},
\    '$option_tag_id3v1': {'initializer': 'true', 'type': ''},
\    '$option_tag_id3v2': {'initializer': 'true', 'type': ''},
\    '$option_tag_lyrics3': {'initializer': 'true', 'type': ''},
\    '$option_tag_apetag': {'initializer': 'true', 'type': ''},
\    '$option_tags_process': {'initializer': 'true', 'type': ''},
\    '$option_tags_html': {'initializer': 'true', 'type': ''},
\    '$option_extra_info': {'initializer': 'true', 'type': ''},
\    '$option_save_attachments': {'initializer': 'true', 'type': ''},
\    '$option_md5_data': {'initializer': 'false', 'type': ''},
\    '$option_md5_data_source': {'initializer': 'false', 'type': ''},
\    '$option_sha1_data': {'initializer': 'false', 'type': ''},
\    '$option_max_2gb_check': {'initializer': 'null', 'type': ''},
\    '$option_fread_buffer_size': {'initializer': '32768', 'type': ''},
\    '$filename': {'initializer': '', 'type': ''},
\    '$fp': {'initializer': '', 'type': ''},
\    '$info': {'initializer': '', 'type': ''},
\    '$tempdir': {'initializer': 'GETID3_TEMP_DIR', 'type': ''},
\  },
\  'methods': {
\    '__construct': { 'signature': 'void', 'return_type': 'void'},
\    'version': { 'signature': 'void', 'return_type': 'void'},
\    'fread_buffer_size': { 'signature': 'void', 'return_type': 'void'},
\    'setOption': { 'signature': ' $optArray', 'return_type': 'void'},
\    'openfile': { 'signature': ' $filename', 'return_type': 'void'},
\    'analyze': { 'signature': ' $filename', 'return_type': 'void'},
\    'error': { 'signature': ' $message', 'return_type': 'void'},
\    'warning': { 'signature': ' $message', 'return_type': 'void'},
\    'GetFileFormatArray': { 'signature': 'void', 'return_type': 'void'},
\    'GetFileFormat': { 'signature': ' $filedata,  $filename', 'return_type': 'void'},
\    'CharConvert': { 'signature': ' $array,  $encoding', 'return_type': 'void'},
\    'HandleAllTags': { 'signature': 'void', 'return_type': 'void'},
\    'getHashdata': { 'signature': ' $algorithm', 'return_type': 'void'},
\    'ChannelsBitratePlaytimeCalculations': { 'signature': 'void', 'return_type': 'void'},
\    'CalculateCompressionRatioVideo': { 'signature': 'void', 'return_type': 'void'},
\    'CalculateCompressionRatioAudio': { 'signature': 'void', 'return_type': 'void'},
\    'CalculateReplayGain': { 'signature': 'void', 'return_type': 'void'},
\    'ProcessAudioStreams': { 'signature': 'void', 'return_type': 'void'},
\    'getid3_tempnam': { 'signature': 'void', 'return_type': 'void'},
\    'include_module': { 'signature': ' $name', 'return_type': 'void'},
\  },
\},
\'getid3_handler': {
\  'name': 'getid3_handler',
\  'properties': {
\  },
\  'methods': {
\    '__construct': { 'signature': '\getID3 $getid3,  $call_module', 'return_type': 'void'},
\    'Analyze': { 'signature': 'void', 'return_type': 'void'},
\    'AnalyzeString': { 'signature': ' $string', 'return_type': 'void'},
\    'setStringMode': { 'signature': ' $string', 'return_type': 'void'},
\    'saveAttachment': { 'signature': ' $name,  $offset,  $length,  $image_mime', 'return_type': 'void'},
\  },
\},
\'getid3_exception': {
\  'name': 'getid3_exception',
\  'properties': {
\    '$message': {'initializer': '', 'type': ''},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_iri'] = {
\'simplepie_iri': {
\  'name': 'SimplePie_IRI',
\  'static_methods': {
\    'absolutize': { 'signature': '\IRI|string $base, \IRI|string $relative', 'return_type': '\IRI|false'},
\  },
\  'properties': {
\  },
\  'methods': {
\    '__toString': { 'signature': 'void', 'return_type': 'string'},
\    '__set': { 'signature': 'string $name, mixed $value', 'return_type': 'void'},
\    '__get': { 'signature': 'string $name', 'return_type': 'mixed'},
\    '__isset': { 'signature': 'string $name', 'return_type': 'boolean'},
\    '__unset': { 'signature': 'string $name', 'return_type': 'void'},
\    '__construct': { 'signature': 'string $iri', 'return_type': 'void'},
\    'is_valid': { 'signature': 'void', 'return_type': 'boolean'},
\    'set_iri': { 'signature': 'string $iri', 'return_type': 'boolean'},
\    'set_scheme': { 'signature': 'string $scheme', 'return_type': 'boolean'},
\    'set_authority': { 'signature': 'string $authority', 'return_type': 'boolean'},
\    'set_userinfo': { 'signature': 'string $iuserinfo', 'return_type': 'boolean'},
\    'set_host': { 'signature': 'string $ihost', 'return_type': 'boolean'},
\    'set_port': { 'signature': 'string $port', 'return_type': 'boolean'},
\    'set_path': { 'signature': 'string $ipath', 'return_type': 'boolean'},
\    'set_query': { 'signature': 'string $iquery', 'return_type': 'boolean'},
\    'set_fragment': { 'signature': 'string $ifragment', 'return_type': 'boolean'},
\    'to_uri': { 'signature': ' $string', 'return_type': 'string'},
\    'get_iri': { 'signature': 'void', 'return_type': 'string'},
\    'get_uri': { 'signature': 'void', 'return_type': 'string'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_json'] = {
\'services_json': {
\  'name': 'Services_JSON',
\  'properties': {
\    '$_mb_strlen': {'initializer': 'false', 'type': ''},
\    '$_mb_substr': {'initializer': 'false', 'type': ''},
\    '$_mb_convert_encoding': {'initializer': 'false', 'type': ''},
\  },
\  'methods': {
\    'Services_JSON': { 'signature': 'integer $use', 'return_type': 'void'},
\    'utf162utf8': { 'signature': 'string $utf16', 'return_type': 'string'},
\    'utf82utf16': { 'signature': 'string $utf8', 'return_type': 'string'},
\    'encode': { 'signature': 'mixed $var', 'return_type': 'mixed'},
\    'encodeUnsafe': { 'signature': 'mixed $var', 'return_type': 'mixed'},
\    '_encode': { 'signature': 'mixed $var', 'return_type': 'mixed'},
\    'name_value': { 'signature': 'string $name, mixed $value', 'return_type': 'string'},
\    'reduce_string': { 'signature': ' $str', 'return_type': 'string'},
\    'decode': { 'signature': 'string $str', 'return_type': 'mixed'},
\    'isError': { 'signature': ' $data,  $code', 'return_type': 'void'},
\    'strlen8': { 'signature': ' $str', 'return_type': 'integer'},
\    'substr8': { 'signature': ' $string,  $start,  $length', 'return_type': 'integer'},
\  },
\},
\'services_json_error': {
\  'name': 'Services_JSON_Error',
\  'methods': {
\    'Services_JSON_Error': { 'signature': ' $message,  $code,  $mode,  $options,  $userinfo', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_wp_walker'] = {
\'walker': {
\  'name': 'Walker',
\  'properties': {
\    '$tree_type': {'initializer': '', 'type': 'string'},
\  },
\  'methods': {
\    '__get': { 'signature': 'string $name', 'return_type': 'mixed'},
\    '__set': { 'signature': 'string $name, mixed $value', 'return_type': 'mixed'},
\    '__isset': { 'signature': 'string $name', 'return_type': 'boolean'},
\    '__unset': { 'signature': 'string $name', 'return_type': 'void'},
\    'start_lvl': { 'signature': 'string $output, integer $depth, array $args', 'return_type': 'void'},
\    'end_lvl': { 'signature': 'string $output, integer $depth, array $args', 'return_type': 'void'},
\    'start_el': { 'signature': 'string $output, object $object, integer $depth, array $args, integer $current_object_id', 'return_type': 'void'},
\    'end_el': { 'signature': 'string $output, object $object, integer $depth, array $args', 'return_type': 'void'},
\    'display_element': { 'signature': 'object $element, array $children_elements, integer $max_depth, integer $depth, array $args, string $output', 'return_type': 'null'},
\    'walk': { 'signature': 'array $elements, integer $max_depth', 'return_type': 'string'},
\    'paged_walk': { 'signature': ' $elements, integer $max_depth, integer $page_num,  $per_page', 'return_type': 'string'},
\    'get_number_of_root_elements': { 'signature': ' $elements', 'return_type': 'void'},
\    'unset_children': { 'signature': ' $e,  $children_elements', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_session'] = {
\'wp_session_tokens': {
\  'name': 'WP_Session_Tokens',
\  'static_methods': {
\    'get_instance': { 'signature': 'integer $user_id', 'return_type': 'void'},
\    'destroy_all_for_all_users': { 'signature': 'void', 'return_type': 'void'},
\    'drop_sessions': { 'signature': 'void', 'return_type': 'void'},
\  },
\  'properties': {
\  },
\  'methods': {
\    'get': { 'signature': 'string $token', 'return_type': 'array'},
\    'verify': { 'signature': 'string $token', 'return_type': 'boolean'},
\    'create': { 'signature': 'integer $expiration', 'return_type': 'string'},
\    'update': { 'signature': 'string $token, array $session', 'return_type': 'void'},
\    'destroy': { 'signature': 'string $token', 'return_type': 'void'},
\    'destroy_others': { 'signature': 'string $token_to_keep', 'return_type': 'void'},
\    'destroy_all': { 'signature': 'void', 'return_type': 'void'},
\    'get_all': { 'signature': 'void', 'return_type': 'array'},
\  },
\},
\'wp_user_meta_session_tokens': {
\  'name': 'WP_User_Meta_Session_Tokens',
\  'static_methods': {
\    'drop_sessions': { 'signature': 'void', 'return_type': 'void'},
\    'get_instance': { 'signature': 'integer $user_id', 'return_type': 'void'},
\    'destroy_all_for_all_users': { 'signature': 'void', 'return_type': 'void'},
\  },
\  'properties': {
\  },
\  'methods': {
\    'get': { 'signature': 'string $token', 'return_type': 'array'},
\    'verify': { 'signature': 'string $token', 'return_type': 'boolean'},
\    'create': { 'signature': 'integer $expiration', 'return_type': 'string'},
\    'update': { 'signature': 'string $token, array $session', 'return_type': 'void'},
\    'destroy': { 'signature': 'string $token', 'return_type': 'void'},
\    'destroy_others': { 'signature': 'string $token_to_keep', 'return_type': 'void'},
\    'destroy_all': { 'signature': 'void', 'return_type': 'void'},
\    'get_all': { 'signature': 'void', 'return_type': 'array'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_parser'] = {
\'simplepie_xml_declaration_parser': {
\  'name': 'SimplePie_XML_Declaration_Parser',
\  'properties': {
\    '$version': {'initializer': '1.0', 'type': 'string'},
\    '$encoding': {'initializer': 'UTF-8', 'type': 'string'},
\    '$standalone': {'initializer': 'false', 'type': 'boolean'},
\    '$state': {'initializer': 'before_version_name', 'type': 'string'},
\    '$data': {'initializer': '', 'type': 'string'},
\    '$data_length': {'initializer': '0', 'type': 'integer'},
\    '$position': {'initializer': '0', 'type': 'integer'},
\  },
\  'methods': {
\    '__construct': { 'signature': 'string $data', 'return_type': 'void'},
\    'parse': { 'signature': 'void', 'return_type': 'boolean'},
\    'has_data': { 'signature': 'void', 'return_type': 'boolean'},
\    'skip_whitespace': { 'signature': 'void', 'return_type': 'integer'},
\    'get_value': { 'signature': 'void', 'return_type': 'void'},
\    'before_version_name': { 'signature': 'void', 'return_type': 'void'},
\    'version_name': { 'signature': 'void', 'return_type': 'void'},
\    'version_equals': { 'signature': 'void', 'return_type': 'void'},
\    'version_value': { 'signature': 'void', 'return_type': 'void'},
\    'encoding_name': { 'signature': 'void', 'return_type': 'void'},
\    'encoding_equals': { 'signature': 'void', 'return_type': 'void'},
\    'encoding_value': { 'signature': 'void', 'return_type': 'void'},
\    'standalone_name': { 'signature': 'void', 'return_type': 'void'},
\    'standalone_equals': { 'signature': 'void', 'return_type': 'void'},
\    'standalone_value': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_po'] = {
\'po': {
\  'name': 'PO',
\  'properties': {
\    '$comments_before_headers': {'initializer': '', 'type': ''},
\    '$entries': {'initializer': 'array', 'type': ''},
\    '$headers': {'initializer': 'array', 'type': ''},
\  },
\  'methods': {
\    'export_headers': { 'signature': 'void', 'return_type': 'string'},
\    'export_entries': { 'signature': 'void', 'return_type': 'string'},
\    'export': { 'signature': 'boolean $include_headers', 'return_type': 'string'},
\    'export_to_file': { 'signature': 'string $filename, boolean $include_headers', 'return_type': 'boolean'},
\    'set_comment_before_headers': { 'signature': ' $text', 'return_type': 'void'},
\    'poify': { 'signature': 'string $string', 'return_type': 'string'},
\    'unpoify': { 'signature': 'string $string', 'return_type': 'string'},
\    'prepend_each_line': { 'signature': 'string $string, string $with', 'return_type': 'void'},
\    'comment_block': { 'signature': 'string $text, string $char', 'return_type': 'void'},
\    'export_entry': { 'signature': ' $entry', 'return_type': 'string|boolean'},
\    'import_from_file': { 'signature': ' $filename', 'return_type': 'void'},
\    'read_entry': { 'signature': ' $f,  $lineno', 'return_type': 'void'},
\    'read_line': { 'signature': ' $f,  $action', 'return_type': 'void'},
\    'add_comment_to_entry': { 'signature': ' $entry,  $po_comment_line', 'return_type': 'void'},
\    'trim_quotes': { 'signature': ' $s', 'return_type': 'void'},
\    'gettext_select_plural_form': { 'signature': ' $count', 'return_type': 'void'},
\    'nplurals_and_expression_from_header': { 'signature': ' $header', 'return_type': 'void'},
\    'make_plural_form_function': { 'signature': ' $nplurals,  $expression', 'return_type': 'void'},
\    'parenthesize_plural_exression': { 'signature': 'string $expression', 'return_type': 'string'},
\    'make_headers': { 'signature': ' $translation', 'return_type': 'void'},
\    'set_header': { 'signature': 'string $header, string $value', 'return_type': 'void'},
\    'add_entry': { 'signature': ' $entry', 'return_type': 'boolean'},
\    'add_entry_or_merge': { 'signature': ' $entry', 'return_type': 'void'},
\    'set_headers': { 'signature': ' $headers', 'return_type': 'void'},
\    'get_header': { 'signature': ' $header', 'return_type': 'void'},
\    'translate_entry': { 'signature': ' $entry', 'return_type': 'void'},
\    'translate': { 'signature': ' $singular,  $context', 'return_type': 'void'},
\    'select_plural_form': { 'signature': 'integer $count', 'return_type': 'void'},
\    'get_plural_forms_count': { 'signature': 'void', 'return_type': 'void'},
\    'translate_plural': { 'signature': ' $singular,  $plural,  $count,  $context', 'return_type': 'void'},
\    'merge_with': { 'signature': ' $other', 'return_type': 'void'},
\    'merge_originals_with': { 'signature': ' $other', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_meta'] = {
\'wp_meta_query': {
\  'name': 'WP_Meta_Query',
\  'properties': {
\    '$queries': {'initializer': 'array', 'type': 'array'},
\    '$relation': {'initializer': '', 'type': 'string'},
\  },
\  'methods': {
\    '__construct': { 'signature': 'array $meta_query', 'return_type': 'void'},
\    'parse_query_vars': { 'signature': 'array $qv', 'return_type': 'void'},
\    'get_cast_for_type': { 'signature': 'string $type', 'return_type': 'string'},
\    'get_sql': { 'signature': 'string $type, string $primary_table, string $primary_id_column, object $context', 'return_type': '\array('},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_http'] = {
\'wp_http': {
\  'name': 'WP_Http',
\  'static_methods': {
\    'processResponse': { 'signature': 'string $strResponse', 'return_type': 'array'},
\    'processHeaders': { 'signature': 'string|array $headers, string $url', 'return_type': 'array'},
\    'buildCookieHeader': { 'signature': 'array $r', 'return_type': 'void'},
\    'chunkTransferDecode': { 'signature': 'string $body', 'return_type': 'string'},
\    'make_absolute_url': { 'signature': ' $maybe_relative_path,  $url', 'return_type': 'void'},
\    'handle_redirects': { 'signature': 'string $url, array $args, array $response', 'return_type': 'false|object'},
\    'is_ip_address': { 'signature': 'string $maybe_ip', 'return_type': 'integer|boolean'},
\  },
\  'methods': {
\    'request': { 'signature': 'string $url, string|array $args', 'return_type': 'array|\WP_Error'},
\    '_get_first_available_transport': { 'signature': 'array $args, string $url', 'return_type': 'string|boolean'},
\    'post': { 'signature': 'string $url, string|array $args', 'return_type': 'array|\WP_Error'},
\    'get': { 'signature': 'string $url, string|array $args', 'return_type': 'array|\WP_Error'},
\    'head': { 'signature': 'string $url, string|array $args', 'return_type': 'array|\WP_Error'},
\    'block_request': { 'signature': 'string $uri', 'return_type': 'boolean'},
\  },
\},
\'wp_http_streams': {
\  'name': 'WP_Http_Streams',
\  'static_methods': {
\    'verify_ssl_certificate': { 'signature': '\stream $stream, string $host', 'return_type': 'boolean'},
\    'test': { 'signature': ' $args', 'return_type': 'boolean'},
\  },
\  'methods': {
\    'request': { 'signature': 'string $url, string|array $args', 'return_type': 'array|\WP_Error'},
\  },
\},
\'wp_http_fsockopen': {
\  'name': 'WP_HTTP_Fsockopen',
\},
\'wp_http_curl': {
\  'name': 'WP_Http_Curl',
\  'static_methods': {
\    'test': { 'signature': ' $args', 'return_type': 'boolean'},
\  },
\  'properties': {
\  },
\  'methods': {
\    'request': { 'signature': 'string $url, string|array $args', 'return_type': 'array|\WP_Error'},
\  },
\},
\'wp_http_proxy': {
\  'name': 'WP_HTTP_Proxy',
\  'methods': {
\    'is_enabled': { 'signature': 'void', 'return_type': 'boolean'},
\    'use_authentication': { 'signature': 'void', 'return_type': 'boolean'},
\    'host': { 'signature': 'void', 'return_type': 'string'},
\    'port': { 'signature': 'void', 'return_type': 'string'},
\    'username': { 'signature': 'void', 'return_type': 'string'},
\    'password': { 'signature': 'void', 'return_type': 'string'},
\    'authentication': { 'signature': 'void', 'return_type': 'string'},
\    'authentication_header': { 'signature': 'void', 'return_type': 'string'},
\    'send_through_proxy': { 'signature': 'string $uri', 'return_type': 'boolean'},
\  },
\},
\'wp_http_cookie': {
\  'name': 'WP_Http_Cookie',
\  'properties': {
\    '$name': {'initializer': '', 'type': 'string'},
\    '$value': {'initializer': '', 'type': 'string'},
\    '$expires': {'initializer': '', 'type': 'string'},
\    '$path': {'initializer': '', 'type': 'string'},
\    '$domain': {'initializer': '', 'type': 'string'},
\  },
\  'methods': {
\    '__construct': { 'signature': 'string|array $data, string $requested_url', 'return_type': 'void'},
\    'test': { 'signature': 'string $url', 'return_type': 'boolean'},
\    'getHeaderValue': { 'signature': 'void', 'return_type': 'string'},
\    'getFullHeader': { 'signature': 'void', 'return_type': 'string'},
\  },
\},
\'wp_http_encoding': {
\  'name': 'WP_Http_Encoding',
\  'static_methods': {
\    'compress': { 'signature': 'string $raw, integer $level, string $supports', 'return_type': 'string|boolean'},
\    'decompress': { 'signature': 'string $compressed, integer $length', 'return_type': 'string|boolean'},
\    'compatible_gzinflate': { 'signature': 'string $gzData', 'return_type': 'string|boolean'},
\    'accept_encoding': { 'signature': ' $url,  $args', 'return_type': 'string'},
\    'content_encoding': { 'signature': 'void', 'return_type': 'string'},
\    'should_decode': { 'signature': 'array|string $headers', 'return_type': 'boolean'},
\    'is_available': { 'signature': 'void', 'return_type': 'boolean'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_file'] = {
\'simplepie_file': {
\  'name': 'SimplePie_File',
\  'properties': {
\    '$url': {'initializer': '', 'type': ''},
\    '$useragent': {'initializer': '', 'type': ''},
\    '$success': {'initializer': 'true', 'type': ''},
\    '$headers': {'initializer': 'array', 'type': ''},
\    '$body': {'initializer': '', 'type': ''},
\    '$status_code': {'initializer': '', 'type': ''},
\    '$redirects': {'initializer': '0', 'type': ''},
\    '$error': {'initializer': '', 'type': ''},
\    '$method': {'initializer': 'SIMPLEPIE_FILE_SOURCE_NONE', 'type': ''},
\  },
\  'methods': {
\    '__construct': { 'signature': ' $url,  $timeout,  $redirects,  $headers,  $useragent,  $force_fsockopen', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_streams'] = {
\'pomo_reader': {
\  'name': 'POMO_Reader',
\  'properties': {
\    '$endian': {'initializer': 'little', 'type': ''},
\    '$_post': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    'POMO_Reader': { 'signature': 'void', 'return_type': 'void'},
\    'setEndian': { 'signature': ' $endian', 'return_type': 'void'},
\    'readint32': { 'signature': 'void', 'return_type': 'mixed'},
\    'readint32array': { 'signature': ' $count', 'return_type': 'mixed'},
\    'substr': { 'signature': ' $string,  $start,  $length', 'return_type': 'void'},
\    'strlen': { 'signature': ' $string', 'return_type': 'void'},
\    'str_split': { 'signature': ' $string,  $chunk_size', 'return_type': 'void'},
\    'pos': { 'signature': 'void', 'return_type': 'void'},
\    'is_resource': { 'signature': 'void', 'return_type': 'void'},
\    'close': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'pomo_filereader': {
\  'name': 'POMO_FileReader',
\  'properties': {
\    '$endian': {'initializer': 'little', 'type': ''},
\    '$_post': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    'POMO_FileReader': { 'signature': ' $filename', 'return_type': 'void'},
\    'read': { 'signature': ' $bytes', 'return_type': 'void'},
\    'seekto': { 'signature': ' $pos', 'return_type': 'void'},
\    'is_resource': { 'signature': 'void', 'return_type': 'void'},
\    'feof': { 'signature': 'void', 'return_type': 'void'},
\    'close': { 'signature': 'void', 'return_type': 'void'},
\    'read_all': { 'signature': 'void', 'return_type': 'void'},
\    'POMO_Reader': { 'signature': 'void', 'return_type': 'void'},
\    'setEndian': { 'signature': ' $endian', 'return_type': 'void'},
\    'readint32': { 'signature': 'void', 'return_type': 'mixed'},
\    'readint32array': { 'signature': ' $count', 'return_type': 'mixed'},
\    'substr': { 'signature': ' $string,  $start,  $length', 'return_type': 'void'},
\    'strlen': { 'signature': ' $string', 'return_type': 'void'},
\    'str_split': { 'signature': ' $string,  $chunk_size', 'return_type': 'void'},
\    'pos': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'pomo_stringreader': {
\  'name': 'POMO_StringReader',
\  'properties': {
\    '$_str': {'initializer': '', 'type': ''},
\    '$endian': {'initializer': 'little', 'type': ''},
\    '$_post': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    'POMO_StringReader': { 'signature': ' $str', 'return_type': 'void'},
\    'read': { 'signature': ' $bytes', 'return_type': 'void'},
\    'seekto': { 'signature': ' $pos', 'return_type': 'void'},
\    'length': { 'signature': 'void', 'return_type': 'void'},
\    'read_all': { 'signature': 'void', 'return_type': 'void'},
\    'POMO_Reader': { 'signature': 'void', 'return_type': 'void'},
\    'setEndian': { 'signature': ' $endian', 'return_type': 'void'},
\    'readint32': { 'signature': 'void', 'return_type': 'mixed'},
\    'readint32array': { 'signature': ' $count', 'return_type': 'mixed'},
\    'substr': { 'signature': ' $string,  $start,  $length', 'return_type': 'void'},
\    'strlen': { 'signature': ' $string', 'return_type': 'void'},
\    'str_split': { 'signature': ' $string,  $chunk_size', 'return_type': 'void'},
\    'pos': { 'signature': 'void', 'return_type': 'void'},
\    'is_resource': { 'signature': 'void', 'return_type': 'void'},
\    'close': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'pomo_cachedfilereader': {
\  'name': 'POMO_CachedFileReader',
\  'properties': {
\    '$_str': {'initializer': '', 'type': ''},
\    '$endian': {'initializer': 'little', 'type': ''},
\    '$_post': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    'POMO_CachedFileReader': { 'signature': ' $filename', 'return_type': 'void'},
\    'POMO_StringReader': { 'signature': ' $str', 'return_type': 'void'},
\    'read': { 'signature': ' $bytes', 'return_type': 'void'},
\    'seekto': { 'signature': ' $pos', 'return_type': 'void'},
\    'length': { 'signature': 'void', 'return_type': 'void'},
\    'read_all': { 'signature': 'void', 'return_type': 'void'},
\    'POMO_Reader': { 'signature': 'void', 'return_type': 'void'},
\    'setEndian': { 'signature': ' $endian', 'return_type': 'void'},
\    'readint32': { 'signature': 'void', 'return_type': 'mixed'},
\    'readint32array': { 'signature': ' $count', 'return_type': 'mixed'},
\    'substr': { 'signature': ' $string,  $start,  $length', 'return_type': 'void'},
\    'strlen': { 'signature': ' $string', 'return_type': 'void'},
\    'str_split': { 'signature': ' $string,  $chunk_size', 'return_type': 'void'},
\    'pos': { 'signature': 'void', 'return_type': 'void'},
\    'is_resource': { 'signature': 'void', 'return_type': 'void'},
\    'close': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'pomo_cachedintfilereader': {
\  'name': 'POMO_CachedIntFileReader',
\  'properties': {
\    '$_str': {'initializer': '', 'type': ''},
\    '$endian': {'initializer': 'little', 'type': ''},
\    '$_post': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    'POMO_CachedIntFileReader': { 'signature': ' $filename', 'return_type': 'void'},
\    'POMO_CachedFileReader': { 'signature': ' $filename', 'return_type': 'void'},
\    'POMO_StringReader': { 'signature': ' $str', 'return_type': 'void'},
\    'read': { 'signature': ' $bytes', 'return_type': 'void'},
\    'seekto': { 'signature': ' $pos', 'return_type': 'void'},
\    'length': { 'signature': 'void', 'return_type': 'void'},
\    'read_all': { 'signature': 'void', 'return_type': 'void'},
\    'POMO_Reader': { 'signature': 'void', 'return_type': 'void'},
\    'setEndian': { 'signature': ' $endian', 'return_type': 'void'},
\    'readint32': { 'signature': 'void', 'return_type': 'mixed'},
\    'readint32array': { 'signature': ' $count', 'return_type': 'mixed'},
\    'substr': { 'signature': ' $string,  $start,  $length', 'return_type': 'void'},
\    'strlen': { 'signature': ' $string', 'return_type': 'void'},
\    'str_split': { 'signature': ' $string,  $chunk_size', 'return_type': 'void'},
\    'pos': { 'signature': 'void', 'return_type': 'void'},
\    'is_resource': { 'signature': 'void', 'return_type': 'void'},
\    'close': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_module_audio_mp3'] = {
\'getid3_mp3': {
\  'name': 'getid3_mp3',
\  'static_methods': {
\    'MPEGaudioVersionArray': { 'signature': 'void', 'return_type': 'void'},
\    'MPEGaudioLayerArray': { 'signature': 'void', 'return_type': 'void'},
\    'MPEGaudioBitrateArray': { 'signature': 'void', 'return_type': 'void'},
\    'MPEGaudioFrequencyArray': { 'signature': 'void', 'return_type': 'void'},
\    'MPEGaudioChannelModeArray': { 'signature': 'void', 'return_type': 'void'},
\    'MPEGaudioModeExtensionArray': { 'signature': 'void', 'return_type': 'void'},
\    'MPEGaudioEmphasisArray': { 'signature': 'void', 'return_type': 'void'},
\    'MPEGaudioHeaderBytesValid': { 'signature': ' $head4,  $allowBitrate15', 'return_type': 'void'},
\    'MPEGaudioHeaderValid': { 'signature': ' $rawarray,  $echoerrors,  $allowBitrate15', 'return_type': 'void'},
\    'MPEGaudioHeaderDecode': { 'signature': ' $Header4Bytes', 'return_type': 'void'},
\    'MPEGaudioFrameLength': { 'signature': ' $bitrate,  $version,  $layer,  $padding,  $samplerate', 'return_type': 'void'},
\    'ClosestStandardMP3Bitrate': { 'signature': ' $bit_rate', 'return_type': 'void'},
\    'XingVBRidOffset': { 'signature': ' $version,  $channelmode', 'return_type': 'void'},
\    'LAMEvbrMethodLookup': { 'signature': ' $VBRmethodID', 'return_type': 'void'},
\    'LAMEmiscStereoModeLookup': { 'signature': ' $StereoModeID', 'return_type': 'void'},
\    'LAMEmiscSourceSampleFrequencyLookup': { 'signature': ' $SourceSampleFrequencyID', 'return_type': 'void'},
\    'LAMEsurroundInfoLookup': { 'signature': ' $SurroundInfoID', 'return_type': 'void'},
\    'LAMEpresetUsedLookup': { 'signature': ' $LAMEtag', 'return_type': 'void'},
\  },
\  'properties': {
\    '$allow_bruteforce': {'initializer': 'false', 'type': ''},
\  },
\  'methods': {
\    'Analyze': { 'signature': 'void', 'return_type': 'void'},
\    'GuessEncoderOptions': { 'signature': 'void', 'return_type': 'void'},
\    'decodeMPEGaudioHeader': { 'signature': ' $offset,  $info,  $recursivesearch,  $ScanAsCBR,  $FastMPEGheaderScan', 'return_type': 'void'},
\    'RecursiveFrameScanning': { 'signature': ' $offset,  $nextframetestoffset,  $ScanAsCBR', 'return_type': 'void'},
\    'FreeFormatFrameLength': { 'signature': ' $offset,  $deepscan', 'return_type': 'void'},
\    'getOnlyMPEGaudioInfoBruteForce': { 'signature': 'void', 'return_type': 'void'},
\    'getOnlyMPEGaudioInfo': { 'signature': ' $avdataoffset,  $BitrateHistogram', 'return_type': 'void'},
\    '__construct': { 'signature': '\getID3 $getid3,  $call_module', 'return_type': 'void'},
\    'AnalyzeString': { 'signature': ' $string', 'return_type': 'void'},
\    'setStringMode': { 'signature': ' $string', 'return_type': 'void'},
\    'saveAttachment': { 'signature': ' $name,  $offset,  $length,  $image_mime', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_author'] = {
\'simplepie_author': {
\  'name': 'SimplePie_Author',
\  'properties': {
\    '$name': {'initializer': '', 'type': 'string'},
\    '$link': {'initializer': '', 'type': 'string'},
\    '$email': {'initializer': '', 'type': 'string'},
\  },
\  'methods': {
\    '__construct': { 'signature': 'string $name, string $link, string $email', 'return_type': 'void'},
\    '__toString': { 'signature': 'void', 'return_type': 'string'},
\    'get_name': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_link': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_email': { 'signature': 'void', 'return_type': 'string|null'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_locale'] = {
\'wp_locale': {
\  'name': 'WP_Locale',
\  'properties': {
\    '$weekday': {'initializer': '', 'type': 'array'},
\    '$weekday_initial': {'initializer': '', 'type': 'array'},
\    '$weekday_abbrev': {'initializer': '', 'type': 'array'},
\    '$month': {'initializer': '', 'type': 'array'},
\    '$month_abbrev': {'initializer': '', 'type': 'array'},
\    '$meridiem': {'initializer': '', 'type': 'array'},
\    '$text_direction': {'initializer': 'ltr', 'type': 'string'},
\  },
\  'methods': {
\    'init': { 'signature': 'void', 'return_type': 'void'},
\    'rtl_src_admin_notice': { 'signature': 'void', 'return_type': 'void'},
\    'get_weekday': { 'signature': 'integer $weekday_number', 'return_type': 'string'},
\    'get_weekday_initial': { 'signature': 'string $weekday_name', 'return_type': 'string'},
\    'get_weekday_abbrev': { 'signature': 'string $weekday_name', 'return_type': 'string'},
\    'get_month': { 'signature': 'string|integer $month_number', 'return_type': 'string'},
\    'get_month_abbrev': { 'signature': 'string $month_name', 'return_type': 'string'},
\    'get_meridiem': { 'signature': 'string $meridiem', 'return_type': 'string'},
\    'register_globals': { 'signature': 'void', 'return_type': 'void'},
\    '__construct': { 'signature': 'void', 'return_type': '\WP_Locale'},
\    'is_rtl': { 'signature': 'void', 'return_type': 'boolean'},
\    '_strings_for_pot': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_simplepie'] = {
\'simplepie': {
\  'name': 'SimplePie',
\  'static_methods': {
\    'sort_items': { 'signature': '\SimplePie $a, \SimplePie $b', 'return_type': 'boolean'},
\    'merge_items': { 'signature': 'array $urls, integer $start, integer $end, integer $limit', 'return_type': 'array'},
\  },
\  'properties': {
\    '$data': {'initializer': 'array', 'type': 'array'},
\    '$error': {'initializer': '', 'type': 'mixed'},
\    '$sanitize': {'initializer': '', 'type': 'object'},
\    '$useragent': {'initializer': 'SIMPLEPIE_USERAGENT', 'type': 'string'},
\    '$feed_url': {'initializer': '', 'type': 'string'},
\    '$file': {'initializer': '', 'type': 'object'},
\    '$raw_data': {'initializer': '', 'type': 'string'},
\    '$timeout': {'initializer': '10', 'type': 'integer'},
\    '$force_fsockopen': {'initializer': 'false', 'type': 'boolean'},
\    '$force_feed': {'initializer': 'false', 'type': 'boolean'},
\    '$cache': {'initializer': 'true', 'type': 'boolean'},
\    '$cache_duration': {'initializer': '3600', 'type': 'integer'},
\    '$autodiscovery_cache_duration': {'initializer': '604800', 'type': 'integer'},
\    '$cache_location': {'initializer': './cache', 'type': 'string'},
\    '$cache_name_function': {'initializer': 'md5', 'type': 'string'},
\    '$order_by_date': {'initializer': 'true', 'type': 'boolean'},
\    '$input_encoding': {'initializer': 'false', 'type': 'mixed'},
\    '$autodiscovery': {'initializer': 'SIMPLEPIE_LOCATOR_ALL', 'type': 'integer'},
\    '$registry': {'initializer': '', 'type': '\SimplePie_Registry'},
\    '$max_checked_feeds': {'initializer': '10', 'type': 'integer'},
\    '$all_discovered_feeds': {'initializer': 'array', 'type': 'array'},
\    '$image_handler': {'initializer': '', 'type': 'string'},
\    '$multifeed_url': {'initializer': 'array', 'type': 'array'},
\    '$multifeed_objects': {'initializer': 'array', 'type': 'array'},
\    '$config_settings': {'initializer': 'null', 'type': 'array'},
\    '$item_limit': {'initializer': '0', 'type': 'integer'},
\    '$strip_attributes': {'initializer': 'array', 'type': 'array'},
\    '$strip_htmltags': {'initializer': 'array', 'type': 'array'},
\  },
\  'methods': {
\    '__construct': { 'signature': 'void', 'return_type': 'void'},
\    '__toString': { 'signature': 'void', 'return_type': 'void'},
\    '__destruct': { 'signature': 'void', 'return_type': 'void'},
\    'force_feed': { 'signature': 'boolean $enable', 'return_type': 'void'},
\    'set_feed_url': { 'signature': 'string|array $url', 'return_type': 'void'},
\    'set_file': { 'signature': ' $file', 'return_type': 'boolean'},
\    'set_raw_data': { 'signature': 'string $data', 'return_type': 'void'},
\    'set_timeout': { 'signature': 'integer $timeout', 'return_type': 'void'},
\    'force_fsockopen': { 'signature': 'boolean $enable', 'return_type': 'void'},
\    'enable_cache': { 'signature': 'boolean $enable', 'return_type': 'void'},
\    'set_cache_duration': { 'signature': 'integer $seconds', 'return_type': 'void'},
\    'set_autodiscovery_cache_duration': { 'signature': 'integer $seconds', 'return_type': 'void'},
\    'set_cache_location': { 'signature': 'string $location', 'return_type': 'void'},
\    'enable_order_by_date': { 'signature': 'boolean $enable', 'return_type': 'void'},
\    'set_input_encoding': { 'signature': 'string $encoding', 'return_type': 'void'},
\    'set_autodiscovery_level': { 'signature': 'integer $level', 'return_type': 'void'},
\    'get_registry': { 'signature': 'void', 'return_type': '\SimplePie_Registry'},
\    'set_cache_class': { 'signature': ' $class', 'return_type': 'void'},
\    'set_locator_class': { 'signature': ' $class', 'return_type': 'void'},
\    'set_parser_class': { 'signature': ' $class', 'return_type': 'void'},
\    'set_file_class': { 'signature': ' $class', 'return_type': 'void'},
\    'set_sanitize_class': { 'signature': ' $class', 'return_type': 'void'},
\    'set_item_class': { 'signature': ' $class', 'return_type': 'void'},
\    'set_author_class': { 'signature': ' $class', 'return_type': 'void'},
\    'set_category_class': { 'signature': ' $class', 'return_type': 'void'},
\    'set_enclosure_class': { 'signature': ' $class', 'return_type': 'void'},
\    'set_caption_class': { 'signature': ' $class', 'return_type': 'void'},
\    'set_copyright_class': { 'signature': ' $class', 'return_type': 'void'},
\    'set_credit_class': { 'signature': ' $class', 'return_type': 'void'},
\    'set_rating_class': { 'signature': ' $class', 'return_type': 'void'},
\    'set_restriction_class': { 'signature': ' $class', 'return_type': 'void'},
\    'set_content_type_sniffer_class': { 'signature': ' $class', 'return_type': 'void'},
\    'set_source_class': { 'signature': ' $class', 'return_type': 'void'},
\    'set_useragent': { 'signature': 'string $ua', 'return_type': 'void'},
\    'set_cache_name_function': { 'signature': 'mixed $function', 'return_type': 'void'},
\    'set_stupidly_fast': { 'signature': 'boolean $set', 'return_type': 'void'},
\    'set_max_checked_feeds': { 'signature': 'integer $max', 'return_type': 'void'},
\    'remove_div': { 'signature': ' $enable', 'return_type': 'void'},
\    'strip_htmltags': { 'signature': ' $tags,  $encode', 'return_type': 'void'},
\    'encode_instead_of_strip': { 'signature': ' $enable', 'return_type': 'void'},
\    'strip_attributes': { 'signature': ' $attribs', 'return_type': 'void'},
\    'set_output_encoding': { 'signature': 'string $encoding', 'return_type': 'void'},
\    'strip_comments': { 'signature': ' $strip', 'return_type': 'void'},
\    'set_url_replacements': { 'signature': 'array|null $element_attribute', 'return_type': 'void'},
\    'set_image_handler': { 'signature': '\str $page, \str $qs', 'return_type': 'void'},
\    'set_item_limit': { 'signature': 'integer $limit', 'return_type': 'void'},
\    'init': { 'signature': 'void', 'return_type': 'boolean'},
\    'error': { 'signature': 'void', 'return_type': 'string|array'},
\    'get_raw_data': { 'signature': 'void', 'return_type': 'string|boolean'},
\    'get_encoding': { 'signature': 'void', 'return_type': 'string'},
\    'handle_content_type': { 'signature': 'string $mime', 'return_type': 'void'},
\    'get_type': { 'signature': 'void', 'return_type': 'integer'},
\    'subscribe_url': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_feed_tags': { 'signature': 'string $namespace, string $tag', 'return_type': 'array'},
\    'get_channel_tags': { 'signature': 'string $namespace, string $tag', 'return_type': 'array'},
\    'get_image_tags': { 'signature': 'string $namespace, string $tag', 'return_type': 'array'},
\    'get_base': { 'signature': 'array $element', 'return_type': 'string'},
\    'sanitize': { 'signature': 'string $data, integer $type, string $base', 'return_type': 'string'},
\    'get_title': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_category': { 'signature': 'integer $key', 'return_type': '\SimplePie_Category|null'},
\    'get_categories': { 'signature': 'void', 'return_type': 'array|null'},
\    'get_author': { 'signature': 'integer $key', 'return_type': '\SimplePie_Author|null'},
\    'get_authors': { 'signature': 'void', 'return_type': 'array|null'},
\    'get_contributor': { 'signature': 'integer $key', 'return_type': '\SimplePie_Author|null'},
\    'get_contributors': { 'signature': 'void', 'return_type': 'array|null'},
\    'get_link': { 'signature': 'integer $key, string $rel', 'return_type': 'string|null'},
\    'get_links': { 'signature': 'string $rel', 'return_type': 'array|null'},
\    'get_all_discovered_feeds': { 'signature': 'void', 'return_type': 'void'},
\    'get_description': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_copyright': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_language': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_latitude': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_longitude': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_image_title': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_image_url': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_image_link': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_image_width': { 'signature': 'void', 'return_type': 'integer|float|null'},
\    'get_image_height': { 'signature': 'void', 'return_type': 'integer|float|null'},
\    'get_item_quantity': { 'signature': 'integer $max', 'return_type': 'integer'},
\    'get_item': { 'signature': 'integer $key', 'return_type': '\SimplePie_Item|null'},
\    'get_items': { 'signature': 'integer $start, integer $end', 'return_type': 'array|null'},
\    'set_favicon_handler': { 'signature': ' $page,  $qs', 'return_type': 'void'},
\    'get_favicon': { 'signature': 'void', 'return_type': 'void'},
\    '__call': { 'signature': 'string $method, array $args', 'return_type': 'mixed'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_parser'] = {
\'simplepie_parser': {
\  'name': 'SimplePie_Parser',
\  'properties': {
\    '$error_code': {'initializer': '', 'type': ''},
\    '$error_string': {'initializer': '', 'type': ''},
\    '$current_line': {'initializer': '', 'type': ''},
\    '$current_column': {'initializer': '', 'type': ''},
\    '$current_byte': {'initializer': '', 'type': ''},
\    '$separator': {'initializer': ' ', 'type': ''},
\    '$namespace': {'initializer': 'array', 'type': ''},
\    '$element': {'initializer': 'array', 'type': ''},
\    '$xml_base': {'initializer': 'array', 'type': ''},
\    '$xml_base_explicit': {'initializer': 'array', 'type': ''},
\    '$xml_lang': {'initializer': 'array', 'type': ''},
\    '$data': {'initializer': 'array', 'type': ''},
\    '$datas': {'initializer': 'array', 'type': ''},
\    '$current_xhtml_construct': {'initializer': '-1', 'type': ''},
\    '$encoding': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    'set_registry': { 'signature': '\SimplePie_Registry $registry', 'return_type': 'void'},
\    'parse': { 'signature': ' $data,  $encoding', 'return_type': 'void'},
\    'get_error_code': { 'signature': 'void', 'return_type': 'void'},
\    'get_error_string': { 'signature': 'void', 'return_type': 'void'},
\    'get_current_line': { 'signature': 'void', 'return_type': 'void'},
\    'get_current_column': { 'signature': 'void', 'return_type': 'void'},
\    'get_current_byte': { 'signature': 'void', 'return_type': 'void'},
\    'get_data': { 'signature': 'void', 'return_type': 'void'},
\    'tag_open': { 'signature': ' $parser,  $tag,  $attributes', 'return_type': 'void'},
\    'cdata': { 'signature': ' $parser,  $cdata', 'return_type': 'void'},
\    'tag_close': { 'signature': ' $parser,  $tag', 'return_type': 'void'},
\    'split_ns': { 'signature': ' $string', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_module_tag_id3v2'] = {
\'getid3_id3v2': {
\  'name': 'getid3_id3v2',
\  'static_methods': {
\    'LanguageLookup': { 'signature': ' $languagecode,  $casesensitive', 'return_type': 'void'},
\    'ETCOEventLookup': { 'signature': ' $index', 'return_type': 'void'},
\    'SYTLContentTypeLookup': { 'signature': ' $index', 'return_type': 'void'},
\    'APICPictureTypeLookup': { 'signature': ' $index,  $returnarray', 'return_type': 'void'},
\    'COMRReceivedAsLookup': { 'signature': ' $index', 'return_type': 'void'},
\    'RVA2ChannelTypeLookup': { 'signature': ' $index', 'return_type': 'void'},
\    'FrameNameLongLookup': { 'signature': ' $framename', 'return_type': 'void'},
\    'FrameNameShortLookup': { 'signature': ' $framename', 'return_type': 'void'},
\    'TextEncodingTerminatorLookup': { 'signature': ' $encoding', 'return_type': 'void'},
\    'TextEncodingNameLookup': { 'signature': ' $encoding', 'return_type': 'void'},
\    'IsValidID3v2FrameName': { 'signature': ' $framename,  $id3v2majorversion', 'return_type': 'void'},
\    'IsANumber': { 'signature': ' $numberstring,  $allowdecimal,  $allownegative', 'return_type': 'void'},
\    'IsValidDateStampString': { 'signature': ' $datestamp', 'return_type': 'void'},
\    'ID3v2HeaderLength': { 'signature': ' $majorversion', 'return_type': 'void'},
\  },
\  'properties': {
\    '$StartingOffset': {'initializer': '0', 'type': ''},
\  },
\  'methods': {
\    'Analyze': { 'signature': 'void', 'return_type': 'void'},
\    'ParseID3v2GenreString': { 'signature': ' $genrestring', 'return_type': 'void'},
\    'ParseID3v2Frame': { 'signature': ' $parsedFrame', 'return_type': 'void'},
\    'DeUnsynchronise': { 'signature': ' $data', 'return_type': 'void'},
\    'LookupExtendedHeaderRestrictionsTagSizeLimits': { 'signature': ' $index', 'return_type': 'void'},
\    'LookupExtendedHeaderRestrictionsTextEncodings': { 'signature': ' $index', 'return_type': 'void'},
\    'LookupExtendedHeaderRestrictionsTextFieldSize': { 'signature': ' $index', 'return_type': 'void'},
\    'LookupExtendedHeaderRestrictionsImageEncoding': { 'signature': ' $index', 'return_type': 'void'},
\    'LookupExtendedHeaderRestrictionsImageSizeSize': { 'signature': ' $index', 'return_type': 'void'},
\    'LookupCurrencyUnits': { 'signature': ' $currencyid', 'return_type': 'void'},
\    'LookupCurrencyCountry': { 'signature': ' $currencyid', 'return_type': 'void'},
\    '__construct': { 'signature': '\getID3 $getid3,  $call_module', 'return_type': 'void'},
\    'AnalyzeString': { 'signature': ' $string', 'return_type': 'void'},
\    'setStringMode': { 'signature': ' $string', 'return_type': 'void'},
\    'saveAttachment': { 'signature': ' $name,  $offset,  $length,  $image_mime', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_date'] = {
\'simplepie_parse_date': {
\  'name': 'SimplePie_Parse_Date',
\  'static_methods': {
\    'get': { 'signature': 'void', 'return_type': 'void'},
\  },
\  'properties': {
\    '$date': {'initializer': '', 'type': 'string'},
\    '$day': {'initializer': 'array', 'type': 'array'},
\    '$month': {'initializer': 'array', 'type': 'array'},
\    '$timezone': {'initializer': 'array', 'type': 'array'},
\    '$day_pcre': {'initializer': '', 'type': 'string'},
\    '$month_pcre': {'initializer': '', 'type': 'string'},
\    '$built_in': {'initializer': 'array', 'type': 'array'},
\    '$user': {'initializer': 'array', 'type': 'array'},
\  },
\  'methods': {
\    '__construct': { 'signature': 'void', 'return_type': 'void'},
\    'parse': { 'signature': 'string $date', 'return_type': 'integer'},
\    'add_callback': { 'signature': 'callback $callback', 'return_type': 'void'},
\    'date_w3cdtf': { 'signature': ' $date', 'return_type': 'integer'},
\    'remove_rfc2822_comments': { 'signature': ' $string', 'return_type': 'string'},
\    'date_rfc2822': { 'signature': ' $date', 'return_type': 'integer'},
\    'date_rfc850': { 'signature': ' $date', 'return_type': 'integer'},
\    'date_asctime': { 'signature': ' $date', 'return_type': 'integer'},
\    'date_strtotime': { 'signature': ' $date', 'return_type': 'integer'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_category'] = {
\'simplepie_category': {
\  'name': 'SimplePie_Category',
\  'properties': {
\    '$term': {'initializer': '', 'type': 'string'},
\    '$scheme': {'initializer': '', 'type': 'string'},
\    '$label': {'initializer': '', 'type': 'string'},
\  },
\  'methods': {
\    '__construct': { 'signature': 'string $term, string $scheme, string $label', 'return_type': 'void'},
\    '__toString': { 'signature': 'void', 'return_type': 'string'},
\    'get_term': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_scheme': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_label': { 'signature': 'void', 'return_type': 'string|null'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_widgets'] = {
\'wp_widget': {
\  'name': 'WP_Widget',
\  'properties': {
\    '$id_base': {'initializer': '', 'type': ''},
\    '$name': {'initializer': '', 'type': ''},
\    '$widget_options': {'initializer': '', 'type': ''},
\    '$control_options': {'initializer': '', 'type': ''},
\    '$number': {'initializer': 'false', 'type': ''},
\    '$id': {'initializer': 'false', 'type': ''},
\    '$updated': {'initializer': 'false', 'type': ''},
\  },
\  'methods': {
\    'widget': { 'signature': 'array $args, array $instance', 'return_type': 'void'},
\    'update': { 'signature': 'array $new_instance, array $old_instance', 'return_type': 'array'},
\    'form': { 'signature': 'array $instance', 'return_type': 'void'},
\    '__construct': { 'signature': 'string $id_base, string $name, array $widget_options, array $control_options', 'return_type': 'void'},
\    'WP_Widget': { 'signature': ' $id_base,  $name,  $widget_options,  $control_options', 'return_type': 'void'},
\    'get_field_name': { 'signature': 'string $field_name', 'return_type': 'string'},
\    'get_field_id': { 'signature': 'string $field_name', 'return_type': 'string'},
\    '_register': { 'signature': 'void', 'return_type': 'void'},
\    '_set': { 'signature': ' $number', 'return_type': 'void'},
\    '_get_display_callback': { 'signature': 'void', 'return_type': 'void'},
\    '_get_update_callback': { 'signature': 'void', 'return_type': 'void'},
\    '_get_form_callback': { 'signature': 'void', 'return_type': 'void'},
\    'is_preview': { 'signature': 'void', 'return_type': 'boolean'},
\    'display_callback': { 'signature': ' $args,  $widget_args', 'return_type': 'void'},
\    'update_callback': { 'signature': 'mixed $deprecated', 'return_type': 'void'},
\    'form_callback': { 'signature': ' $widget_args', 'return_type': 'void'},
\    '_register_one': { 'signature': ' $number', 'return_type': 'void'},
\    'save_settings': { 'signature': ' $settings', 'return_type': 'void'},
\    'get_settings': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\'wp_widget_factory': {
\  'name': 'WP_Widget_Factory',
\  'properties': {
\    '$widgets': {'initializer': 'array', 'type': ''},
\  },
\  'methods': {
\    'WP_Widget_Factory': { 'signature': 'void', 'return_type': 'void'},
\    'register': { 'signature': ' $widget_class', 'return_type': 'void'},
\    'unregister': { 'signature': ' $widget_class', 'return_type': 'void'},
\    '_register_widgets': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_credit'] = {
\'simplepie_credit': {
\  'name': 'SimplePie_Credit',
\  'properties': {
\    '$role': {'initializer': '', 'type': 'string'},
\    '$scheme': {'initializer': '', 'type': 'string'},
\    '$name': {'initializer': '', 'type': 'string'},
\  },
\  'methods': {
\    '__construct': { 'signature': ' $role,  $scheme,  $name', 'return_type': 'void'},
\    '__toString': { 'signature': 'void', 'return_type': 'string'},
\    'get_role': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_scheme': { 'signature': 'void', 'return_type': 'string|null'},
\    'get_name': { 'signature': 'void', 'return_type': 'string|null'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_memcache'] = {
\'simplepie_cache_memcache': {
\  'name': 'SimplePie_Cache_Memcache',
\  'properties': {
\  },
\  'methods': {
\    '__construct': { 'signature': 'string $location, string $name, string $type', 'return_type': 'void'},
\    'save': { 'signature': 'array|\SimplePie $data', 'return_type': 'boolean'},
\    'load': { 'signature': 'void', 'return_type': 'array'},
\    'mtime': { 'signature': 'void', 'return_type': 'integer'},
\    'touch': { 'signature': 'void', 'return_type': 'boolean'},
\    'unlink': { 'signature': 'void', 'return_type': 'boolean'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_string'] = {
\'text_diff_engine_string': {
\  'name': 'Text_Diff_Engine_string',
\  'methods': {
\    'diff': { 'signature': 'string $diff, string $mode', 'return_type': 'array'},
\    'parseUnifiedDiff': { 'signature': 'array $diff', 'return_type': 'array'},
\    'parseContextDiff': { 'signature': 'array $diff', 'return_type': 'array'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_rss'] = {
\'magpierss': {
\  'name': 'MagpieRSS',
\  'properties': {
\    '$parser': {'initializer': '', 'type': ''},
\    '$current_item': {'initializer': 'array', 'type': ''},
\    '$items': {'initializer': 'array', 'type': ''},
\    '$channel': {'initializer': 'array', 'type': ''},
\    '$textinput': {'initializer': 'array', 'type': ''},
\    '$image': {'initializer': 'array', 'type': ''},
\    '$feed_type': {'initializer': '', 'type': ''},
\    '$feed_version': {'initializer': '', 'type': ''},
\    '$stack': {'initializer': 'array', 'type': ''},
\    '$inchannel': {'initializer': 'false', 'type': ''},
\    '$initem': {'initializer': 'false', 'type': ''},
\    '$incontent': {'initializer': 'false', 'type': ''},
\    '$intextinput': {'initializer': 'false', 'type': ''},
\    '$inimage': {'initializer': 'false', 'type': ''},
\    '$current_field': {'initializer': '', 'type': ''},
\    '$current_namespace': {'initializer': 'false', 'type': ''},
\    '$_CONTENT_CONSTRUCTS': {'initializer': 'array', 'type': ''},
\  },
\  'methods': {
\    'MagpieRSS': { 'signature': ' $source', 'return_type': 'void'},
\    'feed_start_element': { 'signature': ' $p,  $element,  $attrs', 'return_type': 'void'},
\    'feed_cdata': { 'signature': ' $p,  $text', 'return_type': 'void'},
\    'feed_end_element': { 'signature': ' $p,  $el', 'return_type': 'void'},
\    'concat': { 'signature': ' $str1,  $str2', 'return_type': 'void'},
\    'append_content': { 'signature': ' $text', 'return_type': 'void'},
\    'append': { 'signature': ' $el,  $text', 'return_type': 'void'},
\    'normalize': { 'signature': 'void', 'return_type': 'void'},
\    'is_rss': { 'signature': 'void', 'return_type': 'void'},
\    'is_atom': { 'signature': 'void', 'return_type': 'void'},
\    'map_attrs': { 'signature': ' $k,  $v', 'return_type': 'void'},
\    'error': { 'signature': ' $errormsg,  $lvl', 'return_type': 'void'},
\  },
\},
\'rsscache': {
\  'name': 'RSSCache',
\  'properties': {
\    '$BASE_CACHE': {'initializer': '', 'type': ''},
\    '$MAX_AGE': {'initializer': '43200', 'type': ''},
\    '$ERROR': {'initializer': '', 'type': ''},
\  },
\  'methods': {
\    'RSSCache': { 'signature': ' $base,  $age', 'return_type': 'void'},
\    'set': { 'signature': ' $url,  $rss', 'return_type': 'void'},
\    'get': { 'signature': ' $url', 'return_type': 'void'},
\    'check_cache': { 'signature': ' $url', 'return_type': 'void'},
\    'serialize': { 'signature': ' $rss', 'return_type': 'void'},
\    'unserialize': { 'signature': ' $data', 'return_type': 'void'},
\    'file_name': { 'signature': ' $url', 'return_type': 'void'},
\    'error': { 'signature': ' $errormsg,  $lvl', 'return_type': 'void'},
\    'debug': { 'signature': ' $debugmsg,  $lvl', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_entities'] = {
\'simplepie_decode_html_entities': {
\  'name': 'SimplePie_Decode_HTML_Entities',
\  'properties': {
\    '$data': {'initializer': '', 'type': 'string'},
\    '$consumed': {'initializer': '', 'type': 'string'},
\    '$position': {'initializer': '0', 'type': 'integer'},
\  },
\  'methods': {
\    '__construct': { 'signature': 'string $data', 'return_type': 'void'},
\    'parse': { 'signature': 'void', 'return_type': 'string'},
\    'consume': { 'signature': 'void', 'return_type': 'mixed'},
\    'consume_range': { 'signature': 'string $chars', 'return_type': 'mixed'},
\    'unconsume': { 'signature': 'void', 'return_type': 'void'},
\    'entity': { 'signature': 'void', 'return_type': 'void'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_cache'] = {
\'wp_object_cache': {
\  'name': 'WP_Object_Cache',
\  'properties': {
\    '$cache_misses': {'initializer': '0', 'type': 'integer'},
\  },
\  'methods': {
\    '__get': { 'signature': 'string $name', 'return_type': 'mixed'},
\    '__set': { 'signature': 'string $name, mixed $value', 'return_type': 'mixed'},
\    '__isset': { 'signature': 'string $name', 'return_type': 'boolean'},
\    '__unset': { 'signature': 'string $name', 'return_type': 'void'},
\    'add': { 'signature': 'integer|string $key, mixed $data, string $group, integer $expire', 'return_type': 'boolean'},
\    'add_global_groups': { 'signature': 'array $groups', 'return_type': 'void'},
\    'decr': { 'signature': 'integer|string $key, integer $offset, string $group', 'return_type': 'false|integer'},
\    'delete': { 'signature': 'integer|string $key, string $group, boolean $deprecated', 'return_type': 'boolean'},
\    'flush': { 'signature': 'void', 'return_type': 'boolean'},
\    'get': { 'signature': 'integer|string $key, string $group, string $force,  $found', 'return_type': 'boolean|mixed'},
\    'incr': { 'signature': 'integer|string $key, integer $offset, string $group', 'return_type': 'false|integer'},
\    'replace': { 'signature': 'integer|string $key, mixed $data, string $group, integer $expire', 'return_type': 'boolean'},
\    'reset': { 'signature': 'void', 'return_type': 'void'},
\    'set': { 'signature': 'integer|string $key, mixed $data, string $group, integer $expire', 'return_type': 'boolean'},
\    'stats': { 'signature': 'void', 'return_type': 'void'},
\    'switch_to_blog': { 'signature': 'integer $blog_id', 'return_type': 'void'},
\    '__construct': { 'signature': 'void', 'return_type': 'null|\WP_Object_Cache'},
\    '__destruct': { 'signature': 'void', 'return_type': 'boolean'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_smtp'] = {
\'smtp': {
\  'name': 'SMTP',
\  'properties': {
\    '$Version': {'initializer': '5.2.7', 'type': ''},
\    '$SMTP_PORT': {'initializer': '25', 'type': ''},
\    '$CRLF': {'initializer': '"\r\n"', 'type': ''},
\    '$do_debug': {'initializer': '0', 'type': ''},
\    '$Debugoutput': {'initializer': 'echo', 'type': ''},
\    '$do_verp': {'initializer': 'false', 'type': ''},
\    '$Timeout': {'initializer': '15', 'type': ''},
\    '$Timelimit': {'initializer': '30', 'type': ''},
\  },
\  'methods': {
\    '__construct': { 'signature': 'void', 'return_type': 'void'},
\    'connect': { 'signature': 'string $host, integer $port, integer $timeout, array $options', 'return_type': 'boolean'},
\    'startTLS': { 'signature': 'void', 'return_type': 'boolean'},
\    'authenticate': { 'signature': 'string $username, string $password, string $authtype, string $realm, string $workstation', 'return_type': 'boolean'},
\    'connected': { 'signature': 'void', 'return_type': 'boolean'},
\    'close': { 'signature': 'void', 'return_type': 'void'},
\    'data': { 'signature': 'string $msg_data', 'return_type': 'boolean'},
\    'hello': { 'signature': 'string $host', 'return_type': 'boolean'},
\    'mail': { 'signature': 'string $from', 'return_type': 'boolean'},
\    'quit': { 'signature': 'boolean $close_on_error', 'return_type': 'boolean'},
\    'recipient': { 'signature': 'string $to', 'return_type': 'boolean'},
\    'reset': { 'signature': 'void', 'return_type': 'boolean'},
\    'sendAndMail': { 'signature': 'string $from', 'return_type': 'boolean'},
\    'verify': { 'signature': 'string $name', 'return_type': 'boolean'},
\    'noop': { 'signature': 'void', 'return_type': 'boolean'},
\    'turn': { 'signature': 'void', 'return_type': 'boolean'},
\    'client_send': { 'signature': 'string $data', 'return_type': 'integer|boolean'},
\    'getError': { 'signature': 'void', 'return_type': 'array'},
\    'getLastReply': { 'signature': 'void', 'return_type': 'string'},
\    'setVerp': { 'signature': 'boolean $enabled', 'return_type': 'void'},
\    'getVerp': { 'signature': 'void', 'return_type': 'boolean'},
\    'setDebugOutput': { 'signature': 'string $method', 'return_type': 'void'},
\    'getDebugOutput': { 'signature': 'void', 'return_type': 'string'},
\    'setDebugLevel': { 'signature': 'integer $level', 'return_type': 'void'},
\    'getDebugLevel': { 'signature': 'void', 'return_type': 'integer'},
\    'setTimeout': { 'signature': 'integer $timeout', 'return_type': 'void'},
\    'getTimeout': { 'signature': 'void', 'return_type': 'integer'},
\  },
\},
\}

let g:phpcomplete_builtin['classes']['wp_class_wp_error'] = {
\'wp_error': {
\  'name': 'WP_Error',
\  'properties': {
\  },
\  'methods': {
\    '__construct': { 'signature': 'string|integer $code, string $message, mixed $data', 'return_type': '\WP_Error'},
\    '__get': { 'signature': 'string $name', 'return_type': 'mixed'},
\    '__set': { 'signature': 'string $name, mixed $value', 'return_type': 'mixed'},
\    '__isset': { 'signature': 'string $name', 'return_type': 'boolean'},
\    '__unset': { 'signature': 'string $name', 'return_type': 'void'},
\    'get_error_codes': { 'signature': 'void', 'return_type': 'array'},
\    'get_error_code': { 'signature': 'void', 'return_type': 'string|integer'},
\    'get_error_messages': { 'signature': 'string|integer $code', 'return_type': 'array'},
\    'get_error_message': { 'signature': 'string|integer $code', 'return_type': 'string'},
\    'get_error_data': { 'signature': 'string|integer $code', 'return_type': 'mixed'},
\    'add': { 'signature': 'string|integer $code, string $message, mixed $data', 'return_type': 'void'},
\    'add_data': { 'signature': 'mixed $data, string|integer $code', 'return_type': 'void'},
\  },
\},
\}


" Function Modules "
let g:wordpress_active_function_extensions = [
\ 'wp_script_loader',
\ 'wp_post_formats',
\ 'wp_http',
\ 'wp_cron',
\ 'wp_rewrite',
\ 'wp_ms_blogs',
\ 'wp_taxonomy',
\ 'wp_query',
\ 'wp_functions_wp_scripts',
\ 'wp_media',
\ 'wp_formatting',
\ 'wp_admin_bar',
\ 'wp_post_template',
\ 'wp_comment_template',
\ 'wp_general_template',
\ 'wp_template',
\ 'wp_comment',
\ 'wp_media_template',
\ 'wp_post',
\ 'wp_author_template',
\ 'wp_category',
\ 'wp_l10n',
\ 'wp_link_template',
\ 'wp_pluggable',
\ 'wp_capabilities',
\ 'wp_option',
\ 'wp_nav_menu_template',
\ 'wp_ms_load',
\ 'wp_class_pop3',
\ 'wp_category_template',
\ 'wp_kses',
\ 'wp_deprecated',
\ 'wp_class_wp_customize_manager',
\ 'wp_default_widgets',
\ 'wp_user',
\ 'wp_canonical',
\ 'wp_load',
\ 'wp_wp_tinymce',
\ 'wp_update',
\ 'wp_plugin',
\ 'wp_ms_functions',
\ 'wp_default_constants',
\ 'wp_ms_default_constants',
\ 'wp_functions',
\ 'wp_theme',
\ 'wp_vars',
\ 'wp_compat',
\ 'wp_bookmark',
\ 'wp_functions_wp_styles',
\ 'wp_feed',
\ 'wp_meta',
\ 'wp_locale',
\ 'wp_class_simplepie',
\ 'wp_nav_menu',
\ 'wp_widgets',
\ 'wp_rss',
\ 'wp_revision',
\ 'wp_cache',
\ 'wp_post_thumbnail_template',
\ 'wp_shortcodes',
\ 'wp_class_wp_error',
\ 'wp_bookmark_template',
\]

" Class Modules "
let g:wordpress_active_class_extensions = [
\ 'wp_xdiff',
\ 'wp_parser',
\ 'wp_class_ixr',
\ 'wp_registry',
\ 'wp_cache',
\ 'wp_class_snoopy',
\ 'wp_class_wp_customize_widgets',
\ 'wp_class_wp_customize_panel',
\ 'wp_rewrite',
\ 'wp_class_phpmailer',
\ 'wp_source',
\ 'wp_db',
\ 'wp_taxonomy',
\ 'wp_query',
\ 'wp_module_audio_dts',
\ 'wp_wp_db',
\ 'wp_module_audio_video_flv',
\ 'wp_diff',
\ 'wp_mysql',
\ 'wp_restriction',
\ 'wp_module_audio_video_riff',
\ 'wp_native',
\ 'wp_gzdecode',
\ 'wp_rating',
\ 'wp_translations',
\ 'wp_class_wp_xmlrpc_server',
\ 'wp_post_template',
\ 'wp_comment_template',
\ 'wp_module_audio_video_matroska',
\ 'wp_renderer',
\ 'wp_comment',
\ 'wp_class_wp_customize_setting',
\ 'wp_class_wp_editor',
\ 'wp_class_wp_dependencies',
\ 'wp_sanitize',
\ 'wp_post',
\ 'wp_file',
\ 'wp_class_wp',
\ 'wp_class_wp_ajax_response',
\ 'wp_class_oembed',
\ 'wp_class_wp_customize_section',
\ 'wp_enclosure',
\ 'wp_capabilities',
\ 'wp_copyright',
\ 'wp_pluggable_deprecated',
\ 'wp_module_tag_apetag',
\ 'wp_class_wp_embed',
\ 'wp_module_audio_flac',
\ 'wp_wp_diff',
\ 'wp_nav_menu_template',
\ 'wp_class_wp_image_editor_gd',
\ 'wp_class_pop3',
\ 'wp_class_feed',
\ 'wp_category_template',
\ 'wp_class_wp_admin_bar',
\ 'wp_module_audio_ac3',
\ 'wp_exception',
\ 'wp_class_wp_image_editor',
\ 'wp_module_audio_ogg',
\ 'wp_class_wp_customize_control',
\ 'wp_class_wp_image_editor_imagick',
\ 'wp_atomlib',
\ 'wp_class_wp_customize_manager',
\ 'wp_default_widgets',
\ 'wp_class_wp_theme',
\ 'wp_user',
\ 'wp_ipv6',
\ 'wp_module_tag_id3v1',
\ 'wp_module_audio_video_quicktime',
\ 'wp_shell',
\ 'wp_class_wp_scripts',
\ 'wp_misc',
\ 'wp_class_wp_http_ixr_client',
\ 'wp_module_audio_video_asf',
\ 'wp_sniffer',
\ 'wp_getid3_lib',
\ 'wp_class_wp_styles',
\ 'wp_module_tag_lyrics3',
\ 'wp_locator',
\ 'wp_caption',
\ 'wp_class_phpass',
\ 'wp_mo',
\ 'wp_core',
\ 'wp_entry',
\ 'wp_inline',
\ 'wp_item',
\ 'wp_date',
\ 'wp_getid3',
\ 'wp_iri',
\ 'wp_class_json',
\ 'wp_class_wp_walker',
\ 'wp_session',
\ 'wp_parser',
\ 'wp_po',
\ 'wp_meta',
\ 'wp_class_http',
\ 'wp_file',
\ 'wp_streams',
\ 'wp_module_audio_mp3',
\ 'wp_author',
\ 'wp_locale',
\ 'wp_class_simplepie',
\ 'wp_parser',
\ 'wp_module_tag_id3v2',
\ 'wp_date',
\ 'wp_category',
\ 'wp_widgets',
\ 'wp_credit',
\ 'wp_memcache',
\ 'wp_string',
\ 'wp_rss',
\ 'wp_entities',
\ 'wp_cache',
\ 'wp_class_smtp',
\ 'wp_class_wp_error',
\]

" Merge extensions with phpcomplete
let g:phpcomplete_active_function_extensions += g:wordpress_active_function_extensions
let g:phpcomplete_active_class_extensions += g:wordpress_active_class_extensions

" Done
let g:wordpress_vim_phpcomplete_extensions_loaded = 1
